#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1324
#define LARGE_STATE_COUNT 95
#define SYMBOL_COUNT 429
#define ALIAS_COUNT 2
#define TOKEN_COUNT 224
#define EXTERNAL_TOKEN_COUNT 2
#define FIELD_COUNT 38
#define MAX_ALIAS_SEQUENCE_LENGTH 11
#define PRODUCTION_ID_COUNT 78

enum ts_symbol_identifiers {
  sym_ident = 1,
  anon_sym_theory = 2,
  anon_sym_configuration = 3,
  anon_sym_COLON = 4,
  anon_sym_DQUOTE = 5,
  anon_sym_begin = 6,
  anon_sym_end = 7,
  aux_sym_theory_token1 = 8,
  anon_sym_DASH_DASHauto_DASHsources = 9,
  anon_sym_DASH_DASHstop_DASHon_DASHtrace = 10,
  anon_sym_EQ = 11,
  anon_sym_BFS = 12,
  anon_sym_DFS = 13,
  anon_sym_SEQDFS = 14,
  anon_sym_bfs = 15,
  anon_sym_dfs = 16,
  anon_sym_seqdfs = 17,
  anon_sym_POUNDifdef = 18,
  anon_sym_POUNDelse = 19,
  anon_sym_POUNDendif = 20,
  anon_sym_POUNDdefine = 21,
  anon_sym_POUNDinclude = 22,
  anon_sym_LPAREN = 23,
  anon_sym_RPAREN = 24,
  anon_sym_PIPE = 25,
  anon_sym_AMP = 26,
  anon_sym_not = 27,
  anon_sym_builtins = 28,
  anon_sym_COMMA = 29,
  anon_sym_diffie_DASHhellman = 30,
  anon_sym_hashing = 31,
  anon_sym_symmetric_DASHencryption = 32,
  anon_sym_asymmetric_DASHencryption = 33,
  anon_sym_signing = 34,
  anon_sym_bilinear_DASHpairing = 35,
  anon_sym_xor = 36,
  anon_sym_multiset = 37,
  anon_sym_natural_DASHnumbers = 38,
  anon_sym_revealing_DASHsigning = 39,
  anon_sym_locations_DASHreport = 40,
  anon_sym_reliable_DASHchannel = 41,
  anon_sym_dest_DASHpairing = 42,
  anon_sym_dest_DASHsigning = 43,
  anon_sym_dest_DASHsymmetric_DASHencryption = 44,
  anon_sym_dest_DASHasymmetric_DASHencryption = 45,
  anon_sym_functions = 46,
  anon_sym_SLASH = 47,
  anon_sym_LBRACK = 48,
  anon_sym_RBRACK = 49,
  anon_sym_private = 50,
  anon_sym_destructor = 51,
  anon_sym_equations = 52,
  anon_sym_convergent = 53,
  anon_sym_predicate = 54,
  anon_sym_predicates = 55,
  anon_sym_LT_EQ_GT = 56,
  anon_sym_options = 57,
  anon_sym_translation_DASHstate_DASHoptimisation = 58,
  anon_sym_translation_DASHprogress = 59,
  anon_sym_translation_DASHasynchronous_DASHchannels = 60,
  anon_sym_translation_DASHcompress_DASHevents = 61,
  anon_sym_translation_DASHallow_DASHpattern_DASHlookups = 62,
  anon_sym_heuristic = 63,
  sym_standard_goal_ranking = 64,
  anon_sym_O = 65,
  anon_sym_o = 66,
  anon_sym_LBRACE = 67,
  anon_sym_RBRACE = 68,
  anon_sym_tactic = 69,
  anon_sym_presort = 70,
  anon_sym_prio = 71,
  anon_sym_deprio = 72,
  anon_sym_smallest = 73,
  anon_sym_id = 74,
  anon_sym_regex = 75,
  anon_sym_isFactName = 76,
  anon_sym_isInFactTerms = 77,
  anon_sym_dhreNoise = 78,
  anon_sym_defaultNoise = 79,
  anon_sym_reasonableNoncesNoise = 80,
  anon_sym_nonAbsurdGoal = 81,
  anon_sym_process = 82,
  anon_sym_AT = 83,
  anon_sym_DASH_DASH_GT = 84,
  anon_sym_SEMI = 85,
  anon_sym_new = 86,
  anon_sym_out = 87,
  anon_sym_in = 88,
  anon_sym_if = 89,
  anon_sym_then = 90,
  anon_sym_else = 91,
  anon_sym_let = 92,
  anon_sym_PIPE_PIPE = 93,
  anon_sym_PLUS = 94,
  sym_null = 95,
  anon_sym_event = 96,
  anon_sym_BANG = 97,
  anon_sym_insert = 98,
  anon_sym_delete = 99,
  anon_sym_lookup = 100,
  anon_sym_as = 101,
  anon_sym_lock = 102,
  anon_sym_unlock = 103,
  anon_sym_EQ2 = 104,
  anon_sym_LPAREN_LT_RPAREN = 105,
  anon_sym_LT_LT = 106,
  anon_sym_export = 107,
  anon_sym_left = 108,
  anon_sym_right = 109,
  anon_sym_rule = 110,
  anon_sym_DASH_DASH_LBRACK = 111,
  anon_sym_RBRACK_DASH_GT = 112,
  anon_sym_variants = 113,
  anon_sym_modulo = 114,
  anon_sym_E = 115,
  anon_sym_AC = 116,
  anon_sym_no_derivcheck = 117,
  anon_sym_issapicrule = 118,
  anon_sym_color_EQ = 119,
  anon_sym_colour_EQ = 120,
  anon_sym_role = 121,
  anon_sym_macros = 122,
  anon_sym__restrict = 123,
  anon_sym_DASH = 124,
  anon_sym_no_precomp = 125,
  anon_sym_restriction = 126,
  anon_sym_axiom = 127,
  anon_sym_test = 128,
  anon_sym_lemma = 129,
  anon_sym_sources = 130,
  anon_sym_reuse = 131,
  anon_sym_use_induction = 132,
  anon_sym_output_EQ = 133,
  anon_sym_hide_lemma_EQ = 134,
  anon_sym_heuristic_EQ = 135,
  anon_sym_spthy = 136,
  anon_sym_spthytyped = 137,
  anon_sym_msr = 138,
  anon_sym_proverif = 139,
  anon_sym_deepsec = 140,
  anon_sym_diffLemma = 141,
  anon_sym_account = 142,
  anon_sym_accounts = 143,
  anon_sym_for = 144,
  anon_sym_equivLemma = 145,
  anon_sym_diffEquivLemma = 146,
  anon_sym_all_DASHtraces = 147,
  anon_sym_exists_DASHtrace = 148,
  sym_solved = 149,
  sym_mirrored = 150,
  anon_sym_by = 151,
  anon_sym_next = 152,
  anon_sym_qed = 153,
  anon_sym_case = 154,
  anon_sym_sorry = 155,
  anon_sym_simplify = 156,
  anon_sym_solve = 157,
  anon_sym_contradiction = 158,
  anon_sym_induction = 159,
  anon_sym_rule_DASHequivalence = 160,
  anon_sym_backward_DASHsearch = 161,
  anon_sym_ATTACK = 162,
  anon_sym_step = 163,
  anon_sym_u25b6 = 164,
  anon_sym_TILDE_TILDE_GT = 165,
  anon_sym_u2225 = 166,
  anon_sym_splitEqs = 167,
  anon_sym_LT = 168,
  anon_sym_GT = 169,
  anon_sym_PLUS_PLUS = 170,
  anon_sym_PERCENT_PLUS = 171,
  anon_sym_XOR = 172,
  anon_sym_u2295 = 173,
  anon_sym_STAR = 174,
  anon_sym_CARET = 175,
  anon_sym_DOLLAR = 176,
  anon_sym_DOT = 177,
  anon_sym_pub = 178,
  anon_sym_TILDE = 179,
  anon_sym_fresh = 180,
  anon_sym_msg = 181,
  anon_sym_POUND = 182,
  anon_sym_node = 183,
  anon_sym_PERCENT = 184,
  anon_sym_nat = 185,
  anon_sym_ANY = 186,
  anon_sym_temporal = 187,
  anon_sym_SQUOTE = 188,
  aux_sym_pub_name_token1 = 189,
  anon_sym_TILDE_SQUOTE = 190,
  anon_sym_u21d4 = 191,
  anon_sym_EQ_EQ_GT = 192,
  anon_sym_u21d2 = 193,
  anon_sym_u2228 = 194,
  anon_sym_u2227 = 195,
  anon_sym_u00ac = 196,
  anon_sym_last = 197,
  anon_sym_u228f = 198,
  anon_sym_Ex = 199,
  anon_sym_u2203 = 200,
  anon_sym_All = 201,
  anon_sym_u2200 = 202,
  anon_sym_u22a5 = 203,
  anon_sym_F = 204,
  anon_sym_u22a4 = 205,
  anon_sym_T = 206,
  aux_sym_hexcolor_token1 = 207,
  sym_param = 208,
  sym_export_query = 209,
  sym_natural = 210,
  anon_sym_u2080 = 211,
  anon_sym_u2081 = 212,
  anon_sym_u2082 = 213,
  anon_sym_u2083 = 214,
  anon_sym_u2084 = 215,
  anon_sym_u2085 = 216,
  anon_sym_u2086 = 217,
  anon_sym_u2087 = 218,
  anon_sym_u2088 = 219,
  anon_sym_u2089 = 220,
  aux_sym_formal_comment_token1 = 221,
  sym_multi_comment = 222,
  sym_single_comment = 223,
  sym_theory = 224,
  sym_commandline = 225,
  sym__search_strategy = 226,
  sym__body_item = 227,
  sym_preprocessor = 228,
  sym_ifdef = 229,
  sym_define = 230,
  sym_include = 231,
  sym__ifdef_formula = 232,
  sym_ifdef_nested = 233,
  sym_ifdef_or = 234,
  sym_ifdef_and = 235,
  sym_ifdef_not = 236,
  sym__signature_spec = 237,
  sym_built_ins = 238,
  sym_built_in = 239,
  sym_functions = 240,
  sym__function_sym = 241,
  sym_function_untyped = 242,
  sym_function_attribute = 243,
  sym_function_typed = 244,
  sym_equations = 245,
  sym_equation = 246,
  sym_predicates = 247,
  sym_predicate = 248,
  sym_predicate_def = 249,
  sym_options = 250,
  sym_option = 251,
  sym_global_heuristic = 252,
  sym__goal_ranking = 253,
  sym_oracle_goal_ranking = 254,
  sym_tactic_goal_ranking = 255,
  sym_tactic = 256,
  sym_presort = 257,
  sym_prio = 258,
  sym_deprio = 259,
  sym_post_ranking = 260,
  sym__function = 261,
  sym_or_function = 262,
  sym_and_function = 263,
  sym_not_function = 264,
  sym_std_function = 265,
  sym_function_name = 266,
  sym_process = 267,
  sym__process = 268,
  sym__elementary_process = 269,
  sym__extended_process = 270,
  sym__stateful_process = 271,
  sym_location_process = 272,
  sym_inline_msr_process = 273,
  sym__nested_process = 274,
  sym_predefined_process = 275,
  sym_binding = 276,
  sym_output = 277,
  sym_input = 278,
  sym_conditional = 279,
  sym_process_let = 280,
  sym_deterministic_choice = 281,
  sym_non_deterministic_choice = 282,
  sym_event = 283,
  sym_replication = 284,
  sym_set_state = 285,
  sym_delete_state = 286,
  sym_read_state = 287,
  sym_set_lock = 288,
  sym_remove_lock = 289,
  sym__condition = 290,
  sym_equality_check = 291,
  sym_lesser_check = 292,
  sym_let = 293,
  sym_export = 294,
  sym__rule = 295,
  sym_rule = 296,
  sym_diff_rule = 297,
  sym_simple_rule = 298,
  sym_premise = 299,
  sym_action_fact = 300,
  sym_conclusion = 301,
  sym_variants = 302,
  sym_modulo = 303,
  sym_rule_attrs = 304,
  sym_rule_attr = 305,
  sym_rule_attr_color = 306,
  sym_rule_role = 307,
  sym_rule_process = 308,
  sym_rule_let_block = 309,
  sym_rule_let_term = 310,
  sym_macros = 311,
  sym_macro = 312,
  sym_embedded_restriction = 313,
  sym__facts_restrictions = 314,
  sym__facts = 315,
  sym__fact = 316,
  sym_fact = 317,
  sym_fact_annotes = 318,
  sym_fact_annote = 319,
  sym_restriction = 320,
  sym_restriction_attr = 321,
  sym_case_test = 322,
  sym__lemma = 323,
  sym_lemma = 324,
  sym_lemma_attr = 325,
  sym_language = 326,
  sym_diff_lemma = 327,
  sym_diff_lemma_attrs = 328,
  sym_diff_lemma_attr = 329,
  sym_accountability_lemma = 330,
  sym_equiv_lemma = 331,
  sym_diff_equiv_lemma = 332,
  sym_trace_quantifier = 333,
  sym__proof_skeleton = 334,
  sym_by_method = 335,
  sym_method_skeleton = 336,
  sym_cases = 337,
  sym_case = 338,
  sym__proof_methods = 339,
  sym_proof_method = 340,
  sym_step = 341,
  sym_goal = 342,
  sym_premise_goal = 343,
  sym_action_goal = 344,
  sym_chain_goal = 345,
  sym_disjunction_split_goal = 346,
  sym_eq_split_goal = 347,
  sym__term = 348,
  sym_tuple_term = 349,
  sym_mset_term = 350,
  sym_nat_term = 351,
  sym_xor_term = 352,
  sym_mul_term = 353,
  sym_exp_term = 354,
  sym_nested_term = 355,
  sym_nullary_fun = 356,
  sym_binary_app = 357,
  sym_nary_app = 358,
  sym_arguments = 359,
  sym__literal = 360,
  sym__non_temporal_var = 361,
  sym_pub_var = 362,
  sym_fresh_var = 363,
  sym_msg_var_or_nullary_fun = 364,
  sym_temporal_var = 365,
  sym_nat_var = 366,
  sym_comp_var = 367,
  sym__custom_type_var = 368,
  sym_custom_var = 369,
  sym_any_var = 370,
  sym_temporal_var_optional_prefix = 371,
  sym_pub_name = 372,
  sym_fresh_name = 373,
  sym__formula = 374,
  sym_iff = 375,
  sym_imp = 376,
  sym_disjunction = 377,
  sym_conjunction = 378,
  sym_negation = 379,
  sym_nested_formula = 380,
  sym__temporal_variable_operation = 381,
  sym_temp_var_induction = 382,
  sym_temp_var_order = 383,
  sym_temp_var_eq = 384,
  sym_action_constraint = 385,
  sym_term_eq = 386,
  sym_subterm_rel = 387,
  sym_quantified_formula = 388,
  sym_atom = 389,
  sym__lvar = 390,
  sym_predicate_ref = 391,
  sym_pre_defined = 392,
  sym_hexcolor = 393,
  sym_natural_subscript = 394,
  sym_formal_comment = 395,
  aux_sym_theory_repeat1 = 396,
  aux_sym_theory_repeat2 = 397,
  aux_sym_commandline_repeat1 = 398,
  aux_sym_built_ins_repeat1 = 399,
  aux_sym_functions_repeat1 = 400,
  aux_sym_function_untyped_repeat1 = 401,
  aux_sym_equations_repeat1 = 402,
  aux_sym_predicates_repeat1 = 403,
  aux_sym_options_repeat1 = 404,
  aux_sym_global_heuristic_repeat1 = 405,
  aux_sym_tactic_repeat1 = 406,
  aux_sym_tactic_repeat2 = 407,
  aux_sym_prio_repeat1 = 408,
  aux_sym_std_function_repeat1 = 409,
  aux_sym_process_let_repeat1 = 410,
  aux_sym_variants_repeat1 = 411,
  aux_sym_rule_attrs_repeat1 = 412,
  aux_sym_rule_let_block_repeat1 = 413,
  aux_sym_macros_repeat1 = 414,
  aux_sym_macro_repeat1 = 415,
  aux_sym__facts_restrictions_repeat1 = 416,
  aux_sym__facts_repeat1 = 417,
  aux_sym_fact_annotes_repeat1 = 418,
  aux_sym_lemma_attr_repeat1 = 419,
  aux_sym_diff_lemma_attrs_repeat1 = 420,
  aux_sym_accountability_lemma_repeat1 = 421,
  aux_sym_cases_repeat1 = 422,
  aux_sym__proof_methods_repeat1 = 423,
  aux_sym_disjunction_split_goal_repeat1 = 424,
  aux_sym_tuple_term_repeat1 = 425,
  aux_sym_binary_app_repeat1 = 426,
  aux_sym_quantified_formula_repeat1 = 427,
  aux_sym_natural_subscript_repeat1 = 428,
  alias_sym_path = 429,
  alias_sym_persistent_fact = 430,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_ident] = "ident",
  [anon_sym_theory] = "theory",
  [anon_sym_configuration] = "configuration",
  [anon_sym_COLON] = ":",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_begin] = "begin",
  [anon_sym_end] = "end",
  [aux_sym_theory_token1] = "theory_token1",
  [anon_sym_DASH_DASHauto_DASHsources] = "--auto-sources",
  [anon_sym_DASH_DASHstop_DASHon_DASHtrace] = "--stop-on-trace",
  [anon_sym_EQ] = "=",
  [anon_sym_BFS] = "BFS",
  [anon_sym_DFS] = "DFS",
  [anon_sym_SEQDFS] = "SEQDFS",
  [anon_sym_bfs] = "bfs",
  [anon_sym_dfs] = "dfs",
  [anon_sym_seqdfs] = "seqdfs",
  [anon_sym_POUNDifdef] = "#ifdef",
  [anon_sym_POUNDelse] = "#else",
  [anon_sym_POUNDendif] = "#endif",
  [anon_sym_POUNDdefine] = "#define",
  [anon_sym_POUNDinclude] = "#include",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_PIPE] = "|",
  [anon_sym_AMP] = "&",
  [anon_sym_not] = "not",
  [anon_sym_builtins] = "builtins",
  [anon_sym_COMMA] = ",",
  [anon_sym_diffie_DASHhellman] = "diffie-hellman",
  [anon_sym_hashing] = "hashing",
  [anon_sym_symmetric_DASHencryption] = "symmetric-encryption",
  [anon_sym_asymmetric_DASHencryption] = "asymmetric-encryption",
  [anon_sym_signing] = "signing",
  [anon_sym_bilinear_DASHpairing] = "bilinear-pairing",
  [anon_sym_xor] = "xor",
  [anon_sym_multiset] = "multiset",
  [anon_sym_natural_DASHnumbers] = "natural-numbers",
  [anon_sym_revealing_DASHsigning] = "revealing-signing",
  [anon_sym_locations_DASHreport] = "locations-report",
  [anon_sym_reliable_DASHchannel] = "reliable-channel",
  [anon_sym_dest_DASHpairing] = "dest-pairing",
  [anon_sym_dest_DASHsigning] = "dest-signing",
  [anon_sym_dest_DASHsymmetric_DASHencryption] = "dest-symmetric-encryption",
  [anon_sym_dest_DASHasymmetric_DASHencryption] = "dest-asymmetric-encryption",
  [anon_sym_functions] = "functions",
  [anon_sym_SLASH] = "/",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_private] = "private",
  [anon_sym_destructor] = "destructor",
  [anon_sym_equations] = "equations",
  [anon_sym_convergent] = "convergent",
  [anon_sym_predicate] = "predicate",
  [anon_sym_predicates] = "predicates",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_options] = "options",
  [anon_sym_translation_DASHstate_DASHoptimisation] = "translation-state-optimisation",
  [anon_sym_translation_DASHprogress] = "translation-progress",
  [anon_sym_translation_DASHasynchronous_DASHchannels] = "translation-asynchronous-channels",
  [anon_sym_translation_DASHcompress_DASHevents] = "translation-compress-events",
  [anon_sym_translation_DASHallow_DASHpattern_DASHlookups] = "translation-allow-pattern-lookups",
  [anon_sym_heuristic] = "heuristic",
  [sym_standard_goal_ranking] = "standard_goal_ranking",
  [anon_sym_O] = "O",
  [anon_sym_o] = "o",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_tactic] = "tactic",
  [anon_sym_presort] = "presort",
  [anon_sym_prio] = "prio",
  [anon_sym_deprio] = "deprio",
  [anon_sym_smallest] = "smallest",
  [anon_sym_id] = "id",
  [anon_sym_regex] = "regex",
  [anon_sym_isFactName] = "isFactName",
  [anon_sym_isInFactTerms] = "isInFactTerms",
  [anon_sym_dhreNoise] = "dhreNoise",
  [anon_sym_defaultNoise] = "defaultNoise",
  [anon_sym_reasonableNoncesNoise] = "reasonableNoncesNoise",
  [anon_sym_nonAbsurdGoal] = "nonAbsurdGoal",
  [anon_sym_process] = "process",
  [anon_sym_AT] = "@",
  [anon_sym_DASH_DASH_GT] = "-->",
  [anon_sym_SEMI] = ";",
  [anon_sym_new] = "new",
  [anon_sym_out] = "out",
  [anon_sym_in] = "in",
  [anon_sym_if] = "if",
  [anon_sym_then] = "then",
  [anon_sym_else] = "else",
  [anon_sym_let] = "let",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_PLUS] = "+",
  [sym_null] = "null",
  [anon_sym_event] = "event",
  [anon_sym_BANG] = "!",
  [anon_sym_insert] = "insert",
  [anon_sym_delete] = "delete",
  [anon_sym_lookup] = "lookup",
  [anon_sym_as] = "as",
  [anon_sym_lock] = "lock",
  [anon_sym_unlock] = "unlock",
  [anon_sym_EQ2] = "=",
  [anon_sym_LPAREN_LT_RPAREN] = "(<)",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_export] = "export",
  [anon_sym_left] = "left",
  [anon_sym_right] = "right",
  [anon_sym_rule] = "rule",
  [anon_sym_DASH_DASH_LBRACK] = "--[",
  [anon_sym_RBRACK_DASH_GT] = "]->",
  [anon_sym_variants] = "variants",
  [anon_sym_modulo] = "modulo",
  [anon_sym_E] = "E",
  [anon_sym_AC] = "AC",
  [anon_sym_no_derivcheck] = "no_derivcheck",
  [anon_sym_issapicrule] = "issapicrule",
  [anon_sym_color_EQ] = "color=",
  [anon_sym_colour_EQ] = "colour=",
  [anon_sym_role] = "role",
  [anon_sym_macros] = "macros",
  [anon_sym__restrict] = "_restrict",
  [anon_sym_DASH] = "-",
  [anon_sym_no_precomp] = "no_precomp",
  [anon_sym_restriction] = "restriction",
  [anon_sym_axiom] = "axiom",
  [anon_sym_test] = "test",
  [anon_sym_lemma] = "lemma",
  [anon_sym_sources] = "sources",
  [anon_sym_reuse] = "reuse",
  [anon_sym_use_induction] = "use_induction",
  [anon_sym_output_EQ] = "output=",
  [anon_sym_hide_lemma_EQ] = "hide_lemma=",
  [anon_sym_heuristic_EQ] = "heuristic=",
  [anon_sym_spthy] = "spthy",
  [anon_sym_spthytyped] = "spthytyped",
  [anon_sym_msr] = "msr",
  [anon_sym_proverif] = "proverif",
  [anon_sym_deepsec] = "deepsec",
  [anon_sym_diffLemma] = "diffLemma",
  [anon_sym_account] = "account",
  [anon_sym_accounts] = "accounts",
  [anon_sym_for] = "for",
  [anon_sym_equivLemma] = "equivLemma",
  [anon_sym_diffEquivLemma] = "diffEquivLemma",
  [anon_sym_all_DASHtraces] = "all-traces",
  [anon_sym_exists_DASHtrace] = "exists-trace",
  [sym_solved] = "solved",
  [sym_mirrored] = "mirrored",
  [anon_sym_by] = "by",
  [anon_sym_next] = "next",
  [anon_sym_qed] = "qed",
  [anon_sym_case] = "case",
  [anon_sym_sorry] = "sorry",
  [anon_sym_simplify] = "simplify",
  [anon_sym_solve] = "solve",
  [anon_sym_contradiction] = "contradiction",
  [anon_sym_induction] = "induction",
  [anon_sym_rule_DASHequivalence] = "rule-equivalence",
  [anon_sym_backward_DASHsearch] = "backward-search",
  [anon_sym_ATTACK] = "ATTACK",
  [anon_sym_step] = "step",
  [anon_sym_u25b6] = "\u25b6",
  [anon_sym_TILDE_TILDE_GT] = "~~>",
  [anon_sym_u2225] = "\u2225",
  [anon_sym_splitEqs] = "splitEqs",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_PERCENT_PLUS] = "%+",
  [anon_sym_XOR] = "XOR",
  [anon_sym_u2295] = "\u2295",
  [anon_sym_STAR] = "*",
  [anon_sym_CARET] = "^",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_DOT] = ".",
  [anon_sym_pub] = "pub",
  [anon_sym_TILDE] = "~",
  [anon_sym_fresh] = "fresh",
  [anon_sym_msg] = "msg",
  [anon_sym_POUND] = "#",
  [anon_sym_node] = "node",
  [anon_sym_PERCENT] = "%",
  [anon_sym_nat] = "nat",
  [anon_sym_ANY] = "ANY",
  [anon_sym_temporal] = "temporal",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_pub_name_token1] = "pub_name_token1",
  [anon_sym_TILDE_SQUOTE] = "~'",
  [anon_sym_u21d4] = "\u21d4",
  [anon_sym_EQ_EQ_GT] = "==>",
  [anon_sym_u21d2] = "\u21d2",
  [anon_sym_u2228] = "\u2228",
  [anon_sym_u2227] = "\u2227",
  [anon_sym_u00ac] = "\u00ac",
  [anon_sym_last] = "last",
  [anon_sym_u228f] = "\u228f",
  [anon_sym_Ex] = "Ex",
  [anon_sym_u2203] = "\u2203",
  [anon_sym_All] = "All",
  [anon_sym_u2200] = "\u2200",
  [anon_sym_u22a5] = "\u22a5",
  [anon_sym_F] = "F",
  [anon_sym_u22a4] = "\u22a4",
  [anon_sym_T] = "T",
  [aux_sym_hexcolor_token1] = "hexcolor_token1",
  [sym_param] = "param",
  [sym_export_query] = "export_query",
  [sym_natural] = "natural",
  [anon_sym_u2080] = "\u2080",
  [anon_sym_u2081] = "\u2081",
  [anon_sym_u2082] = "\u2082",
  [anon_sym_u2083] = "\u2083",
  [anon_sym_u2084] = "\u2084",
  [anon_sym_u2085] = "\u2085",
  [anon_sym_u2086] = "\u2086",
  [anon_sym_u2087] = "\u2087",
  [anon_sym_u2088] = "\u2088",
  [anon_sym_u2089] = "\u2089",
  [aux_sym_formal_comment_token1] = "formal_comment_token1",
  [sym_multi_comment] = "multi_comment",
  [sym_single_comment] = "single_comment",
  [sym_theory] = "theory",
  [sym_commandline] = "commandline",
  [sym__search_strategy] = "_search_strategy",
  [sym__body_item] = "_body_item",
  [sym_preprocessor] = "preprocessor",
  [sym_ifdef] = "ifdef",
  [sym_define] = "define",
  [sym_include] = "include",
  [sym__ifdef_formula] = "_ifdef_formula",
  [sym_ifdef_nested] = "ifdef_nested",
  [sym_ifdef_or] = "ifdef_or",
  [sym_ifdef_and] = "ifdef_and",
  [sym_ifdef_not] = "ifdef_not",
  [sym__signature_spec] = "_signature_spec",
  [sym_built_ins] = "built_ins",
  [sym_built_in] = "built_in",
  [sym_functions] = "functions",
  [sym__function_sym] = "_function_sym",
  [sym_function_untyped] = "function_untyped",
  [sym_function_attribute] = "function_attribute",
  [sym_function_typed] = "function_typed",
  [sym_equations] = "equations",
  [sym_equation] = "equation",
  [sym_predicates] = "predicates",
  [sym_predicate] = "predicate",
  [sym_predicate_def] = "",
  [sym_options] = "options",
  [sym_option] = "option",
  [sym_global_heuristic] = "global_heuristic",
  [sym__goal_ranking] = "_goal_ranking",
  [sym_oracle_goal_ranking] = "oracle_goal_ranking",
  [sym_tactic_goal_ranking] = "tactic_goal_ranking",
  [sym_tactic] = "tactic",
  [sym_presort] = "presort",
  [sym_prio] = "prio",
  [sym_deprio] = "deprio",
  [sym_post_ranking] = "post_ranking",
  [sym__function] = "_function",
  [sym_or_function] = "or_function",
  [sym_and_function] = "and_function",
  [sym_not_function] = "not_function",
  [sym_std_function] = "std_function",
  [sym_function_name] = "function_name",
  [sym_process] = "process",
  [sym__process] = "_process",
  [sym__elementary_process] = "_elementary_process",
  [sym__extended_process] = "_extended_process",
  [sym__stateful_process] = "_stateful_process",
  [sym_location_process] = "location_process",
  [sym_inline_msr_process] = "inline_msr_process",
  [sym__nested_process] = "_nested_process",
  [sym_predefined_process] = "predefined_process",
  [sym_binding] = "binding",
  [sym_output] = "output",
  [sym_input] = "input",
  [sym_conditional] = "conditional",
  [sym_process_let] = "process_let",
  [sym_deterministic_choice] = "deterministic_choice",
  [sym_non_deterministic_choice] = "non_deterministic_choice",
  [sym_event] = "event",
  [sym_replication] = "replication",
  [sym_set_state] = "set_state",
  [sym_delete_state] = "delete_state",
  [sym_read_state] = "read_state",
  [sym_set_lock] = "set_lock",
  [sym_remove_lock] = "remove_lock",
  [sym__condition] = "_condition",
  [sym_equality_check] = "equality_check",
  [sym_lesser_check] = "lesser_check",
  [sym_let] = "let",
  [sym_export] = "export",
  [sym__rule] = "_rule",
  [sym_rule] = "rule",
  [sym_diff_rule] = "diff_rule",
  [sym_simple_rule] = "simple_rule",
  [sym_premise] = "premise",
  [sym_action_fact] = "action_fact",
  [sym_conclusion] = "conclusion",
  [sym_variants] = "variants",
  [sym_modulo] = "modulo",
  [sym_rule_attrs] = "rule_attrs",
  [sym_rule_attr] = "rule_attr",
  [sym_rule_attr_color] = "rule_attr_color",
  [sym_rule_role] = "rule_role",
  [sym_rule_process] = "rule_process",
  [sym_rule_let_block] = "rule_let_block",
  [sym_rule_let_term] = "rule_let_term",
  [sym_macros] = "macros",
  [sym_macro] = "macro",
  [sym_embedded_restriction] = "embedded_restriction",
  [sym__facts_restrictions] = "_facts_restrictions",
  [sym__facts] = "_facts",
  [sym__fact] = "_fact",
  [sym_fact] = "linear_fact",
  [sym_fact_annotes] = "fact_annotes",
  [sym_fact_annote] = "fact_annote",
  [sym_restriction] = "restriction",
  [sym_restriction_attr] = "restriction_attr",
  [sym_case_test] = "case_test",
  [sym__lemma] = "_lemma",
  [sym_lemma] = "lemma",
  [sym_lemma_attr] = "lemma_attr",
  [sym_language] = "language",
  [sym_diff_lemma] = "diff_lemma",
  [sym_diff_lemma_attrs] = "diff_lemma_attrs",
  [sym_diff_lemma_attr] = "diff_lemma_attr",
  [sym_accountability_lemma] = "accountability_lemma",
  [sym_equiv_lemma] = "equiv_lemma",
  [sym_diff_equiv_lemma] = "diff_equiv_lemma",
  [sym_trace_quantifier] = "trace_quantifier",
  [sym__proof_skeleton] = "_proof_skeleton",
  [sym_by_method] = "by_method",
  [sym_method_skeleton] = "method_skeleton",
  [sym_cases] = "cases",
  [sym_case] = "case",
  [sym__proof_methods] = "_proof_methods",
  [sym_proof_method] = "proof_method",
  [sym_step] = "step",
  [sym_goal] = "goal",
  [sym_premise_goal] = "premise_goal",
  [sym_action_goal] = "action_goal",
  [sym_chain_goal] = "chain_goal",
  [sym_disjunction_split_goal] = "disjunction_split_goal",
  [sym_eq_split_goal] = "eq_split_goal",
  [sym__term] = "_term",
  [sym_tuple_term] = "tuple_term",
  [sym_mset_term] = "mset_term",
  [sym_nat_term] = "nat_term",
  [sym_xor_term] = "xor_term",
  [sym_mul_term] = "mul_term",
  [sym_exp_term] = "exp_term",
  [sym_nested_term] = "nested_term",
  [sym_nullary_fun] = "nullary_fun",
  [sym_binary_app] = "binary_app",
  [sym_nary_app] = "nary_app",
  [sym_arguments] = "arguments",
  [sym__literal] = "_literal",
  [sym__non_temporal_var] = "_non_temporal_var",
  [sym_pub_var] = "pub_var",
  [sym_fresh_var] = "fresh_var",
  [sym_msg_var_or_nullary_fun] = "msg_var_or_nullary_fun",
  [sym_temporal_var] = "temporal_var",
  [sym_nat_var] = "nat_var",
  [sym_comp_var] = "comp_var",
  [sym__custom_type_var] = "_custom_type_var",
  [sym_custom_var] = "custom_var",
  [sym_any_var] = "any_var",
  [sym_temporal_var_optional_prefix] = "temporal_var",
  [sym_pub_name] = "pub_name",
  [sym_fresh_name] = "fresh_name",
  [sym__formula] = "_formula",
  [sym_iff] = "iff",
  [sym_imp] = "imp",
  [sym_disjunction] = "disjunction",
  [sym_conjunction] = "conjunction",
  [sym_negation] = "negation",
  [sym_nested_formula] = "nested_formula",
  [sym__temporal_variable_operation] = "_temporal_variable_operation",
  [sym_temp_var_induction] = "temp_var_induction",
  [sym_temp_var_order] = "temp_var_order",
  [sym_temp_var_eq] = "temp_var_eq",
  [sym_action_constraint] = "action_constraint",
  [sym_term_eq] = "term_eq",
  [sym_subterm_rel] = "subterm_rel",
  [sym_quantified_formula] = "quantified_formula",
  [sym_atom] = "atom",
  [sym__lvar] = "_lvar",
  [sym_predicate_ref] = "predicate_ref",
  [sym_pre_defined] = "pre_defined",
  [sym_hexcolor] = "hexcolor",
  [sym_natural_subscript] = "natural_subscript",
  [sym_formal_comment] = "formal_comment",
  [aux_sym_theory_repeat1] = "theory_repeat1",
  [aux_sym_theory_repeat2] = "theory_repeat2",
  [aux_sym_commandline_repeat1] = "commandline_repeat1",
  [aux_sym_built_ins_repeat1] = "built_ins_repeat1",
  [aux_sym_functions_repeat1] = "functions_repeat1",
  [aux_sym_function_untyped_repeat1] = "function_untyped_repeat1",
  [aux_sym_equations_repeat1] = "equations_repeat1",
  [aux_sym_predicates_repeat1] = "predicates_repeat1",
  [aux_sym_options_repeat1] = "options_repeat1",
  [aux_sym_global_heuristic_repeat1] = "global_heuristic_repeat1",
  [aux_sym_tactic_repeat1] = "tactic_repeat1",
  [aux_sym_tactic_repeat2] = "tactic_repeat2",
  [aux_sym_prio_repeat1] = "prio_repeat1",
  [aux_sym_std_function_repeat1] = "std_function_repeat1",
  [aux_sym_process_let_repeat1] = "process_let_repeat1",
  [aux_sym_variants_repeat1] = "variants_repeat1",
  [aux_sym_rule_attrs_repeat1] = "rule_attrs_repeat1",
  [aux_sym_rule_let_block_repeat1] = "rule_let_block_repeat1",
  [aux_sym_macros_repeat1] = "macros_repeat1",
  [aux_sym_macro_repeat1] = "macro_repeat1",
  [aux_sym__facts_restrictions_repeat1] = "_facts_restrictions_repeat1",
  [aux_sym__facts_repeat1] = "_facts_repeat1",
  [aux_sym_fact_annotes_repeat1] = "fact_annotes_repeat1",
  [aux_sym_lemma_attr_repeat1] = "lemma_attr_repeat1",
  [aux_sym_diff_lemma_attrs_repeat1] = "diff_lemma_attrs_repeat1",
  [aux_sym_accountability_lemma_repeat1] = "accountability_lemma_repeat1",
  [aux_sym_cases_repeat1] = "cases_repeat1",
  [aux_sym__proof_methods_repeat1] = "_proof_methods_repeat1",
  [aux_sym_disjunction_split_goal_repeat1] = "disjunction_split_goal_repeat1",
  [aux_sym_tuple_term_repeat1] = "tuple_term_repeat1",
  [aux_sym_binary_app_repeat1] = "binary_app_repeat1",
  [aux_sym_quantified_formula_repeat1] = "quantified_formula_repeat1",
  [aux_sym_natural_subscript_repeat1] = "natural_subscript_repeat1",
  [alias_sym_path] = "path",
  [alias_sym_persistent_fact] = "persistent_fact",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_ident] = sym_ident,
  [anon_sym_theory] = anon_sym_theory,
  [anon_sym_configuration] = anon_sym_configuration,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_begin] = anon_sym_begin,
  [anon_sym_end] = anon_sym_end,
  [aux_sym_theory_token1] = aux_sym_theory_token1,
  [anon_sym_DASH_DASHauto_DASHsources] = anon_sym_DASH_DASHauto_DASHsources,
  [anon_sym_DASH_DASHstop_DASHon_DASHtrace] = anon_sym_DASH_DASHstop_DASHon_DASHtrace,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_BFS] = anon_sym_BFS,
  [anon_sym_DFS] = anon_sym_DFS,
  [anon_sym_SEQDFS] = anon_sym_SEQDFS,
  [anon_sym_bfs] = anon_sym_bfs,
  [anon_sym_dfs] = anon_sym_dfs,
  [anon_sym_seqdfs] = anon_sym_seqdfs,
  [anon_sym_POUNDifdef] = anon_sym_POUNDifdef,
  [anon_sym_POUNDelse] = anon_sym_POUNDelse,
  [anon_sym_POUNDendif] = anon_sym_POUNDendif,
  [anon_sym_POUNDdefine] = anon_sym_POUNDdefine,
  [anon_sym_POUNDinclude] = anon_sym_POUNDinclude,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_builtins] = anon_sym_builtins,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_diffie_DASHhellman] = anon_sym_diffie_DASHhellman,
  [anon_sym_hashing] = anon_sym_hashing,
  [anon_sym_symmetric_DASHencryption] = anon_sym_symmetric_DASHencryption,
  [anon_sym_asymmetric_DASHencryption] = anon_sym_asymmetric_DASHencryption,
  [anon_sym_signing] = anon_sym_signing,
  [anon_sym_bilinear_DASHpairing] = anon_sym_bilinear_DASHpairing,
  [anon_sym_xor] = anon_sym_xor,
  [anon_sym_multiset] = anon_sym_multiset,
  [anon_sym_natural_DASHnumbers] = anon_sym_natural_DASHnumbers,
  [anon_sym_revealing_DASHsigning] = anon_sym_revealing_DASHsigning,
  [anon_sym_locations_DASHreport] = anon_sym_locations_DASHreport,
  [anon_sym_reliable_DASHchannel] = anon_sym_reliable_DASHchannel,
  [anon_sym_dest_DASHpairing] = anon_sym_dest_DASHpairing,
  [anon_sym_dest_DASHsigning] = anon_sym_dest_DASHsigning,
  [anon_sym_dest_DASHsymmetric_DASHencryption] = anon_sym_dest_DASHsymmetric_DASHencryption,
  [anon_sym_dest_DASHasymmetric_DASHencryption] = anon_sym_dest_DASHasymmetric_DASHencryption,
  [anon_sym_functions] = anon_sym_functions,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_destructor] = anon_sym_destructor,
  [anon_sym_equations] = anon_sym_equations,
  [anon_sym_convergent] = anon_sym_convergent,
  [anon_sym_predicate] = anon_sym_predicate,
  [anon_sym_predicates] = anon_sym_predicates,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_options] = anon_sym_options,
  [anon_sym_translation_DASHstate_DASHoptimisation] = anon_sym_translation_DASHstate_DASHoptimisation,
  [anon_sym_translation_DASHprogress] = anon_sym_translation_DASHprogress,
  [anon_sym_translation_DASHasynchronous_DASHchannels] = anon_sym_translation_DASHasynchronous_DASHchannels,
  [anon_sym_translation_DASHcompress_DASHevents] = anon_sym_translation_DASHcompress_DASHevents,
  [anon_sym_translation_DASHallow_DASHpattern_DASHlookups] = anon_sym_translation_DASHallow_DASHpattern_DASHlookups,
  [anon_sym_heuristic] = anon_sym_heuristic,
  [sym_standard_goal_ranking] = sym_standard_goal_ranking,
  [anon_sym_O] = anon_sym_O,
  [anon_sym_o] = anon_sym_o,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_tactic] = anon_sym_tactic,
  [anon_sym_presort] = anon_sym_presort,
  [anon_sym_prio] = anon_sym_prio,
  [anon_sym_deprio] = anon_sym_deprio,
  [anon_sym_smallest] = anon_sym_smallest,
  [anon_sym_id] = anon_sym_id,
  [anon_sym_regex] = anon_sym_regex,
  [anon_sym_isFactName] = anon_sym_isFactName,
  [anon_sym_isInFactTerms] = anon_sym_isInFactTerms,
  [anon_sym_dhreNoise] = anon_sym_dhreNoise,
  [anon_sym_defaultNoise] = anon_sym_defaultNoise,
  [anon_sym_reasonableNoncesNoise] = anon_sym_reasonableNoncesNoise,
  [anon_sym_nonAbsurdGoal] = anon_sym_nonAbsurdGoal,
  [anon_sym_process] = anon_sym_process,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_DASH_DASH_GT] = anon_sym_DASH_DASH_GT,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_out] = anon_sym_out,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_then] = anon_sym_then,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [sym_null] = sym_null,
  [anon_sym_event] = anon_sym_event,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_insert] = anon_sym_insert,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_lookup] = anon_sym_lookup,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_lock] = anon_sym_lock,
  [anon_sym_unlock] = anon_sym_unlock,
  [anon_sym_EQ2] = anon_sym_EQ,
  [anon_sym_LPAREN_LT_RPAREN] = anon_sym_LPAREN_LT_RPAREN,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_left] = anon_sym_left,
  [anon_sym_right] = anon_sym_right,
  [anon_sym_rule] = anon_sym_rule,
  [anon_sym_DASH_DASH_LBRACK] = anon_sym_DASH_DASH_LBRACK,
  [anon_sym_RBRACK_DASH_GT] = anon_sym_RBRACK_DASH_GT,
  [anon_sym_variants] = anon_sym_variants,
  [anon_sym_modulo] = anon_sym_modulo,
  [anon_sym_E] = anon_sym_E,
  [anon_sym_AC] = anon_sym_AC,
  [anon_sym_no_derivcheck] = anon_sym_no_derivcheck,
  [anon_sym_issapicrule] = anon_sym_issapicrule,
  [anon_sym_color_EQ] = anon_sym_color_EQ,
  [anon_sym_colour_EQ] = anon_sym_colour_EQ,
  [anon_sym_role] = anon_sym_role,
  [anon_sym_macros] = anon_sym_macros,
  [anon_sym__restrict] = anon_sym__restrict,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_no_precomp] = anon_sym_no_precomp,
  [anon_sym_restriction] = anon_sym_restriction,
  [anon_sym_axiom] = anon_sym_axiom,
  [anon_sym_test] = anon_sym_test,
  [anon_sym_lemma] = anon_sym_lemma,
  [anon_sym_sources] = anon_sym_sources,
  [anon_sym_reuse] = anon_sym_reuse,
  [anon_sym_use_induction] = anon_sym_use_induction,
  [anon_sym_output_EQ] = anon_sym_output_EQ,
  [anon_sym_hide_lemma_EQ] = anon_sym_hide_lemma_EQ,
  [anon_sym_heuristic_EQ] = anon_sym_heuristic_EQ,
  [anon_sym_spthy] = anon_sym_spthy,
  [anon_sym_spthytyped] = anon_sym_spthytyped,
  [anon_sym_msr] = anon_sym_msr,
  [anon_sym_proverif] = anon_sym_proverif,
  [anon_sym_deepsec] = anon_sym_deepsec,
  [anon_sym_diffLemma] = anon_sym_diffLemma,
  [anon_sym_account] = anon_sym_account,
  [anon_sym_accounts] = anon_sym_accounts,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_equivLemma] = anon_sym_equivLemma,
  [anon_sym_diffEquivLemma] = anon_sym_diffEquivLemma,
  [anon_sym_all_DASHtraces] = anon_sym_all_DASHtraces,
  [anon_sym_exists_DASHtrace] = anon_sym_exists_DASHtrace,
  [sym_solved] = sym_solved,
  [sym_mirrored] = sym_mirrored,
  [anon_sym_by] = anon_sym_by,
  [anon_sym_next] = anon_sym_next,
  [anon_sym_qed] = anon_sym_qed,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_sorry] = anon_sym_sorry,
  [anon_sym_simplify] = anon_sym_simplify,
  [anon_sym_solve] = anon_sym_solve,
  [anon_sym_contradiction] = anon_sym_contradiction,
  [anon_sym_induction] = anon_sym_induction,
  [anon_sym_rule_DASHequivalence] = anon_sym_rule_DASHequivalence,
  [anon_sym_backward_DASHsearch] = anon_sym_backward_DASHsearch,
  [anon_sym_ATTACK] = anon_sym_ATTACK,
  [anon_sym_step] = anon_sym_step,
  [anon_sym_u25b6] = anon_sym_u25b6,
  [anon_sym_TILDE_TILDE_GT] = anon_sym_TILDE_TILDE_GT,
  [anon_sym_u2225] = anon_sym_u2225,
  [anon_sym_splitEqs] = anon_sym_splitEqs,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_PERCENT_PLUS] = anon_sym_PERCENT_PLUS,
  [anon_sym_XOR] = anon_sym_XOR,
  [anon_sym_u2295] = anon_sym_u2295,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_pub] = anon_sym_pub,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_fresh] = anon_sym_fresh,
  [anon_sym_msg] = anon_sym_msg,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_node] = anon_sym_node,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_nat] = anon_sym_nat,
  [anon_sym_ANY] = anon_sym_ANY,
  [anon_sym_temporal] = anon_sym_temporal,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_pub_name_token1] = aux_sym_pub_name_token1,
  [anon_sym_TILDE_SQUOTE] = anon_sym_TILDE_SQUOTE,
  [anon_sym_u21d4] = anon_sym_u21d4,
  [anon_sym_EQ_EQ_GT] = anon_sym_EQ_EQ_GT,
  [anon_sym_u21d2] = anon_sym_u21d2,
  [anon_sym_u2228] = anon_sym_u2228,
  [anon_sym_u2227] = anon_sym_u2227,
  [anon_sym_u00ac] = anon_sym_u00ac,
  [anon_sym_last] = anon_sym_last,
  [anon_sym_u228f] = anon_sym_u228f,
  [anon_sym_Ex] = anon_sym_Ex,
  [anon_sym_u2203] = anon_sym_u2203,
  [anon_sym_All] = anon_sym_All,
  [anon_sym_u2200] = anon_sym_u2200,
  [anon_sym_u22a5] = anon_sym_u22a5,
  [anon_sym_F] = anon_sym_F,
  [anon_sym_u22a4] = anon_sym_u22a4,
  [anon_sym_T] = anon_sym_T,
  [aux_sym_hexcolor_token1] = aux_sym_hexcolor_token1,
  [sym_param] = sym_param,
  [sym_export_query] = sym_export_query,
  [sym_natural] = sym_natural,
  [anon_sym_u2080] = anon_sym_u2080,
  [anon_sym_u2081] = anon_sym_u2081,
  [anon_sym_u2082] = anon_sym_u2082,
  [anon_sym_u2083] = anon_sym_u2083,
  [anon_sym_u2084] = anon_sym_u2084,
  [anon_sym_u2085] = anon_sym_u2085,
  [anon_sym_u2086] = anon_sym_u2086,
  [anon_sym_u2087] = anon_sym_u2087,
  [anon_sym_u2088] = anon_sym_u2088,
  [anon_sym_u2089] = anon_sym_u2089,
  [aux_sym_formal_comment_token1] = aux_sym_formal_comment_token1,
  [sym_multi_comment] = sym_multi_comment,
  [sym_single_comment] = sym_single_comment,
  [sym_theory] = sym_theory,
  [sym_commandline] = sym_commandline,
  [sym__search_strategy] = sym__search_strategy,
  [sym__body_item] = sym__body_item,
  [sym_preprocessor] = sym_preprocessor,
  [sym_ifdef] = sym_ifdef,
  [sym_define] = sym_define,
  [sym_include] = sym_include,
  [sym__ifdef_formula] = sym__ifdef_formula,
  [sym_ifdef_nested] = sym_ifdef_nested,
  [sym_ifdef_or] = sym_ifdef_or,
  [sym_ifdef_and] = sym_ifdef_and,
  [sym_ifdef_not] = sym_ifdef_not,
  [sym__signature_spec] = sym__signature_spec,
  [sym_built_ins] = sym_built_ins,
  [sym_built_in] = sym_built_in,
  [sym_functions] = sym_functions,
  [sym__function_sym] = sym__function_sym,
  [sym_function_untyped] = sym_function_untyped,
  [sym_function_attribute] = sym_function_attribute,
  [sym_function_typed] = sym_function_typed,
  [sym_equations] = sym_equations,
  [sym_equation] = sym_equation,
  [sym_predicates] = sym_predicates,
  [sym_predicate] = sym_predicate,
  [sym_predicate_def] = sym_predicate_def,
  [sym_options] = sym_options,
  [sym_option] = sym_option,
  [sym_global_heuristic] = sym_global_heuristic,
  [sym__goal_ranking] = sym__goal_ranking,
  [sym_oracle_goal_ranking] = sym_oracle_goal_ranking,
  [sym_tactic_goal_ranking] = sym_tactic_goal_ranking,
  [sym_tactic] = sym_tactic,
  [sym_presort] = sym_presort,
  [sym_prio] = sym_prio,
  [sym_deprio] = sym_deprio,
  [sym_post_ranking] = sym_post_ranking,
  [sym__function] = sym__function,
  [sym_or_function] = sym_or_function,
  [sym_and_function] = sym_and_function,
  [sym_not_function] = sym_not_function,
  [sym_std_function] = sym_std_function,
  [sym_function_name] = sym_function_name,
  [sym_process] = sym_process,
  [sym__process] = sym__process,
  [sym__elementary_process] = sym__elementary_process,
  [sym__extended_process] = sym__extended_process,
  [sym__stateful_process] = sym__stateful_process,
  [sym_location_process] = sym_location_process,
  [sym_inline_msr_process] = sym_inline_msr_process,
  [sym__nested_process] = sym__nested_process,
  [sym_predefined_process] = sym_predefined_process,
  [sym_binding] = sym_binding,
  [sym_output] = sym_output,
  [sym_input] = sym_input,
  [sym_conditional] = sym_conditional,
  [sym_process_let] = sym_process_let,
  [sym_deterministic_choice] = sym_deterministic_choice,
  [sym_non_deterministic_choice] = sym_non_deterministic_choice,
  [sym_event] = sym_event,
  [sym_replication] = sym_replication,
  [sym_set_state] = sym_set_state,
  [sym_delete_state] = sym_delete_state,
  [sym_read_state] = sym_read_state,
  [sym_set_lock] = sym_set_lock,
  [sym_remove_lock] = sym_remove_lock,
  [sym__condition] = sym__condition,
  [sym_equality_check] = sym_equality_check,
  [sym_lesser_check] = sym_lesser_check,
  [sym_let] = sym_let,
  [sym_export] = sym_export,
  [sym__rule] = sym__rule,
  [sym_rule] = sym_rule,
  [sym_diff_rule] = sym_diff_rule,
  [sym_simple_rule] = sym_simple_rule,
  [sym_premise] = sym_premise,
  [sym_action_fact] = sym_action_fact,
  [sym_conclusion] = sym_conclusion,
  [sym_variants] = sym_variants,
  [sym_modulo] = sym_modulo,
  [sym_rule_attrs] = sym_rule_attrs,
  [sym_rule_attr] = sym_rule_attr,
  [sym_rule_attr_color] = sym_rule_attr_color,
  [sym_rule_role] = sym_rule_role,
  [sym_rule_process] = sym_rule_process,
  [sym_rule_let_block] = sym_rule_let_block,
  [sym_rule_let_term] = sym_rule_let_term,
  [sym_macros] = sym_macros,
  [sym_macro] = sym_macro,
  [sym_embedded_restriction] = sym_embedded_restriction,
  [sym__facts_restrictions] = sym__facts_restrictions,
  [sym__facts] = sym__facts,
  [sym__fact] = sym__fact,
  [sym_fact] = sym_fact,
  [sym_fact_annotes] = sym_fact_annotes,
  [sym_fact_annote] = sym_fact_annote,
  [sym_restriction] = sym_restriction,
  [sym_restriction_attr] = sym_restriction_attr,
  [sym_case_test] = sym_case_test,
  [sym__lemma] = sym__lemma,
  [sym_lemma] = sym_lemma,
  [sym_lemma_attr] = sym_lemma_attr,
  [sym_language] = sym_language,
  [sym_diff_lemma] = sym_diff_lemma,
  [sym_diff_lemma_attrs] = sym_diff_lemma_attrs,
  [sym_diff_lemma_attr] = sym_diff_lemma_attr,
  [sym_accountability_lemma] = sym_accountability_lemma,
  [sym_equiv_lemma] = sym_equiv_lemma,
  [sym_diff_equiv_lemma] = sym_diff_equiv_lemma,
  [sym_trace_quantifier] = sym_trace_quantifier,
  [sym__proof_skeleton] = sym__proof_skeleton,
  [sym_by_method] = sym_by_method,
  [sym_method_skeleton] = sym_method_skeleton,
  [sym_cases] = sym_cases,
  [sym_case] = sym_case,
  [sym__proof_methods] = sym__proof_methods,
  [sym_proof_method] = sym_proof_method,
  [sym_step] = sym_step,
  [sym_goal] = sym_goal,
  [sym_premise_goal] = sym_premise_goal,
  [sym_action_goal] = sym_action_goal,
  [sym_chain_goal] = sym_chain_goal,
  [sym_disjunction_split_goal] = sym_disjunction_split_goal,
  [sym_eq_split_goal] = sym_eq_split_goal,
  [sym__term] = sym__term,
  [sym_tuple_term] = sym_tuple_term,
  [sym_mset_term] = sym_mset_term,
  [sym_nat_term] = sym_nat_term,
  [sym_xor_term] = sym_xor_term,
  [sym_mul_term] = sym_mul_term,
  [sym_exp_term] = sym_exp_term,
  [sym_nested_term] = sym_nested_term,
  [sym_nullary_fun] = sym_nullary_fun,
  [sym_binary_app] = sym_binary_app,
  [sym_nary_app] = sym_nary_app,
  [sym_arguments] = sym_arguments,
  [sym__literal] = sym__literal,
  [sym__non_temporal_var] = sym__non_temporal_var,
  [sym_pub_var] = sym_pub_var,
  [sym_fresh_var] = sym_fresh_var,
  [sym_msg_var_or_nullary_fun] = sym_msg_var_or_nullary_fun,
  [sym_temporal_var] = sym_temporal_var,
  [sym_nat_var] = sym_nat_var,
  [sym_comp_var] = sym_comp_var,
  [sym__custom_type_var] = sym__custom_type_var,
  [sym_custom_var] = sym_custom_var,
  [sym_any_var] = sym_any_var,
  [sym_temporal_var_optional_prefix] = sym_temporal_var,
  [sym_pub_name] = sym_pub_name,
  [sym_fresh_name] = sym_fresh_name,
  [sym__formula] = sym__formula,
  [sym_iff] = sym_iff,
  [sym_imp] = sym_imp,
  [sym_disjunction] = sym_disjunction,
  [sym_conjunction] = sym_conjunction,
  [sym_negation] = sym_negation,
  [sym_nested_formula] = sym_nested_formula,
  [sym__temporal_variable_operation] = sym__temporal_variable_operation,
  [sym_temp_var_induction] = sym_temp_var_induction,
  [sym_temp_var_order] = sym_temp_var_order,
  [sym_temp_var_eq] = sym_temp_var_eq,
  [sym_action_constraint] = sym_action_constraint,
  [sym_term_eq] = sym_term_eq,
  [sym_subterm_rel] = sym_subterm_rel,
  [sym_quantified_formula] = sym_quantified_formula,
  [sym_atom] = sym_atom,
  [sym__lvar] = sym__lvar,
  [sym_predicate_ref] = sym_predicate_ref,
  [sym_pre_defined] = sym_pre_defined,
  [sym_hexcolor] = sym_hexcolor,
  [sym_natural_subscript] = sym_natural_subscript,
  [sym_formal_comment] = sym_formal_comment,
  [aux_sym_theory_repeat1] = aux_sym_theory_repeat1,
  [aux_sym_theory_repeat2] = aux_sym_theory_repeat2,
  [aux_sym_commandline_repeat1] = aux_sym_commandline_repeat1,
  [aux_sym_built_ins_repeat1] = aux_sym_built_ins_repeat1,
  [aux_sym_functions_repeat1] = aux_sym_functions_repeat1,
  [aux_sym_function_untyped_repeat1] = aux_sym_function_untyped_repeat1,
  [aux_sym_equations_repeat1] = aux_sym_equations_repeat1,
  [aux_sym_predicates_repeat1] = aux_sym_predicates_repeat1,
  [aux_sym_options_repeat1] = aux_sym_options_repeat1,
  [aux_sym_global_heuristic_repeat1] = aux_sym_global_heuristic_repeat1,
  [aux_sym_tactic_repeat1] = aux_sym_tactic_repeat1,
  [aux_sym_tactic_repeat2] = aux_sym_tactic_repeat2,
  [aux_sym_prio_repeat1] = aux_sym_prio_repeat1,
  [aux_sym_std_function_repeat1] = aux_sym_std_function_repeat1,
  [aux_sym_process_let_repeat1] = aux_sym_process_let_repeat1,
  [aux_sym_variants_repeat1] = aux_sym_variants_repeat1,
  [aux_sym_rule_attrs_repeat1] = aux_sym_rule_attrs_repeat1,
  [aux_sym_rule_let_block_repeat1] = aux_sym_rule_let_block_repeat1,
  [aux_sym_macros_repeat1] = aux_sym_macros_repeat1,
  [aux_sym_macro_repeat1] = aux_sym_macro_repeat1,
  [aux_sym__facts_restrictions_repeat1] = aux_sym__facts_restrictions_repeat1,
  [aux_sym__facts_repeat1] = aux_sym__facts_repeat1,
  [aux_sym_fact_annotes_repeat1] = aux_sym_fact_annotes_repeat1,
  [aux_sym_lemma_attr_repeat1] = aux_sym_lemma_attr_repeat1,
  [aux_sym_diff_lemma_attrs_repeat1] = aux_sym_diff_lemma_attrs_repeat1,
  [aux_sym_accountability_lemma_repeat1] = aux_sym_accountability_lemma_repeat1,
  [aux_sym_cases_repeat1] = aux_sym_cases_repeat1,
  [aux_sym__proof_methods_repeat1] = aux_sym__proof_methods_repeat1,
  [aux_sym_disjunction_split_goal_repeat1] = aux_sym_disjunction_split_goal_repeat1,
  [aux_sym_tuple_term_repeat1] = aux_sym_tuple_term_repeat1,
  [aux_sym_binary_app_repeat1] = aux_sym_binary_app_repeat1,
  [aux_sym_quantified_formula_repeat1] = aux_sym_quantified_formula_repeat1,
  [aux_sym_natural_subscript_repeat1] = aux_sym_natural_subscript_repeat1,
  [alias_sym_path] = alias_sym_path,
  [alias_sym_persistent_fact] = alias_sym_persistent_fact,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_ident] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_theory] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_configuration] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_begin] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_end] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_theory_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DASH_DASHauto_DASHsources] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASHstop_DASHon_DASHtrace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BFS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DFS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEQDFS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bfs] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_dfs] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_seqdfs] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDifdef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDelse] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDendif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDdefine] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDinclude] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_builtins] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_diffie_DASHhellman] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_hashing] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_symmetric_DASHencryption] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asymmetric_DASHencryption] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signing] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bilinear_DASHpairing] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_multiset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_natural_DASHnumbers] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_revealing_DASHsigning] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_locations_DASHreport] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_reliable_DASHchannel] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_dest_DASHpairing] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_dest_DASHsigning] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_dest_DASHsymmetric_DASHencryption] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_dest_DASHasymmetric_DASHencryption] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_functions] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_destructor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_equations] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_convergent] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_predicate] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_predicates] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_options] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_translation_DASHstate_DASHoptimisation] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_translation_DASHprogress] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_translation_DASHasynchronous_DASHchannels] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_translation_DASHcompress_DASHevents] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_translation_DASHallow_DASHpattern_DASHlookups] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_heuristic] = {
    .visible = true,
    .named = false,
  },
  [sym_standard_goal_ranking] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_O] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_o] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_tactic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_presort] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_prio] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_deprio] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_smallest] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_id] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_regex] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_isFactName] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_isInFactTerms] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_dhreNoise] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defaultNoise] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_reasonableNoncesNoise] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nonAbsurdGoal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_process] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_out] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_then] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_event] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_insert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lookup] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lock] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unlock] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN_LT_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_left] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_right] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rule] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_variants] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_modulo] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_E] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AC] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_no_derivcheck] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_issapicrule] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_color_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_colour_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_role] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_macros] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__restrict] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_no_precomp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_restriction] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_axiom] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_test] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lemma] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sources] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_reuse] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_use_induction] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_output_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_hide_lemma_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_heuristic_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_spthy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_spthytyped] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_msr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_proverif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_deepsec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_diffLemma] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_account] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_accounts] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_equivLemma] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_diffEquivLemma] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_all_DASHtraces] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exists_DASHtrace] = {
    .visible = true,
    .named = false,
  },
  [sym_solved] = {
    .visible = true,
    .named = true,
  },
  [sym_mirrored] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_by] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_next] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_qed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sorry] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_simplify] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_solve] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_contradiction] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_induction] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rule_DASHequivalence] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_backward_DASHsearch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATTACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_step] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u25b6] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE_TILDE_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u2225] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_splitEqs] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_XOR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u2295] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pub] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fresh] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_msg] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_node] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nat] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ANY] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_temporal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_pub_name_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_TILDE_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u21d4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u21d2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u2228] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u2227] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u00ac] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_last] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u228f] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_Ex] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u2203] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_All] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u2200] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u22a5] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_F] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u22a4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_T] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_hexcolor_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_param] = {
    .visible = true,
    .named = true,
  },
  [sym_export_query] = {
    .visible = true,
    .named = true,
  },
  [sym_natural] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_u2080] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u2081] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u2082] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u2083] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u2084] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u2085] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u2086] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u2087] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u2088] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u2089] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_formal_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_multi_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_single_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_theory] = {
    .visible = true,
    .named = true,
  },
  [sym_commandline] = {
    .visible = true,
    .named = true,
  },
  [sym__search_strategy] = {
    .visible = false,
    .named = true,
  },
  [sym__body_item] = {
    .visible = false,
    .named = true,
  },
  [sym_preprocessor] = {
    .visible = true,
    .named = true,
  },
  [sym_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_define] = {
    .visible = true,
    .named = true,
  },
  [sym_include] = {
    .visible = true,
    .named = true,
  },
  [sym__ifdef_formula] = {
    .visible = false,
    .named = true,
  },
  [sym_ifdef_nested] = {
    .visible = true,
    .named = true,
  },
  [sym_ifdef_or] = {
    .visible = true,
    .named = true,
  },
  [sym_ifdef_and] = {
    .visible = true,
    .named = true,
  },
  [sym_ifdef_not] = {
    .visible = true,
    .named = true,
  },
  [sym__signature_spec] = {
    .visible = false,
    .named = true,
  },
  [sym_built_ins] = {
    .visible = true,
    .named = true,
  },
  [sym_built_in] = {
    .visible = true,
    .named = true,
  },
  [sym_functions] = {
    .visible = true,
    .named = true,
  },
  [sym__function_sym] = {
    .visible = false,
    .named = true,
  },
  [sym_function_untyped] = {
    .visible = true,
    .named = true,
  },
  [sym_function_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_function_typed] = {
    .visible = true,
    .named = true,
  },
  [sym_equations] = {
    .visible = true,
    .named = true,
  },
  [sym_equation] = {
    .visible = true,
    .named = true,
  },
  [sym_predicates] = {
    .visible = true,
    .named = true,
  },
  [sym_predicate] = {
    .visible = true,
    .named = true,
  },
  [sym_predicate_def] = {
    .visible = true,
    .named = false,
  },
  [sym_options] = {
    .visible = true,
    .named = true,
  },
  [sym_option] = {
    .visible = true,
    .named = true,
  },
  [sym_global_heuristic] = {
    .visible = true,
    .named = true,
  },
  [sym__goal_ranking] = {
    .visible = false,
    .named = true,
  },
  [sym_oracle_goal_ranking] = {
    .visible = true,
    .named = true,
  },
  [sym_tactic_goal_ranking] = {
    .visible = true,
    .named = true,
  },
  [sym_tactic] = {
    .visible = true,
    .named = true,
  },
  [sym_presort] = {
    .visible = true,
    .named = true,
  },
  [sym_prio] = {
    .visible = true,
    .named = true,
  },
  [sym_deprio] = {
    .visible = true,
    .named = true,
  },
  [sym_post_ranking] = {
    .visible = true,
    .named = true,
  },
  [sym__function] = {
    .visible = false,
    .named = true,
  },
  [sym_or_function] = {
    .visible = true,
    .named = true,
  },
  [sym_and_function] = {
    .visible = true,
    .named = true,
  },
  [sym_not_function] = {
    .visible = true,
    .named = true,
  },
  [sym_std_function] = {
    .visible = true,
    .named = true,
  },
  [sym_function_name] = {
    .visible = true,
    .named = true,
  },
  [sym_process] = {
    .visible = true,
    .named = true,
  },
  [sym__process] = {
    .visible = false,
    .named = true,
  },
  [sym__elementary_process] = {
    .visible = false,
    .named = true,
  },
  [sym__extended_process] = {
    .visible = false,
    .named = true,
  },
  [sym__stateful_process] = {
    .visible = false,
    .named = true,
  },
  [sym_location_process] = {
    .visible = true,
    .named = true,
  },
  [sym_inline_msr_process] = {
    .visible = true,
    .named = true,
  },
  [sym__nested_process] = {
    .visible = false,
    .named = true,
  },
  [sym_predefined_process] = {
    .visible = true,
    .named = true,
  },
  [sym_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_output] = {
    .visible = true,
    .named = true,
  },
  [sym_input] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional] = {
    .visible = true,
    .named = true,
  },
  [sym_process_let] = {
    .visible = true,
    .named = true,
  },
  [sym_deterministic_choice] = {
    .visible = true,
    .named = true,
  },
  [sym_non_deterministic_choice] = {
    .visible = true,
    .named = true,
  },
  [sym_event] = {
    .visible = true,
    .named = true,
  },
  [sym_replication] = {
    .visible = true,
    .named = true,
  },
  [sym_set_state] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_state] = {
    .visible = true,
    .named = true,
  },
  [sym_read_state] = {
    .visible = true,
    .named = true,
  },
  [sym_set_lock] = {
    .visible = true,
    .named = true,
  },
  [sym_remove_lock] = {
    .visible = true,
    .named = true,
  },
  [sym__condition] = {
    .visible = false,
    .named = true,
  },
  [sym_equality_check] = {
    .visible = true,
    .named = true,
  },
  [sym_lesser_check] = {
    .visible = true,
    .named = true,
  },
  [sym_let] = {
    .visible = true,
    .named = true,
  },
  [sym_export] = {
    .visible = true,
    .named = true,
  },
  [sym__rule] = {
    .visible = false,
    .named = true,
  },
  [sym_rule] = {
    .visible = true,
    .named = true,
  },
  [sym_diff_rule] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_rule] = {
    .visible = true,
    .named = true,
  },
  [sym_premise] = {
    .visible = true,
    .named = true,
  },
  [sym_action_fact] = {
    .visible = true,
    .named = true,
  },
  [sym_conclusion] = {
    .visible = true,
    .named = true,
  },
  [sym_variants] = {
    .visible = true,
    .named = true,
  },
  [sym_modulo] = {
    .visible = true,
    .named = true,
  },
  [sym_rule_attrs] = {
    .visible = true,
    .named = true,
  },
  [sym_rule_attr] = {
    .visible = true,
    .named = true,
  },
  [sym_rule_attr_color] = {
    .visible = true,
    .named = true,
  },
  [sym_rule_role] = {
    .visible = true,
    .named = true,
  },
  [sym_rule_process] = {
    .visible = true,
    .named = true,
  },
  [sym_rule_let_block] = {
    .visible = true,
    .named = true,
  },
  [sym_rule_let_term] = {
    .visible = true,
    .named = true,
  },
  [sym_macros] = {
    .visible = true,
    .named = true,
  },
  [sym_macro] = {
    .visible = true,
    .named = true,
  },
  [sym_embedded_restriction] = {
    .visible = true,
    .named = true,
  },
  [sym__facts_restrictions] = {
    .visible = false,
    .named = true,
  },
  [sym__facts] = {
    .visible = false,
    .named = true,
  },
  [sym__fact] = {
    .visible = false,
    .named = true,
  },
  [sym_fact] = {
    .visible = true,
    .named = true,
  },
  [sym_fact_annotes] = {
    .visible = true,
    .named = true,
  },
  [sym_fact_annote] = {
    .visible = true,
    .named = true,
  },
  [sym_restriction] = {
    .visible = true,
    .named = true,
  },
  [sym_restriction_attr] = {
    .visible = true,
    .named = true,
  },
  [sym_case_test] = {
    .visible = true,
    .named = true,
  },
  [sym__lemma] = {
    .visible = false,
    .named = true,
  },
  [sym_lemma] = {
    .visible = true,
    .named = true,
  },
  [sym_lemma_attr] = {
    .visible = true,
    .named = true,
  },
  [sym_language] = {
    .visible = true,
    .named = true,
  },
  [sym_diff_lemma] = {
    .visible = true,
    .named = true,
  },
  [sym_diff_lemma_attrs] = {
    .visible = true,
    .named = true,
  },
  [sym_diff_lemma_attr] = {
    .visible = true,
    .named = true,
  },
  [sym_accountability_lemma] = {
    .visible = true,
    .named = true,
  },
  [sym_equiv_lemma] = {
    .visible = true,
    .named = true,
  },
  [sym_diff_equiv_lemma] = {
    .visible = true,
    .named = true,
  },
  [sym_trace_quantifier] = {
    .visible = true,
    .named = true,
  },
  [sym__proof_skeleton] = {
    .visible = false,
    .named = true,
  },
  [sym_by_method] = {
    .visible = true,
    .named = true,
  },
  [sym_method_skeleton] = {
    .visible = true,
    .named = true,
  },
  [sym_cases] = {
    .visible = true,
    .named = true,
  },
  [sym_case] = {
    .visible = true,
    .named = true,
  },
  [sym__proof_methods] = {
    .visible = false,
    .named = true,
  },
  [sym_proof_method] = {
    .visible = true,
    .named = true,
  },
  [sym_step] = {
    .visible = true,
    .named = true,
  },
  [sym_goal] = {
    .visible = true,
    .named = true,
  },
  [sym_premise_goal] = {
    .visible = true,
    .named = true,
  },
  [sym_action_goal] = {
    .visible = true,
    .named = true,
  },
  [sym_chain_goal] = {
    .visible = true,
    .named = true,
  },
  [sym_disjunction_split_goal] = {
    .visible = true,
    .named = true,
  },
  [sym_eq_split_goal] = {
    .visible = true,
    .named = true,
  },
  [sym__term] = {
    .visible = false,
    .named = true,
  },
  [sym_tuple_term] = {
    .visible = true,
    .named = true,
  },
  [sym_mset_term] = {
    .visible = true,
    .named = true,
  },
  [sym_nat_term] = {
    .visible = true,
    .named = true,
  },
  [sym_xor_term] = {
    .visible = true,
    .named = true,
  },
  [sym_mul_term] = {
    .visible = true,
    .named = true,
  },
  [sym_exp_term] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_term] = {
    .visible = true,
    .named = true,
  },
  [sym_nullary_fun] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_app] = {
    .visible = true,
    .named = true,
  },
  [sym_nary_app] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym__literal] = {
    .visible = false,
    .named = true,
  },
  [sym__non_temporal_var] = {
    .visible = false,
    .named = true,
  },
  [sym_pub_var] = {
    .visible = true,
    .named = true,
  },
  [sym_fresh_var] = {
    .visible = true,
    .named = true,
  },
  [sym_msg_var_or_nullary_fun] = {
    .visible = true,
    .named = true,
  },
  [sym_temporal_var] = {
    .visible = true,
    .named = true,
  },
  [sym_nat_var] = {
    .visible = true,
    .named = true,
  },
  [sym_comp_var] = {
    .visible = true,
    .named = true,
  },
  [sym__custom_type_var] = {
    .visible = false,
    .named = true,
  },
  [sym_custom_var] = {
    .visible = true,
    .named = true,
  },
  [sym_any_var] = {
    .visible = true,
    .named = true,
  },
  [sym_temporal_var_optional_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_pub_name] = {
    .visible = true,
    .named = true,
  },
  [sym_fresh_name] = {
    .visible = true,
    .named = true,
  },
  [sym__formula] = {
    .visible = false,
    .named = true,
  },
  [sym_iff] = {
    .visible = true,
    .named = true,
  },
  [sym_imp] = {
    .visible = true,
    .named = true,
  },
  [sym_disjunction] = {
    .visible = true,
    .named = true,
  },
  [sym_conjunction] = {
    .visible = true,
    .named = true,
  },
  [sym_negation] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_formula] = {
    .visible = true,
    .named = true,
  },
  [sym__temporal_variable_operation] = {
    .visible = false,
    .named = true,
  },
  [sym_temp_var_induction] = {
    .visible = true,
    .named = true,
  },
  [sym_temp_var_order] = {
    .visible = true,
    .named = true,
  },
  [sym_temp_var_eq] = {
    .visible = true,
    .named = true,
  },
  [sym_action_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_term_eq] = {
    .visible = true,
    .named = true,
  },
  [sym_subterm_rel] = {
    .visible = true,
    .named = true,
  },
  [sym_quantified_formula] = {
    .visible = true,
    .named = true,
  },
  [sym_atom] = {
    .visible = true,
    .named = true,
  },
  [sym__lvar] = {
    .visible = false,
    .named = true,
  },
  [sym_predicate_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_pre_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_hexcolor] = {
    .visible = true,
    .named = true,
  },
  [sym_natural_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_comment] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_theory_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_theory_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_commandline_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_built_ins_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_functions_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_untyped_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_equations_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_predicates_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_options_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_heuristic_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tactic_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tactic_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_prio_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_std_function_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_process_let_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variants_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_rule_attrs_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_rule_let_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_macros_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_macro_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__facts_restrictions_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__facts_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_fact_annotes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_lemma_attr_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_diff_lemma_attrs_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_accountability_lemma_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cases_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__proof_methods_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_disjunction_split_goal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_term_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_binary_app_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_quantified_formula_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_natural_subscript_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_path] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_persistent_fact] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_argument = 1,
  field_arity = 2,
  field_base = 3,
  field_case_identifier = 4,
  field_comment_identifier = 5,
  field_condition = 6,
  field_else = 7,
  field_exponent = 8,
  field_export_identifier = 9,
  field_fact = 10,
  field_fact_identifier = 11,
  field_first = 12,
  field_formula = 13,
  field_from = 14,
  field_function_identifier = 15,
  field_function_type = 16,
  field_goal_ranking = 17,
  field_in = 18,
  field_left = 19,
  field_lemma_identifier = 20,
  field_let_identifier = 21,
  field_location_identifier = 22,
  field_macro_identifier = 23,
  field_predicate_identifier = 24,
  field_proof_skeleton = 25,
  field_restriction_identifier = 26,
  field_right = 27,
  field_role_identifier = 28,
  field_rule_identifier = 29,
  field_second = 30,
  field_term = 31,
  field_test_identifier = 32,
  field_then = 33,
  field_theory_name = 34,
  field_to = 35,
  field_variable = 36,
  field_variable_identifier = 37,
  field_variable_type = 38,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_argument] = "argument",
  [field_arity] = "arity",
  [field_base] = "base",
  [field_case_identifier] = "case_identifier",
  [field_comment_identifier] = "comment_identifier",
  [field_condition] = "condition",
  [field_else] = "else",
  [field_exponent] = "exponent",
  [field_export_identifier] = "export_identifier",
  [field_fact] = "fact",
  [field_fact_identifier] = "fact_identifier",
  [field_first] = "first",
  [field_formula] = "formula",
  [field_from] = "from",
  [field_function_identifier] = "function_identifier",
  [field_function_type] = "function_type",
  [field_goal_ranking] = "goal_ranking",
  [field_in] = "in",
  [field_left] = "left",
  [field_lemma_identifier] = "lemma_identifier",
  [field_let_identifier] = "let_identifier",
  [field_location_identifier] = "location_identifier",
  [field_macro_identifier] = "macro_identifier",
  [field_predicate_identifier] = "predicate_identifier",
  [field_proof_skeleton] = "proof_skeleton",
  [field_restriction_identifier] = "restriction_identifier",
  [field_right] = "right",
  [field_role_identifier] = "role_identifier",
  [field_rule_identifier] = "rule_identifier",
  [field_second] = "second",
  [field_term] = "term",
  [field_test_identifier] = "test_identifier",
  [field_then] = "then",
  [field_theory_name] = "theory_name",
  [field_to] = "to",
  [field_variable] = "variable",
  [field_variable_identifier] = "variable_identifier",
  [field_variable_type] = "variable_type",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 1},
  [4] = {.index = 3, .length = 1},
  [5] = {.index = 4, .length = 1},
  [6] = {.index = 5, .length = 1},
  [7] = {.index = 6, .length = 1},
  [9] = {.index = 7, .length = 1},
  [10] = {.index = 8, .length = 1},
  [11] = {.index = 9, .length = 1},
  [12] = {.index = 10, .length = 2},
  [13] = {.index = 12, .length = 2},
  [14] = {.index = 14, .length = 1},
  [15] = {.index = 15, .length = 2},
  [16] = {.index = 17, .length = 1},
  [17] = {.index = 18, .length = 2},
  [18] = {.index = 20, .length = 2},
  [19] = {.index = 22, .length = 1},
  [20] = {.index = 23, .length = 1},
  [22] = {.index = 24, .length = 1},
  [23] = {.index = 25, .length = 2},
  [24] = {.index = 27, .length = 2},
  [25] = {.index = 29, .length = 2},
  [26] = {.index = 31, .length = 1},
  [27] = {.index = 32, .length = 1},
  [28] = {.index = 33, .length = 2},
  [29] = {.index = 35, .length = 2},
  [30] = {.index = 37, .length = 2},
  [31] = {.index = 39, .length = 1},
  [32] = {.index = 40, .length = 2},
  [33] = {.index = 42, .length = 2},
  [34] = {.index = 44, .length = 1},
  [35] = {.index = 45, .length = 2},
  [36] = {.index = 47, .length = 1},
  [37] = {.index = 48, .length = 2},
  [38] = {.index = 50, .length = 3},
  [39] = {.index = 53, .length = 1},
  [40] = {.index = 54, .length = 1},
  [41] = {.index = 55, .length = 2},
  [42] = {.index = 57, .length = 2},
  [43] = {.index = 59, .length = 2},
  [44] = {.index = 61, .length = 1},
  [45] = {.index = 62, .length = 2},
  [46] = {.index = 64, .length = 2},
  [47] = {.index = 66, .length = 2},
  [48] = {.index = 68, .length = 2},
  [49] = {.index = 70, .length = 1},
  [50] = {.index = 71, .length = 2},
  [51] = {.index = 73, .length = 4},
  [52] = {.index = 77, .length = 1},
  [53] = {.index = 78, .length = 2},
  [54] = {.index = 80, .length = 2},
  [55] = {.index = 82, .length = 3},
  [56] = {.index = 85, .length = 2},
  [57] = {.index = 87, .length = 2},
  [58] = {.index = 89, .length = 2},
  [59] = {.index = 91, .length = 2},
  [60] = {.index = 93, .length = 3},
  [61] = {.index = 96, .length = 2},
  [62] = {.index = 98, .length = 3},
  [63] = {.index = 101, .length = 1},
  [64] = {.index = 102, .length = 2},
  [65] = {.index = 104, .length = 3},
  [66] = {.index = 107, .length = 2},
  [67] = {.index = 109, .length = 3},
  [68] = {.index = 112, .length = 2},
  [69] = {.index = 114, .length = 2},
  [70] = {.index = 116, .length = 2},
  [71] = {.index = 118, .length = 3},
  [72] = {.index = 121, .length = 3},
  [73] = {.index = 124, .length = 3},
  [74] = {.index = 127, .length = 2},
  [75] = {.index = 129, .length = 4},
  [76] = {.index = 133, .length = 4},
  [77] = {.index = 137, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_theory_name, 1},
  [1] =
    {field_function_identifier, 0},
  [2] =
    {field_variable_identifier, 0},
  [3] =
    {field_comment_identifier, 0},
  [4] =
    {field_goal_ranking, 2},
  [5] =
    {field_variable_identifier, 1},
  [6] =
    {field_lemma_identifier, 1},
  [7] =
    {field_term, 1},
  [8] =
    {field_argument, 0},
  [9] =
    {field_let_identifier, 1},
  [10] =
    {field_left, 0},
    {field_right, 2},
  [12] =
    {field_base, 0},
    {field_exponent, 2},
  [14] =
    {field_variable_type, 2},
  [15] =
    {field_lemma_identifier, 1},
    {field_proof_skeleton, 3},
  [17] =
    {field_lemma_identifier, 2},
  [18] =
    {field_first, 2},
    {field_second, 3},
  [20] =
    {field_arity, 2},
    {field_function_identifier, 0},
  [22] =
    {field_predicate_identifier, 0},
  [23] =
    {field_formula, 2},
  [24] =
    {field_formula, 1},
  [25] =
    {field_term, 1},
    {field_term, 2, .inherited = true},
  [27] =
    {field_term, 0, .inherited = true},
    {field_term, 1, .inherited = true},
  [29] =
    {field_argument, 0},
    {field_argument, 1, .inherited = true},
  [31] =
    {field_goal_ranking, 1},
  [32] =
    {field_proof_skeleton, 1},
  [33] =
    {field_lemma_identifier, 1},
    {field_proof_skeleton, 4},
  [35] =
    {field_lemma_identifier, 2},
    {field_proof_skeleton, 4},
  [37] =
    {field_left, 2},
    {field_right, 4},
  [39] =
    {field_fact_identifier, 0},
  [40] =
    {field_condition, 1},
    {field_then, 3},
  [42] =
    {field_fact, 0},
    {field_variable, 2},
  [44] =
    {field_in, 3},
  [45] =
    {field_from, 1},
    {field_to, 3},
  [47] =
    {field_argument, 1},
  [48] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [50] =
    {field_argument, 2},
    {field_argument, 4},
    {field_function_identifier, 0},
  [53] =
    {field_export_identifier, 1},
  [54] =
    {field_rule_identifier, 1},
  [55] =
    {field_formula, 4},
    {field_restriction_identifier, 1},
  [57] =
    {field_formula, 4},
    {field_test_identifier, 1},
  [59] =
    {field_formula, 4},
    {field_lemma_identifier, 1},
  [61] =
    {field_test_identifier, 1},
  [62] =
    {field_test_identifier, 0, .inherited = true},
    {field_test_identifier, 1, .inherited = true},
  [64] =
    {field_case_identifier, 1},
    {field_proof_skeleton, 2},
  [66] =
    {field_lemma_identifier, 2},
    {field_proof_skeleton, 5},
  [68] =
    {field_function_identifier, 0},
    {field_function_type, 4},
  [70] =
    {field_location_identifier, 4},
  [71] =
    {field_formula, 3},
    {field_variable, 1},
  [73] =
    {field_argument, 2},
    {field_argument, 3, .inherited = true},
    {field_argument, 5},
    {field_function_identifier, 0},
  [77] =
    {field_rule_identifier, 2},
  [78] =
    {field_macro_identifier, 0},
    {field_term, 4},
  [80] =
    {field_formula, 5},
    {field_restriction_identifier, 1},
  [82] =
    {field_formula, 4},
    {field_lemma_identifier, 1},
    {field_proof_skeleton, 6},
  [85] =
    {field_formula, 5},
    {field_lemma_identifier, 1},
  [87] =
    {field_formula, 5},
    {field_lemma_identifier, 2},
  [89] =
    {field_formula, 0},
    {field_formula, 1, .inherited = true},
  [91] =
    {field_function_identifier, 0},
    {field_function_type, 5},
  [93] =
    {field_condition, 1},
    {field_else, 5},
    {field_then, 3},
  [96] =
    {field_else, 5},
    {field_in, 3},
  [98] =
    {field_from, 1},
    {field_in, 5},
    {field_to, 3},
  [101] =
    {field_role_identifier, 3},
  [102] =
    {field_macro_identifier, 0},
    {field_term, 5},
  [104] =
    {field_formula, 5},
    {field_lemma_identifier, 1},
    {field_proof_skeleton, 7},
  [107] =
    {field_formula, 6},
    {field_lemma_identifier, 1},
  [109] =
    {field_formula, 5},
    {field_lemma_identifier, 2},
    {field_proof_skeleton, 7},
  [112] =
    {field_formula, 6},
    {field_lemma_identifier, 2},
  [114] =
    {field_formula, 0, .inherited = true},
    {field_formula, 1, .inherited = true},
  [116] =
    {field_macro_identifier, 0},
    {field_term, 6},
  [118] =
    {field_formula, 7},
    {field_lemma_identifier, 1},
    {field_test_identifier, 3},
  [121] =
    {field_formula, 6},
    {field_lemma_identifier, 1},
    {field_proof_skeleton, 8},
  [124] =
    {field_formula, 6},
    {field_lemma_identifier, 2},
    {field_proof_skeleton, 8},
  [127] =
    {field_formula, 7},
    {field_lemma_identifier, 2},
  [129] =
    {field_else, 7},
    {field_from, 1},
    {field_in, 5},
    {field_to, 3},
  [133] =
    {field_formula, 8},
    {field_lemma_identifier, 1},
    {field_test_identifier, 3},
    {field_test_identifier, 4, .inherited = true},
  [137] =
    {field_formula, 7},
    {field_lemma_identifier, 2},
    {field_proof_skeleton, 9},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [8] = {
    [2] = alias_sym_path,
  },
  [21] = {
    [1] = alias_sym_persistent_fact,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_fact, 2,
    sym_fact,
    alias_sym_persistent_fact,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 5,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 8,
  [23] = 23,
  [24] = 7,
  [25] = 25,
  [26] = 11,
  [27] = 13,
  [28] = 15,
  [29] = 19,
  [30] = 30,
  [31] = 31,
  [32] = 20,
  [33] = 6,
  [34] = 23,
  [35] = 30,
  [36] = 31,
  [37] = 37,
  [38] = 37,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 42,
  [44] = 4,
  [45] = 45,
  [46] = 9,
  [47] = 47,
  [48] = 21,
  [49] = 49,
  [50] = 14,
  [51] = 25,
  [52] = 41,
  [53] = 12,
  [54] = 40,
  [55] = 39,
  [56] = 17,
  [57] = 16,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 62,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 69,
  [74] = 68,
  [75] = 69,
  [76] = 70,
  [77] = 67,
  [78] = 66,
  [79] = 79,
  [80] = 65,
  [81] = 62,
  [82] = 82,
  [83] = 65,
  [84] = 66,
  [85] = 67,
  [86] = 86,
  [87] = 68,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 116,
  [117] = 117,
  [118] = 118,
  [119] = 119,
  [120] = 115,
  [121] = 117,
  [122] = 116,
  [123] = 119,
  [124] = 118,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 131,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 126,
  [144] = 133,
  [145] = 132,
  [146] = 135,
  [147] = 138,
  [148] = 136,
  [149] = 140,
  [150] = 137,
  [151] = 151,
  [152] = 139,
  [153] = 153,
  [154] = 154,
  [155] = 154,
  [156] = 153,
  [157] = 151,
  [158] = 130,
  [159] = 129,
  [160] = 128,
  [161] = 142,
  [162] = 127,
  [163] = 125,
  [164] = 141,
  [165] = 114,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 174,
  [184] = 173,
  [185] = 113,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 175,
  [190] = 190,
  [191] = 166,
  [192] = 192,
  [193] = 181,
  [194] = 187,
  [195] = 186,
  [196] = 192,
  [197] = 190,
  [198] = 188,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 214,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 115,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 253,
  [255] = 255,
  [256] = 256,
  [257] = 253,
  [258] = 255,
  [259] = 118,
  [260] = 260,
  [261] = 261,
  [262] = 253,
  [263] = 255,
  [264] = 264,
  [265] = 119,
  [266] = 116,
  [267] = 117,
  [268] = 256,
  [269] = 256,
  [270] = 253,
  [271] = 255,
  [272] = 130,
  [273] = 273,
  [274] = 129,
  [275] = 128,
  [276] = 127,
  [277] = 141,
  [278] = 125,
  [279] = 142,
  [280] = 280,
  [281] = 281,
  [282] = 131,
  [283] = 133,
  [284] = 153,
  [285] = 137,
  [286] = 286,
  [287] = 136,
  [288] = 139,
  [289] = 151,
  [290] = 290,
  [291] = 138,
  [292] = 292,
  [293] = 154,
  [294] = 126,
  [295] = 295,
  [296] = 140,
  [297] = 132,
  [298] = 135,
  [299] = 280,
  [300] = 300,
  [301] = 301,
  [302] = 114,
  [303] = 235,
  [304] = 166,
  [305] = 233,
  [306] = 181,
  [307] = 175,
  [308] = 186,
  [309] = 113,
  [310] = 240,
  [311] = 237,
  [312] = 192,
  [313] = 187,
  [314] = 188,
  [315] = 190,
  [316] = 173,
  [317] = 236,
  [318] = 318,
  [319] = 174,
  [320] = 318,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 364,
  [371] = 365,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 368,
  [376] = 376,
  [377] = 377,
  [378] = 364,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 372,
  [384] = 368,
  [385] = 385,
  [386] = 386,
  [387] = 373,
  [388] = 374,
  [389] = 366,
  [390] = 367,
  [391] = 391,
  [392] = 392,
  [393] = 382,
  [394] = 385,
  [395] = 385,
  [396] = 396,
  [397] = 364,
  [398] = 391,
  [399] = 399,
  [400] = 365,
  [401] = 401,
  [402] = 372,
  [403] = 377,
  [404] = 373,
  [405] = 382,
  [406] = 362,
  [407] = 382,
  [408] = 373,
  [409] = 372,
  [410] = 365,
  [411] = 385,
  [412] = 374,
  [413] = 366,
  [414] = 414,
  [415] = 367,
  [416] = 368,
  [417] = 366,
  [418] = 374,
  [419] = 367,
  [420] = 361,
  [421] = 421,
  [422] = 421,
  [423] = 368,
  [424] = 369,
  [425] = 425,
  [426] = 374,
  [427] = 427,
  [428] = 367,
  [429] = 366,
  [430] = 386,
  [431] = 431,
  [432] = 374,
  [433] = 385,
  [434] = 401,
  [435] = 399,
  [436] = 364,
  [437] = 382,
  [438] = 368,
  [439] = 373,
  [440] = 372,
  [441] = 365,
  [442] = 442,
  [443] = 364,
  [444] = 427,
  [445] = 382,
  [446] = 446,
  [447] = 385,
  [448] = 373,
  [449] = 372,
  [450] = 365,
  [451] = 425,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 249,
  [462] = 250,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 248,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 245,
  [473] = 473,
  [474] = 251,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 243,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 322,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 301,
  [506] = 506,
  [507] = 507,
  [508] = 234,
  [509] = 509,
  [510] = 510,
  [511] = 321,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 341,
  [517] = 325,
  [518] = 324,
  [519] = 519,
  [520] = 343,
  [521] = 346,
  [522] = 347,
  [523] = 523,
  [524] = 524,
  [525] = 349,
  [526] = 526,
  [527] = 350,
  [528] = 351,
  [529] = 332,
  [530] = 252,
  [531] = 531,
  [532] = 358,
  [533] = 533,
  [534] = 323,
  [535] = 354,
  [536] = 344,
  [537] = 537,
  [538] = 247,
  [539] = 329,
  [540] = 328,
  [541] = 327,
  [542] = 340,
  [543] = 348,
  [544] = 544,
  [545] = 545,
  [546] = 353,
  [547] = 547,
  [548] = 339,
  [549] = 355,
  [550] = 550,
  [551] = 359,
  [552] = 356,
  [553] = 326,
  [554] = 335,
  [555] = 342,
  [556] = 336,
  [557] = 334,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 333,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 104,
  [589] = 112,
  [590] = 104,
  [591] = 104,
  [592] = 112,
  [593] = 593,
  [594] = 111,
  [595] = 595,
  [596] = 596,
  [597] = 112,
  [598] = 598,
  [599] = 598,
  [600] = 115,
  [601] = 130,
  [602] = 142,
  [603] = 117,
  [604] = 116,
  [605] = 119,
  [606] = 118,
  [607] = 607,
  [608] = 608,
  [609] = 607,
  [610] = 608,
  [611] = 151,
  [612] = 129,
  [613] = 128,
  [614] = 608,
  [615] = 608,
  [616] = 127,
  [617] = 608,
  [618] = 125,
  [619] = 141,
  [620] = 135,
  [621] = 136,
  [622] = 137,
  [623] = 139,
  [624] = 141,
  [625] = 153,
  [626] = 128,
  [627] = 129,
  [628] = 138,
  [629] = 140,
  [630] = 131,
  [631] = 130,
  [632] = 127,
  [633] = 151,
  [634] = 125,
  [635] = 142,
  [636] = 154,
  [637] = 133,
  [638] = 139,
  [639] = 137,
  [640] = 126,
  [641] = 132,
  [642] = 135,
  [643] = 136,
  [644] = 644,
  [645] = 645,
  [646] = 175,
  [647] = 181,
  [648] = 173,
  [649] = 178,
  [650] = 186,
  [651] = 166,
  [652] = 652,
  [653] = 192,
  [654] = 190,
  [655] = 174,
  [656] = 188,
  [657] = 187,
  [658] = 115,
  [659] = 659,
  [660] = 660,
  [661] = 115,
  [662] = 662,
  [663] = 663,
  [664] = 117,
  [665] = 665,
  [666] = 666,
  [667] = 667,
  [668] = 666,
  [669] = 669,
  [670] = 670,
  [671] = 118,
  [672] = 672,
  [673] = 667,
  [674] = 116,
  [675] = 667,
  [676] = 119,
  [677] = 131,
  [678] = 678,
  [679] = 140,
  [680] = 153,
  [681] = 154,
  [682] = 682,
  [683] = 683,
  [684] = 138,
  [685] = 132,
  [686] = 678,
  [687] = 687,
  [688] = 126,
  [689] = 133,
  [690] = 690,
  [691] = 691,
  [692] = 678,
  [693] = 166,
  [694] = 173,
  [695] = 695,
  [696] = 696,
  [697] = 697,
  [698] = 114,
  [699] = 181,
  [700] = 186,
  [701] = 187,
  [702] = 188,
  [703] = 190,
  [704] = 186,
  [705] = 175,
  [706] = 192,
  [707] = 113,
  [708] = 241,
  [709] = 192,
  [710] = 187,
  [711] = 242,
  [712] = 712,
  [713] = 114,
  [714] = 188,
  [715] = 695,
  [716] = 174,
  [717] = 244,
  [718] = 718,
  [719] = 190,
  [720] = 113,
  [721] = 721,
  [722] = 722,
  [723] = 723,
  [724] = 724,
  [725] = 725,
  [726] = 726,
  [727] = 727,
  [728] = 728,
  [729] = 729,
  [730] = 730,
  [731] = 730,
  [732] = 732,
  [733] = 732,
  [734] = 734,
  [735] = 735,
  [736] = 736,
  [737] = 737,
  [738] = 738,
  [739] = 732,
  [740] = 734,
  [741] = 732,
  [742] = 281,
  [743] = 732,
  [744] = 744,
  [745] = 734,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 732,
  [750] = 750,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 734,
  [755] = 734,
  [756] = 756,
  [757] = 757,
  [758] = 758,
  [759] = 759,
  [760] = 760,
  [761] = 761,
  [762] = 762,
  [763] = 763,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 241,
  [778] = 242,
  [779] = 244,
  [780] = 780,
  [781] = 781,
  [782] = 782,
  [783] = 767,
  [784] = 784,
  [785] = 766,
  [786] = 786,
  [787] = 787,
  [788] = 788,
  [789] = 789,
  [790] = 790,
  [791] = 791,
  [792] = 792,
  [793] = 787,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 789,
  [799] = 799,
  [800] = 800,
  [801] = 790,
  [802] = 799,
  [803] = 803,
  [804] = 804,
  [805] = 789,
  [806] = 806,
  [807] = 789,
  [808] = 808,
  [809] = 789,
  [810] = 810,
  [811] = 808,
  [812] = 812,
  [813] = 752,
  [814] = 140,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 118,
  [819] = 363,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 452,
  [825] = 825,
  [826] = 826,
  [827] = 827,
  [828] = 118,
  [829] = 119,
  [830] = 830,
  [831] = 831,
  [832] = 116,
  [833] = 833,
  [834] = 830,
  [835] = 456,
  [836] = 836,
  [837] = 140,
  [838] = 838,
  [839] = 839,
  [840] = 836,
  [841] = 839,
  [842] = 842,
  [843] = 843,
  [844] = 844,
  [845] = 845,
  [846] = 846,
  [847] = 847,
  [848] = 696,
  [849] = 849,
  [850] = 845,
  [851] = 851,
  [852] = 852,
  [853] = 853,
  [854] = 847,
  [855] = 844,
  [856] = 856,
  [857] = 827,
  [858] = 847,
  [859] = 859,
  [860] = 860,
  [861] = 861,
  [862] = 844,
  [863] = 117,
  [864] = 844,
  [865] = 865,
  [866] = 847,
  [867] = 867,
  [868] = 860,
  [869] = 243,
  [870] = 870,
  [871] = 871,
  [872] = 844,
  [873] = 847,
  [874] = 874,
  [875] = 875,
  [876] = 876,
  [877] = 877,
  [878] = 878,
  [879] = 879,
  [880] = 234,
  [881] = 881,
  [882] = 882,
  [883] = 883,
  [884] = 884,
  [885] = 878,
  [886] = 886,
  [887] = 887,
  [888] = 888,
  [889] = 889,
  [890] = 890,
  [891] = 815,
  [892] = 889,
  [893] = 893,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 899,
  [900] = 900,
  [901] = 900,
  [902] = 902,
  [903] = 903,
  [904] = 889,
  [905] = 905,
  [906] = 906,
  [907] = 907,
  [908] = 908,
  [909] = 905,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 900,
  [919] = 726,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 889,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 930,
  [940] = 940,
  [941] = 900,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 900,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 889,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 961,
  [962] = 962,
  [963] = 931,
  [964] = 964,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 900,
  [970] = 970,
  [971] = 971,
  [972] = 210,
  [973] = 138,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 978,
  [979] = 979,
  [980] = 980,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 983,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 217,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 995,
  [1003] = 752,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 995,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 225,
  [1022] = 1000,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 983,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 995,
  [1030] = 995,
  [1031] = 1031,
  [1032] = 221,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1042,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 1045,
  [1046] = 1046,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1116,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 1126,
  [1127] = 1127,
  [1128] = 1128,
  [1129] = 1129,
  [1130] = 1130,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1111,
  [1135] = 1135,
  [1136] = 1091,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1101,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1145,
  [1146] = 1146,
  [1147] = 1147,
  [1148] = 1138,
  [1149] = 1149,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 1156,
  [1157] = 1157,
  [1158] = 1158,
  [1159] = 1159,
  [1160] = 1160,
  [1161] = 1161,
  [1162] = 1162,
  [1163] = 1098,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 1079,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1108,
  [1172] = 1172,
  [1173] = 1107,
  [1174] = 1106,
  [1175] = 1175,
  [1176] = 1106,
  [1177] = 1107,
  [1178] = 1108,
  [1179] = 1179,
  [1180] = 1180,
  [1181] = 1112,
  [1182] = 1113,
  [1183] = 1183,
  [1184] = 1184,
  [1185] = 1116,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 1113,
  [1189] = 1129,
  [1190] = 1130,
  [1191] = 1131,
  [1192] = 1132,
  [1193] = 1111,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 1199,
  [1200] = 1138,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1053,
  [1204] = 1133,
  [1205] = 1154,
  [1206] = 1206,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 1160,
  [1210] = 1210,
  [1211] = 1106,
  [1212] = 1107,
  [1213] = 1108,
  [1214] = 1214,
  [1215] = 1132,
  [1216] = 1112,
  [1217] = 1113,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1116,
  [1221] = 1131,
  [1222] = 1130,
  [1223] = 1129,
  [1224] = 1130,
  [1225] = 1131,
  [1226] = 1132,
  [1227] = 1111,
  [1228] = 1129,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 1154,
  [1232] = 1160,
  [1233] = 1233,
  [1234] = 1106,
  [1235] = 1107,
  [1236] = 1108,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1112,
  [1240] = 1113,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1116,
  [1244] = 1124,
  [1245] = 1245,
  [1246] = 1129,
  [1247] = 1130,
  [1248] = 1131,
  [1249] = 1132,
  [1250] = 1111,
  [1251] = 1251,
  [1252] = 1252,
  [1253] = 1253,
  [1254] = 1160,
  [1255] = 1106,
  [1256] = 1107,
  [1257] = 1108,
  [1258] = 1116,
  [1259] = 1132,
  [1260] = 1108,
  [1261] = 1132,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1170,
  [1265] = 1169,
  [1266] = 1266,
  [1267] = 1063,
  [1268] = 1268,
  [1269] = 1160,
  [1270] = 1270,
  [1271] = 1271,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 1159,
  [1276] = 1158,
  [1277] = 1277,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1282,
  [1283] = 1283,
  [1284] = 1284,
  [1285] = 1123,
  [1286] = 1286,
  [1287] = 1287,
  [1288] = 1154,
  [1289] = 1289,
  [1290] = 1112,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 1293,
  [1294] = 1294,
  [1295] = 1295,
  [1296] = 1296,
  [1297] = 1279,
  [1298] = 1298,
  [1299] = 1170,
  [1300] = 1169,
  [1301] = 1301,
  [1302] = 1280,
  [1303] = 1118,
  [1304] = 1304,
  [1305] = 1305,
  [1306] = 1170,
  [1307] = 1169,
  [1308] = 1152,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1170,
  [1312] = 1169,
  [1313] = 1313,
  [1314] = 1059,
  [1315] = 1058,
  [1316] = 1053,
  [1317] = 1317,
  [1318] = 1318,
  [1319] = 1319,
  [1320] = 1280,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 1323,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(324);
      ADVANCE_MAP(
        '!', 375,
        '"', 326,
        '#', 411,
        '$', 406,
        '%', 412,
        '&', 343,
        '\'', 413,
        '(', 339,
        ')', 340,
        '*', 404,
        '+', 373,
        ',', 344,
        '-', 386,
        '.', 407,
        '/', 357,
        '0', 374,
        ':', 325,
        ';', 371,
        '<', 399,
        '=', 377,
        '>', 400,
        '@', 369,
        '[', 358,
      );
      if (lookahead == '\\') SKIP(322);
      if (lookahead == ']') ADVANCE(359);
      if (lookahead == '^') ADVANCE(405);
      if (lookahead == '_') ADVANCE(242);
      if (lookahead == 'a') ADVANCE(503);
      if (lookahead == 'b') ADVANCE(455);
      if (lookahead == 'd') ADVANCE(474);
      if (lookahead == 'e') ADVANCE(561);
      if (lookahead == 'h') ADVANCE(475);
      if (lookahead == 'l') ADVANCE(525);
      if (lookahead == 'r') ADVANCE(476);
      if (lookahead == 't') ADVANCE(530);
      if (lookahead == '{') ADVANCE(367);
      if (lookahead == '|') ADVANCE(342);
      if (lookahead == '}') ADVANCE(368);
      if (lookahead == '~') ADVANCE(410);
      if (lookahead == 0xac) ADVANCE(423);
      if (lookahead == 0x2080) ADVANCE(575);
      if (lookahead == 0x2081) ADVANCE(576);
      if (lookahead == 0x2082) ADVANCE(577);
      if (lookahead == 0x2083) ADVANCE(578);
      if (lookahead == 0x2084) ADVANCE(579);
      if (lookahead == 0x2085) ADVANCE(580);
      if (lookahead == 0x2086) ADVANCE(581);
      if (lookahead == 0x2087) ADVANCE(582);
      if (lookahead == 0x2088) ADVANCE(583);
      if (lookahead == 0x2089) ADVANCE(584);
      if (lookahead == 0x21d2) ADVANCE(420);
      if (lookahead == 0x21d4) ADVANCE(418);
      if (lookahead == 0x2200) ADVANCE(426);
      if (lookahead == 0x2203) ADVANCE(425);
      if (lookahead == 0x2225) ADVANCE(396);
      if (lookahead == 0x2227) ADVANCE(422);
      if (lookahead == 0x2228) ADVANCE(421);
      if (lookahead == 0x228f) ADVANCE(424);
      if (lookahead == 0x2295) ADVANCE(403);
      if (lookahead == 0x22a4) ADVANCE(428);
      if (lookahead == 0x22a5) ADVANCE(427);
      if (lookahead == 0x25b6) ADVANCE(394);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(0);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(26);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(26);
      if (lookahead == '\r') SKIP(1);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(28);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(28);
      if (lookahead == '\r') SKIP(3);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(29);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(29);
      if (lookahead == '\r') SKIP(5);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(27);
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(27);
      if (lookahead == '\r') SKIP(7);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(30);
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(30);
      if (lookahead == '\r') SKIP(9);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(33);
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(33);
      if (lookahead == '\r') SKIP(11);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(34);
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(34);
      if (lookahead == '\r') SKIP(13);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(31);
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(31);
      if (lookahead == '\r') SKIP(15);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(57);
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(57);
      if (lookahead == '\r') SKIP(17);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(58);
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(58);
      if (lookahead == '\r') SKIP(19);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(32);
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(32);
      if (lookahead == '\r') SKIP(21);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(59);
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(59);
      if (lookahead == '\r') SKIP(23);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(25);
      if (lookahead == '\\') ADVANCE(414);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) ADVANCE(415);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(416);
      END_STATE();
    case 26:
      ADVANCE_MAP(
        '!', 375,
        '"', 326,
        '#', 411,
        '$', 406,
        '%', 412,
        '\'', 413,
        '(', 338,
        ')', 340,
        '*', 404,
        '+', 373,
        ',', 344,
        '-', 385,
        '.', 407,
        '/', 357,
        ':', 325,
        '<', 397,
        '=', 331,
        '>', 400,
        '[', 358,
      );
      if (lookahead == '\\') SKIP(2);
      if (lookahead == ']') ADVANCE(359);
      if (lookahead == '^') ADVANCE(405);
      if (lookahead == '_') ADVANCE(242);
      if (lookahead == 'a') ADVANCE(502);
      if (lookahead == 'b') ADVANCE(455);
      if (lookahead == 'd') ADVANCE(474);
      if (lookahead == 'e') ADVANCE(561);
      if (lookahead == 'l') ADVANCE(525);
      if (lookahead == 'n') ADVANCE(462);
      if (lookahead == 'r') ADVANCE(476);
      if (lookahead == 's') ADVANCE(562);
      if (lookahead == '{') ADVANCE(366);
      if (lookahead == '|') ADVANCE(342);
      if (lookahead == '}') ADVANCE(368);
      if (lookahead == '~') ADVANCE(409);
      if (lookahead == 0xac) ADVANCE(423);
      if (lookahead == 0x2080) ADVANCE(575);
      if (lookahead == 0x2081) ADVANCE(576);
      if (lookahead == 0x2082) ADVANCE(577);
      if (lookahead == 0x2083) ADVANCE(578);
      if (lookahead == 0x2084) ADVANCE(579);
      if (lookahead == 0x2085) ADVANCE(580);
      if (lookahead == 0x2086) ADVANCE(581);
      if (lookahead == 0x2087) ADVANCE(582);
      if (lookahead == 0x2088) ADVANCE(583);
      if (lookahead == 0x2089) ADVANCE(584);
      if (lookahead == 0x2200) ADVANCE(426);
      if (lookahead == 0x2203) ADVANCE(425);
      if (lookahead == 0x2295) ADVANCE(403);
      if (lookahead == 0x22a4) ADVANCE(428);
      if (lookahead == 0x22a5) ADVANCE(427);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(26);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 27:
      ADVANCE_MAP(
        '!', 375,
        '"', 326,
        '#', 94,
        '%', 39,
        '&', 343,
        '(', 338,
        ')', 340,
        '*', 404,
        '+', 373,
        ',', 344,
        '.', 407,
        ':', 325,
        '<', 399,
        '=', 332,
        '@', 369,
        '[', 358,
      );
      if (lookahead == '\\') SKIP(8);
      if (lookahead == ']') ADVANCE(43);
      if (lookahead == '^') ADVANCE(405);
      if (lookahead == '_') ADVANCE(242);
      if (lookahead == '{') ADVANCE(366);
      if (lookahead == '|') ADVANCE(342);
      if (lookahead == '~') ADVANCE(320);
      if (lookahead == 0x21d2) ADVANCE(420);
      if (lookahead == 0x21d4) ADVANCE(418);
      if (lookahead == 0x2225) ADVANCE(396);
      if (lookahead == 0x2227) ADVANCE(422);
      if (lookahead == 0x2228) ADVANCE(421);
      if (lookahead == 0x228f) ADVANCE(424);
      if (lookahead == 0x2295) ADVANCE(403);
      if (lookahead == 0x25b6) ADVANCE(394);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(27);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 28:
      ADVANCE_MAP(
        '!', 375,
        '"', 326,
        '$', 406,
        '%', 412,
        '\'', 413,
        '(', 338,
        '*', 404,
        '+', 373,
        ',', 344,
        '-', 40,
        '.', 407,
        '0', 374,
        ':', 325,
        ';', 371,
        '<', 397,
        '=', 331,
        '@', 369,
        '[', 358,
      );
      if (lookahead == '\\') SKIP(4);
      if (lookahead == ']') ADVANCE(43);
      if (lookahead == '^') ADVANCE(405);
      if (lookahead == '{') ADVANCE(366);
      if (lookahead == '|') ADVANCE(342);
      if (lookahead == '~') ADVANCE(409);
      if (lookahead == 0x2295) ADVANCE(403);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(28);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 29:
      ADVANCE_MAP(
        '"', 326,
        '#', 94,
        '$', 406,
        '%', 412,
        '&', 343,
        '\'', 413,
        '(', 338,
        ')', 340,
        '*', 404,
        '+', 373,
        ',', 344,
        '.', 407,
        ':', 325,
        ';', 371,
        '<', 397,
        '=', 331,
        '>', 400,
        '@', 369,
        '[', 358,
      );
      if (lookahead == '\\') SKIP(6);
      if (lookahead == ']') ADVANCE(359);
      if (lookahead == '^') ADVANCE(405);
      if (lookahead == 'a') ADVANCE(545);
      if (lookahead == 'b') ADVANCE(455);
      if (lookahead == 'd') ADVANCE(474);
      if (lookahead == 'l') ADVANCE(525);
      if (lookahead == 'n') ADVANCE(462);
      if (lookahead == 'r') ADVANCE(476);
      if (lookahead == 's') ADVANCE(562);
      if (lookahead == 't') ADVANCE(530);
      if (lookahead == '{') ADVANCE(366);
      if (lookahead == '|') ADVANCE(342);
      if (lookahead == '}') ADVANCE(368);
      if (lookahead == '~') ADVANCE(409);
      if (lookahead == 0x2295) ADVANCE(403);
      if (lookahead == 0x25b6) ADVANCE(394);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(29);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('c' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 30:
      ADVANCE_MAP(
        '"', 326,
        '#', 94,
        '%', 39,
        '&', 343,
        '(', 338,
        ')', 340,
        '*', 404,
        '+', 373,
        ',', 344,
        '.', 407,
        ':', 325,
        '<', 399,
        '=', 377,
        '@', 369,
        '[', 358,
      );
      if (lookahead == '\\') SKIP(10);
      if (lookahead == '^') ADVANCE(405);
      if (lookahead == '{') ADVANCE(366);
      if (lookahead == '|') ADVANCE(342);
      if (lookahead == 0x21d2) ADVANCE(420);
      if (lookahead == 0x21d4) ADVANCE(418);
      if (lookahead == 0x2225) ADVANCE(396);
      if (lookahead == 0x2227) ADVANCE(422);
      if (lookahead == 0x2228) ADVANCE(421);
      if (lookahead == 0x228f) ADVANCE(424);
      if (lookahead == 0x2295) ADVANCE(403);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(30);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 31:
      ADVANCE_MAP(
        '#', 411,
        '$', 406,
        '%', 412,
        '(', 339,
        '*', 404,
        '+', 373,
        '.', 407,
        ':', 325,
        '<', 398,
        '=', 376,
      );
      if (lookahead == '\\') SKIP(16);
      if (lookahead == '^') ADVANCE(405);
      if (lookahead == '{') ADVANCE(366);
      if (lookahead == '~') ADVANCE(408);
      if (lookahead == 0x228f) ADVANCE(424);
      if (lookahead == 0x2295) ADVANCE(403);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(31);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 32:
      if (lookahead == '#') ADVANCE(411);
      if (lookahead == '\'') ADVANCE(413);
      if (lookahead == '\\') SKIP(22);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(32);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(434);
      END_STATE();
    case 33:
      ADVANCE_MAP(
        '#', 94,
        '%', 412,
        '(', 338,
        ')', 340,
        '*', 404,
        '+', 373,
        ',', 344,
        '.', 407,
        ':', 325,
        ';', 371,
        '<', 398,
        '=', 331,
        '>', 400,
      );
      if (lookahead == '\\') SKIP(12);
      if (lookahead == '^') ADVANCE(405);
      if (lookahead == '{') ADVANCE(366);
      if (lookahead == '|') ADVANCE(342);
      if (lookahead == '}') ADVANCE(368);
      if (lookahead == 0x228f) ADVANCE(424);
      if (lookahead == 0x2295) ADVANCE(403);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(33);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 34:
      ADVANCE_MAP(
        '%', 39,
        '&', 343,
        '(', 339,
        '*', 404,
        '+', 373,
        '.', 407,
        ':', 325,
        '<', 399,
        '=', 377,
        '@', 369,
        '[', 358,
      );
      if (lookahead == '\\') SKIP(14);
      if (lookahead == '^') ADVANCE(405);
      if (lookahead == '{') ADVANCE(366);
      if (lookahead == '|') ADVANCE(341);
      if (lookahead == 0x21d2) ADVANCE(420);
      if (lookahead == 0x21d4) ADVANCE(418);
      if (lookahead == 0x2227) ADVANCE(422);
      if (lookahead == 0x2228) ADVANCE(421);
      if (lookahead == 0x228f) ADVANCE(424);
      if (lookahead == 0x2295) ADVANCE(403);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(34);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 35:
      if (lookahead == ')') ADVANCE(378);
      END_STATE();
    case 36:
      if (lookahead == '*') ADVANCE(38);
      END_STATE();
    case 37:
      if (lookahead == '*') ADVANCE(37);
      if (lookahead == '}') ADVANCE(585);
      if (lookahead != 0) ADVANCE(38);
      END_STATE();
    case 38:
      if (lookahead == '*') ADVANCE(37);
      if (lookahead != 0) ADVANCE(38);
      END_STATE();
    case 39:
      if (lookahead == '+') ADVANCE(402);
      END_STATE();
    case 40:
      if (lookahead == '-') ADVANCE(52);
      END_STATE();
    case 41:
      if (lookahead == '-') ADVANCE(274);
      END_STATE();
    case 42:
      if (lookahead == '-') ADVANCE(214);
      END_STATE();
    case 43:
      if (lookahead == '-') ADVANCE(56);
      END_STATE();
    case 44:
      if (lookahead == '-') ADVANCE(107);
      END_STATE();
    case 45:
      if (lookahead == '-') ADVANCE(220);
      END_STATE();
    case 46:
      if (lookahead == '-') ADVANCE(235);
      END_STATE();
    case 47:
      if (lookahead == '-') ADVANCE(173);
      END_STATE();
    case 48:
      if (lookahead == '-') ADVANCE(120);
      END_STATE();
    case 49:
      if (lookahead == '-') ADVANCE(298);
      END_STATE();
    case 50:
      if (lookahead == '-') ADVANCE(91);
      END_STATE();
    case 51:
      if (lookahead == '-') ADVANCE(124);
      END_STATE();
    case 52:
      if (lookahead == '>') ADVANCE(370);
      if (lookahead == '[') ADVANCE(380);
      if (lookahead == 'a') ADVANCE(309);
      if (lookahead == 's') ADVANCE(283);
      END_STATE();
    case 53:
      if (lookahead == '>') ADVANCE(360);
      END_STATE();
    case 54:
      if (lookahead == '>') ADVANCE(419);
      END_STATE();
    case 55:
      if (lookahead == '>') ADVANCE(395);
      END_STATE();
    case 56:
      if (lookahead == '>') ADVANCE(381);
      END_STATE();
    case 57:
      if (lookahead == '\\') SKIP(18);
      if (lookahead == ']') ADVANCE(359);
      if (lookahead == 'h') ADVANCE(475);
      if (lookahead == 'o') ADVANCE(557);
      if (lookahead == '{') ADVANCE(36);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(57);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 58:
      if (lookahead == '\\') SKIP(20);
      if (lookahead == ']') ADVANCE(359);
      if (lookahead == 'c') ADVANCE(527);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(58);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 59:
      if (lookahead == '\\') SKIP(24);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(59);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(574);
      END_STATE();
    case 60:
      if (lookahead == 'a') ADVANCE(169);
      if (lookahead == 'c') ADVANCE(219);
      if (lookahead == 'p') ADVANCE(250);
      if (lookahead == 's') ADVANCE(289);
      END_STATE();
    case 61:
      if (lookahead == 'a') ADVANCE(265);
      if (lookahead == 'p') ADVANCE(62);
      if (lookahead == 's') ADVANCE(145);
      END_STATE();
    case 62:
      if (lookahead == 'a') ADVANCE(149);
      END_STATE();
    case 63:
      if (lookahead == 'a') ADVANCE(86);
      END_STATE();
    case 64:
      if (lookahead == 'a') ADVANCE(171);
      END_STATE();
    case 65:
      if (lookahead == 'a') ADVANCE(81);
      END_STATE();
    case 66:
      if (lookahead == 'a') ADVANCE(198);
      END_STATE();
    case 67:
      if (lookahead == 'a') ADVANCE(247);
      END_STATE();
    case 68:
      if (lookahead == 'a') ADVANCE(184);
      END_STATE();
    case 69:
      if (lookahead == 'a') ADVANCE(292);
      END_STATE();
    case 70:
      if (lookahead == 'a') ADVANCE(297);
      END_STATE();
    case 71:
      if (lookahead == 'a') ADVANCE(84);
      END_STATE();
    case 72:
      if (lookahead == 'a') ADVANCE(156);
      END_STATE();
    case 73:
      if (lookahead == 'a') ADVANCE(207);
      END_STATE();
    case 74:
      if (lookahead == 'a') ADVANCE(300);
      END_STATE();
    case 75:
      if (lookahead == 'b') ADVANCE(119);
      END_STATE();
    case 76:
      if (lookahead == 'c') ADVANCE(141);
      END_STATE();
    case 77:
      if (lookahead == 'c') ADVANCE(139);
      END_STATE();
    case 78:
      if (lookahead == 'c') ADVANCE(284);
      END_STATE();
    case 79:
      if (lookahead == 'c') ADVANCE(48);
      END_STATE();
    case 80:
      if (lookahead == 'c') ADVANCE(142);
      END_STATE();
    case 81:
      if (lookahead == 'c') ADVANCE(100);
      END_STATE();
    case 82:
      if (lookahead == 'c') ADVANCE(170);
      END_STATE();
    case 83:
      if (lookahead == 'c') ADVANCE(245);
      END_STATE();
    case 84:
      if (lookahead == 'c') ADVANCE(101);
      END_STATE();
    case 85:
      if (lookahead == 'c') ADVANCE(102);
      END_STATE();
    case 86:
      if (lookahead == 'c') ADVANCE(110);
      END_STATE();
    case 87:
      if (lookahead == 'c') ADVANCE(115);
      END_STATE();
    case 88:
      if (lookahead == 'c') ADVANCE(261);
      END_STATE();
    case 89:
      if (lookahead == 'c') ADVANCE(262);
      END_STATE();
    case 90:
      if (lookahead == 'c') ADVANCE(263);
      END_STATE();
    case 91:
      if (lookahead == 'c') ADVANCE(143);
      END_STATE();
    case 92:
      if (lookahead == 'c') ADVANCE(51);
      END_STATE();
    case 93:
      if (lookahead == 'd') ADVANCE(147);
      END_STATE();
    case 94:
      if (lookahead == 'd') ADVANCE(103);
      if (lookahead == 'e') ADVANCE(175);
      if (lookahead == 'i') ADVANCE(130);
      END_STATE();
    case 95:
      if (lookahead == 'd') ADVANCE(109);
      END_STATE();
    case 96:
      if (lookahead == 'd') ADVANCE(106);
      END_STATE();
    case 97:
      if (lookahead == 'e') ADVANCE(273);
      END_STATE();
    case 98:
      if (lookahead == 'e') ADVANCE(241);
      END_STATE();
    case 99:
      if (lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 100:
      if (lookahead == 'e') ADVANCE(391);
      END_STATE();
    case 101:
      if (lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 102:
      if (lookahead == 'e') ADVANCE(392);
      END_STATE();
    case 103:
      if (lookahead == 'e') ADVANCE(131);
      END_STATE();
    case 104:
      if (lookahead == 'e') ADVANCE(334);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(336);
      END_STATE();
    case 106:
      if (lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 107:
      if (lookahead == 'e') ADVANCE(312);
      END_STATE();
    case 108:
      if (lookahead == 'e') ADVANCE(231);
      END_STATE();
    case 109:
      if (lookahead == 'e') ADVANCE(129);
      END_STATE();
    case 110:
      if (lookahead == 'e') ADVANCE(266);
      END_STATE();
    case 111:
      if (lookahead == 'e') ADVANCE(67);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(166);
      END_STATE();
    case 113:
      if (lookahead == 'e') ADVANCE(45);
      END_STATE();
    case 114:
      if (lookahead == 'e') ADVANCE(174);
      END_STATE();
    case 115:
      if (lookahead == 'e') ADVANCE(267);
      END_STATE();
    case 116:
      if (lookahead == 'e') ADVANCE(278);
      END_STATE();
    case 117:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 118:
      if (lookahead == 'e') ADVANCE(256);
      END_STATE();
    case 119:
      if (lookahead == 'e') ADVANCE(253);
      END_STATE();
    case 120:
      if (lookahead == 'e') ADVANCE(200);
      END_STATE();
    case 121:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 122:
      if (lookahead == 'e') ADVANCE(295);
      END_STATE();
    case 123:
      if (lookahead == 'e') ADVANCE(279);
      END_STATE();
    case 124:
      if (lookahead == 'e') ADVANCE(209);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(210);
      END_STATE();
    case 126:
      if (lookahead == 'e') ADVANCE(211);
      END_STATE();
    case 127:
      if (lookahead == 'e') ADVANCE(303);
      END_STATE();
    case 128:
      if (lookahead == 'f') ADVANCE(335);
      END_STATE();
    case 129:
      if (lookahead == 'f') ADVANCE(333);
      END_STATE();
    case 130:
      if (lookahead == 'f') ADVANCE(95);
      if (lookahead == 'n') ADVANCE(82);
      END_STATE();
    case 131:
      if (lookahead == 'f') ADVANCE(158);
      END_STATE();
    case 132:
      if (lookahead == 'g') ADVANCE(353);
      END_STATE();
    case 133:
      if (lookahead == 'g') ADVANCE(354);
      END_STATE();
    case 134:
      if (lookahead == 'g') ADVANCE(348);
      END_STATE();
    case 135:
      if (lookahead == 'g') ADVANCE(350);
      END_STATE();
    case 136:
      if (lookahead == 'g') ADVANCE(194);
      END_STATE();
    case 137:
      if (lookahead == 'g') ADVANCE(206);
      END_STATE();
    case 138:
      if (lookahead == 'g') ADVANCE(259);
      END_STATE();
    case 139:
      if (lookahead == 'h') ADVANCE(393);
      END_STATE();
    case 140:
      if (lookahead == 'h') ADVANCE(99);
      END_STATE();
    case 141:
      if (lookahead == 'h') ADVANCE(66);
      END_STATE();
    case 142:
      if (lookahead == 'h') ADVANCE(252);
      END_STATE();
    case 143:
      if (lookahead == 'h') ADVANCE(73);
      END_STATE();
    case 144:
      if (lookahead == 'i') ADVANCE(78);
      END_STATE();
    case 145:
      if (lookahead == 'i') ADVANCE(136);
      if (lookahead == 'y') ADVANCE(177);
      END_STATE();
    case 146:
      if (lookahead == 'i') ADVANCE(311);
      END_STATE();
    case 147:
      if (lookahead == 'i') ADVANCE(128);
      END_STATE();
    case 148:
      if (lookahead == 'i') ADVANCE(190);
      END_STATE();
    case 149:
      if (lookahead == 'i') ADVANCE(246);
      END_STATE();
    case 150:
      if (lookahead == 'i') ADVANCE(192);
      END_STATE();
    case 151:
      if (lookahead == 'i') ADVANCE(180);
      END_STATE();
    case 152:
      if (lookahead == 'i') ADVANCE(79);
      END_STATE();
    case 153:
      if (lookahead == 'i') ADVANCE(193);
      END_STATE();
    case 154:
      if (lookahead == 'i') ADVANCE(196);
      END_STATE();
    case 155:
      if (lookahead == 'i') ADVANCE(282);
      END_STATE();
    case 156:
      if (lookahead == 'i') ADVANCE(251);
      END_STATE();
    case 157:
      if (lookahead == 'i') ADVANCE(225);
      END_STATE();
    case 158:
      if (lookahead == 'i') ADVANCE(205);
      END_STATE();
    case 159:
      if (lookahead == 'i') ADVANCE(226);
      END_STATE();
    case 160:
      if (lookahead == 'i') ADVANCE(227);
      END_STATE();
    case 161:
      if (lookahead == 'i') ADVANCE(228);
      END_STATE();
    case 162:
      if (lookahead == 'i') ADVANCE(229);
      END_STATE();
    case 163:
      if (lookahead == 'i') ADVANCE(137);
      END_STATE();
    case 164:
      if (lookahead == 'i') ADVANCE(92);
      END_STATE();
    case 165:
      if (lookahead == 'k') ADVANCE(306);
      END_STATE();
    case 166:
      if (lookahead == 'l') ADVANCE(352);
      END_STATE();
    case 167:
      if (lookahead == 'l') ADVANCE(168);
      END_STATE();
    case 168:
      if (lookahead == 'l') ADVANCE(181);
      END_STATE();
    case 169:
      if (lookahead == 'l') ADVANCE(172);
      if (lookahead == 's') ADVANCE(314);
      END_STATE();
    case 170:
      if (lookahead == 'l') ADVANCE(310);
      END_STATE();
    case 171:
      if (lookahead == 'l') ADVANCE(117);
      END_STATE();
    case 172:
      if (lookahead == 'l') ADVANCE(215);
      END_STATE();
    case 173:
      if (lookahead == 'l') ADVANCE(223);
      END_STATE();
    case 174:
      if (lookahead == 'l') ADVANCE(271);
      END_STATE();
    case 175:
      if (lookahead == 'l') ADVANCE(280);
      if (lookahead == 'n') ADVANCE(93);
      END_STATE();
    case 176:
      if (lookahead == 'm') ADVANCE(75);
      END_STATE();
    case 177:
      if (lookahead == 'm') ADVANCE(178);
      END_STATE();
    case 178:
      if (lookahead == 'm') ADVANCE(122);
      END_STATE();
    case 179:
      if (lookahead == 'm') ADVANCE(236);
      END_STATE();
    case 180:
      if (lookahead == 'm') ADVANCE(155);
      END_STATE();
    case 181:
      if (lookahead == 'm') ADVANCE(68);
      END_STATE();
    case 182:
      if (lookahead == 'm') ADVANCE(127);
      END_STATE();
    case 183:
      if (lookahead == 'm') ADVANCE(182);
      END_STATE();
    case 184:
      if (lookahead == 'n') ADVANCE(345);
      END_STATE();
    case 185:
      if (lookahead == 'n') ADVANCE(355);
      END_STATE();
    case 186:
      if (lookahead == 'n') ADVANCE(356);
      END_STATE();
    case 187:
      if (lookahead == 'n') ADVANCE(361);
      END_STATE();
    case 188:
      if (lookahead == 'n') ADVANCE(346);
      END_STATE();
    case 189:
      if (lookahead == 'n') ADVANCE(347);
      END_STATE();
    case 190:
      if (lookahead == 'n') ADVANCE(132);
      END_STATE();
    case 191:
      if (lookahead == 'n') ADVANCE(49);
      END_STATE();
    case 192:
      if (lookahead == 'n') ADVANCE(133);
      END_STATE();
    case 193:
      if (lookahead == 'n') ADVANCE(134);
      END_STATE();
    case 194:
      if (lookahead == 'n') ADVANCE(150);
      END_STATE();
    case 195:
      if (lookahead == 'n') ADVANCE(307);
      END_STATE();
    case 196:
      if (lookahead == 'n') ADVANCE(135);
      END_STATE();
    case 197:
      if (lookahead == 'n') ADVANCE(80);
      END_STATE();
    case 198:
      if (lookahead == 'n') ADVANCE(201);
      END_STATE();
    case 199:
      if (lookahead == 'n') ADVANCE(47);
      END_STATE();
    case 200:
      if (lookahead == 'n') ADVANCE(83);
      END_STATE();
    case 201:
      if (lookahead == 'n') ADVANCE(112);
      END_STATE();
    case 202:
      if (lookahead == 'n') ADVANCE(218);
      END_STATE();
    case 203:
      if (lookahead == 'n') ADVANCE(293);
      END_STATE();
    case 204:
      if (lookahead == 'n') ADVANCE(114);
      END_STATE();
    case 205:
      if (lookahead == 'n') ADVANCE(105);
      END_STATE();
    case 206:
      if (lookahead == 'n') ADVANCE(154);
      END_STATE();
    case 207:
      if (lookahead == 'n') ADVANCE(204);
      END_STATE();
    case 208:
      if (lookahead == 'n') ADVANCE(85);
      END_STATE();
    case 209:
      if (lookahead == 'n') ADVANCE(88);
      END_STATE();
    case 210:
      if (lookahead == 'n') ADVANCE(89);
      END_STATE();
    case 211:
      if (lookahead == 'n') ADVANCE(90);
      END_STATE();
    case 212:
      if (lookahead == 'o') ADVANCE(230);
      END_STATE();
    case 213:
      if (lookahead == 'o') ADVANCE(41);
      END_STATE();
    case 214:
      if (lookahead == 'o') ADVANCE(191);
      END_STATE();
    case 215:
      if (lookahead == 'o') ADVANCE(313);
      END_STATE();
    case 216:
      if (lookahead == 'o') ADVANCE(165);
      END_STATE();
    case 217:
      if (lookahead == 'o') ADVANCE(305);
      END_STATE();
    case 218:
      if (lookahead == 'o') ADVANCE(308);
      END_STATE();
    case 219:
      if (lookahead == 'o') ADVANCE(179);
      END_STATE();
    case 220:
      if (lookahead == 'o') ADVANCE(232);
      END_STATE();
    case 221:
      if (lookahead == 'o') ADVANCE(138);
      END_STATE();
    case 222:
      if (lookahead == 'o') ADVANCE(248);
      END_STATE();
    case 223:
      if (lookahead == 'o') ADVANCE(216);
      END_STATE();
    case 224:
      if (lookahead == 'o') ADVANCE(202);
      END_STATE();
    case 225:
      if (lookahead == 'o') ADVANCE(185);
      END_STATE();
    case 226:
      if (lookahead == 'o') ADVANCE(186);
      END_STATE();
    case 227:
      if (lookahead == 'o') ADVANCE(187);
      END_STATE();
    case 228:
      if (lookahead == 'o') ADVANCE(188);
      END_STATE();
    case 229:
      if (lookahead == 'o') ADVANCE(189);
      END_STATE();
    case 230:
      if (lookahead == 'p') ADVANCE(42);
      END_STATE();
    case 231:
      if (lookahead == 'p') ADVANCE(222);
      END_STATE();
    case 232:
      if (lookahead == 'p') ADVANCE(290);
      END_STATE();
    case 233:
      if (lookahead == 'p') ADVANCE(291);
      END_STATE();
    case 234:
      if (lookahead == 'p') ADVANCE(270);
      END_STATE();
    case 235:
      if (lookahead == 'p') ADVANCE(70);
      END_STATE();
    case 236:
      if (lookahead == 'p') ADVANCE(258);
      END_STATE();
    case 237:
      if (lookahead == 'p') ADVANCE(72);
      END_STATE();
    case 238:
      if (lookahead == 'p') ADVANCE(299);
      END_STATE();
    case 239:
      if (lookahead == 'p') ADVANCE(301);
      END_STATE();
    case 240:
      if (lookahead == 'p') ADVANCE(302);
      END_STATE();
    case 241:
      if (lookahead == 'q') ADVANCE(304);
      END_STATE();
    case 242:
      if (lookahead == 'r') ADVANCE(97);
      END_STATE();
    case 243:
      if (lookahead == 'r') ADVANCE(144);
      END_STATE();
    case 244:
      if (lookahead == 'r') ADVANCE(63);
      END_STATE();
    case 245:
      if (lookahead == 'r') ADVANCE(315);
      END_STATE();
    case 246:
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 247:
      if (lookahead == 'r') ADVANCE(77);
      END_STATE();
    case 248:
      if (lookahead == 'r') ADVANCE(285);
      END_STATE();
    case 249:
      if (lookahead == 'r') ADVANCE(108);
      END_STATE();
    case 250:
      if (lookahead == 'r') ADVANCE(221);
      END_STATE();
    case 251:
      if (lookahead == 'r') ADVANCE(153);
      END_STATE();
    case 252:
      if (lookahead == 'r') ADVANCE(224);
      END_STATE();
    case 253:
      if (lookahead == 'r') ADVANCE(272);
      END_STATE();
    case 254:
      if (lookahead == 'r') ADVANCE(152);
      END_STATE();
    case 255:
      if (lookahead == 'r') ADVANCE(65);
      END_STATE();
    case 256:
      if (lookahead == 'r') ADVANCE(199);
      END_STATE();
    case 257:
      if (lookahead == 'r') ADVANCE(71);
      END_STATE();
    case 258:
      if (lookahead == 'r') ADVANCE(116);
      END_STATE();
    case 259:
      if (lookahead == 'r') ADVANCE(123);
      END_STATE();
    case 260:
      if (lookahead == 'r') ADVANCE(87);
      END_STATE();
    case 261:
      if (lookahead == 'r') ADVANCE(316);
      END_STATE();
    case 262:
      if (lookahead == 'r') ADVANCE(317);
      END_STATE();
    case 263:
      if (lookahead == 'r') ADVANCE(318);
      END_STATE();
    case 264:
      if (lookahead == 'r') ADVANCE(164);
      END_STATE();
    case 265:
      if (lookahead == 's') ADVANCE(319);
      END_STATE();
    case 266:
      if (lookahead == 's') ADVANCE(390);
      END_STATE();
    case 267:
      if (lookahead == 's') ADVANCE(329);
      END_STATE();
    case 268:
      if (lookahead == 's') ADVANCE(362);
      END_STATE();
    case 269:
      if (lookahead == 's') ADVANCE(364);
      END_STATE();
    case 270:
      if (lookahead == 's') ADVANCE(365);
      END_STATE();
    case 271:
      if (lookahead == 's') ADVANCE(363);
      END_STATE();
    case 272:
      if (lookahead == 's') ADVANCE(349);
      END_STATE();
    case 273:
      if (lookahead == 's') ADVANCE(286);
      END_STATE();
    case 274:
      if (lookahead == 's') ADVANCE(217);
      END_STATE();
    case 275:
      if (lookahead == 's') ADVANCE(111);
      END_STATE();
    case 276:
      if (lookahead == 's') ADVANCE(163);
      END_STATE();
    case 277:
      if (lookahead == 's') ADVANCE(50);
      END_STATE();
    case 278:
      if (lookahead == 's') ADVANCE(281);
      END_STATE();
    case 279:
      if (lookahead == 's') ADVANCE(268);
      END_STATE();
    case 280:
      if (lookahead == 's') ADVANCE(104);
      END_STATE();
    case 281:
      if (lookahead == 's') ADVANCE(44);
      END_STATE();
    case 282:
      if (lookahead == 's') ADVANCE(74);
      END_STATE();
    case 283:
      if (lookahead == 't') ADVANCE(212);
      END_STATE();
    case 284:
      if (lookahead == 't') ADVANCE(384);
      END_STATE();
    case 285:
      if (lookahead == 't') ADVANCE(351);
      END_STATE();
    case 286:
      if (lookahead == 't') ADVANCE(243);
      END_STATE();
    case 287:
      if (lookahead == 't') ADVANCE(213);
      END_STATE();
    case 288:
      if (lookahead == 't') ADVANCE(244);
      END_STATE();
    case 289:
      if (lookahead == 't') ADVANCE(69);
      END_STATE();
    case 290:
      if (lookahead == 't') ADVANCE(151);
      END_STATE();
    case 291:
      if (lookahead == 't') ADVANCE(157);
      END_STATE();
    case 292:
      if (lookahead == 't') ADVANCE(113);
      END_STATE();
    case 293:
      if (lookahead == 't') ADVANCE(269);
      END_STATE();
    case 294:
      if (lookahead == 't') ADVANCE(118);
      END_STATE();
    case 295:
      if (lookahead == 't') ADVANCE(254);
      END_STATE();
    case 296:
      if (lookahead == 't') ADVANCE(255);
      END_STATE();
    case 297:
      if (lookahead == 't') ADVANCE(294);
      END_STATE();
    case 298:
      if (lookahead == 't') ADVANCE(257);
      END_STATE();
    case 299:
      if (lookahead == 't') ADVANCE(159);
      END_STATE();
    case 300:
      if (lookahead == 't') ADVANCE(160);
      END_STATE();
    case 301:
      if (lookahead == 't') ADVANCE(161);
      END_STATE();
    case 302:
      if (lookahead == 't') ADVANCE(162);
      END_STATE();
    case 303:
      if (lookahead == 't') ADVANCE(264);
      END_STATE();
    case 304:
      if (lookahead == 'u') ADVANCE(146);
      END_STATE();
    case 305:
      if (lookahead == 'u') ADVANCE(260);
      END_STATE();
    case 306:
      if (lookahead == 'u') ADVANCE(234);
      END_STATE();
    case 307:
      if (lookahead == 'u') ADVANCE(176);
      END_STATE();
    case 308:
      if (lookahead == 'u') ADVANCE(277);
      END_STATE();
    case 309:
      if (lookahead == 'u') ADVANCE(287);
      END_STATE();
    case 310:
      if (lookahead == 'u') ADVANCE(96);
      END_STATE();
    case 311:
      if (lookahead == 'v') ADVANCE(64);
      END_STATE();
    case 312:
      if (lookahead == 'v') ADVANCE(121);
      END_STATE();
    case 313:
      if (lookahead == 'w') ADVANCE(46);
      END_STATE();
    case 314:
      if (lookahead == 'y') ADVANCE(197);
      END_STATE();
    case 315:
      if (lookahead == 'y') ADVANCE(233);
      END_STATE();
    case 316:
      if (lookahead == 'y') ADVANCE(238);
      END_STATE();
    case 317:
      if (lookahead == 'y') ADVANCE(239);
      END_STATE();
    case 318:
      if (lookahead == 'y') ADVANCE(240);
      END_STATE();
    case 319:
      if (lookahead == 'y') ADVANCE(183);
      END_STATE();
    case 320:
      if (lookahead == '~') ADVANCE(55);
      END_STATE();
    case 321:
      if (eof) ADVANCE(324);
      if (lookahead == '\n') SKIP(0);
      END_STATE();
    case 322:
      if (eof) ADVANCE(324);
      if (lookahead == '\n') SKIP(0);
      if (lookahead == '\r') SKIP(321);
      END_STATE();
    case 323:
      if (eof) ADVANCE(324);
      if (lookahead == '\n') SKIP(323);
      if (lookahead == '\\') ADVANCE(327);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) ADVANCE(328);
      if (lookahead != 0) ADVANCE(327);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(aux_sym_theory_token1);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(aux_sym_theory_token1);
      if (lookahead == '\\') ADVANCE(327);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) ADVANCE(328);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(327);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_DASH_DASHauto_DASHsources);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(anon_sym_DASH_DASHstop_DASHon_DASHtrace);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(54);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(anon_sym_POUNDifdef);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_POUNDelse);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(anon_sym_POUNDendif);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(anon_sym_POUNDdefine);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(anon_sym_POUNDinclude);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      if (lookahead == '<') ADVANCE(35);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(372);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(anon_sym_diffie_DASHhellman);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(anon_sym_symmetric_DASHencryption);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_asymmetric_DASHencryption);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(anon_sym_bilinear_DASHpairing);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(anon_sym_natural_DASHnumbers);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(anon_sym_revealing_DASHsigning);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(anon_sym_locations_DASHreport);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(anon_sym_reliable_DASHchannel);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(anon_sym_dest_DASHpairing);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(anon_sym_dest_DASHsigning);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(anon_sym_dest_DASHsymmetric_DASHencryption);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(anon_sym_dest_DASHasymmetric_DASHencryption);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(anon_sym_translation_DASHstate_DASHoptimisation);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(anon_sym_translation_DASHprogress);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(anon_sym_translation_DASHasynchronous_DASHchannels);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(anon_sym_translation_DASHcompress_DASHevents);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(anon_sym_translation_DASHallow_DASHpattern_DASHlookups);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '*') ADVANCE(38);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(anon_sym_DASH_DASH_GT);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(401);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(sym_null);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(anon_sym_EQ2);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(anon_sym_EQ2);
      if (lookahead == '=') ADVANCE(54);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(anon_sym_LPAREN_LT_RPAREN);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(anon_sym_DASH_DASH_LBRACK);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(anon_sym_RBRACK_DASH_GT);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(anon_sym_color_EQ);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(anon_sym_colour_EQ);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym__restrict);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(52);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(anon_sym_output_EQ);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(anon_sym_hide_lemma_EQ);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(anon_sym_heuristic_EQ);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(anon_sym_all_DASHtraces);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(anon_sym_exists_DASHtrace);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(anon_sym_rule_DASHequivalence);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(anon_sym_backward_DASHsearch);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(anon_sym_u25b6);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(anon_sym_TILDE_TILDE_GT);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(anon_sym_u2225);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(379);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(379);
      if (lookahead == '=') ADVANCE(53);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_PERCENT_PLUS);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_u2295);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (lookahead == '\'') ADVANCE(417);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (lookahead == '\'') ADVANCE(417);
      if (lookahead == '~') ADVANCE(55);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '+') ADVANCE(402);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(aux_sym_pub_name_token1);
      if (lookahead == '\r') ADVANCE(416);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'') ADVANCE(416);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(aux_sym_pub_name_token1);
      if (lookahead == '\\') ADVANCE(414);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) ADVANCE(415);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '\'') ADVANCE(416);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(aux_sym_pub_name_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'') ADVANCE(416);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym_TILDE_SQUOTE);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym_u21d4);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_GT);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym_u21d2);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_u2228);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym_u2227);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym_u00ac);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym_u228f);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym_u2203);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(anon_sym_u2200);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(anon_sym_u22a5);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(anon_sym_u22a4);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(aux_sym_hexcolor_token1);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(aux_sym_hexcolor_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(429);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(aux_sym_hexcolor_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(430);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(aux_sym_hexcolor_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(431);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(aux_sym_hexcolor_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(432);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(aux_sym_hexcolor_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(433);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == '-') ADVANCE(61);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == '-') ADVANCE(140);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == '-') ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == '-') ADVANCE(98);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == '-') ADVANCE(237);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == '-') ADVANCE(288);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == '-') ADVANCE(76);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == '-') ADVANCE(275);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == '-') ADVANCE(276);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == '-') ADVANCE(195);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == '-') ADVANCE(249);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == '-') ADVANCE(296);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == '-') ADVANCE(125);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == '-') ADVANCE(126);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == '=') ADVANCE(389);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == '=') ADVANCE(388);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == '=') ADVANCE(387);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == '=') ADVANCE(382);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == '=') ADVANCE(383);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == '_') ADVANCE(508);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'a') ADVANCE(467);
      if (lookahead == 'i') ADVANCE(504);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'a') ADVANCE(520);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'a') ADVANCE(466);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'a') ADVANCE(450);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'a') ADVANCE(531);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'a') ADVANCE(552);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'a') ADVANCE(534);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'a') ADVANCE(547);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'a') ADVANCE(510);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'a') ADVANCE(511);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'a') ADVANCE(554);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'b') ADVANCE(509);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'c') ADVANCE(500);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'c') ADVANCE(449);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'c') ADVANCE(460);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'c') ADVANCE(447);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'c') ADVANCE(448);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'd') ADVANCE(477);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'd') ADVANCE(442);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'e') ADVANCE(539);
      if (lookahead == 'i') ADVANCE(486);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'e') ADVANCE(556);
      if (lookahead == 'i') ADVANCE(472);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'e') ADVANCE(505);
      if (lookahead == 'u') ADVANCE(506);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'e') ADVANCE(454);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'e') ADVANCE(513);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'e') ADVANCE(438);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'e') ADVANCE(464);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'e') ADVANCE(436);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'e') ADVANCE(551);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'e') ADVANCE(461);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'e') ADVANCE(441);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'e') ADVANCE(555);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'f') ADVANCE(487);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'f') ADVANCE(496);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'g') ADVANCE(443);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'i') ADVANCE(528);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'i') ADVANCE(523);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'i') ADVANCE(526);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'i') ADVANCE(468);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'i') ADVANCE(457);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'i') ADVANCE(519);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'i') ADVANCE(470);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'i') ADVANCE(481);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'i') ADVANCE(540);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'i') ADVANCE(543);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'i') ADVANCE(471);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'k') ADVANCE(560);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'l') ADVANCE(440);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'l') ADVANCE(501);
      if (lookahead == 's') ADVANCE(563);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'l') ADVANCE(501);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'l') ADVANCE(490);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'l') ADVANCE(493);
      if (lookahead == 'v') ADVANCE(480);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'l') ADVANCE(479);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'l') ADVANCE(524);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'l') ADVANCE(478);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'l') ADVANCE(484);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'l') ADVANCE(444);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'l') ADVANCE(494);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'l') ADVANCE(465);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'm') ADVANCE(515);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'm') ADVANCE(516);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'm') ADVANCE(458);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'm') ADVANCE(482);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'm') ADVANCE(485);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'm') ADVANCE(517);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'n') ADVANCE(488);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'n') ADVANCE(541);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'n') ADVANCE(542);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'n') ADVANCE(437);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'n') ADVANCE(483);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'o') ADVANCE(532);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'o') ADVANCE(469);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'o') ADVANCE(522);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'o') ADVANCE(507);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'o') ADVANCE(521);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'p') ADVANCE(558);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'r') ADVANCE(456);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'r') ADVANCE(473);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'r') ADVANCE(452);
      if (lookahead == 'u') ADVANCE(533);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'r') ADVANCE(453);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'r') ADVANCE(439);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'r') ADVANCE(495);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'r') ADVANCE(463);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'r') ADVANCE(498);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'r') ADVANCE(499);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 's') ADVANCE(548);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 's') ADVANCE(549);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 's') ADVANCE(512);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 's') ADVANCE(445);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 's') ADVANCE(553);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 's') ADVANCE(446);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 's') ADVANCE(563);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 't') ADVANCE(529);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 't') ADVANCE(559);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 't') ADVANCE(435);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 't') ADVANCE(544);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 't') ADVANCE(451);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 't') ADVANCE(535);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 't') ADVANCE(489);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 't') ADVANCE(492);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 't') ADVANCE(491);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 't') ADVANCE(538);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'u') ADVANCE(537);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'u') ADVANCE(546);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'u') ADVANCE(550);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'u') ADVANCE(536);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'w') ADVANCE(459);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'x') ADVANCE(497);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'y') ADVANCE(514);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'y') ADVANCE(518);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(sym_ident);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(564);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym_param);
      if (lookahead == '\n') ADVANCE(567);
      if (lookahead == '\r') ADVANCE(566);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(568);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(sym_param);
      if (lookahead == '\n') ADVANCE(567);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(568);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym_param);
      if (lookahead == '\\') ADVANCE(565);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) ADVANCE(567);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(568);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym_param);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(568);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(sym_export_query);
      if (lookahead == '\n') ADVANCE(571);
      if (lookahead == '\r') ADVANCE(570);
      if (lookahead == '\\') ADVANCE(573);
      if (lookahead != 0) ADVANCE(572);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(sym_export_query);
      if (lookahead == '\n') ADVANCE(571);
      if (lookahead == '\\') ADVANCE(573);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(572);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(sym_export_query);
      if (lookahead == '\\') ADVANCE(569);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) ADVANCE(571);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(572);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(sym_export_query);
      if (lookahead == '\\') ADVANCE(573);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(572);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(sym_export_query);
      if (lookahead == '\\') ADVANCE(573);
      if (lookahead != 0) ADVANCE(572);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(sym_natural);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(574);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym_u2080);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym_u2081);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym_u2082);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym_u2083);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_u2084);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(anon_sym_u2085);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(anon_sym_u2086);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(anon_sym_u2087);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(anon_sym_u2088);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(anon_sym_u2089);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(aux_sym_formal_comment_token1);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'A', 1,
        'B', 2,
        'D', 3,
        'E', 4,
        'F', 5,
        'M', 6,
        'O', 7,
        'S', 8,
        'T', 9,
        'X', 10,
      );
      if (lookahead == '\\') SKIP(11);
      if (lookahead == 'a') ADVANCE(12);
      if (lookahead == 'b') ADVANCE(13);
      if (lookahead == 'c') ADVANCE(14);
      if (lookahead == 'd') ADVANCE(15);
      if (lookahead == 'e') ADVANCE(16);
      if (lookahead == 'f') ADVANCE(17);
      if (lookahead == 'h') ADVANCE(18);
      if (lookahead == 'i') ADVANCE(19);
      if (lookahead == 'l') ADVANCE(20);
      if (lookahead == 'm') ADVANCE(21);
      if (lookahead == 'n') ADVANCE(22);
      if (lookahead == 'o') ADVANCE(23);
      if (lookahead == 'p') ADVANCE(24);
      if (lookahead == 'q') ADVANCE(25);
      if (lookahead == 'r') ADVANCE(26);
      if (lookahead == 's') ADVANCE(27);
      if (lookahead == 't') ADVANCE(28);
      if (lookahead == 'u') ADVANCE(29);
      if (lookahead == 'v') ADVANCE(30);
      if (lookahead == 'x') ADVANCE(31);
      if (lookahead == 'C' ||
          lookahead == 'I' ||
          lookahead == 'P') ADVANCE(32);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'C') ADVANCE(33);
      if (lookahead == 'N') ADVANCE(34);
      if (lookahead == 'T') ADVANCE(35);
      if (lookahead == 'l') ADVANCE(36);
      END_STATE();
    case 2:
      if (lookahead == 'F') ADVANCE(37);
      END_STATE();
    case 3:
      if (lookahead == 'F') ADVANCE(38);
      END_STATE();
    case 4:
      ACCEPT_TOKEN(anon_sym_E);
      if (lookahead == 'x') ADVANCE(39);
      END_STATE();
    case 5:
      ACCEPT_TOKEN(anon_sym_F);
      END_STATE();
    case 6:
      if (lookahead == 'I') ADVANCE(40);
      END_STATE();
    case 7:
      ACCEPT_TOKEN(anon_sym_O);
      END_STATE();
    case 8:
      ACCEPT_TOKEN(sym_standard_goal_ranking);
      ADVANCE_MAP(
        'E', 41,
        'O', 42,
        'C', 43,
        'I', 43,
        'P', 43,
        'S', 43,
        'c', 43,
        'i', 43,
        'p', 43,
        's', 43,
      );
      END_STATE();
    case 9:
      ACCEPT_TOKEN(anon_sym_T);
      END_STATE();
    case 10:
      if (lookahead == 'O') ADVANCE(44);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(0);
      if (lookahead == '\r') SKIP(45);
      END_STATE();
    case 12:
      if (lookahead == 'c') ADVANCE(46);
      if (lookahead == 's') ADVANCE(47);
      if (lookahead == 'x') ADVANCE(48);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(49);
      if (lookahead == 'f') ADVANCE(50);
      if (lookahead == 'u') ADVANCE(51);
      if (lookahead == 'y') ADVANCE(52);
      END_STATE();
    case 14:
      ACCEPT_TOKEN(sym_standard_goal_ranking);
      ADVANCE_MAP(
        'a', 53,
        'o', 54,
        'C', 43,
        'I', 43,
        'P', 43,
        'S', 43,
        'c', 43,
        'i', 43,
        'p', 43,
        's', 43,
      );
      END_STATE();
    case 15:
      if (lookahead == 'e') ADVANCE(55);
      if (lookahead == 'f') ADVANCE(56);
      if (lookahead == 'h') ADVANCE(57);
      if (lookahead == 'i') ADVANCE(58);
      END_STATE();
    case 16:
      if (lookahead == 'l') ADVANCE(59);
      if (lookahead == 'n') ADVANCE(60);
      if (lookahead == 'q') ADVANCE(61);
      if (lookahead == 'v') ADVANCE(62);
      if (lookahead == 'x') ADVANCE(63);
      END_STATE();
    case 17:
      if (lookahead == 'o') ADVANCE(64);
      if (lookahead == 'r') ADVANCE(65);
      if (lookahead == 'u') ADVANCE(66);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(67);
      if (lookahead == 'e') ADVANCE(68);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(sym_standard_goal_ranking);
      ADVANCE_MAP(
        'd', 69,
        'f', 70,
        'n', 71,
        's', 72,
        'C', 43,
        'I', 43,
        'P', 43,
        'S', 43,
        'c', 43,
        'i', 43,
        'p', 43,
      );
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(73);
      if (lookahead == 'e') ADVANCE(74);
      if (lookahead == 'o') ADVANCE(75);
      END_STATE();
    case 21:
      if (lookahead == 'a') ADVANCE(76);
      if (lookahead == 'o') ADVANCE(77);
      if (lookahead == 's') ADVANCE(78);
      if (lookahead == 'u') ADVANCE(79);
      END_STATE();
    case 22:
      if (lookahead == 'a') ADVANCE(80);
      if (lookahead == 'e') ADVANCE(81);
      if (lookahead == 'o') ADVANCE(82);
      END_STATE();
    case 23:
      ACCEPT_TOKEN(anon_sym_o);
      if (lookahead == 'p') ADVANCE(83);
      if (lookahead == 'u') ADVANCE(84);
      END_STATE();
    case 24:
      ACCEPT_TOKEN(sym_standard_goal_ranking);
      ADVANCE_MAP(
        'r', 85,
        'u', 86,
        'C', 43,
        'I', 43,
        'P', 43,
        'S', 43,
        'c', 43,
        'i', 43,
        'p', 43,
        's', 43,
      );
      END_STATE();
    case 25:
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 26:
      if (lookahead == 'e') ADVANCE(88);
      if (lookahead == 'i') ADVANCE(89);
      if (lookahead == 'o') ADVANCE(90);
      if (lookahead == 'u') ADVANCE(91);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(sym_standard_goal_ranking);
      ADVANCE_MAP(
        'e', 92,
        'i', 93,
        'm', 94,
        'o', 95,
        'p', 96,
        't', 97,
        'C', 43,
        'I', 43,
        'P', 43,
        'S', 43,
        'c', 43,
        's', 43,
      );
      END_STATE();
    case 28:
      if (lookahead == 'a') ADVANCE(98);
      if (lookahead == 'e') ADVANCE(99);
      if (lookahead == 'h') ADVANCE(100);
      END_STATE();
    case 29:
      if (lookahead == 'n') ADVANCE(101);
      if (lookahead == 's') ADVANCE(102);
      END_STATE();
    case 30:
      if (lookahead == 'a') ADVANCE(103);
      END_STATE();
    case 31:
      if (lookahead == 'o') ADVANCE(104);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(sym_standard_goal_ranking);
      ADVANCE_MAP(
        'C', 43,
        'I', 43,
        'P', 43,
        'S', 43,
        'c', 43,
        'i', 43,
        'p', 43,
        's', 43,
      );
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_AC);
      END_STATE();
    case 34:
      if (lookahead == 'Y') ADVANCE(105);
      END_STATE();
    case 35:
      if (lookahead == 'T') ADVANCE(106);
      END_STATE();
    case 36:
      if (lookahead == 'l') ADVANCE(107);
      END_STATE();
    case 37:
      if (lookahead == 'S') ADVANCE(108);
      END_STATE();
    case 38:
      if (lookahead == 'S') ADVANCE(109);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_Ex);
      END_STATE();
    case 40:
      if (lookahead == 'R') ADVANCE(110);
      END_STATE();
    case 41:
      if (lookahead == 'Q') ADVANCE(111);
      END_STATE();
    case 42:
      if (lookahead == 'L') ADVANCE(112);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(sym_standard_goal_ranking);
      ADVANCE_MAP(
        'C', 113,
        'I', 113,
        'P', 113,
        'S', 113,
        'c', 113,
        'i', 113,
        'p', 113,
        's', 113,
      );
      END_STATE();
    case 44:
      if (lookahead == 'R') ADVANCE(114);
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(0);
      END_STATE();
    case 46:
      if (lookahead == 'c') ADVANCE(115);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(116);
      END_STATE();
    case 49:
      if (lookahead == 'g') ADVANCE(117);
      END_STATE();
    case 50:
      if (lookahead == 's') ADVANCE(118);
      END_STATE();
    case 51:
      if (lookahead == 'i') ADVANCE(119);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_by);
      END_STATE();
    case 53:
      if (lookahead == 's') ADVANCE(120);
      END_STATE();
    case 54:
      if (lookahead == 'n') ADVANCE(121);
      END_STATE();
    case 55:
      if (lookahead == 'e') ADVANCE(122);
      if (lookahead == 'f') ADVANCE(123);
      if (lookahead == 'l') ADVANCE(124);
      if (lookahead == 'p') ADVANCE(125);
      if (lookahead == 's') ADVANCE(126);
      END_STATE();
    case 56:
      if (lookahead == 's') ADVANCE(127);
      END_STATE();
    case 57:
      if (lookahead == 'r') ADVANCE(128);
      END_STATE();
    case 58:
      if (lookahead == 'f') ADVANCE(129);
      END_STATE();
    case 59:
      if (lookahead == 's') ADVANCE(130);
      END_STATE();
    case 60:
      if (lookahead == 'd') ADVANCE(131);
      END_STATE();
    case 61:
      if (lookahead == 'u') ADVANCE(132);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(133);
      END_STATE();
    case 63:
      if (lookahead == 'p') ADVANCE(134);
      END_STATE();
    case 64:
      if (lookahead == 'r') ADVANCE(135);
      END_STATE();
    case 65:
      if (lookahead == 'e') ADVANCE(136);
      END_STATE();
    case 66:
      if (lookahead == 'n') ADVANCE(137);
      END_STATE();
    case 67:
      if (lookahead == 's') ADVANCE(138);
      END_STATE();
    case 68:
      if (lookahead == 'u') ADVANCE(139);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_id);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'd') ADVANCE(140);
      if (lookahead == 's') ADVANCE(141);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(sym_standard_goal_ranking);
      ADVANCE_MAP(
        'F', 142,
        'I', 143,
        's', 144,
        'C', 113,
        'P', 113,
        'S', 113,
        'c', 113,
        'i', 113,
        'p', 113,
      );
      END_STATE();
    case 73:
      if (lookahead == 's') ADVANCE(145);
      END_STATE();
    case 74:
      if (lookahead == 'f') ADVANCE(146);
      if (lookahead == 'm') ADVANCE(147);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 75:
      if (lookahead == 'c') ADVANCE(149);
      if (lookahead == 'o') ADVANCE(150);
      END_STATE();
    case 76:
      if (lookahead == 'c') ADVANCE(151);
      END_STATE();
    case 77:
      if (lookahead == 'd') ADVANCE(152);
      END_STATE();
    case 78:
      if (lookahead == 'g') ADVANCE(153);
      if (lookahead == 'r') ADVANCE(154);
      END_STATE();
    case 79:
      if (lookahead == 'l') ADVANCE(155);
      END_STATE();
    case 80:
      if (lookahead == 't') ADVANCE(156);
      END_STATE();
    case 81:
      if (lookahead == 'w') ADVANCE(157);
      if (lookahead == 'x') ADVANCE(158);
      END_STATE();
    case 82:
      if (lookahead == '_') ADVANCE(159);
      if (lookahead == 'd') ADVANCE(160);
      if (lookahead == 'n') ADVANCE(161);
      if (lookahead == 't') ADVANCE(162);
      END_STATE();
    case 83:
      if (lookahead == 't') ADVANCE(163);
      END_STATE();
    case 84:
      if (lookahead == 't') ADVANCE(164);
      END_STATE();
    case 85:
      if (lookahead == 'e') ADVANCE(165);
      if (lookahead == 'i') ADVANCE(166);
      if (lookahead == 'o') ADVANCE(167);
      END_STATE();
    case 86:
      if (lookahead == 'b') ADVANCE(168);
      END_STATE();
    case 87:
      if (lookahead == 'd') ADVANCE(169);
      END_STATE();
    case 88:
      if (lookahead == 'a') ADVANCE(170);
      if (lookahead == 'g') ADVANCE(171);
      if (lookahead == 's') ADVANCE(172);
      if (lookahead == 'u') ADVANCE(173);
      END_STATE();
    case 89:
      if (lookahead == 'g') ADVANCE(174);
      END_STATE();
    case 90:
      if (lookahead == 'l') ADVANCE(175);
      END_STATE();
    case 91:
      if (lookahead == 'l') ADVANCE(176);
      END_STATE();
    case 92:
      if (lookahead == 'q') ADVANCE(177);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_standard_goal_ranking);
      ADVANCE_MAP(
        'g', 178,
        'm', 179,
        'C', 113,
        'I', 113,
        'P', 113,
        'S', 113,
        'c', 113,
        'i', 113,
        'p', 113,
        's', 113,
      );
      END_STATE();
    case 94:
      if (lookahead == 'a') ADVANCE(180);
      END_STATE();
    case 95:
      if (lookahead == 'l') ADVANCE(181);
      if (lookahead == 'r') ADVANCE(182);
      if (lookahead == 'u') ADVANCE(183);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(sym_standard_goal_ranking);
      ADVANCE_MAP(
        'l', 184,
        't', 185,
        'C', 113,
        'I', 113,
        'P', 113,
        'S', 113,
        'c', 113,
        'i', 113,
        'p', 113,
        's', 113,
      );
      END_STATE();
    case 97:
      if (lookahead == 'e') ADVANCE(186);
      END_STATE();
    case 98:
      if (lookahead == 'c') ADVANCE(187);
      END_STATE();
    case 99:
      if (lookahead == 'm') ADVANCE(188);
      if (lookahead == 's') ADVANCE(189);
      END_STATE();
    case 100:
      if (lookahead == 'e') ADVANCE(190);
      END_STATE();
    case 101:
      if (lookahead == 'l') ADVANCE(191);
      END_STATE();
    case 102:
      if (lookahead == 'e') ADVANCE(192);
      END_STATE();
    case 103:
      if (lookahead == 'r') ADVANCE(193);
      END_STATE();
    case 104:
      if (lookahead == 'r') ADVANCE(194);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_ANY);
      END_STATE();
    case 106:
      if (lookahead == 'A') ADVANCE(195);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_All);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_BFS);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_DFS);
      END_STATE();
    case 110:
      if (lookahead == 'R') ADVANCE(196);
      END_STATE();
    case 111:
      if (lookahead == 'D') ADVANCE(197);
      END_STATE();
    case 112:
      if (lookahead == 'V') ADVANCE(198);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_standard_goal_ranking);
      ADVANCE_MAP(
        'C', 199,
        'I', 199,
        'P', 199,
        'S', 199,
        'c', 199,
        'i', 199,
        'p', 199,
        's', 199,
      );
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_XOR);
      END_STATE();
    case 115:
      if (lookahead == 'o') ADVANCE(200);
      END_STATE();
    case 116:
      if (lookahead == 'o') ADVANCE(201);
      END_STATE();
    case 117:
      if (lookahead == 'i') ADVANCE(202);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_bfs);
      END_STATE();
    case 119:
      if (lookahead == 'l') ADVANCE(203);
      END_STATE();
    case 120:
      if (lookahead == 'e') ADVANCE(204);
      END_STATE();
    case 121:
      if (lookahead == 'f') ADVANCE(205);
      if (lookahead == 't') ADVANCE(206);
      if (lookahead == 'v') ADVANCE(207);
      END_STATE();
    case 122:
      if (lookahead == 'p') ADVANCE(208);
      END_STATE();
    case 123:
      if (lookahead == 'a') ADVANCE(209);
      END_STATE();
    case 124:
      if (lookahead == 'e') ADVANCE(210);
      END_STATE();
    case 125:
      if (lookahead == 'r') ADVANCE(211);
      END_STATE();
    case 126:
      if (lookahead == 't') ADVANCE(212);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_dfs);
      END_STATE();
    case 128:
      if (lookahead == 'e') ADVANCE(213);
      END_STATE();
    case 129:
      if (lookahead == 'f') ADVANCE(214);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(215);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_end);
      END_STATE();
    case 132:
      if (lookahead == 'a') ADVANCE(216);
      if (lookahead == 'i') ADVANCE(217);
      END_STATE();
    case 133:
      if (lookahead == 'n') ADVANCE(218);
      END_STATE();
    case 134:
      if (lookahead == 'o') ADVANCE(219);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 136:
      if (lookahead == 's') ADVANCE(220);
      END_STATE();
    case 137:
      if (lookahead == 'c') ADVANCE(221);
      END_STATE();
    case 138:
      if (lookahead == 'h') ADVANCE(222);
      END_STATE();
    case 139:
      if (lookahead == 'r') ADVANCE(223);
      END_STATE();
    case 140:
      if (lookahead == 'u') ADVANCE(224);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(225);
      END_STATE();
    case 142:
      if (lookahead == 'a') ADVANCE(226);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_standard_goal_ranking);
      ADVANCE_MAP(
        'n', 227,
        'C', 199,
        'I', 199,
        'P', 199,
        'S', 199,
        'c', 199,
        'i', 199,
        'p', 199,
        's', 199,
      );
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_standard_goal_ranking);
      ADVANCE_MAP(
        'a', 228,
        'C', 199,
        'I', 199,
        'P', 199,
        'S', 199,
        'c', 199,
        'i', 199,
        'p', 199,
        's', 199,
      );
      END_STATE();
    case 145:
      if (lookahead == 't') ADVANCE(229);
      END_STATE();
    case 146:
      if (lookahead == 't') ADVANCE(230);
      END_STATE();
    case 147:
      if (lookahead == 'm') ADVANCE(231);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 149:
      if (lookahead == 'k') ADVANCE(232);
      END_STATE();
    case 150:
      if (lookahead == 'k') ADVANCE(233);
      END_STATE();
    case 151:
      if (lookahead == 'r') ADVANCE(234);
      END_STATE();
    case 152:
      if (lookahead == 'u') ADVANCE(235);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_msg);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_msr);
      END_STATE();
    case 155:
      if (lookahead == 't') ADVANCE(236);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_nat);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 158:
      if (lookahead == 't') ADVANCE(237);
      END_STATE();
    case 159:
      if (lookahead == 'd') ADVANCE(238);
      if (lookahead == 'p') ADVANCE(239);
      END_STATE();
    case 160:
      if (lookahead == 'e') ADVANCE(240);
      END_STATE();
    case 161:
      if (lookahead == 'A') ADVANCE(241);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_not);
      END_STATE();
    case 163:
      if (lookahead == 'i') ADVANCE(242);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_out);
      END_STATE();
    case 165:
      if (lookahead == 'd') ADVANCE(243);
      if (lookahead == 's') ADVANCE(244);
      END_STATE();
    case 166:
      if (lookahead == 'o') ADVANCE(245);
      if (lookahead == 'v') ADVANCE(246);
      END_STATE();
    case 167:
      if (lookahead == 'c') ADVANCE(247);
      if (lookahead == 'v') ADVANCE(248);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_pub);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_qed);
      END_STATE();
    case 170:
      if (lookahead == 's') ADVANCE(249);
      END_STATE();
    case 171:
      if (lookahead == 'e') ADVANCE(250);
      END_STATE();
    case 172:
      if (lookahead == 't') ADVANCE(251);
      END_STATE();
    case 173:
      if (lookahead == 's') ADVANCE(252);
      END_STATE();
    case 174:
      if (lookahead == 'h') ADVANCE(253);
      END_STATE();
    case 175:
      if (lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 176:
      if (lookahead == 'e') ADVANCE(255);
      END_STATE();
    case 177:
      if (lookahead == 'd') ADVANCE(256);
      END_STATE();
    case 178:
      if (lookahead == 'n') ADVANCE(257);
      END_STATE();
    case 179:
      if (lookahead == 'p') ADVANCE(258);
      END_STATE();
    case 180:
      if (lookahead == 'l') ADVANCE(259);
      END_STATE();
    case 181:
      if (lookahead == 'v') ADVANCE(260);
      END_STATE();
    case 182:
      if (lookahead == 'r') ADVANCE(261);
      END_STATE();
    case 183:
      if (lookahead == 'r') ADVANCE(262);
      END_STATE();
    case 184:
      if (lookahead == 'i') ADVANCE(263);
      END_STATE();
    case 185:
      if (lookahead == 'h') ADVANCE(264);
      END_STATE();
    case 186:
      if (lookahead == 'p') ADVANCE(265);
      END_STATE();
    case 187:
      if (lookahead == 't') ADVANCE(266);
      END_STATE();
    case 188:
      if (lookahead == 'p') ADVANCE(267);
      END_STATE();
    case 189:
      if (lookahead == 't') ADVANCE(268);
      END_STATE();
    case 190:
      if (lookahead == 'n') ADVANCE(269);
      if (lookahead == 'o') ADVANCE(270);
      END_STATE();
    case 191:
      if (lookahead == 'o') ADVANCE(271);
      END_STATE();
    case 192:
      if (lookahead == '_') ADVANCE(272);
      END_STATE();
    case 193:
      if (lookahead == 'i') ADVANCE(273);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_xor);
      END_STATE();
    case 195:
      if (lookahead == 'C') ADVANCE(274);
      END_STATE();
    case 196:
      if (lookahead == 'O') ADVANCE(275);
      END_STATE();
    case 197:
      if (lookahead == 'F') ADVANCE(276);
      END_STATE();
    case 198:
      if (lookahead == 'E') ADVANCE(277);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(sym_standard_goal_ranking);
      END_STATE();
    case 200:
      if (lookahead == 'u') ADVANCE(278);
      END_STATE();
    case 201:
      if (lookahead == 'm') ADVANCE(279);
      END_STATE();
    case 202:
      if (lookahead == 'n') ADVANCE(280);
      END_STATE();
    case 203:
      if (lookahead == 't') ADVANCE(281);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 205:
      if (lookahead == 'i') ADVANCE(282);
      END_STATE();
    case 206:
      if (lookahead == 'r') ADVANCE(283);
      END_STATE();
    case 207:
      if (lookahead == 'e') ADVANCE(284);
      END_STATE();
    case 208:
      if (lookahead == 's') ADVANCE(285);
      END_STATE();
    case 209:
      if (lookahead == 'u') ADVANCE(286);
      END_STATE();
    case 210:
      if (lookahead == 't') ADVANCE(287);
      END_STATE();
    case 211:
      if (lookahead == 'i') ADVANCE(288);
      END_STATE();
    case 212:
      if (lookahead == 'r') ADVANCE(289);
      END_STATE();
    case 213:
      if (lookahead == 'N') ADVANCE(290);
      END_STATE();
    case 214:
      if (lookahead == 'E') ADVANCE(291);
      if (lookahead == 'L') ADVANCE(292);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 216:
      if (lookahead == 't') ADVANCE(293);
      END_STATE();
    case 217:
      if (lookahead == 'v') ADVANCE(294);
      END_STATE();
    case 218:
      if (lookahead == 't') ADVANCE(295);
      END_STATE();
    case 219:
      if (lookahead == 'r') ADVANCE(296);
      END_STATE();
    case 220:
      if (lookahead == 'h') ADVANCE(297);
      END_STATE();
    case 221:
      if (lookahead == 't') ADVANCE(298);
      END_STATE();
    case 222:
      if (lookahead == 'i') ADVANCE(299);
      END_STATE();
    case 223:
      if (lookahead == 'i') ADVANCE(300);
      END_STATE();
    case 224:
      if (lookahead == 'c') ADVANCE(301);
      END_STATE();
    case 225:
      if (lookahead == 'r') ADVANCE(302);
      END_STATE();
    case 226:
      if (lookahead == 'c') ADVANCE(303);
      END_STATE();
    case 227:
      if (lookahead == 'F') ADVANCE(304);
      END_STATE();
    case 228:
      if (lookahead == 'p') ADVANCE(305);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_last);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_left);
      END_STATE();
    case 231:
      if (lookahead == 'a') ADVANCE(306);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_lock);
      END_STATE();
    case 233:
      if (lookahead == 'u') ADVANCE(307);
      END_STATE();
    case 234:
      if (lookahead == 'o') ADVANCE(308);
      END_STATE();
    case 235:
      if (lookahead == 'l') ADVANCE(309);
      END_STATE();
    case 236:
      if (lookahead == 'i') ADVANCE(310);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_next);
      END_STATE();
    case 238:
      if (lookahead == 'e') ADVANCE(311);
      END_STATE();
    case 239:
      if (lookahead == 'r') ADVANCE(312);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_node);
      END_STATE();
    case 241:
      if (lookahead == 'b') ADVANCE(313);
      END_STATE();
    case 242:
      if (lookahead == 'o') ADVANCE(314);
      END_STATE();
    case 243:
      if (lookahead == 'i') ADVANCE(315);
      END_STATE();
    case 244:
      if (lookahead == 'o') ADVANCE(316);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_prio);
      END_STATE();
    case 246:
      if (lookahead == 'a') ADVANCE(317);
      END_STATE();
    case 247:
      if (lookahead == 'e') ADVANCE(318);
      END_STATE();
    case 248:
      if (lookahead == 'e') ADVANCE(319);
      END_STATE();
    case 249:
      if (lookahead == 'o') ADVANCE(320);
      END_STATE();
    case 250:
      if (lookahead == 'x') ADVANCE(321);
      END_STATE();
    case 251:
      if (lookahead == 'r') ADVANCE(322);
      END_STATE();
    case 252:
      if (lookahead == 'e') ADVANCE(323);
      END_STATE();
    case 253:
      if (lookahead == 't') ADVANCE(324);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_role);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_rule);
      END_STATE();
    case 256:
      if (lookahead == 'f') ADVANCE(325);
      END_STATE();
    case 257:
      if (lookahead == 'i') ADVANCE(326);
      END_STATE();
    case 258:
      if (lookahead == 'l') ADVANCE(327);
      END_STATE();
    case 259:
      if (lookahead == 'l') ADVANCE(328);
      END_STATE();
    case 260:
      if (lookahead == 'e') ADVANCE(329);
      END_STATE();
    case 261:
      if (lookahead == 'y') ADVANCE(330);
      END_STATE();
    case 262:
      if (lookahead == 'c') ADVANCE(331);
      END_STATE();
    case 263:
      if (lookahead == 't') ADVANCE(332);
      END_STATE();
    case 264:
      if (lookahead == 'y') ADVANCE(333);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_step);
      END_STATE();
    case 266:
      if (lookahead == 'i') ADVANCE(334);
      END_STATE();
    case 267:
      if (lookahead == 'o') ADVANCE(335);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_test);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(anon_sym_then);
      END_STATE();
    case 270:
      if (lookahead == 'r') ADVANCE(336);
      END_STATE();
    case 271:
      if (lookahead == 'c') ADVANCE(337);
      END_STATE();
    case 272:
      if (lookahead == 'i') ADVANCE(338);
      END_STATE();
    case 273:
      if (lookahead == 'a') ADVANCE(339);
      END_STATE();
    case 274:
      if (lookahead == 'K') ADVANCE(340);
      END_STATE();
    case 275:
      if (lookahead == 'R') ADVANCE(341);
      END_STATE();
    case 276:
      if (lookahead == 'S') ADVANCE(342);
      END_STATE();
    case 277:
      if (lookahead == 'D') ADVANCE(343);
      END_STATE();
    case 278:
      if (lookahead == 'n') ADVANCE(344);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_axiom);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(anon_sym_begin);
      END_STATE();
    case 281:
      if (lookahead == 'i') ADVANCE(345);
      END_STATE();
    case 282:
      if (lookahead == 'g') ADVANCE(346);
      END_STATE();
    case 283:
      if (lookahead == 'a') ADVANCE(347);
      END_STATE();
    case 284:
      if (lookahead == 'r') ADVANCE(348);
      END_STATE();
    case 285:
      if (lookahead == 'e') ADVANCE(349);
      END_STATE();
    case 286:
      if (lookahead == 'l') ADVANCE(350);
      END_STATE();
    case 287:
      if (lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 288:
      if (lookahead == 'o') ADVANCE(352);
      END_STATE();
    case 289:
      if (lookahead == 'u') ADVANCE(353);
      END_STATE();
    case 290:
      if (lookahead == 'o') ADVANCE(354);
      END_STATE();
    case 291:
      if (lookahead == 'q') ADVANCE(355);
      END_STATE();
    case 292:
      if (lookahead == 'e') ADVANCE(356);
      END_STATE();
    case 293:
      if (lookahead == 'i') ADVANCE(357);
      END_STATE();
    case 294:
      if (lookahead == 'L') ADVANCE(358);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(anon_sym_event);
      END_STATE();
    case 296:
      if (lookahead == 't') ADVANCE(359);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_fresh);
      END_STATE();
    case 298:
      if (lookahead == 'i') ADVANCE(360);
      END_STATE();
    case 299:
      if (lookahead == 'n') ADVANCE(361);
      END_STATE();
    case 300:
      if (lookahead == 's') ADVANCE(362);
      END_STATE();
    case 301:
      if (lookahead == 't') ADVANCE(363);
      END_STATE();
    case 302:
      if (lookahead == 't') ADVANCE(364);
      END_STATE();
    case 303:
      if (lookahead == 't') ADVANCE(365);
      END_STATE();
    case 304:
      if (lookahead == 'a') ADVANCE(366);
      END_STATE();
    case 305:
      if (lookahead == 'i') ADVANCE(367);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(anon_sym_lemma);
      END_STATE();
    case 307:
      if (lookahead == 'p') ADVANCE(368);
      END_STATE();
    case 308:
      if (lookahead == 's') ADVANCE(369);
      END_STATE();
    case 309:
      if (lookahead == 'o') ADVANCE(370);
      END_STATE();
    case 310:
      if (lookahead == 's') ADVANCE(371);
      END_STATE();
    case 311:
      if (lookahead == 'r') ADVANCE(372);
      END_STATE();
    case 312:
      if (lookahead == 'e') ADVANCE(373);
      END_STATE();
    case 313:
      if (lookahead == 's') ADVANCE(374);
      END_STATE();
    case 314:
      if (lookahead == 'n') ADVANCE(375);
      END_STATE();
    case 315:
      if (lookahead == 'c') ADVANCE(376);
      END_STATE();
    case 316:
      if (lookahead == 'r') ADVANCE(377);
      END_STATE();
    case 317:
      if (lookahead == 't') ADVANCE(378);
      END_STATE();
    case 318:
      if (lookahead == 's') ADVANCE(379);
      END_STATE();
    case 319:
      if (lookahead == 'r') ADVANCE(380);
      END_STATE();
    case 320:
      if (lookahead == 'n') ADVANCE(381);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(anon_sym_regex);
      END_STATE();
    case 322:
      if (lookahead == 'i') ADVANCE(382);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(anon_sym_reuse);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(anon_sym_right);
      END_STATE();
    case 325:
      if (lookahead == 's') ADVANCE(383);
      END_STATE();
    case 326:
      if (lookahead == 'n') ADVANCE(384);
      END_STATE();
    case 327:
      if (lookahead == 'i') ADVANCE(385);
      END_STATE();
    case 328:
      if (lookahead == 'e') ADVANCE(386);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_solve);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(anon_sym_sorry);
      END_STATE();
    case 331:
      if (lookahead == 'e') ADVANCE(387);
      END_STATE();
    case 332:
      if (lookahead == 'E') ADVANCE(388);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(anon_sym_spthy);
      if (lookahead == 't') ADVANCE(389);
      END_STATE();
    case 334:
      if (lookahead == 'c') ADVANCE(390);
      END_STATE();
    case 335:
      if (lookahead == 'r') ADVANCE(391);
      END_STATE();
    case 336:
      if (lookahead == 'y') ADVANCE(392);
      END_STATE();
    case 337:
      if (lookahead == 'k') ADVANCE(393);
      END_STATE();
    case 338:
      if (lookahead == 'n') ADVANCE(394);
      END_STATE();
    case 339:
      if (lookahead == 'n') ADVANCE(395);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(anon_sym_ATTACK);
      END_STATE();
    case 341:
      if (lookahead == 'E') ADVANCE(396);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_SEQDFS);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(sym_solved);
      END_STATE();
    case 344:
      if (lookahead == 't') ADVANCE(397);
      END_STATE();
    case 345:
      if (lookahead == 'n') ADVANCE(398);
      END_STATE();
    case 346:
      if (lookahead == 'u') ADVANCE(399);
      END_STATE();
    case 347:
      if (lookahead == 'd') ADVANCE(400);
      END_STATE();
    case 348:
      if (lookahead == 'g') ADVANCE(401);
      END_STATE();
    case 349:
      if (lookahead == 'c') ADVANCE(402);
      END_STATE();
    case 350:
      if (lookahead == 't') ADVANCE(403);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(anon_sym_deprio);
      END_STATE();
    case 353:
      if (lookahead == 'c') ADVANCE(404);
      END_STATE();
    case 354:
      if (lookahead == 'i') ADVANCE(405);
      END_STATE();
    case 355:
      if (lookahead == 'u') ADVANCE(406);
      END_STATE();
    case 356:
      if (lookahead == 'm') ADVANCE(407);
      END_STATE();
    case 357:
      if (lookahead == 'o') ADVANCE(408);
      END_STATE();
    case 358:
      if (lookahead == 'e') ADVANCE(409);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 360:
      if (lookahead == 'o') ADVANCE(410);
      END_STATE();
    case 361:
      if (lookahead == 'g') ADVANCE(411);
      END_STATE();
    case 362:
      if (lookahead == 't') ADVANCE(412);
      END_STATE();
    case 363:
      if (lookahead == 'i') ADVANCE(413);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(anon_sym_insert);
      END_STATE();
    case 365:
      if (lookahead == 'N') ADVANCE(414);
      END_STATE();
    case 366:
      if (lookahead == 'c') ADVANCE(415);
      END_STATE();
    case 367:
      if (lookahead == 'c') ADVANCE(416);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_lookup);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_macros);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(anon_sym_modulo);
      END_STATE();
    case 371:
      if (lookahead == 'e') ADVANCE(417);
      END_STATE();
    case 372:
      if (lookahead == 'i') ADVANCE(418);
      END_STATE();
    case 373:
      if (lookahead == 'c') ADVANCE(419);
      END_STATE();
    case 374:
      if (lookahead == 'u') ADVANCE(420);
      END_STATE();
    case 375:
      if (lookahead == 's') ADVANCE(421);
      END_STATE();
    case 376:
      if (lookahead == 'a') ADVANCE(422);
      END_STATE();
    case 377:
      if (lookahead == 't') ADVANCE(423);
      END_STATE();
    case 378:
      if (lookahead == 'e') ADVANCE(424);
      END_STATE();
    case 379:
      if (lookahead == 's') ADVANCE(425);
      END_STATE();
    case 380:
      if (lookahead == 'i') ADVANCE(426);
      END_STATE();
    case 381:
      if (lookahead == 'a') ADVANCE(427);
      END_STATE();
    case 382:
      if (lookahead == 'c') ADVANCE(428);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(anon_sym_seqdfs);
      END_STATE();
    case 384:
      if (lookahead == 'g') ADVANCE(429);
      END_STATE();
    case 385:
      if (lookahead == 'f') ADVANCE(430);
      END_STATE();
    case 386:
      if (lookahead == 's') ADVANCE(431);
      END_STATE();
    case 387:
      if (lookahead == 's') ADVANCE(432);
      END_STATE();
    case 388:
      if (lookahead == 'q') ADVANCE(433);
      END_STATE();
    case 389:
      if (lookahead == 'y') ADVANCE(434);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(anon_sym_tactic);
      END_STATE();
    case 391:
      if (lookahead == 'a') ADVANCE(435);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(anon_sym_theory);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(anon_sym_unlock);
      END_STATE();
    case 394:
      if (lookahead == 'd') ADVANCE(436);
      END_STATE();
    case 395:
      if (lookahead == 't') ADVANCE(437);
      END_STATE();
    case 396:
      if (lookahead == 'D') ADVANCE(438);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(anon_sym_account);
      if (lookahead == 's') ADVANCE(439);
      END_STATE();
    case 398:
      if (lookahead == 's') ADVANCE(440);
      END_STATE();
    case 399:
      if (lookahead == 'r') ADVANCE(441);
      END_STATE();
    case 400:
      if (lookahead == 'i') ADVANCE(442);
      END_STATE();
    case 401:
      if (lookahead == 'e') ADVANCE(443);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_deepsec);
      END_STATE();
    case 403:
      if (lookahead == 'N') ADVANCE(444);
      END_STATE();
    case 404:
      if (lookahead == 't') ADVANCE(445);
      END_STATE();
    case 405:
      if (lookahead == 's') ADVANCE(446);
      END_STATE();
    case 406:
      if (lookahead == 'i') ADVANCE(447);
      END_STATE();
    case 407:
      if (lookahead == 'm') ADVANCE(448);
      END_STATE();
    case 408:
      if (lookahead == 'n') ADVANCE(449);
      END_STATE();
    case 409:
      if (lookahead == 'm') ADVANCE(450);
      END_STATE();
    case 410:
      if (lookahead == 'n') ADVANCE(451);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(anon_sym_hashing);
      END_STATE();
    case 412:
      if (lookahead == 'i') ADVANCE(452);
      END_STATE();
    case 413:
      if (lookahead == 'o') ADVANCE(453);
      END_STATE();
    case 414:
      if (lookahead == 'a') ADVANCE(454);
      END_STATE();
    case 415:
      if (lookahead == 't') ADVANCE(455);
      END_STATE();
    case 416:
      if (lookahead == 'r') ADVANCE(456);
      END_STATE();
    case 417:
      if (lookahead == 't') ADVANCE(457);
      END_STATE();
    case 418:
      if (lookahead == 'v') ADVANCE(458);
      END_STATE();
    case 419:
      if (lookahead == 'o') ADVANCE(459);
      END_STATE();
    case 420:
      if (lookahead == 'r') ADVANCE(460);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym_options);
      END_STATE();
    case 422:
      if (lookahead == 't') ADVANCE(461);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym_presort);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym_process);
      END_STATE();
    case 426:
      if (lookahead == 'f') ADVANCE(462);
      END_STATE();
    case 427:
      if (lookahead == 'b') ADVANCE(463);
      END_STATE();
    case 428:
      if (lookahead == 't') ADVANCE(464);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym_signing);
      END_STATE();
    case 430:
      if (lookahead == 'y') ADVANCE(465);
      END_STATE();
    case 431:
      if (lookahead == 't') ADVANCE(466);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_sources);
      END_STATE();
    case 433:
      if (lookahead == 's') ADVANCE(467);
      END_STATE();
    case 434:
      if (lookahead == 'p') ADVANCE(468);
      END_STATE();
    case 435:
      if (lookahead == 'l') ADVANCE(469);
      END_STATE();
    case 436:
      if (lookahead == 'u') ADVANCE(470);
      END_STATE();
    case 437:
      if (lookahead == 's') ADVANCE(471);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(sym_mirrored);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_accounts);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_builtins);
      END_STATE();
    case 441:
      if (lookahead == 'a') ADVANCE(472);
      END_STATE();
    case 442:
      if (lookahead == 'c') ADVANCE(473);
      END_STATE();
    case 443:
      if (lookahead == 'n') ADVANCE(474);
      END_STATE();
    case 444:
      if (lookahead == 'o') ADVANCE(475);
      END_STATE();
    case 445:
      if (lookahead == 'o') ADVANCE(476);
      END_STATE();
    case 446:
      if (lookahead == 'e') ADVANCE(477);
      END_STATE();
    case 447:
      if (lookahead == 'v') ADVANCE(478);
      END_STATE();
    case 448:
      if (lookahead == 'a') ADVANCE(479);
      END_STATE();
    case 449:
      if (lookahead == 's') ADVANCE(480);
      END_STATE();
    case 450:
      if (lookahead == 'm') ADVANCE(481);
      END_STATE();
    case 451:
      if (lookahead == 's') ADVANCE(482);
      END_STATE();
    case 452:
      if (lookahead == 'c') ADVANCE(483);
      END_STATE();
    case 453:
      if (lookahead == 'n') ADVANCE(484);
      END_STATE();
    case 454:
      if (lookahead == 'm') ADVANCE(485);
      END_STATE();
    case 455:
      if (lookahead == 'T') ADVANCE(486);
      END_STATE();
    case 456:
      if (lookahead == 'u') ADVANCE(487);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_multiset);
      END_STATE();
    case 458:
      if (lookahead == 'c') ADVANCE(488);
      END_STATE();
    case 459:
      if (lookahead == 'm') ADVANCE(489);
      END_STATE();
    case 460:
      if (lookahead == 'd') ADVANCE(490);
      END_STATE();
    case 461:
      if (lookahead == 'e') ADVANCE(491);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_proverif);
      END_STATE();
    case 463:
      if (lookahead == 'l') ADVANCE(492);
      END_STATE();
    case 464:
      if (lookahead == 'i') ADVANCE(493);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_simplify);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_smallest);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_splitEqs);
      END_STATE();
    case 468:
      if (lookahead == 'e') ADVANCE(494);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_temporal);
      END_STATE();
    case 470:
      if (lookahead == 'c') ADVANCE(495);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_variants);
      END_STATE();
    case 472:
      if (lookahead == 't') ADVANCE(496);
      END_STATE();
    case 473:
      if (lookahead == 't') ADVANCE(497);
      END_STATE();
    case 474:
      if (lookahead == 't') ADVANCE(498);
      END_STATE();
    case 475:
      if (lookahead == 'i') ADVANCE(499);
      END_STATE();
    case 476:
      if (lookahead == 'r') ADVANCE(500);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_dhreNoise);
      END_STATE();
    case 478:
      if (lookahead == 'L') ADVANCE(501);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_diffLemma);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_equations);
      END_STATE();
    case 481:
      if (lookahead == 'a') ADVANCE(502);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_functions);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_heuristic);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_induction);
      END_STATE();
    case 485:
      if (lookahead == 'e') ADVANCE(503);
      END_STATE();
    case 486:
      if (lookahead == 'e') ADVANCE(504);
      END_STATE();
    case 487:
      if (lookahead == 'l') ADVANCE(505);
      END_STATE();
    case 488:
      if (lookahead == 'h') ADVANCE(506);
      END_STATE();
    case 489:
      if (lookahead == 'p') ADVANCE(507);
      END_STATE();
    case 490:
      if (lookahead == 'G') ADVANCE(508);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_predicate);
      if (lookahead == 's') ADVANCE(509);
      END_STATE();
    case 492:
      if (lookahead == 'e') ADVANCE(510);
      END_STATE();
    case 493:
      if (lookahead == 'o') ADVANCE(511);
      END_STATE();
    case 494:
      if (lookahead == 'd') ADVANCE(512);
      END_STATE();
    case 495:
      if (lookahead == 't') ADVANCE(513);
      END_STATE();
    case 496:
      if (lookahead == 'i') ADVANCE(514);
      END_STATE();
    case 497:
      if (lookahead == 'i') ADVANCE(515);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_convergent);
      END_STATE();
    case 499:
      if (lookahead == 's') ADVANCE(516);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym_destructor);
      END_STATE();
    case 501:
      if (lookahead == 'e') ADVANCE(517);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym_equivLemma);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_isFactName);
      END_STATE();
    case 504:
      if (lookahead == 'r') ADVANCE(518);
      END_STATE();
    case 505:
      if (lookahead == 'e') ADVANCE(519);
      END_STATE();
    case 506:
      if (lookahead == 'e') ADVANCE(520);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_no_precomp);
      END_STATE();
    case 508:
      if (lookahead == 'o') ADVANCE(521);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_predicates);
      END_STATE();
    case 510:
      if (lookahead == 'N') ADVANCE(522);
      END_STATE();
    case 511:
      if (lookahead == 'n') ADVANCE(523);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_spthytyped);
      END_STATE();
    case 513:
      if (lookahead == 'i') ADVANCE(524);
      END_STATE();
    case 514:
      if (lookahead == 'o') ADVANCE(525);
      END_STATE();
    case 515:
      if (lookahead == 'o') ADVANCE(526);
      END_STATE();
    case 516:
      if (lookahead == 'e') ADVANCE(527);
      END_STATE();
    case 517:
      if (lookahead == 'm') ADVANCE(528);
      END_STATE();
    case 518:
      if (lookahead == 'm') ADVANCE(529);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_issapicrule);
      END_STATE();
    case 520:
      if (lookahead == 'c') ADVANCE(530);
      END_STATE();
    case 521:
      if (lookahead == 'a') ADVANCE(531);
      END_STATE();
    case 522:
      if (lookahead == 'o') ADVANCE(532);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_restriction);
      END_STATE();
    case 524:
      if (lookahead == 'o') ADVANCE(533);
      END_STATE();
    case 525:
      if (lookahead == 'n') ADVANCE(534);
      END_STATE();
    case 526:
      if (lookahead == 'n') ADVANCE(535);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_defaultNoise);
      END_STATE();
    case 528:
      if (lookahead == 'm') ADVANCE(536);
      END_STATE();
    case 529:
      if (lookahead == 's') ADVANCE(537);
      END_STATE();
    case 530:
      if (lookahead == 'k') ADVANCE(538);
      END_STATE();
    case 531:
      if (lookahead == 'l') ADVANCE(539);
      END_STATE();
    case 532:
      if (lookahead == 'n') ADVANCE(540);
      END_STATE();
    case 533:
      if (lookahead == 'n') ADVANCE(541);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_configuration);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_contradiction);
      END_STATE();
    case 536:
      if (lookahead == 'a') ADVANCE(542);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(anon_sym_isInFactTerms);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_no_derivcheck);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_nonAbsurdGoal);
      END_STATE();
    case 540:
      if (lookahead == 'c') ADVANCE(543);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_use_induction);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_diffEquivLemma);
      END_STATE();
    case 543:
      if (lookahead == 'e') ADVANCE(544);
      END_STATE();
    case 544:
      if (lookahead == 's') ADVANCE(545);
      END_STATE();
    case 545:
      if (lookahead == 'N') ADVANCE(546);
      END_STATE();
    case 546:
      if (lookahead == 'o') ADVANCE(547);
      END_STATE();
    case 547:
      if (lookahead == 'i') ADVANCE(548);
      END_STATE();
    case 548:
      if (lookahead == 's') ADVANCE(549);
      END_STATE();
    case 549:
      if (lookahead == 'e') ADVANCE(550);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym_reasonableNoncesNoise);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 26, .external_lex_state = 1},
  [2] = {.lex_state = 26, .external_lex_state = 1},
  [3] = {.lex_state = 28, .external_lex_state = 1},
  [4] = {.lex_state = 28, .external_lex_state = 1},
  [5] = {.lex_state = 28, .external_lex_state = 1},
  [6] = {.lex_state = 28, .external_lex_state = 1},
  [7] = {.lex_state = 28, .external_lex_state = 1},
  [8] = {.lex_state = 28, .external_lex_state = 1},
  [9] = {.lex_state = 28, .external_lex_state = 1},
  [10] = {.lex_state = 28, .external_lex_state = 1},
  [11] = {.lex_state = 28, .external_lex_state = 1},
  [12] = {.lex_state = 28, .external_lex_state = 1},
  [13] = {.lex_state = 28, .external_lex_state = 1},
  [14] = {.lex_state = 26, .external_lex_state = 1},
  [15] = {.lex_state = 28, .external_lex_state = 1},
  [16] = {.lex_state = 28, .external_lex_state = 1},
  [17] = {.lex_state = 28, .external_lex_state = 1},
  [18] = {.lex_state = 28, .external_lex_state = 1},
  [19] = {.lex_state = 28, .external_lex_state = 1},
  [20] = {.lex_state = 28, .external_lex_state = 1},
  [21] = {.lex_state = 28, .external_lex_state = 1},
  [22] = {.lex_state = 28, .external_lex_state = 1},
  [23] = {.lex_state = 28, .external_lex_state = 1},
  [24] = {.lex_state = 28, .external_lex_state = 1},
  [25] = {.lex_state = 28, .external_lex_state = 1},
  [26] = {.lex_state = 28, .external_lex_state = 1},
  [27] = {.lex_state = 28, .external_lex_state = 1},
  [28] = {.lex_state = 28, .external_lex_state = 1},
  [29] = {.lex_state = 28, .external_lex_state = 1},
  [30] = {.lex_state = 28, .external_lex_state = 1},
  [31] = {.lex_state = 28, .external_lex_state = 1},
  [32] = {.lex_state = 28, .external_lex_state = 1},
  [33] = {.lex_state = 28, .external_lex_state = 1},
  [34] = {.lex_state = 28, .external_lex_state = 1},
  [35] = {.lex_state = 28, .external_lex_state = 1},
  [36] = {.lex_state = 28, .external_lex_state = 1},
  [37] = {.lex_state = 28, .external_lex_state = 1},
  [38] = {.lex_state = 28, .external_lex_state = 1},
  [39] = {.lex_state = 28, .external_lex_state = 1},
  [40] = {.lex_state = 28, .external_lex_state = 1},
  [41] = {.lex_state = 28, .external_lex_state = 1},
  [42] = {.lex_state = 28, .external_lex_state = 1},
  [43] = {.lex_state = 28, .external_lex_state = 1},
  [44] = {.lex_state = 28, .external_lex_state = 1},
  [45] = {.lex_state = 28, .external_lex_state = 1},
  [46] = {.lex_state = 28, .external_lex_state = 1},
  [47] = {.lex_state = 28, .external_lex_state = 1},
  [48] = {.lex_state = 28, .external_lex_state = 1},
  [49] = {.lex_state = 28, .external_lex_state = 1},
  [50] = {.lex_state = 26, .external_lex_state = 1},
  [51] = {.lex_state = 28, .external_lex_state = 1},
  [52] = {.lex_state = 28, .external_lex_state = 1},
  [53] = {.lex_state = 28, .external_lex_state = 1},
  [54] = {.lex_state = 28, .external_lex_state = 1},
  [55] = {.lex_state = 28, .external_lex_state = 1},
  [56] = {.lex_state = 28, .external_lex_state = 1},
  [57] = {.lex_state = 28, .external_lex_state = 1},
  [58] = {.lex_state = 26, .external_lex_state = 1},
  [59] = {.lex_state = 26, .external_lex_state = 1},
  [60] = {.lex_state = 26, .external_lex_state = 1},
  [61] = {.lex_state = 26, .external_lex_state = 1},
  [62] = {.lex_state = 26, .external_lex_state = 1},
  [63] = {.lex_state = 26, .external_lex_state = 1},
  [64] = {.lex_state = 26, .external_lex_state = 1},
  [65] = {.lex_state = 26, .external_lex_state = 1},
  [66] = {.lex_state = 26, .external_lex_state = 1},
  [67] = {.lex_state = 26, .external_lex_state = 1},
  [68] = {.lex_state = 26, .external_lex_state = 1},
  [69] = {.lex_state = 26, .external_lex_state = 1},
  [70] = {.lex_state = 26, .external_lex_state = 1},
  [71] = {.lex_state = 26, .external_lex_state = 1},
  [72] = {.lex_state = 26, .external_lex_state = 1},
  [73] = {.lex_state = 26, .external_lex_state = 1},
  [74] = {.lex_state = 26, .external_lex_state = 1},
  [75] = {.lex_state = 26, .external_lex_state = 1},
  [76] = {.lex_state = 26, .external_lex_state = 1},
  [77] = {.lex_state = 26, .external_lex_state = 1},
  [78] = {.lex_state = 26, .external_lex_state = 1},
  [79] = {.lex_state = 26, .external_lex_state = 1},
  [80] = {.lex_state = 26, .external_lex_state = 1},
  [81] = {.lex_state = 26, .external_lex_state = 1},
  [82] = {.lex_state = 26, .external_lex_state = 1},
  [83] = {.lex_state = 26, .external_lex_state = 1},
  [84] = {.lex_state = 26, .external_lex_state = 1},
  [85] = {.lex_state = 26, .external_lex_state = 1},
  [86] = {.lex_state = 26, .external_lex_state = 1},
  [87] = {.lex_state = 26, .external_lex_state = 1},
  [88] = {.lex_state = 26, .external_lex_state = 1},
  [89] = {.lex_state = 26, .external_lex_state = 1},
  [90] = {.lex_state = 26, .external_lex_state = 1},
  [91] = {.lex_state = 26, .external_lex_state = 1},
  [92] = {.lex_state = 26, .external_lex_state = 1},
  [93] = {.lex_state = 26, .external_lex_state = 1},
  [94] = {.lex_state = 26, .external_lex_state = 1},
  [95] = {.lex_state = 29, .external_lex_state = 1},
  [96] = {.lex_state = 29, .external_lex_state = 1},
  [97] = {.lex_state = 29, .external_lex_state = 1},
  [98] = {.lex_state = 29, .external_lex_state = 1},
  [99] = {.lex_state = 29, .external_lex_state = 1},
  [100] = {.lex_state = 29, .external_lex_state = 1},
  [101] = {.lex_state = 29, .external_lex_state = 1},
  [102] = {.lex_state = 29, .external_lex_state = 1},
  [103] = {.lex_state = 29, .external_lex_state = 1},
  [104] = {.lex_state = 27, .external_lex_state = 1},
  [105] = {.lex_state = 29, .external_lex_state = 1},
  [106] = {.lex_state = 29, .external_lex_state = 1},
  [107] = {.lex_state = 29, .external_lex_state = 1},
  [108] = {.lex_state = 29, .external_lex_state = 1},
  [109] = {.lex_state = 29, .external_lex_state = 1},
  [110] = {.lex_state = 29, .external_lex_state = 1},
  [111] = {.lex_state = 27, .external_lex_state = 1},
  [112] = {.lex_state = 27, .external_lex_state = 1},
  [113] = {.lex_state = 29, .external_lex_state = 1},
  [114] = {.lex_state = 29, .external_lex_state = 1},
  [115] = {.lex_state = 30, .external_lex_state = 1},
  [116] = {.lex_state = 30, .external_lex_state = 1},
  [117] = {.lex_state = 30, .external_lex_state = 1},
  [118] = {.lex_state = 30, .external_lex_state = 1},
  [119] = {.lex_state = 30, .external_lex_state = 1},
  [120] = {.lex_state = 29, .external_lex_state = 1},
  [121] = {.lex_state = 33, .external_lex_state = 1},
  [122] = {.lex_state = 33, .external_lex_state = 1},
  [123] = {.lex_state = 33, .external_lex_state = 1},
  [124] = {.lex_state = 33, .external_lex_state = 1},
  [125] = {.lex_state = 33, .external_lex_state = 1},
  [126] = {.lex_state = 33, .external_lex_state = 1},
  [127] = {.lex_state = 33, .external_lex_state = 1},
  [128] = {.lex_state = 33, .external_lex_state = 1},
  [129] = {.lex_state = 33, .external_lex_state = 1},
  [130] = {.lex_state = 33, .external_lex_state = 1},
  [131] = {.lex_state = 33, .external_lex_state = 1},
  [132] = {.lex_state = 33, .external_lex_state = 1},
  [133] = {.lex_state = 30, .external_lex_state = 1},
  [134] = {.lex_state = 30, .external_lex_state = 1},
  [135] = {.lex_state = 33, .external_lex_state = 1},
  [136] = {.lex_state = 33, .external_lex_state = 1},
  [137] = {.lex_state = 33, .external_lex_state = 1},
  [138] = {.lex_state = 30, .external_lex_state = 1},
  [139] = {.lex_state = 33, .external_lex_state = 1},
  [140] = {.lex_state = 33, .external_lex_state = 1},
  [141] = {.lex_state = 33, .external_lex_state = 1},
  [142] = {.lex_state = 33, .external_lex_state = 1},
  [143] = {.lex_state = 30, .external_lex_state = 1},
  [144] = {.lex_state = 33, .external_lex_state = 1},
  [145] = {.lex_state = 30, .external_lex_state = 1},
  [146] = {.lex_state = 30, .external_lex_state = 1},
  [147] = {.lex_state = 33, .external_lex_state = 1},
  [148] = {.lex_state = 30, .external_lex_state = 1},
  [149] = {.lex_state = 30, .external_lex_state = 1},
  [150] = {.lex_state = 30, .external_lex_state = 1},
  [151] = {.lex_state = 33, .external_lex_state = 1},
  [152] = {.lex_state = 30, .external_lex_state = 1},
  [153] = {.lex_state = 33, .external_lex_state = 1},
  [154] = {.lex_state = 30, .external_lex_state = 1},
  [155] = {.lex_state = 33, .external_lex_state = 1},
  [156] = {.lex_state = 30, .external_lex_state = 1},
  [157] = {.lex_state = 30, .external_lex_state = 1},
  [158] = {.lex_state = 30, .external_lex_state = 1},
  [159] = {.lex_state = 30, .external_lex_state = 1},
  [160] = {.lex_state = 30, .external_lex_state = 1},
  [161] = {.lex_state = 30, .external_lex_state = 1},
  [162] = {.lex_state = 30, .external_lex_state = 1},
  [163] = {.lex_state = 30, .external_lex_state = 1},
  [164] = {.lex_state = 30, .external_lex_state = 1},
  [165] = {.lex_state = 30, .external_lex_state = 1},
  [166] = {.lex_state = 33, .external_lex_state = 1},
  [167] = {.lex_state = 29, .external_lex_state = 1},
  [168] = {.lex_state = 29, .external_lex_state = 1},
  [169] = {.lex_state = 29, .external_lex_state = 1},
  [170] = {.lex_state = 29, .external_lex_state = 1},
  [171] = {.lex_state = 29, .external_lex_state = 1},
  [172] = {.lex_state = 29, .external_lex_state = 1},
  [173] = {.lex_state = 30, .external_lex_state = 1},
  [174] = {.lex_state = 30, .external_lex_state = 1},
  [175] = {.lex_state = 33, .external_lex_state = 1},
  [176] = {.lex_state = 29, .external_lex_state = 1},
  [177] = {.lex_state = 29, .external_lex_state = 1},
  [178] = {.lex_state = 30, .external_lex_state = 1},
  [179] = {.lex_state = 30, .external_lex_state = 1},
  [180] = {.lex_state = 29, .external_lex_state = 1},
  [181] = {.lex_state = 30, .external_lex_state = 1},
  [182] = {.lex_state = 29, .external_lex_state = 1},
  [183] = {.lex_state = 33, .external_lex_state = 1},
  [184] = {.lex_state = 33, .external_lex_state = 1},
  [185] = {.lex_state = 30, .external_lex_state = 1},
  [186] = {.lex_state = 30, .external_lex_state = 1},
  [187] = {.lex_state = 30, .external_lex_state = 1},
  [188] = {.lex_state = 30, .external_lex_state = 1},
  [189] = {.lex_state = 30, .external_lex_state = 1},
  [190] = {.lex_state = 30, .external_lex_state = 1},
  [191] = {.lex_state = 30, .external_lex_state = 1},
  [192] = {.lex_state = 30, .external_lex_state = 1},
  [193] = {.lex_state = 33, .external_lex_state = 1},
  [194] = {.lex_state = 29, .external_lex_state = 1},
  [195] = {.lex_state = 29, .external_lex_state = 1},
  [196] = {.lex_state = 29, .external_lex_state = 1},
  [197] = {.lex_state = 29, .external_lex_state = 1},
  [198] = {.lex_state = 29, .external_lex_state = 1},
  [199] = {.lex_state = 29, .external_lex_state = 1},
  [200] = {.lex_state = 29, .external_lex_state = 1},
  [201] = {.lex_state = 29, .external_lex_state = 1},
  [202] = {.lex_state = 29, .external_lex_state = 1},
  [203] = {.lex_state = 29, .external_lex_state = 1},
  [204] = {.lex_state = 29, .external_lex_state = 1},
  [205] = {.lex_state = 30, .external_lex_state = 1},
  [206] = {.lex_state = 29, .external_lex_state = 1},
  [207] = {.lex_state = 30, .external_lex_state = 1},
  [208] = {.lex_state = 29, .external_lex_state = 1},
  [209] = {.lex_state = 29, .external_lex_state = 1},
  [210] = {.lex_state = 30, .external_lex_state = 1},
  [211] = {.lex_state = 29, .external_lex_state = 1},
  [212] = {.lex_state = 29, .external_lex_state = 1},
  [213] = {.lex_state = 30, .external_lex_state = 1},
  [214] = {.lex_state = 30, .external_lex_state = 1},
  [215] = {.lex_state = 30, .external_lex_state = 1},
  [216] = {.lex_state = 30, .external_lex_state = 1},
  [217] = {.lex_state = 30, .external_lex_state = 1},
  [218] = {.lex_state = 30, .external_lex_state = 1},
  [219] = {.lex_state = 30, .external_lex_state = 1},
  [220] = {.lex_state = 30, .external_lex_state = 1},
  [221] = {.lex_state = 30, .external_lex_state = 1},
  [222] = {.lex_state = 29, .external_lex_state = 1},
  [223] = {.lex_state = 30, .external_lex_state = 1},
  [224] = {.lex_state = 30, .external_lex_state = 1},
  [225] = {.lex_state = 30, .external_lex_state = 1},
  [226] = {.lex_state = 29, .external_lex_state = 1},
  [227] = {.lex_state = 29, .external_lex_state = 1},
  [228] = {.lex_state = 29, .external_lex_state = 1},
  [229] = {.lex_state = 29, .external_lex_state = 1},
  [230] = {.lex_state = 29, .external_lex_state = 1},
  [231] = {.lex_state = 29, .external_lex_state = 1},
  [232] = {.lex_state = 29, .external_lex_state = 1},
  [233] = {.lex_state = 29, .external_lex_state = 1},
  [234] = {.lex_state = 29, .external_lex_state = 1},
  [235] = {.lex_state = 29, .external_lex_state = 1},
  [236] = {.lex_state = 29, .external_lex_state = 1},
  [237] = {.lex_state = 29, .external_lex_state = 1},
  [238] = {.lex_state = 29, .external_lex_state = 1},
  [239] = {.lex_state = 29, .external_lex_state = 1},
  [240] = {.lex_state = 29, .external_lex_state = 1},
  [241] = {.lex_state = 27, .external_lex_state = 1},
  [242] = {.lex_state = 27, .external_lex_state = 1},
  [243] = {.lex_state = 29, .external_lex_state = 1},
  [244] = {.lex_state = 27, .external_lex_state = 1},
  [245] = {.lex_state = 29, .external_lex_state = 1},
  [246] = {.lex_state = 28, .external_lex_state = 1},
  [247] = {.lex_state = 29, .external_lex_state = 1},
  [248] = {.lex_state = 29, .external_lex_state = 1},
  [249] = {.lex_state = 29, .external_lex_state = 1},
  [250] = {.lex_state = 29, .external_lex_state = 1},
  [251] = {.lex_state = 29, .external_lex_state = 1},
  [252] = {.lex_state = 29, .external_lex_state = 1},
  [253] = {.lex_state = 26, .external_lex_state = 1},
  [254] = {.lex_state = 26, .external_lex_state = 1},
  [255] = {.lex_state = 26, .external_lex_state = 1},
  [256] = {.lex_state = 26, .external_lex_state = 1},
  [257] = {.lex_state = 26, .external_lex_state = 1},
  [258] = {.lex_state = 26, .external_lex_state = 1},
  [259] = {.lex_state = 28, .external_lex_state = 1},
  [260] = {.lex_state = 26, .external_lex_state = 1},
  [261] = {.lex_state = 27, .external_lex_state = 1},
  [262] = {.lex_state = 26, .external_lex_state = 1},
  [263] = {.lex_state = 26, .external_lex_state = 1},
  [264] = {.lex_state = 26, .external_lex_state = 1},
  [265] = {.lex_state = 28, .external_lex_state = 1},
  [266] = {.lex_state = 28, .external_lex_state = 1},
  [267] = {.lex_state = 28, .external_lex_state = 1},
  [268] = {.lex_state = 26, .external_lex_state = 1},
  [269] = {.lex_state = 26, .external_lex_state = 1},
  [270] = {.lex_state = 26, .external_lex_state = 1},
  [271] = {.lex_state = 26, .external_lex_state = 1},
  [272] = {.lex_state = 28, .external_lex_state = 1},
  [273] = {.lex_state = 29, .external_lex_state = 1},
  [274] = {.lex_state = 28, .external_lex_state = 1},
  [275] = {.lex_state = 28, .external_lex_state = 1},
  [276] = {.lex_state = 28, .external_lex_state = 1},
  [277] = {.lex_state = 28, .external_lex_state = 1},
  [278] = {.lex_state = 28, .external_lex_state = 1},
  [279] = {.lex_state = 28, .external_lex_state = 1},
  [280] = {.lex_state = 26, .external_lex_state = 1},
  [281] = {.lex_state = 29, .external_lex_state = 1},
  [282] = {.lex_state = 28, .external_lex_state = 1},
  [283] = {.lex_state = 28, .external_lex_state = 1},
  [284] = {.lex_state = 28, .external_lex_state = 1},
  [285] = {.lex_state = 28, .external_lex_state = 1},
  [286] = {.lex_state = 29, .external_lex_state = 1},
  [287] = {.lex_state = 28, .external_lex_state = 1},
  [288] = {.lex_state = 28, .external_lex_state = 1},
  [289] = {.lex_state = 28, .external_lex_state = 1},
  [290] = {.lex_state = 26, .external_lex_state = 1},
  [291] = {.lex_state = 28, .external_lex_state = 1},
  [292] = {.lex_state = 29, .external_lex_state = 1},
  [293] = {.lex_state = 28, .external_lex_state = 1},
  [294] = {.lex_state = 28, .external_lex_state = 1},
  [295] = {.lex_state = 29, .external_lex_state = 1},
  [296] = {.lex_state = 28, .external_lex_state = 1},
  [297] = {.lex_state = 28, .external_lex_state = 1},
  [298] = {.lex_state = 28, .external_lex_state = 1},
  [299] = {.lex_state = 26, .external_lex_state = 1},
  [300] = {.lex_state = 29, .external_lex_state = 1},
  [301] = {.lex_state = 29, .external_lex_state = 1},
  [302] = {.lex_state = 28, .external_lex_state = 1},
  [303] = {.lex_state = 28, .external_lex_state = 1},
  [304] = {.lex_state = 28, .external_lex_state = 1},
  [305] = {.lex_state = 28, .external_lex_state = 1},
  [306] = {.lex_state = 28, .external_lex_state = 1},
  [307] = {.lex_state = 28, .external_lex_state = 1},
  [308] = {.lex_state = 28, .external_lex_state = 1},
  [309] = {.lex_state = 28, .external_lex_state = 1},
  [310] = {.lex_state = 28, .external_lex_state = 1},
  [311] = {.lex_state = 28, .external_lex_state = 1},
  [312] = {.lex_state = 28, .external_lex_state = 1},
  [313] = {.lex_state = 28, .external_lex_state = 1},
  [314] = {.lex_state = 28, .external_lex_state = 1},
  [315] = {.lex_state = 28, .external_lex_state = 1},
  [316] = {.lex_state = 28, .external_lex_state = 1},
  [317] = {.lex_state = 28, .external_lex_state = 1},
  [318] = {.lex_state = 26, .external_lex_state = 1},
  [319] = {.lex_state = 28, .external_lex_state = 1},
  [320] = {.lex_state = 26, .external_lex_state = 1},
  [321] = {.lex_state = 29, .external_lex_state = 1},
  [322] = {.lex_state = 29, .external_lex_state = 1},
  [323] = {.lex_state = 29, .external_lex_state = 1},
  [324] = {.lex_state = 29, .external_lex_state = 1},
  [325] = {.lex_state = 29, .external_lex_state = 1},
  [326] = {.lex_state = 29, .external_lex_state = 1},
  [327] = {.lex_state = 29, .external_lex_state = 1},
  [328] = {.lex_state = 29, .external_lex_state = 1},
  [329] = {.lex_state = 29, .external_lex_state = 1},
  [330] = {.lex_state = 26, .external_lex_state = 1},
  [331] = {.lex_state = 29, .external_lex_state = 1},
  [332] = {.lex_state = 29, .external_lex_state = 1},
  [333] = {.lex_state = 29, .external_lex_state = 1},
  [334] = {.lex_state = 29, .external_lex_state = 1},
  [335] = {.lex_state = 29, .external_lex_state = 1},
  [336] = {.lex_state = 29, .external_lex_state = 1},
  [337] = {.lex_state = 29, .external_lex_state = 1},
  [338] = {.lex_state = 26, .external_lex_state = 1},
  [339] = {.lex_state = 29, .external_lex_state = 1},
  [340] = {.lex_state = 29, .external_lex_state = 1},
  [341] = {.lex_state = 29, .external_lex_state = 1},
  [342] = {.lex_state = 29, .external_lex_state = 1},
  [343] = {.lex_state = 29, .external_lex_state = 1},
  [344] = {.lex_state = 29, .external_lex_state = 1},
  [345] = {.lex_state = 29, .external_lex_state = 1},
  [346] = {.lex_state = 29, .external_lex_state = 1},
  [347] = {.lex_state = 29, .external_lex_state = 1},
  [348] = {.lex_state = 29, .external_lex_state = 1},
  [349] = {.lex_state = 29, .external_lex_state = 1},
  [350] = {.lex_state = 29, .external_lex_state = 1},
  [351] = {.lex_state = 29, .external_lex_state = 1},
  [352] = {.lex_state = 29, .external_lex_state = 1},
  [353] = {.lex_state = 29, .external_lex_state = 1},
  [354] = {.lex_state = 29, .external_lex_state = 1},
  [355] = {.lex_state = 29, .external_lex_state = 1},
  [356] = {.lex_state = 29, .external_lex_state = 1},
  [357] = {.lex_state = 26, .external_lex_state = 1},
  [358] = {.lex_state = 29, .external_lex_state = 1},
  [359] = {.lex_state = 29, .external_lex_state = 1},
  [360] = {.lex_state = 26, .external_lex_state = 1},
  [361] = {.lex_state = 26, .external_lex_state = 1},
  [362] = {.lex_state = 26, .external_lex_state = 1},
  [363] = {.lex_state = 29, .external_lex_state = 1},
  [364] = {.lex_state = 26, .external_lex_state = 1},
  [365] = {.lex_state = 26, .external_lex_state = 1},
  [366] = {.lex_state = 26, .external_lex_state = 1},
  [367] = {.lex_state = 26, .external_lex_state = 1},
  [368] = {.lex_state = 26, .external_lex_state = 1},
  [369] = {.lex_state = 26, .external_lex_state = 1},
  [370] = {.lex_state = 26, .external_lex_state = 1},
  [371] = {.lex_state = 26, .external_lex_state = 1},
  [372] = {.lex_state = 26, .external_lex_state = 1},
  [373] = {.lex_state = 26, .external_lex_state = 1},
  [374] = {.lex_state = 26, .external_lex_state = 1},
  [375] = {.lex_state = 26, .external_lex_state = 1},
  [376] = {.lex_state = 26, .external_lex_state = 1},
  [377] = {.lex_state = 26, .external_lex_state = 1},
  [378] = {.lex_state = 26, .external_lex_state = 1},
  [379] = {.lex_state = 26, .external_lex_state = 1},
  [380] = {.lex_state = 26, .external_lex_state = 1},
  [381] = {.lex_state = 26, .external_lex_state = 1},
  [382] = {.lex_state = 26, .external_lex_state = 1},
  [383] = {.lex_state = 26, .external_lex_state = 1},
  [384] = {.lex_state = 26, .external_lex_state = 1},
  [385] = {.lex_state = 26, .external_lex_state = 1},
  [386] = {.lex_state = 26, .external_lex_state = 1},
  [387] = {.lex_state = 26, .external_lex_state = 1},
  [388] = {.lex_state = 26, .external_lex_state = 1},
  [389] = {.lex_state = 26, .external_lex_state = 1},
  [390] = {.lex_state = 26, .external_lex_state = 1},
  [391] = {.lex_state = 26, .external_lex_state = 1},
  [392] = {.lex_state = 26, .external_lex_state = 1},
  [393] = {.lex_state = 26, .external_lex_state = 1},
  [394] = {.lex_state = 26, .external_lex_state = 1},
  [395] = {.lex_state = 26, .external_lex_state = 1},
  [396] = {.lex_state = 26, .external_lex_state = 1},
  [397] = {.lex_state = 26, .external_lex_state = 1},
  [398] = {.lex_state = 26, .external_lex_state = 1},
  [399] = {.lex_state = 26, .external_lex_state = 1},
  [400] = {.lex_state = 26, .external_lex_state = 1},
  [401] = {.lex_state = 26, .external_lex_state = 1},
  [402] = {.lex_state = 26, .external_lex_state = 1},
  [403] = {.lex_state = 26, .external_lex_state = 1},
  [404] = {.lex_state = 26, .external_lex_state = 1},
  [405] = {.lex_state = 26, .external_lex_state = 1},
  [406] = {.lex_state = 26, .external_lex_state = 1},
  [407] = {.lex_state = 26, .external_lex_state = 1},
  [408] = {.lex_state = 26, .external_lex_state = 1},
  [409] = {.lex_state = 26, .external_lex_state = 1},
  [410] = {.lex_state = 26, .external_lex_state = 1},
  [411] = {.lex_state = 26, .external_lex_state = 1},
  [412] = {.lex_state = 26, .external_lex_state = 1},
  [413] = {.lex_state = 26, .external_lex_state = 1},
  [414] = {.lex_state = 26, .external_lex_state = 1},
  [415] = {.lex_state = 26, .external_lex_state = 1},
  [416] = {.lex_state = 26, .external_lex_state = 1},
  [417] = {.lex_state = 26, .external_lex_state = 1},
  [418] = {.lex_state = 26, .external_lex_state = 1},
  [419] = {.lex_state = 26, .external_lex_state = 1},
  [420] = {.lex_state = 26, .external_lex_state = 1},
  [421] = {.lex_state = 26, .external_lex_state = 1},
  [422] = {.lex_state = 26, .external_lex_state = 1},
  [423] = {.lex_state = 26, .external_lex_state = 1},
  [424] = {.lex_state = 26, .external_lex_state = 1},
  [425] = {.lex_state = 26, .external_lex_state = 1},
  [426] = {.lex_state = 26, .external_lex_state = 1},
  [427] = {.lex_state = 26, .external_lex_state = 1},
  [428] = {.lex_state = 26, .external_lex_state = 1},
  [429] = {.lex_state = 26, .external_lex_state = 1},
  [430] = {.lex_state = 26, .external_lex_state = 1},
  [431] = {.lex_state = 26, .external_lex_state = 1},
  [432] = {.lex_state = 26, .external_lex_state = 1},
  [433] = {.lex_state = 26, .external_lex_state = 1},
  [434] = {.lex_state = 26, .external_lex_state = 1},
  [435] = {.lex_state = 26, .external_lex_state = 1},
  [436] = {.lex_state = 26, .external_lex_state = 1},
  [437] = {.lex_state = 26, .external_lex_state = 1},
  [438] = {.lex_state = 26, .external_lex_state = 1},
  [439] = {.lex_state = 26, .external_lex_state = 1},
  [440] = {.lex_state = 26, .external_lex_state = 1},
  [441] = {.lex_state = 26, .external_lex_state = 1},
  [442] = {.lex_state = 26, .external_lex_state = 1},
  [443] = {.lex_state = 26, .external_lex_state = 1},
  [444] = {.lex_state = 26, .external_lex_state = 1},
  [445] = {.lex_state = 26, .external_lex_state = 1},
  [446] = {.lex_state = 26, .external_lex_state = 1},
  [447] = {.lex_state = 26, .external_lex_state = 1},
  [448] = {.lex_state = 26, .external_lex_state = 1},
  [449] = {.lex_state = 26, .external_lex_state = 1},
  [450] = {.lex_state = 26, .external_lex_state = 1},
  [451] = {.lex_state = 26, .external_lex_state = 1},
  [452] = {.lex_state = 29, .external_lex_state = 1},
  [453] = {.lex_state = 29, .external_lex_state = 1},
  [454] = {.lex_state = 29, .external_lex_state = 1},
  [455] = {.lex_state = 29, .external_lex_state = 1},
  [456] = {.lex_state = 29, .external_lex_state = 1},
  [457] = {.lex_state = 29, .external_lex_state = 1},
  [458] = {.lex_state = 29, .external_lex_state = 1},
  [459] = {.lex_state = 29, .external_lex_state = 1},
  [460] = {.lex_state = 29, .external_lex_state = 1},
  [461] = {.lex_state = 28, .external_lex_state = 1},
  [462] = {.lex_state = 28, .external_lex_state = 1},
  [463] = {.lex_state = 29, .external_lex_state = 1},
  [464] = {.lex_state = 29, .external_lex_state = 1},
  [465] = {.lex_state = 29, .external_lex_state = 1},
  [466] = {.lex_state = 28, .external_lex_state = 1},
  [467] = {.lex_state = 29, .external_lex_state = 1},
  [468] = {.lex_state = 29, .external_lex_state = 1},
  [469] = {.lex_state = 29, .external_lex_state = 1},
  [470] = {.lex_state = 29, .external_lex_state = 1},
  [471] = {.lex_state = 29, .external_lex_state = 1},
  [472] = {.lex_state = 28, .external_lex_state = 1},
  [473] = {.lex_state = 29, .external_lex_state = 1},
  [474] = {.lex_state = 28, .external_lex_state = 1},
  [475] = {.lex_state = 29, .external_lex_state = 1},
  [476] = {.lex_state = 29, .external_lex_state = 1},
  [477] = {.lex_state = 29, .external_lex_state = 1},
  [478] = {.lex_state = 29, .external_lex_state = 1},
  [479] = {.lex_state = 29, .external_lex_state = 1},
  [480] = {.lex_state = 29, .external_lex_state = 1},
  [481] = {.lex_state = 29, .external_lex_state = 1},
  [482] = {.lex_state = 28, .external_lex_state = 1},
  [483] = {.lex_state = 29, .external_lex_state = 1},
  [484] = {.lex_state = 29, .external_lex_state = 1},
  [485] = {.lex_state = 29, .external_lex_state = 1},
  [486] = {.lex_state = 29, .external_lex_state = 1},
  [487] = {.lex_state = 29, .external_lex_state = 1},
  [488] = {.lex_state = 29, .external_lex_state = 1},
  [489] = {.lex_state = 29, .external_lex_state = 1},
  [490] = {.lex_state = 29, .external_lex_state = 1},
  [491] = {.lex_state = 29, .external_lex_state = 1},
  [492] = {.lex_state = 29, .external_lex_state = 1},
  [493] = {.lex_state = 28, .external_lex_state = 1},
  [494] = {.lex_state = 29, .external_lex_state = 1},
  [495] = {.lex_state = 29, .external_lex_state = 1},
  [496] = {.lex_state = 29, .external_lex_state = 1},
  [497] = {.lex_state = 29, .external_lex_state = 1},
  [498] = {.lex_state = 29, .external_lex_state = 1},
  [499] = {.lex_state = 29, .external_lex_state = 1},
  [500] = {.lex_state = 29, .external_lex_state = 1},
  [501] = {.lex_state = 29, .external_lex_state = 1},
  [502] = {.lex_state = 29, .external_lex_state = 1},
  [503] = {.lex_state = 29, .external_lex_state = 1},
  [504] = {.lex_state = 29, .external_lex_state = 1},
  [505] = {.lex_state = 28, .external_lex_state = 1},
  [506] = {.lex_state = 29, .external_lex_state = 1},
  [507] = {.lex_state = 29, .external_lex_state = 1},
  [508] = {.lex_state = 28, .external_lex_state = 1},
  [509] = {.lex_state = 29, .external_lex_state = 1},
  [510] = {.lex_state = 29, .external_lex_state = 1},
  [511] = {.lex_state = 28, .external_lex_state = 1},
  [512] = {.lex_state = 29, .external_lex_state = 1},
  [513] = {.lex_state = 29, .external_lex_state = 1},
  [514] = {.lex_state = 29, .external_lex_state = 1},
  [515] = {.lex_state = 29, .external_lex_state = 1},
  [516] = {.lex_state = 28, .external_lex_state = 1},
  [517] = {.lex_state = 28, .external_lex_state = 1},
  [518] = {.lex_state = 28, .external_lex_state = 1},
  [519] = {.lex_state = 29, .external_lex_state = 1},
  [520] = {.lex_state = 28, .external_lex_state = 1},
  [521] = {.lex_state = 28, .external_lex_state = 1},
  [522] = {.lex_state = 28, .external_lex_state = 1},
  [523] = {.lex_state = 29, .external_lex_state = 1},
  [524] = {.lex_state = 29, .external_lex_state = 1},
  [525] = {.lex_state = 28, .external_lex_state = 1},
  [526] = {.lex_state = 29, .external_lex_state = 1},
  [527] = {.lex_state = 28, .external_lex_state = 1},
  [528] = {.lex_state = 28, .external_lex_state = 1},
  [529] = {.lex_state = 28, .external_lex_state = 1},
  [530] = {.lex_state = 28, .external_lex_state = 1},
  [531] = {.lex_state = 29, .external_lex_state = 1},
  [532] = {.lex_state = 28, .external_lex_state = 1},
  [533] = {.lex_state = 29, .external_lex_state = 1},
  [534] = {.lex_state = 28, .external_lex_state = 1},
  [535] = {.lex_state = 28, .external_lex_state = 1},
  [536] = {.lex_state = 28, .external_lex_state = 1},
  [537] = {.lex_state = 29, .external_lex_state = 1},
  [538] = {.lex_state = 28, .external_lex_state = 1},
  [539] = {.lex_state = 28, .external_lex_state = 1},
  [540] = {.lex_state = 28, .external_lex_state = 1},
  [541] = {.lex_state = 28, .external_lex_state = 1},
  [542] = {.lex_state = 28, .external_lex_state = 1},
  [543] = {.lex_state = 28, .external_lex_state = 1},
  [544] = {.lex_state = 29, .external_lex_state = 1},
  [545] = {.lex_state = 29, .external_lex_state = 1},
  [546] = {.lex_state = 28, .external_lex_state = 1},
  [547] = {.lex_state = 29, .external_lex_state = 1},
  [548] = {.lex_state = 28, .external_lex_state = 1},
  [549] = {.lex_state = 28, .external_lex_state = 1},
  [550] = {.lex_state = 29, .external_lex_state = 1},
  [551] = {.lex_state = 28, .external_lex_state = 1},
  [552] = {.lex_state = 28, .external_lex_state = 1},
  [553] = {.lex_state = 28, .external_lex_state = 1},
  [554] = {.lex_state = 28, .external_lex_state = 1},
  [555] = {.lex_state = 28, .external_lex_state = 1},
  [556] = {.lex_state = 28, .external_lex_state = 1},
  [557] = {.lex_state = 28, .external_lex_state = 1},
  [558] = {.lex_state = 29, .external_lex_state = 1},
  [559] = {.lex_state = 29, .external_lex_state = 1},
  [560] = {.lex_state = 29, .external_lex_state = 1},
  [561] = {.lex_state = 28, .external_lex_state = 1},
  [562] = {.lex_state = 29, .external_lex_state = 1},
  [563] = {.lex_state = 29, .external_lex_state = 1},
  [564] = {.lex_state = 29, .external_lex_state = 1},
  [565] = {.lex_state = 29, .external_lex_state = 1},
  [566] = {.lex_state = 29, .external_lex_state = 1},
  [567] = {.lex_state = 29, .external_lex_state = 1},
  [568] = {.lex_state = 29, .external_lex_state = 1},
  [569] = {.lex_state = 29, .external_lex_state = 1},
  [570] = {.lex_state = 29, .external_lex_state = 1},
  [571] = {.lex_state = 29, .external_lex_state = 1},
  [572] = {.lex_state = 29, .external_lex_state = 1},
  [573] = {.lex_state = 29, .external_lex_state = 1},
  [574] = {.lex_state = 29, .external_lex_state = 1},
  [575] = {.lex_state = 29, .external_lex_state = 1},
  [576] = {.lex_state = 29, .external_lex_state = 1},
  [577] = {.lex_state = 29, .external_lex_state = 1},
  [578] = {.lex_state = 29, .external_lex_state = 1},
  [579] = {.lex_state = 29, .external_lex_state = 1},
  [580] = {.lex_state = 29, .external_lex_state = 1},
  [581] = {.lex_state = 29, .external_lex_state = 1},
  [582] = {.lex_state = 29, .external_lex_state = 1},
  [583] = {.lex_state = 29, .external_lex_state = 1},
  [584] = {.lex_state = 29, .external_lex_state = 1},
  [585] = {.lex_state = 29, .external_lex_state = 1},
  [586] = {.lex_state = 29, .external_lex_state = 1},
  [587] = {.lex_state = 29, .external_lex_state = 1},
  [588] = {.lex_state = 27, .external_lex_state = 1},
  [589] = {.lex_state = 27, .external_lex_state = 1},
  [590] = {.lex_state = 34, .external_lex_state = 1},
  [591] = {.lex_state = 30, .external_lex_state = 1},
  [592] = {.lex_state = 34, .external_lex_state = 1},
  [593] = {.lex_state = 27, .external_lex_state = 1},
  [594] = {.lex_state = 34, .external_lex_state = 1},
  [595] = {.lex_state = 26, .external_lex_state = 1},
  [596] = {.lex_state = 26, .external_lex_state = 1},
  [597] = {.lex_state = 30, .external_lex_state = 1},
  [598] = {.lex_state = 26, .external_lex_state = 1},
  [599] = {.lex_state = 26, .external_lex_state = 1},
  [600] = {.lex_state = 26, .external_lex_state = 1},
  [601] = {.lex_state = 31, .external_lex_state = 1},
  [602] = {.lex_state = 31, .external_lex_state = 1},
  [603] = {.lex_state = 26, .external_lex_state = 1},
  [604] = {.lex_state = 26, .external_lex_state = 1},
  [605] = {.lex_state = 26, .external_lex_state = 1},
  [606] = {.lex_state = 26, .external_lex_state = 1},
  [607] = {.lex_state = 26, .external_lex_state = 1},
  [608] = {.lex_state = 26, .external_lex_state = 1},
  [609] = {.lex_state = 26, .external_lex_state = 1},
  [610] = {.lex_state = 26, .external_lex_state = 1},
  [611] = {.lex_state = 31, .external_lex_state = 1},
  [612] = {.lex_state = 31, .external_lex_state = 1},
  [613] = {.lex_state = 31, .external_lex_state = 1},
  [614] = {.lex_state = 26, .external_lex_state = 1},
  [615] = {.lex_state = 26, .external_lex_state = 1},
  [616] = {.lex_state = 31, .external_lex_state = 1},
  [617] = {.lex_state = 26, .external_lex_state = 1},
  [618] = {.lex_state = 31, .external_lex_state = 1},
  [619] = {.lex_state = 31, .external_lex_state = 1},
  [620] = {.lex_state = 31, .external_lex_state = 1},
  [621] = {.lex_state = 31, .external_lex_state = 1},
  [622] = {.lex_state = 31, .external_lex_state = 1},
  [623] = {.lex_state = 31, .external_lex_state = 1},
  [624] = {.lex_state = 26, .external_lex_state = 1},
  [625] = {.lex_state = 26, .external_lex_state = 1},
  [626] = {.lex_state = 26, .external_lex_state = 1},
  [627] = {.lex_state = 26, .external_lex_state = 1},
  [628] = {.lex_state = 26, .external_lex_state = 1},
  [629] = {.lex_state = 26, .external_lex_state = 1},
  [630] = {.lex_state = 26, .external_lex_state = 1},
  [631] = {.lex_state = 26, .external_lex_state = 1},
  [632] = {.lex_state = 26, .external_lex_state = 1},
  [633] = {.lex_state = 26, .external_lex_state = 1},
  [634] = {.lex_state = 26, .external_lex_state = 1},
  [635] = {.lex_state = 26, .external_lex_state = 1},
  [636] = {.lex_state = 26, .external_lex_state = 1},
  [637] = {.lex_state = 26, .external_lex_state = 1},
  [638] = {.lex_state = 26, .external_lex_state = 1},
  [639] = {.lex_state = 26, .external_lex_state = 1},
  [640] = {.lex_state = 26, .external_lex_state = 1},
  [641] = {.lex_state = 26, .external_lex_state = 1},
  [642] = {.lex_state = 26, .external_lex_state = 1},
  [643] = {.lex_state = 26, .external_lex_state = 1},
  [644] = {.lex_state = 26, .external_lex_state = 1},
  [645] = {.lex_state = 30, .external_lex_state = 1},
  [646] = {.lex_state = 26, .external_lex_state = 1},
  [647] = {.lex_state = 26, .external_lex_state = 1},
  [648] = {.lex_state = 26, .external_lex_state = 1},
  [649] = {.lex_state = 26, .external_lex_state = 1},
  [650] = {.lex_state = 26, .external_lex_state = 1},
  [651] = {.lex_state = 26, .external_lex_state = 1},
  [652] = {.lex_state = 26, .external_lex_state = 1},
  [653] = {.lex_state = 26, .external_lex_state = 1},
  [654] = {.lex_state = 26, .external_lex_state = 1},
  [655] = {.lex_state = 26, .external_lex_state = 1},
  [656] = {.lex_state = 26, .external_lex_state = 1},
  [657] = {.lex_state = 26, .external_lex_state = 1},
  [658] = {.lex_state = 31, .external_lex_state = 1},
  [659] = {.lex_state = 26, .external_lex_state = 1},
  [660] = {.lex_state = 26, .external_lex_state = 1},
  [661] = {.lex_state = 33, .external_lex_state = 1},
  [662] = {.lex_state = 26, .external_lex_state = 1},
  [663] = {.lex_state = 26, .external_lex_state = 1},
  [664] = {.lex_state = 31, .external_lex_state = 1},
  [665] = {.lex_state = 26, .external_lex_state = 1},
  [666] = {.lex_state = 31, .external_lex_state = 1},
  [667] = {.lex_state = 26, .external_lex_state = 1},
  [668] = {.lex_state = 33, .external_lex_state = 1},
  [669] = {.lex_state = 26, .external_lex_state = 1},
  [670] = {.lex_state = 26, .external_lex_state = 1},
  [671] = {.lex_state = 31, .external_lex_state = 1},
  [672] = {.lex_state = 26, .external_lex_state = 1},
  [673] = {.lex_state = 26, .external_lex_state = 1},
  [674] = {.lex_state = 31, .external_lex_state = 1},
  [675] = {.lex_state = 26, .external_lex_state = 1},
  [676] = {.lex_state = 31, .external_lex_state = 1},
  [677] = {.lex_state = 31, .external_lex_state = 1},
  [678] = {.lex_state = 26, .external_lex_state = 1},
  [679] = {.lex_state = 31, .external_lex_state = 1},
  [680] = {.lex_state = 31, .external_lex_state = 1},
  [681] = {.lex_state = 31, .external_lex_state = 1},
  [682] = {.lex_state = 26, .external_lex_state = 1},
  [683] = {.lex_state = 26, .external_lex_state = 1},
  [684] = {.lex_state = 31, .external_lex_state = 1},
  [685] = {.lex_state = 31, .external_lex_state = 1},
  [686] = {.lex_state = 26, .external_lex_state = 1},
  [687] = {.lex_state = 26, .external_lex_state = 1},
  [688] = {.lex_state = 31, .external_lex_state = 1},
  [689] = {.lex_state = 31, .external_lex_state = 1},
  [690] = {.lex_state = 26, .external_lex_state = 1},
  [691] = {.lex_state = 33, .external_lex_state = 1},
  [692] = {.lex_state = 26, .external_lex_state = 1},
  [693] = {.lex_state = 31, .external_lex_state = 1},
  [694] = {.lex_state = 31, .external_lex_state = 1},
  [695] = {.lex_state = 26, .external_lex_state = 1},
  [696] = {.lex_state = 0, .external_lex_state = 1},
  [697] = {.lex_state = 0, .external_lex_state = 1},
  [698] = {.lex_state = 33, .external_lex_state = 1},
  [699] = {.lex_state = 31, .external_lex_state = 1},
  [700] = {.lex_state = 31, .external_lex_state = 1},
  [701] = {.lex_state = 31, .external_lex_state = 1},
  [702] = {.lex_state = 31, .external_lex_state = 1},
  [703] = {.lex_state = 31, .external_lex_state = 1},
  [704] = {.lex_state = 33, .external_lex_state = 1},
  [705] = {.lex_state = 31, .external_lex_state = 1},
  [706] = {.lex_state = 31, .external_lex_state = 1},
  [707] = {.lex_state = 31, .external_lex_state = 1},
  [708] = {.lex_state = 27, .external_lex_state = 1},
  [709] = {.lex_state = 33, .external_lex_state = 1},
  [710] = {.lex_state = 33, .external_lex_state = 1},
  [711] = {.lex_state = 27, .external_lex_state = 1},
  [712] = {.lex_state = 0, .external_lex_state = 1},
  [713] = {.lex_state = 31, .external_lex_state = 1},
  [714] = {.lex_state = 33, .external_lex_state = 1},
  [715] = {.lex_state = 26, .external_lex_state = 1},
  [716] = {.lex_state = 31, .external_lex_state = 1},
  [717] = {.lex_state = 27, .external_lex_state = 1},
  [718] = {.lex_state = 31, .external_lex_state = 1},
  [719] = {.lex_state = 33, .external_lex_state = 1},
  [720] = {.lex_state = 33, .external_lex_state = 1},
  [721] = {.lex_state = 57, .external_lex_state = 1},
  [722] = {.lex_state = 0, .external_lex_state = 1},
  [723] = {.lex_state = 33, .external_lex_state = 1},
  [724] = {.lex_state = 57, .external_lex_state = 1},
  [725] = {.lex_state = 0, .external_lex_state = 1},
  [726] = {.lex_state = 0, .external_lex_state = 1},
  [727] = {.lex_state = 58, .external_lex_state = 1},
  [728] = {.lex_state = 0, .external_lex_state = 1},
  [729] = {.lex_state = 58, .external_lex_state = 1},
  [730] = {.lex_state = 33, .external_lex_state = 1},
  [731] = {.lex_state = 33, .external_lex_state = 1},
  [732] = {.lex_state = 26, .external_lex_state = 1},
  [733] = {.lex_state = 26, .external_lex_state = 1},
  [734] = {.lex_state = 26, .external_lex_state = 1},
  [735] = {.lex_state = 57, .external_lex_state = 1},
  [736] = {.lex_state = 33, .external_lex_state = 1},
  [737] = {.lex_state = 30, .external_lex_state = 1},
  [738] = {.lex_state = 26, .external_lex_state = 1},
  [739] = {.lex_state = 26, .external_lex_state = 1},
  [740] = {.lex_state = 26, .external_lex_state = 1},
  [741] = {.lex_state = 26, .external_lex_state = 1},
  [742] = {.lex_state = 26, .external_lex_state = 1},
  [743] = {.lex_state = 26, .external_lex_state = 1},
  [744] = {.lex_state = 26, .external_lex_state = 1},
  [745] = {.lex_state = 26, .external_lex_state = 1},
  [746] = {.lex_state = 57, .external_lex_state = 1},
  [747] = {.lex_state = 26, .external_lex_state = 1},
  [748] = {.lex_state = 26, .external_lex_state = 1},
  [749] = {.lex_state = 26, .external_lex_state = 1},
  [750] = {.lex_state = 26, .external_lex_state = 1},
  [751] = {.lex_state = 58, .external_lex_state = 1},
  [752] = {.lex_state = 26, .external_lex_state = 1},
  [753] = {.lex_state = 58, .external_lex_state = 1},
  [754] = {.lex_state = 26, .external_lex_state = 1},
  [755] = {.lex_state = 26, .external_lex_state = 1},
  [756] = {.lex_state = 26, .external_lex_state = 1},
  [757] = {.lex_state = 0, .external_lex_state = 1},
  [758] = {.lex_state = 0, .external_lex_state = 1},
  [759] = {.lex_state = 0, .external_lex_state = 1},
  [760] = {.lex_state = 0, .external_lex_state = 1},
  [761] = {.lex_state = 26, .external_lex_state = 1},
  [762] = {.lex_state = 0, .external_lex_state = 1},
  [763] = {.lex_state = 26, .external_lex_state = 1},
  [764] = {.lex_state = 26, .external_lex_state = 1},
  [765] = {.lex_state = 0, .external_lex_state = 1},
  [766] = {.lex_state = 26, .external_lex_state = 1},
  [767] = {.lex_state = 26, .external_lex_state = 1},
  [768] = {.lex_state = 0, .external_lex_state = 1},
  [769] = {.lex_state = 26, .external_lex_state = 1},
  [770] = {.lex_state = 0, .external_lex_state = 1},
  [771] = {.lex_state = 0, .external_lex_state = 1},
  [772] = {.lex_state = 26, .external_lex_state = 1},
  [773] = {.lex_state = 0, .external_lex_state = 1},
  [774] = {.lex_state = 0, .external_lex_state = 1},
  [775] = {.lex_state = 0, .external_lex_state = 1},
  [776] = {.lex_state = 26, .external_lex_state = 1},
  [777] = {.lex_state = 0, .external_lex_state = 1},
  [778] = {.lex_state = 0, .external_lex_state = 1},
  [779] = {.lex_state = 0, .external_lex_state = 1},
  [780] = {.lex_state = 27, .external_lex_state = 1},
  [781] = {.lex_state = 0, .external_lex_state = 1},
  [782] = {.lex_state = 0, .external_lex_state = 1},
  [783] = {.lex_state = 26, .external_lex_state = 1},
  [784] = {.lex_state = 0, .external_lex_state = 1},
  [785] = {.lex_state = 26, .external_lex_state = 1},
  [786] = {.lex_state = 27, .external_lex_state = 1},
  [787] = {.lex_state = 26, .external_lex_state = 1},
  [788] = {.lex_state = 26, .external_lex_state = 1},
  [789] = {.lex_state = 26, .external_lex_state = 1},
  [790] = {.lex_state = 26, .external_lex_state = 1},
  [791] = {.lex_state = 26, .external_lex_state = 1},
  [792] = {.lex_state = 26, .external_lex_state = 1},
  [793] = {.lex_state = 26, .external_lex_state = 1},
  [794] = {.lex_state = 26, .external_lex_state = 1},
  [795] = {.lex_state = 26, .external_lex_state = 1},
  [796] = {.lex_state = 26, .external_lex_state = 1},
  [797] = {.lex_state = 26, .external_lex_state = 1},
  [798] = {.lex_state = 26, .external_lex_state = 1},
  [799] = {.lex_state = 26, .external_lex_state = 1},
  [800] = {.lex_state = 26, .external_lex_state = 1},
  [801] = {.lex_state = 26, .external_lex_state = 1},
  [802] = {.lex_state = 26, .external_lex_state = 1},
  [803] = {.lex_state = 26, .external_lex_state = 1},
  [804] = {.lex_state = 26, .external_lex_state = 1},
  [805] = {.lex_state = 26, .external_lex_state = 1},
  [806] = {.lex_state = 26, .external_lex_state = 1},
  [807] = {.lex_state = 26, .external_lex_state = 1},
  [808] = {.lex_state = 26, .external_lex_state = 1},
  [809] = {.lex_state = 26, .external_lex_state = 1},
  [810] = {.lex_state = 26, .external_lex_state = 1},
  [811] = {.lex_state = 26, .external_lex_state = 1},
  [812] = {.lex_state = 26, .external_lex_state = 1},
  [813] = {.lex_state = 26, .external_lex_state = 1},
  [814] = {.lex_state = 26, .external_lex_state = 1},
  [815] = {.lex_state = 26, .external_lex_state = 1},
  [816] = {.lex_state = 26, .external_lex_state = 1},
  [817] = {.lex_state = 26, .external_lex_state = 1},
  [818] = {.lex_state = 26, .external_lex_state = 1},
  [819] = {.lex_state = 26, .external_lex_state = 1},
  [820] = {.lex_state = 0, .external_lex_state = 1},
  [821] = {.lex_state = 26, .external_lex_state = 1},
  [822] = {.lex_state = 26, .external_lex_state = 1},
  [823] = {.lex_state = 26, .external_lex_state = 1},
  [824] = {.lex_state = 26, .external_lex_state = 1},
  [825] = {.lex_state = 26, .external_lex_state = 1},
  [826] = {.lex_state = 26, .external_lex_state = 1},
  [827] = {.lex_state = 26, .external_lex_state = 1},
  [828] = {.lex_state = 26, .external_lex_state = 1},
  [829] = {.lex_state = 26, .external_lex_state = 1},
  [830] = {.lex_state = 26, .external_lex_state = 1},
  [831] = {.lex_state = 0, .external_lex_state = 1},
  [832] = {.lex_state = 26, .external_lex_state = 1},
  [833] = {.lex_state = 26, .external_lex_state = 1},
  [834] = {.lex_state = 26, .external_lex_state = 1},
  [835] = {.lex_state = 26, .external_lex_state = 1},
  [836] = {.lex_state = 26, .external_lex_state = 1},
  [837] = {.lex_state = 26, .external_lex_state = 1},
  [838] = {.lex_state = 26, .external_lex_state = 1},
  [839] = {.lex_state = 26, .external_lex_state = 1},
  [840] = {.lex_state = 26, .external_lex_state = 1},
  [841] = {.lex_state = 26, .external_lex_state = 1},
  [842] = {.lex_state = 26, .external_lex_state = 1},
  [843] = {.lex_state = 26, .external_lex_state = 1},
  [844] = {.lex_state = 26, .external_lex_state = 1},
  [845] = {.lex_state = 26, .external_lex_state = 1},
  [846] = {.lex_state = 26, .external_lex_state = 1},
  [847] = {.lex_state = 26, .external_lex_state = 1},
  [848] = {.lex_state = 26, .external_lex_state = 1},
  [849] = {.lex_state = 28, .external_lex_state = 1},
  [850] = {.lex_state = 26, .external_lex_state = 1},
  [851] = {.lex_state = 26, .external_lex_state = 1},
  [852] = {.lex_state = 26, .external_lex_state = 1},
  [853] = {.lex_state = 0, .external_lex_state = 1},
  [854] = {.lex_state = 26, .external_lex_state = 1},
  [855] = {.lex_state = 26, .external_lex_state = 1},
  [856] = {.lex_state = 0, .external_lex_state = 1},
  [857] = {.lex_state = 26, .external_lex_state = 1},
  [858] = {.lex_state = 26, .external_lex_state = 1},
  [859] = {.lex_state = 32, .external_lex_state = 1},
  [860] = {.lex_state = 0, .external_lex_state = 1},
  [861] = {.lex_state = 26, .external_lex_state = 1},
  [862] = {.lex_state = 26, .external_lex_state = 1},
  [863] = {.lex_state = 0, .external_lex_state = 1},
  [864] = {.lex_state = 26, .external_lex_state = 1},
  [865] = {.lex_state = 26, .external_lex_state = 1},
  [866] = {.lex_state = 26, .external_lex_state = 1},
  [867] = {.lex_state = 26, .external_lex_state = 1},
  [868] = {.lex_state = 0, .external_lex_state = 1},
  [869] = {.lex_state = 28, .external_lex_state = 1},
  [870] = {.lex_state = 26, .external_lex_state = 1},
  [871] = {.lex_state = 28, .external_lex_state = 1},
  [872] = {.lex_state = 26, .external_lex_state = 1},
  [873] = {.lex_state = 26, .external_lex_state = 1},
  [874] = {.lex_state = 26, .external_lex_state = 1},
  [875] = {.lex_state = 28, .external_lex_state = 1},
  [876] = {.lex_state = 26, .external_lex_state = 1},
  [877] = {.lex_state = 26, .external_lex_state = 1},
  [878] = {.lex_state = 26, .external_lex_state = 1},
  [879] = {.lex_state = 0, .external_lex_state = 1},
  [880] = {.lex_state = 28, .external_lex_state = 1},
  [881] = {.lex_state = 0, .external_lex_state = 1},
  [882] = {.lex_state = 26, .external_lex_state = 1},
  [883] = {.lex_state = 0, .external_lex_state = 1},
  [884] = {.lex_state = 26, .external_lex_state = 1},
  [885] = {.lex_state = 26, .external_lex_state = 1},
  [886] = {.lex_state = 0, .external_lex_state = 1},
  [887] = {.lex_state = 26, .external_lex_state = 1},
  [888] = {.lex_state = 28, .external_lex_state = 1},
  [889] = {.lex_state = 0, .external_lex_state = 1},
  [890] = {.lex_state = 28, .external_lex_state = 1},
  [891] = {.lex_state = 26, .external_lex_state = 1},
  [892] = {.lex_state = 0, .external_lex_state = 1},
  [893] = {.lex_state = 0, .external_lex_state = 1},
  [894] = {.lex_state = 0, .external_lex_state = 1},
  [895] = {.lex_state = 0, .external_lex_state = 1},
  [896] = {.lex_state = 0, .external_lex_state = 1},
  [897] = {.lex_state = 28, .external_lex_state = 1},
  [898] = {.lex_state = 0, .external_lex_state = 1},
  [899] = {.lex_state = 323, .external_lex_state = 1},
  [900] = {.lex_state = 0, .external_lex_state = 1},
  [901] = {.lex_state = 0, .external_lex_state = 1},
  [902] = {.lex_state = 323, .external_lex_state = 1},
  [903] = {.lex_state = 0, .external_lex_state = 1},
  [904] = {.lex_state = 0, .external_lex_state = 1},
  [905] = {.lex_state = 28, .external_lex_state = 1},
  [906] = {.lex_state = 28, .external_lex_state = 1},
  [907] = {.lex_state = 0, .external_lex_state = 1},
  [908] = {.lex_state = 0, .external_lex_state = 1},
  [909] = {.lex_state = 28, .external_lex_state = 1},
  [910] = {.lex_state = 0, .external_lex_state = 1},
  [911] = {.lex_state = 26, .external_lex_state = 1},
  [912] = {.lex_state = 26, .external_lex_state = 1},
  [913] = {.lex_state = 26, .external_lex_state = 1},
  [914] = {.lex_state = 26, .external_lex_state = 1},
  [915] = {.lex_state = 0, .external_lex_state = 1},
  [916] = {.lex_state = 26, .external_lex_state = 1},
  [917] = {.lex_state = 0, .external_lex_state = 1},
  [918] = {.lex_state = 0, .external_lex_state = 1},
  [919] = {.lex_state = 26, .external_lex_state = 1},
  [920] = {.lex_state = 26, .external_lex_state = 1},
  [921] = {.lex_state = 0, .external_lex_state = 1},
  [922] = {.lex_state = 26, .external_lex_state = 1},
  [923] = {.lex_state = 0, .external_lex_state = 1},
  [924] = {.lex_state = 0, .external_lex_state = 1},
  [925] = {.lex_state = 28, .external_lex_state = 1},
  [926] = {.lex_state = 26, .external_lex_state = 1},
  [927] = {.lex_state = 26, .external_lex_state = 1},
  [928] = {.lex_state = 323, .external_lex_state = 1},
  [929] = {.lex_state = 323, .external_lex_state = 1},
  [930] = {.lex_state = 0, .external_lex_state = 1},
  [931] = {.lex_state = 0, .external_lex_state = 1},
  [932] = {.lex_state = 0, .external_lex_state = 1},
  [933] = {.lex_state = 26, .external_lex_state = 1},
  [934] = {.lex_state = 28, .external_lex_state = 1},
  [935] = {.lex_state = 26, .external_lex_state = 1},
  [936] = {.lex_state = 0, .external_lex_state = 1},
  [937] = {.lex_state = 323, .external_lex_state = 1},
  [938] = {.lex_state = 28, .external_lex_state = 1},
  [939] = {.lex_state = 0, .external_lex_state = 1},
  [940] = {.lex_state = 0, .external_lex_state = 1},
  [941] = {.lex_state = 0, .external_lex_state = 1},
  [942] = {.lex_state = 0, .external_lex_state = 1},
  [943] = {.lex_state = 0, .external_lex_state = 1},
  [944] = {.lex_state = 26, .external_lex_state = 1},
  [945] = {.lex_state = 0, .external_lex_state = 1},
  [946] = {.lex_state = 0, .external_lex_state = 1},
  [947] = {.lex_state = 0, .external_lex_state = 1},
  [948] = {.lex_state = 0, .external_lex_state = 1},
  [949] = {.lex_state = 0, .external_lex_state = 1},
  [950] = {.lex_state = 0, .external_lex_state = 1},
  [951] = {.lex_state = 0, .external_lex_state = 1},
  [952] = {.lex_state = 323, .external_lex_state = 1},
  [953] = {.lex_state = 26, .external_lex_state = 1},
  [954] = {.lex_state = 26, .external_lex_state = 1},
  [955] = {.lex_state = 0, .external_lex_state = 1},
  [956] = {.lex_state = 0, .external_lex_state = 1},
  [957] = {.lex_state = 0, .external_lex_state = 1},
  [958] = {.lex_state = 0, .external_lex_state = 1},
  [959] = {.lex_state = 28, .external_lex_state = 1},
  [960] = {.lex_state = 26, .external_lex_state = 1},
  [961] = {.lex_state = 28, .external_lex_state = 1},
  [962] = {.lex_state = 323, .external_lex_state = 1},
  [963] = {.lex_state = 0, .external_lex_state = 1},
  [964] = {.lex_state = 0, .external_lex_state = 1},
  [965] = {.lex_state = 0, .external_lex_state = 1},
  [966] = {.lex_state = 26, .external_lex_state = 1},
  [967] = {.lex_state = 26, .external_lex_state = 1},
  [968] = {.lex_state = 323, .external_lex_state = 1},
  [969] = {.lex_state = 0, .external_lex_state = 1},
  [970] = {.lex_state = 323, .external_lex_state = 1},
  [971] = {.lex_state = 26, .external_lex_state = 1},
  [972] = {.lex_state = 26, .external_lex_state = 1},
  [973] = {.lex_state = 0, .external_lex_state = 1},
  [974] = {.lex_state = 26, .external_lex_state = 1},
  [975] = {.lex_state = 0, .external_lex_state = 1},
  [976] = {.lex_state = 0, .external_lex_state = 1},
  [977] = {.lex_state = 26, .external_lex_state = 1},
  [978] = {.lex_state = 26, .external_lex_state = 1},
  [979] = {.lex_state = 28, .external_lex_state = 1},
  [980] = {.lex_state = 0, .external_lex_state = 1},
  [981] = {.lex_state = 26, .external_lex_state = 1},
  [982] = {.lex_state = 26, .external_lex_state = 1},
  [983] = {.lex_state = 26, .external_lex_state = 1},
  [984] = {.lex_state = 26, .external_lex_state = 1},
  [985] = {.lex_state = 26, .external_lex_state = 1},
  [986] = {.lex_state = 0, .external_lex_state = 1},
  [987] = {.lex_state = 0, .external_lex_state = 1},
  [988] = {.lex_state = 0, .external_lex_state = 1},
  [989] = {.lex_state = 26, .external_lex_state = 1},
  [990] = {.lex_state = 28, .external_lex_state = 1},
  [991] = {.lex_state = 0, .external_lex_state = 1},
  [992] = {.lex_state = 0, .external_lex_state = 1},
  [993] = {.lex_state = 0, .external_lex_state = 1},
  [994] = {.lex_state = 26, .external_lex_state = 1},
  [995] = {.lex_state = 26, .external_lex_state = 1},
  [996] = {.lex_state = 0, .external_lex_state = 1},
  [997] = {.lex_state = 0, .external_lex_state = 1},
  [998] = {.lex_state = 0, .external_lex_state = 1},
  [999] = {.lex_state = 26, .external_lex_state = 1},
  [1000] = {.lex_state = 0, .external_lex_state = 1},
  [1001] = {.lex_state = 0, .external_lex_state = 1},
  [1002] = {.lex_state = 26, .external_lex_state = 1},
  [1003] = {.lex_state = 26, .external_lex_state = 1},
  [1004] = {.lex_state = 0, .external_lex_state = 1},
  [1005] = {.lex_state = 0, .external_lex_state = 1},
  [1006] = {.lex_state = 0, .external_lex_state = 1},
  [1007] = {.lex_state = 0, .external_lex_state = 1},
  [1008] = {.lex_state = 0, .external_lex_state = 1},
  [1009] = {.lex_state = 32, .external_lex_state = 1},
  [1010] = {.lex_state = 26, .external_lex_state = 1},
  [1011] = {.lex_state = 26, .external_lex_state = 1},
  [1012] = {.lex_state = 0, .external_lex_state = 1},
  [1013] = {.lex_state = 0, .external_lex_state = 1},
  [1014] = {.lex_state = 26, .external_lex_state = 1},
  [1015] = {.lex_state = 26, .external_lex_state = 1},
  [1016] = {.lex_state = 0, .external_lex_state = 1},
  [1017] = {.lex_state = 26, .external_lex_state = 1},
  [1018] = {.lex_state = 0, .external_lex_state = 1},
  [1019] = {.lex_state = 0, .external_lex_state = 1},
  [1020] = {.lex_state = 26, .external_lex_state = 1},
  [1021] = {.lex_state = 26, .external_lex_state = 1},
  [1022] = {.lex_state = 0, .external_lex_state = 1},
  [1023] = {.lex_state = 28, .external_lex_state = 1},
  [1024] = {.lex_state = 26, .external_lex_state = 1},
  [1025] = {.lex_state = 26, .external_lex_state = 1},
  [1026] = {.lex_state = 26, .external_lex_state = 1},
  [1027] = {.lex_state = 26, .external_lex_state = 1},
  [1028] = {.lex_state = 26, .external_lex_state = 1},
  [1029] = {.lex_state = 26, .external_lex_state = 1},
  [1030] = {.lex_state = 26, .external_lex_state = 1},
  [1031] = {.lex_state = 0, .external_lex_state = 1},
  [1032] = {.lex_state = 26, .external_lex_state = 1},
  [1033] = {.lex_state = 0, .external_lex_state = 1},
  [1034] = {.lex_state = 0, .external_lex_state = 1},
  [1035] = {.lex_state = 0, .external_lex_state = 1},
  [1036] = {.lex_state = 0, .external_lex_state = 1},
  [1037] = {.lex_state = 0, .external_lex_state = 1},
  [1038] = {.lex_state = 0, .external_lex_state = 1},
  [1039] = {.lex_state = 0, .external_lex_state = 1},
  [1040] = {.lex_state = 26, .external_lex_state = 1},
  [1041] = {.lex_state = 0, .external_lex_state = 1},
  [1042] = {.lex_state = 0, .external_lex_state = 1},
  [1043] = {.lex_state = 28, .external_lex_state = 1},
  [1044] = {.lex_state = 0, .external_lex_state = 1},
  [1045] = {.lex_state = 26, .external_lex_state = 1},
  [1046] = {.lex_state = 0, .external_lex_state = 1},
  [1047] = {.lex_state = 0, .external_lex_state = 1},
  [1048] = {.lex_state = 26, .external_lex_state = 1},
  [1049] = {.lex_state = 26, .external_lex_state = 1},
  [1050] = {.lex_state = 0, .external_lex_state = 1},
  [1051] = {.lex_state = 28, .external_lex_state = 1},
  [1052] = {.lex_state = 0, .external_lex_state = 1},
  [1053] = {.lex_state = 0, .external_lex_state = 1},
  [1054] = {.lex_state = 0, .external_lex_state = 1},
  [1055] = {.lex_state = 0, .external_lex_state = 1},
  [1056] = {.lex_state = 0, .external_lex_state = 1},
  [1057] = {.lex_state = 26, .external_lex_state = 1},
  [1058] = {.lex_state = 26, .external_lex_state = 1},
  [1059] = {.lex_state = 26, .external_lex_state = 1},
  [1060] = {.lex_state = 0, .external_lex_state = 1},
  [1061] = {.lex_state = 0, .external_lex_state = 1},
  [1062] = {.lex_state = 59, .external_lex_state = 1},
  [1063] = {.lex_state = 26, .external_lex_state = 1},
  [1064] = {.lex_state = 0, .external_lex_state = 1},
  [1065] = {.lex_state = 0, .external_lex_state = 1},
  [1066] = {.lex_state = 26, .external_lex_state = 1},
  [1067] = {.lex_state = 26, .external_lex_state = 1},
  [1068] = {.lex_state = 0, .external_lex_state = 1},
  [1069] = {.lex_state = 27, .external_lex_state = 1},
  [1070] = {.lex_state = 0, .external_lex_state = 1},
  [1071] = {.lex_state = 26, .external_lex_state = 1},
  [1072] = {.lex_state = 26, .external_lex_state = 1},
  [1073] = {.lex_state = 26, .external_lex_state = 1},
  [1074] = {.lex_state = 0, .external_lex_state = 1},
  [1075] = {.lex_state = 0, .external_lex_state = 1},
  [1076] = {.lex_state = 59, .external_lex_state = 1},
  [1077] = {.lex_state = 0, .external_lex_state = 1},
  [1078] = {.lex_state = 0, .external_lex_state = 1},
  [1079] = {.lex_state = 59, .external_lex_state = 1},
  [1080] = {.lex_state = 0, .external_lex_state = 1},
  [1081] = {.lex_state = 26, .external_lex_state = 1},
  [1082] = {.lex_state = 0, .external_lex_state = 1},
  [1083] = {.lex_state = 0, .external_lex_state = 1},
  [1084] = {.lex_state = 0, .external_lex_state = 1},
  [1085] = {.lex_state = 0, .external_lex_state = 1},
  [1086] = {.lex_state = 59, .external_lex_state = 1},
  [1087] = {.lex_state = 59, .external_lex_state = 1},
  [1088] = {.lex_state = 0, .external_lex_state = 1},
  [1089] = {.lex_state = 0, .external_lex_state = 1},
  [1090] = {.lex_state = 0, .external_lex_state = 1},
  [1091] = {.lex_state = 0, .external_lex_state = 1},
  [1092] = {.lex_state = 0, .external_lex_state = 1},
  [1093] = {.lex_state = 0, .external_lex_state = 1},
  [1094] = {.lex_state = 26, .external_lex_state = 1},
  [1095] = {.lex_state = 0, .external_lex_state = 1},
  [1096] = {.lex_state = 59, .external_lex_state = 1},
  [1097] = {.lex_state = 0, .external_lex_state = 1},
  [1098] = {.lex_state = 26, .external_lex_state = 1},
  [1099] = {.lex_state = 0, .external_lex_state = 1},
  [1100] = {.lex_state = 0, .external_lex_state = 1},
  [1101] = {.lex_state = 59, .external_lex_state = 1},
  [1102] = {.lex_state = 0, .external_lex_state = 1},
  [1103] = {.lex_state = 26, .external_lex_state = 1},
  [1104] = {.lex_state = 0, .external_lex_state = 1},
  [1105] = {.lex_state = 26, .external_lex_state = 1},
  [1106] = {.lex_state = 26, .external_lex_state = 1},
  [1107] = {.lex_state = 26, .external_lex_state = 1},
  [1108] = {.lex_state = 26, .external_lex_state = 1},
  [1109] = {.lex_state = 0, .external_lex_state = 1},
  [1110] = {.lex_state = 0, .external_lex_state = 1},
  [1111] = {.lex_state = 0, .external_lex_state = 1},
  [1112] = {.lex_state = 0, .external_lex_state = 1},
  [1113] = {.lex_state = 0, .external_lex_state = 1},
  [1114] = {.lex_state = 0, .external_lex_state = 1},
  [1115] = {.lex_state = 0, .external_lex_state = 1},
  [1116] = {.lex_state = 59, .external_lex_state = 1},
  [1117] = {.lex_state = 0, .external_lex_state = 1},
  [1118] = {.lex_state = 0, .external_lex_state = 1},
  [1119] = {.lex_state = 59, .external_lex_state = 1},
  [1120] = {.lex_state = 0, .external_lex_state = 1},
  [1121] = {.lex_state = 0, .external_lex_state = 1},
  [1122] = {.lex_state = 0, .external_lex_state = 1},
  [1123] = {.lex_state = 26, .external_lex_state = 1},
  [1124] = {.lex_state = 26, .external_lex_state = 1},
  [1125] = {.lex_state = 26, .external_lex_state = 1},
  [1126] = {.lex_state = 0, .external_lex_state = 1},
  [1127] = {.lex_state = 0, .external_lex_state = 1},
  [1128] = {.lex_state = 28, .external_lex_state = 1},
  [1129] = {.lex_state = 59, .external_lex_state = 1},
  [1130] = {.lex_state = 59, .external_lex_state = 1},
  [1131] = {.lex_state = 26, .external_lex_state = 1},
  [1132] = {.lex_state = 59, .external_lex_state = 1},
  [1133] = {.lex_state = 26, .external_lex_state = 1},
  [1134] = {.lex_state = 0, .external_lex_state = 1},
  [1135] = {.lex_state = 59, .external_lex_state = 1},
  [1136] = {.lex_state = 0, .external_lex_state = 1},
  [1137] = {.lex_state = 26, .external_lex_state = 1},
  [1138] = {.lex_state = 59, .external_lex_state = 1},
  [1139] = {.lex_state = 59, .external_lex_state = 1},
  [1140] = {.lex_state = 26, .external_lex_state = 1},
  [1141] = {.lex_state = 59, .external_lex_state = 1},
  [1142] = {.lex_state = 26, .external_lex_state = 1},
  [1143] = {.lex_state = 26, .external_lex_state = 1},
  [1144] = {.lex_state = 0, .external_lex_state = 1},
  [1145] = {.lex_state = 0, .external_lex_state = 1},
  [1146] = {.lex_state = 0, .external_lex_state = 1},
  [1147] = {.lex_state = 26, .external_lex_state = 1},
  [1148] = {.lex_state = 59, .external_lex_state = 1},
  [1149] = {.lex_state = 0, .external_lex_state = 1},
  [1150] = {.lex_state = 26, .external_lex_state = 1},
  [1151] = {.lex_state = 0, .external_lex_state = 1},
  [1152] = {.lex_state = 59, .external_lex_state = 1},
  [1153] = {.lex_state = 26, .external_lex_state = 1},
  [1154] = {.lex_state = 0, .external_lex_state = 1},
  [1155] = {.lex_state = 26, .external_lex_state = 1},
  [1156] = {.lex_state = 567, .external_lex_state = 1},
  [1157] = {.lex_state = 26, .external_lex_state = 1},
  [1158] = {.lex_state = 26, .external_lex_state = 1},
  [1159] = {.lex_state = 0, .external_lex_state = 1},
  [1160] = {.lex_state = 26, .external_lex_state = 1},
  [1161] = {.lex_state = 0, .external_lex_state = 1},
  [1162] = {.lex_state = 0, .external_lex_state = 1},
  [1163] = {.lex_state = 26, .external_lex_state = 1},
  [1164] = {.lex_state = 26, .external_lex_state = 1},
  [1165] = {.lex_state = 0, .external_lex_state = 1},
  [1166] = {.lex_state = 59, .external_lex_state = 1},
  [1167] = {.lex_state = 0, .external_lex_state = 1},
  [1168] = {.lex_state = 26, .external_lex_state = 1},
  [1169] = {.lex_state = 25, .external_lex_state = 1},
  [1170] = {.lex_state = 25, .external_lex_state = 1},
  [1171] = {.lex_state = 26, .external_lex_state = 1},
  [1172] = {.lex_state = 0, .external_lex_state = 1},
  [1173] = {.lex_state = 26, .external_lex_state = 1},
  [1174] = {.lex_state = 26, .external_lex_state = 1},
  [1175] = {.lex_state = 0, .external_lex_state = 1},
  [1176] = {.lex_state = 26, .external_lex_state = 1},
  [1177] = {.lex_state = 26, .external_lex_state = 1},
  [1178] = {.lex_state = 26, .external_lex_state = 1},
  [1179] = {.lex_state = 0, .external_lex_state = 1},
  [1180] = {.lex_state = 0, .external_lex_state = 1},
  [1181] = {.lex_state = 0, .external_lex_state = 1},
  [1182] = {.lex_state = 0, .external_lex_state = 1},
  [1183] = {.lex_state = 26, .external_lex_state = 1},
  [1184] = {.lex_state = 26, .external_lex_state = 1},
  [1185] = {.lex_state = 59, .external_lex_state = 1},
  [1186] = {.lex_state = 26, .external_lex_state = 1},
  [1187] = {.lex_state = 26, .external_lex_state = 1},
  [1188] = {.lex_state = 0, .external_lex_state = 1},
  [1189] = {.lex_state = 59, .external_lex_state = 1},
  [1190] = {.lex_state = 59, .external_lex_state = 1},
  [1191] = {.lex_state = 26, .external_lex_state = 1},
  [1192] = {.lex_state = 59, .external_lex_state = 1},
  [1193] = {.lex_state = 0, .external_lex_state = 1},
  [1194] = {.lex_state = 571, .external_lex_state = 1},
  [1195] = {.lex_state = 0, .external_lex_state = 1},
  [1196] = {.lex_state = 26, .external_lex_state = 1},
  [1197] = {.lex_state = 32, .external_lex_state = 1},
  [1198] = {.lex_state = 26, .external_lex_state = 1},
  [1199] = {.lex_state = 0, .external_lex_state = 1},
  [1200] = {.lex_state = 59, .external_lex_state = 1},
  [1201] = {.lex_state = 0, .external_lex_state = 1},
  [1202] = {.lex_state = 0, .external_lex_state = 1},
  [1203] = {.lex_state = 0, .external_lex_state = 1},
  [1204] = {.lex_state = 26, .external_lex_state = 1},
  [1205] = {.lex_state = 0, .external_lex_state = 1},
  [1206] = {.lex_state = 26, .external_lex_state = 1},
  [1207] = {.lex_state = 26, .external_lex_state = 1},
  [1208] = {.lex_state = 0, .external_lex_state = 1},
  [1209] = {.lex_state = 26, .external_lex_state = 1},
  [1210] = {.lex_state = 0, .external_lex_state = 1},
  [1211] = {.lex_state = 26, .external_lex_state = 1},
  [1212] = {.lex_state = 26, .external_lex_state = 1},
  [1213] = {.lex_state = 26, .external_lex_state = 1},
  [1214] = {.lex_state = 26, .external_lex_state = 1},
  [1215] = {.lex_state = 59, .external_lex_state = 1},
  [1216] = {.lex_state = 0, .external_lex_state = 1},
  [1217] = {.lex_state = 0, .external_lex_state = 1},
  [1218] = {.lex_state = 26, .external_lex_state = 1},
  [1219] = {.lex_state = 567, .external_lex_state = 1},
  [1220] = {.lex_state = 59, .external_lex_state = 1},
  [1221] = {.lex_state = 26, .external_lex_state = 1},
  [1222] = {.lex_state = 59, .external_lex_state = 1},
  [1223] = {.lex_state = 59, .external_lex_state = 1},
  [1224] = {.lex_state = 59, .external_lex_state = 1},
  [1225] = {.lex_state = 26, .external_lex_state = 1},
  [1226] = {.lex_state = 59, .external_lex_state = 1},
  [1227] = {.lex_state = 0, .external_lex_state = 1},
  [1228] = {.lex_state = 59, .external_lex_state = 1},
  [1229] = {.lex_state = 0, .external_lex_state = 1},
  [1230] = {.lex_state = 26, .external_lex_state = 1},
  [1231] = {.lex_state = 0, .external_lex_state = 1},
  [1232] = {.lex_state = 26, .external_lex_state = 1},
  [1233] = {.lex_state = 0, .external_lex_state = 1},
  [1234] = {.lex_state = 26, .external_lex_state = 1},
  [1235] = {.lex_state = 26, .external_lex_state = 1},
  [1236] = {.lex_state = 26, .external_lex_state = 1},
  [1237] = {.lex_state = 32, .external_lex_state = 1},
  [1238] = {.lex_state = 26, .external_lex_state = 1},
  [1239] = {.lex_state = 0, .external_lex_state = 1},
  [1240] = {.lex_state = 0, .external_lex_state = 1},
  [1241] = {.lex_state = 26, .external_lex_state = 1},
  [1242] = {.lex_state = 0, .external_lex_state = 1},
  [1243] = {.lex_state = 59, .external_lex_state = 1},
  [1244] = {.lex_state = 26, .external_lex_state = 1},
  [1245] = {.lex_state = 0, .external_lex_state = 1},
  [1246] = {.lex_state = 59, .external_lex_state = 1},
  [1247] = {.lex_state = 59, .external_lex_state = 1},
  [1248] = {.lex_state = 26, .external_lex_state = 1},
  [1249] = {.lex_state = 59, .external_lex_state = 1},
  [1250] = {.lex_state = 0, .external_lex_state = 1},
  [1251] = {.lex_state = 0, .external_lex_state = 1},
  [1252] = {.lex_state = 59, .external_lex_state = 1},
  [1253] = {.lex_state = 0, .external_lex_state = 1},
  [1254] = {.lex_state = 26, .external_lex_state = 1},
  [1255] = {.lex_state = 26, .external_lex_state = 1},
  [1256] = {.lex_state = 26, .external_lex_state = 1},
  [1257] = {.lex_state = 26, .external_lex_state = 1},
  [1258] = {.lex_state = 59, .external_lex_state = 1},
  [1259] = {.lex_state = 59, .external_lex_state = 1},
  [1260] = {.lex_state = 26, .external_lex_state = 1},
  [1261] = {.lex_state = 59, .external_lex_state = 1},
  [1262] = {.lex_state = 0, .external_lex_state = 1},
  [1263] = {.lex_state = 0, .external_lex_state = 1},
  [1264] = {.lex_state = 25, .external_lex_state = 1},
  [1265] = {.lex_state = 25, .external_lex_state = 1},
  [1266] = {.lex_state = 26, .external_lex_state = 1},
  [1267] = {.lex_state = 26, .external_lex_state = 1},
  [1268] = {.lex_state = 59, .external_lex_state = 1},
  [1269] = {.lex_state = 26, .external_lex_state = 1},
  [1270] = {.lex_state = 0, .external_lex_state = 1},
  [1271] = {.lex_state = 57, .external_lex_state = 1},
  [1272] = {.lex_state = 26, .external_lex_state = 1},
  [1273] = {.lex_state = 0, .external_lex_state = 1},
  [1274] = {.lex_state = 0, .external_lex_state = 1},
  [1275] = {.lex_state = 0, .external_lex_state = 1},
  [1276] = {.lex_state = 26, .external_lex_state = 1},
  [1277] = {.lex_state = 26, .external_lex_state = 1},
  [1278] = {.lex_state = 26, .external_lex_state = 1},
  [1279] = {.lex_state = 567, .external_lex_state = 1},
  [1280] = {.lex_state = 26, .external_lex_state = 1},
  [1281] = {.lex_state = 0, .external_lex_state = 1},
  [1282] = {.lex_state = 0, .external_lex_state = 1},
  [1283] = {.lex_state = 26, .external_lex_state = 1},
  [1284] = {.lex_state = 26, .external_lex_state = 1},
  [1285] = {.lex_state = 26, .external_lex_state = 1},
  [1286] = {.lex_state = 0, .external_lex_state = 1},
  [1287] = {.lex_state = 0, .external_lex_state = 1},
  [1288] = {.lex_state = 0, .external_lex_state = 1},
  [1289] = {.lex_state = 26, .external_lex_state = 1},
  [1290] = {.lex_state = 0, .external_lex_state = 1},
  [1291] = {.lex_state = 0, .external_lex_state = 1},
  [1292] = {.lex_state = 0, .external_lex_state = 1},
  [1293] = {.lex_state = 0, .external_lex_state = 1},
  [1294] = {.lex_state = 0, .external_lex_state = 1},
  [1295] = {.lex_state = 0, .external_lex_state = 1},
  [1296] = {.lex_state = 0, .external_lex_state = 1},
  [1297] = {.lex_state = 567, .external_lex_state = 1},
  [1298] = {.lex_state = 0, .external_lex_state = 1},
  [1299] = {.lex_state = 25, .external_lex_state = 1},
  [1300] = {.lex_state = 25, .external_lex_state = 1},
  [1301] = {.lex_state = 0, .external_lex_state = 1},
  [1302] = {.lex_state = 26, .external_lex_state = 1},
  [1303] = {.lex_state = 0, .external_lex_state = 1},
  [1304] = {.lex_state = 0, .external_lex_state = 1},
  [1305] = {.lex_state = 26, .external_lex_state = 1},
  [1306] = {.lex_state = 25, .external_lex_state = 1},
  [1307] = {.lex_state = 25, .external_lex_state = 1},
  [1308] = {.lex_state = 59, .external_lex_state = 1},
  [1309] = {.lex_state = 0, .external_lex_state = 1},
  [1310] = {.lex_state = 0, .external_lex_state = 1},
  [1311] = {.lex_state = 25, .external_lex_state = 1},
  [1312] = {.lex_state = 25, .external_lex_state = 1},
  [1313] = {.lex_state = 0, .external_lex_state = 1},
  [1314] = {.lex_state = 26, .external_lex_state = 1},
  [1315] = {.lex_state = 26, .external_lex_state = 1},
  [1316] = {.lex_state = 0, .external_lex_state = 1},
  [1317] = {.lex_state = 0, .external_lex_state = 1},
  [1318] = {.lex_state = 0, .external_lex_state = 1},
  [1319] = {.lex_state = 0, .external_lex_state = 1},
  [1320] = {.lex_state = 26, .external_lex_state = 1},
  [1321] = {.lex_state = 26, .external_lex_state = 1},
  [1322] = {.lex_state = 59, .external_lex_state = 1},
  [1323] = {.lex_state = 0, .external_lex_state = 1},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_ident] = ACTIONS(1),
    [anon_sym_theory] = ACTIONS(1),
    [anon_sym_configuration] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_begin] = ACTIONS(1),
    [anon_sym_end] = ACTIONS(1),
    [anon_sym_DASH_DASHauto_DASHsources] = ACTIONS(1),
    [anon_sym_DASH_DASHstop_DASHon_DASHtrace] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_BFS] = ACTIONS(1),
    [anon_sym_DFS] = ACTIONS(1),
    [anon_sym_SEQDFS] = ACTIONS(1),
    [anon_sym_bfs] = ACTIONS(1),
    [anon_sym_dfs] = ACTIONS(1),
    [anon_sym_seqdfs] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_builtins] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_diffie_DASHhellman] = ACTIONS(1),
    [anon_sym_hashing] = ACTIONS(1),
    [anon_sym_signing] = ACTIONS(1),
    [anon_sym_bilinear_DASHpairing] = ACTIONS(1),
    [anon_sym_xor] = ACTIONS(1),
    [anon_sym_multiset] = ACTIONS(1),
    [anon_sym_revealing_DASHsigning] = ACTIONS(1),
    [anon_sym_locations_DASHreport] = ACTIONS(1),
    [anon_sym_reliable_DASHchannel] = ACTIONS(1),
    [anon_sym_dest_DASHpairing] = ACTIONS(1),
    [anon_sym_dest_DASHsigning] = ACTIONS(1),
    [anon_sym_dest_DASHsymmetric_DASHencryption] = ACTIONS(1),
    [anon_sym_dest_DASHasymmetric_DASHencryption] = ACTIONS(1),
    [anon_sym_functions] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_destructor] = ACTIONS(1),
    [anon_sym_equations] = ACTIONS(1),
    [anon_sym_convergent] = ACTIONS(1),
    [anon_sym_predicate] = ACTIONS(1),
    [anon_sym_predicates] = ACTIONS(1),
    [anon_sym_LT_EQ_GT] = ACTIONS(1),
    [anon_sym_options] = ACTIONS(1),
    [anon_sym_translation_DASHstate_DASHoptimisation] = ACTIONS(1),
    [anon_sym_translation_DASHprogress] = ACTIONS(1),
    [anon_sym_translation_DASHasynchronous_DASHchannels] = ACTIONS(1),
    [anon_sym_translation_DASHcompress_DASHevents] = ACTIONS(1),
    [anon_sym_translation_DASHallow_DASHpattern_DASHlookups] = ACTIONS(1),
    [anon_sym_heuristic] = ACTIONS(1),
    [sym_standard_goal_ranking] = ACTIONS(1),
    [anon_sym_O] = ACTIONS(1),
    [anon_sym_o] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_tactic] = ACTIONS(1),
    [anon_sym_presort] = ACTIONS(1),
    [anon_sym_prio] = ACTIONS(1),
    [anon_sym_deprio] = ACTIONS(1),
    [anon_sym_smallest] = ACTIONS(1),
    [anon_sym_id] = ACTIONS(1),
    [anon_sym_regex] = ACTIONS(1),
    [anon_sym_isFactName] = ACTIONS(1),
    [anon_sym_isInFactTerms] = ACTIONS(1),
    [anon_sym_dhreNoise] = ACTIONS(1),
    [anon_sym_defaultNoise] = ACTIONS(1),
    [anon_sym_reasonableNoncesNoise] = ACTIONS(1),
    [anon_sym_nonAbsurdGoal] = ACTIONS(1),
    [anon_sym_process] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_DASH_DASH_GT] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_out] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_then] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [anon_sym_event] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_insert] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_lookup] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_lock] = ACTIONS(1),
    [anon_sym_unlock] = ACTIONS(1),
    [anon_sym_EQ2] = ACTIONS(1),
    [anon_sym_LPAREN_LT_RPAREN] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_left] = ACTIONS(1),
    [anon_sym_right] = ACTIONS(1),
    [anon_sym_rule] = ACTIONS(1),
    [anon_sym_DASH_DASH_LBRACK] = ACTIONS(1),
    [anon_sym_variants] = ACTIONS(1),
    [anon_sym_modulo] = ACTIONS(1),
    [anon_sym_E] = ACTIONS(1),
    [anon_sym_AC] = ACTIONS(1),
    [anon_sym_no_derivcheck] = ACTIONS(1),
    [anon_sym_issapicrule] = ACTIONS(1),
    [anon_sym_role] = ACTIONS(1),
    [anon_sym_macros] = ACTIONS(1),
    [anon_sym__restrict] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_no_precomp] = ACTIONS(1),
    [anon_sym_restriction] = ACTIONS(1),
    [anon_sym_axiom] = ACTIONS(1),
    [anon_sym_test] = ACTIONS(1),
    [anon_sym_lemma] = ACTIONS(1),
    [anon_sym_sources] = ACTIONS(1),
    [anon_sym_reuse] = ACTIONS(1),
    [anon_sym_use_induction] = ACTIONS(1),
    [anon_sym_hide_lemma_EQ] = ACTIONS(1),
    [anon_sym_heuristic_EQ] = ACTIONS(1),
    [anon_sym_spthy] = ACTIONS(1),
    [anon_sym_spthytyped] = ACTIONS(1),
    [anon_sym_msr] = ACTIONS(1),
    [anon_sym_proverif] = ACTIONS(1),
    [anon_sym_deepsec] = ACTIONS(1),
    [anon_sym_diffLemma] = ACTIONS(1),
    [anon_sym_account] = ACTIONS(1),
    [anon_sym_accounts] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_equivLemma] = ACTIONS(1),
    [anon_sym_diffEquivLemma] = ACTIONS(1),
    [anon_sym_all_DASHtraces] = ACTIONS(1),
    [anon_sym_exists_DASHtrace] = ACTIONS(1),
    [sym_solved] = ACTIONS(1),
    [sym_mirrored] = ACTIONS(1),
    [anon_sym_by] = ACTIONS(1),
    [anon_sym_next] = ACTIONS(1),
    [anon_sym_qed] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_sorry] = ACTIONS(1),
    [anon_sym_simplify] = ACTIONS(1),
    [anon_sym_solve] = ACTIONS(1),
    [anon_sym_contradiction] = ACTIONS(1),
    [anon_sym_induction] = ACTIONS(1),
    [anon_sym_rule_DASHequivalence] = ACTIONS(1),
    [anon_sym_backward_DASHsearch] = ACTIONS(1),
    [anon_sym_ATTACK] = ACTIONS(1),
    [anon_sym_step] = ACTIONS(1),
    [anon_sym_u25b6] = ACTIONS(1),
    [anon_sym_TILDE_TILDE_GT] = ACTIONS(1),
    [anon_sym_u2225] = ACTIONS(1),
    [anon_sym_splitEqs] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_PERCENT_PLUS] = ACTIONS(1),
    [anon_sym_XOR] = ACTIONS(1),
    [anon_sym_u2295] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_pub] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_fresh] = ACTIONS(1),
    [anon_sym_msg] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_node] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_nat] = ACTIONS(1),
    [anon_sym_ANY] = ACTIONS(1),
    [anon_sym_temporal] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(1),
    [anon_sym_u21d4] = ACTIONS(1),
    [anon_sym_EQ_EQ_GT] = ACTIONS(1),
    [anon_sym_u21d2] = ACTIONS(1),
    [anon_sym_u2228] = ACTIONS(1),
    [anon_sym_u2227] = ACTIONS(1),
    [anon_sym_u00ac] = ACTIONS(1),
    [anon_sym_last] = ACTIONS(1),
    [anon_sym_u228f] = ACTIONS(1),
    [anon_sym_Ex] = ACTIONS(1),
    [anon_sym_u2203] = ACTIONS(1),
    [anon_sym_All] = ACTIONS(1),
    [anon_sym_u2200] = ACTIONS(1),
    [anon_sym_u22a5] = ACTIONS(1),
    [anon_sym_F] = ACTIONS(1),
    [anon_sym_u22a4] = ACTIONS(1),
    [anon_sym_T] = ACTIONS(1),
    [anon_sym_u2080] = ACTIONS(1),
    [anon_sym_u2081] = ACTIONS(1),
    [anon_sym_u2082] = ACTIONS(1),
    [anon_sym_u2083] = ACTIONS(1),
    [anon_sym_u2084] = ACTIONS(1),
    [anon_sym_u2085] = ACTIONS(1),
    [anon_sym_u2086] = ACTIONS(1),
    [anon_sym_u2087] = ACTIONS(1),
    [anon_sym_u2088] = ACTIONS(1),
    [anon_sym_u2089] = ACTIONS(1),
    [aux_sym_formal_comment_token1] = ACTIONS(1),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_theory] = STATE(1323),
    [anon_sym_theory] = ACTIONS(5),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [2] = {
    [sym__fact] = STATE(1012),
    [sym_fact] = STATE(1012),
    [sym_goal] = STATE(1180),
    [sym_premise_goal] = STATE(1179),
    [sym_action_goal] = STATE(1179),
    [sym_chain_goal] = STATE(1179),
    [sym_disjunction_split_goal] = STATE(1179),
    [sym_eq_split_goal] = STATE(1179),
    [sym__term] = STATE(736),
    [sym_tuple_term] = STATE(736),
    [sym_mset_term] = STATE(736),
    [sym_nat_term] = STATE(736),
    [sym_xor_term] = STATE(736),
    [sym_mul_term] = STATE(736),
    [sym_exp_term] = STATE(736),
    [sym_nested_term] = STATE(736),
    [sym_nullary_fun] = STATE(736),
    [sym_binary_app] = STATE(736),
    [sym_nary_app] = STATE(736),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(722),
    [sym_iff] = STATE(722),
    [sym_imp] = STATE(722),
    [sym_disjunction] = STATE(722),
    [sym_conjunction] = STATE(722),
    [sym_negation] = STATE(722),
    [sym_nested_formula] = STATE(722),
    [sym__temporal_variable_operation] = STATE(722),
    [sym_temp_var_induction] = STATE(722),
    [sym_temp_var_order] = STATE(722),
    [sym_temp_var_eq] = STATE(722),
    [sym_action_constraint] = STATE(722),
    [sym_term_eq] = STATE(722),
    [sym_subterm_rel] = STATE(722),
    [sym_quantified_formula] = STATE(722),
    [sym_atom] = STATE(722),
    [sym_predicate_ref] = STATE(722),
    [sym_pre_defined] = STATE(722),
    [sym_ident] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(11),
    [anon_sym_not] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_splitEqs] = ACTIONS(17),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(33),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(37),
    [anon_sym_u2203] = ACTIONS(39),
    [anon_sym_All] = ACTIONS(37),
    [anon_sym_u2200] = ACTIONS(39),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [3] = {
    [sym__process] = STATE(467),
    [sym__elementary_process] = STATE(467),
    [sym__extended_process] = STATE(467),
    [sym__stateful_process] = STATE(467),
    [sym_location_process] = STATE(467),
    [sym_inline_msr_process] = STATE(467),
    [sym__nested_process] = STATE(467),
    [sym_predefined_process] = STATE(467),
    [sym_binding] = STATE(467),
    [sym_output] = STATE(467),
    [sym_input] = STATE(467),
    [sym_conditional] = STATE(467),
    [sym_process_let] = STATE(467),
    [sym_deterministic_choice] = STATE(467),
    [sym_non_deterministic_choice] = STATE(467),
    [sym_event] = STATE(467),
    [sym_replication] = STATE(467),
    [sym_set_state] = STATE(467),
    [sym_delete_state] = STATE(467),
    [sym_read_state] = STATE(467),
    [sym_set_lock] = STATE(467),
    [sym_remove_lock] = STATE(467),
    [sym_premise] = STATE(905),
    [sym__term] = STATE(237),
    [sym_tuple_term] = STATE(237),
    [sym_mset_term] = STATE(237),
    [sym_nat_term] = STATE(237),
    [sym_xor_term] = STATE(237),
    [sym_mul_term] = STATE(237),
    [sym_exp_term] = STATE(237),
    [sym_nested_term] = STATE(237),
    [sym_nullary_fun] = STATE(237),
    [sym_binary_app] = STATE(237),
    [sym_nary_app] = STATE(237),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym_ident] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_PIPE] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(53),
    [anon_sym_out] = ACTIONS(55),
    [anon_sym_in] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [anon_sym_PIPE_PIPE] = ACTIONS(63),
    [anon_sym_PLUS] = ACTIONS(65),
    [sym_null] = ACTIONS(67),
    [anon_sym_event] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_insert] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_lookup] = ACTIONS(77),
    [anon_sym_lock] = ACTIONS(79),
    [anon_sym_unlock] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [4] = {
    [sym__process] = STATE(540),
    [sym__elementary_process] = STATE(540),
    [sym__extended_process] = STATE(540),
    [sym__stateful_process] = STATE(540),
    [sym_location_process] = STATE(540),
    [sym_inline_msr_process] = STATE(540),
    [sym__nested_process] = STATE(540),
    [sym_predefined_process] = STATE(540),
    [sym_binding] = STATE(540),
    [sym_output] = STATE(540),
    [sym_input] = STATE(540),
    [sym_conditional] = STATE(540),
    [sym_process_let] = STATE(540),
    [sym_deterministic_choice] = STATE(540),
    [sym_non_deterministic_choice] = STATE(540),
    [sym_event] = STATE(540),
    [sym_replication] = STATE(540),
    [sym_set_state] = STATE(540),
    [sym_delete_state] = STATE(540),
    [sym_read_state] = STATE(540),
    [sym_set_lock] = STATE(540),
    [sym_remove_lock] = STATE(540),
    [sym_premise] = STATE(909),
    [sym__term] = STATE(311),
    [sym_tuple_term] = STATE(311),
    [sym_mset_term] = STATE(311),
    [sym_nat_term] = STATE(311),
    [sym_xor_term] = STATE(311),
    [sym_mul_term] = STATE(311),
    [sym_exp_term] = STATE(311),
    [sym_nested_term] = STATE(311),
    [sym_nullary_fun] = STATE(311),
    [sym_binary_app] = STATE(311),
    [sym_nary_app] = STATE(311),
    [sym__literal] = STATE(283),
    [sym__non_temporal_var] = STATE(283),
    [sym_pub_var] = STATE(283),
    [sym_fresh_var] = STATE(283),
    [sym_msg_var_or_nullary_fun] = STATE(283),
    [sym_nat_var] = STATE(283),
    [sym_comp_var] = STATE(283),
    [sym__custom_type_var] = STATE(283),
    [sym_custom_var] = STATE(283),
    [sym_any_var] = STATE(283),
    [sym_pub_name] = STATE(283),
    [sym_fresh_name] = STATE(283),
    [sym_ident] = ACTIONS(83),
    [anon_sym_EQ] = ACTIONS(85),
    [anon_sym_LPAREN] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_out] = ACTIONS(91),
    [anon_sym_in] = ACTIONS(93),
    [anon_sym_if] = ACTIONS(95),
    [anon_sym_let] = ACTIONS(97),
    [sym_null] = ACTIONS(99),
    [anon_sym_event] = ACTIONS(101),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_insert] = ACTIONS(105),
    [anon_sym_delete] = ACTIONS(107),
    [anon_sym_lookup] = ACTIONS(109),
    [anon_sym_lock] = ACTIONS(111),
    [anon_sym_unlock] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [anon_sym_TILDE] = ACTIONS(119),
    [anon_sym_PERCENT] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(123),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(125),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [5] = {
    [sym__process] = STATE(349),
    [sym__elementary_process] = STATE(349),
    [sym__extended_process] = STATE(349),
    [sym__stateful_process] = STATE(349),
    [sym_location_process] = STATE(349),
    [sym_inline_msr_process] = STATE(349),
    [sym__nested_process] = STATE(349),
    [sym_predefined_process] = STATE(349),
    [sym_binding] = STATE(349),
    [sym_output] = STATE(349),
    [sym_input] = STATE(349),
    [sym_conditional] = STATE(349),
    [sym_process_let] = STATE(349),
    [sym_deterministic_choice] = STATE(349),
    [sym_non_deterministic_choice] = STATE(349),
    [sym_event] = STATE(349),
    [sym_replication] = STATE(349),
    [sym_set_state] = STATE(349),
    [sym_delete_state] = STATE(349),
    [sym_read_state] = STATE(349),
    [sym_set_lock] = STATE(349),
    [sym_remove_lock] = STATE(349),
    [sym_premise] = STATE(905),
    [sym__term] = STATE(237),
    [sym_tuple_term] = STATE(237),
    [sym_mset_term] = STATE(237),
    [sym_nat_term] = STATE(237),
    [sym_xor_term] = STATE(237),
    [sym_mul_term] = STATE(237),
    [sym_exp_term] = STATE(237),
    [sym_nested_term] = STATE(237),
    [sym_nullary_fun] = STATE(237),
    [sym_binary_app] = STATE(237),
    [sym_nary_app] = STATE(237),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym_ident] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(53),
    [anon_sym_out] = ACTIONS(55),
    [anon_sym_in] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [sym_null] = ACTIONS(127),
    [anon_sym_event] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_insert] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_lookup] = ACTIONS(77),
    [anon_sym_lock] = ACTIONS(79),
    [anon_sym_unlock] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [6] = {
    [sym__process] = STATE(336),
    [sym__elementary_process] = STATE(336),
    [sym__extended_process] = STATE(336),
    [sym__stateful_process] = STATE(336),
    [sym_location_process] = STATE(336),
    [sym_inline_msr_process] = STATE(336),
    [sym__nested_process] = STATE(336),
    [sym_predefined_process] = STATE(336),
    [sym_binding] = STATE(336),
    [sym_output] = STATE(336),
    [sym_input] = STATE(336),
    [sym_conditional] = STATE(336),
    [sym_process_let] = STATE(336),
    [sym_deterministic_choice] = STATE(336),
    [sym_non_deterministic_choice] = STATE(336),
    [sym_event] = STATE(336),
    [sym_replication] = STATE(336),
    [sym_set_state] = STATE(336),
    [sym_delete_state] = STATE(336),
    [sym_read_state] = STATE(336),
    [sym_set_lock] = STATE(336),
    [sym_remove_lock] = STATE(336),
    [sym_premise] = STATE(905),
    [sym__term] = STATE(237),
    [sym_tuple_term] = STATE(237),
    [sym_mset_term] = STATE(237),
    [sym_nat_term] = STATE(237),
    [sym_xor_term] = STATE(237),
    [sym_mul_term] = STATE(237),
    [sym_exp_term] = STATE(237),
    [sym_nested_term] = STATE(237),
    [sym_nullary_fun] = STATE(237),
    [sym_binary_app] = STATE(237),
    [sym_nary_app] = STATE(237),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym_ident] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(53),
    [anon_sym_out] = ACTIONS(55),
    [anon_sym_in] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [sym_null] = ACTIONS(129),
    [anon_sym_event] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_insert] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_lookup] = ACTIONS(77),
    [anon_sym_lock] = ACTIONS(79),
    [anon_sym_unlock] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [7] = {
    [sym__process] = STATE(529),
    [sym__elementary_process] = STATE(529),
    [sym__extended_process] = STATE(529),
    [sym__stateful_process] = STATE(529),
    [sym_location_process] = STATE(529),
    [sym_inline_msr_process] = STATE(529),
    [sym__nested_process] = STATE(529),
    [sym_predefined_process] = STATE(529),
    [sym_binding] = STATE(529),
    [sym_output] = STATE(529),
    [sym_input] = STATE(529),
    [sym_conditional] = STATE(529),
    [sym_process_let] = STATE(529),
    [sym_deterministic_choice] = STATE(529),
    [sym_non_deterministic_choice] = STATE(529),
    [sym_event] = STATE(529),
    [sym_replication] = STATE(529),
    [sym_set_state] = STATE(529),
    [sym_delete_state] = STATE(529),
    [sym_read_state] = STATE(529),
    [sym_set_lock] = STATE(529),
    [sym_remove_lock] = STATE(529),
    [sym_premise] = STATE(909),
    [sym__term] = STATE(311),
    [sym_tuple_term] = STATE(311),
    [sym_mset_term] = STATE(311),
    [sym_nat_term] = STATE(311),
    [sym_xor_term] = STATE(311),
    [sym_mul_term] = STATE(311),
    [sym_exp_term] = STATE(311),
    [sym_nested_term] = STATE(311),
    [sym_nullary_fun] = STATE(311),
    [sym_binary_app] = STATE(311),
    [sym_nary_app] = STATE(311),
    [sym__literal] = STATE(283),
    [sym__non_temporal_var] = STATE(283),
    [sym_pub_var] = STATE(283),
    [sym_fresh_var] = STATE(283),
    [sym_msg_var_or_nullary_fun] = STATE(283),
    [sym_nat_var] = STATE(283),
    [sym_comp_var] = STATE(283),
    [sym__custom_type_var] = STATE(283),
    [sym_custom_var] = STATE(283),
    [sym_any_var] = STATE(283),
    [sym_pub_name] = STATE(283),
    [sym_fresh_name] = STATE(283),
    [sym_ident] = ACTIONS(83),
    [anon_sym_EQ] = ACTIONS(85),
    [anon_sym_LPAREN] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_out] = ACTIONS(91),
    [anon_sym_in] = ACTIONS(93),
    [anon_sym_if] = ACTIONS(95),
    [anon_sym_let] = ACTIONS(97),
    [sym_null] = ACTIONS(131),
    [anon_sym_event] = ACTIONS(101),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_insert] = ACTIONS(105),
    [anon_sym_delete] = ACTIONS(107),
    [anon_sym_lookup] = ACTIONS(109),
    [anon_sym_lock] = ACTIONS(111),
    [anon_sym_unlock] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [anon_sym_TILDE] = ACTIONS(119),
    [anon_sym_PERCENT] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(123),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(125),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [8] = {
    [sym__process] = STATE(326),
    [sym__elementary_process] = STATE(326),
    [sym__extended_process] = STATE(326),
    [sym__stateful_process] = STATE(326),
    [sym_location_process] = STATE(326),
    [sym_inline_msr_process] = STATE(326),
    [sym__nested_process] = STATE(326),
    [sym_predefined_process] = STATE(326),
    [sym_binding] = STATE(326),
    [sym_output] = STATE(326),
    [sym_input] = STATE(326),
    [sym_conditional] = STATE(326),
    [sym_process_let] = STATE(326),
    [sym_deterministic_choice] = STATE(326),
    [sym_non_deterministic_choice] = STATE(326),
    [sym_event] = STATE(326),
    [sym_replication] = STATE(326),
    [sym_set_state] = STATE(326),
    [sym_delete_state] = STATE(326),
    [sym_read_state] = STATE(326),
    [sym_set_lock] = STATE(326),
    [sym_remove_lock] = STATE(326),
    [sym_premise] = STATE(905),
    [sym__term] = STATE(237),
    [sym_tuple_term] = STATE(237),
    [sym_mset_term] = STATE(237),
    [sym_nat_term] = STATE(237),
    [sym_xor_term] = STATE(237),
    [sym_mul_term] = STATE(237),
    [sym_exp_term] = STATE(237),
    [sym_nested_term] = STATE(237),
    [sym_nullary_fun] = STATE(237),
    [sym_binary_app] = STATE(237),
    [sym_nary_app] = STATE(237),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym_ident] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(53),
    [anon_sym_out] = ACTIONS(55),
    [anon_sym_in] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [sym_null] = ACTIONS(133),
    [anon_sym_event] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_insert] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_lookup] = ACTIONS(77),
    [anon_sym_lock] = ACTIONS(79),
    [anon_sym_unlock] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [9] = {
    [sym__process] = STATE(528),
    [sym__elementary_process] = STATE(528),
    [sym__extended_process] = STATE(528),
    [sym__stateful_process] = STATE(528),
    [sym_location_process] = STATE(528),
    [sym_inline_msr_process] = STATE(528),
    [sym__nested_process] = STATE(528),
    [sym_predefined_process] = STATE(528),
    [sym_binding] = STATE(528),
    [sym_output] = STATE(528),
    [sym_input] = STATE(528),
    [sym_conditional] = STATE(528),
    [sym_process_let] = STATE(528),
    [sym_deterministic_choice] = STATE(528),
    [sym_non_deterministic_choice] = STATE(528),
    [sym_event] = STATE(528),
    [sym_replication] = STATE(528),
    [sym_set_state] = STATE(528),
    [sym_delete_state] = STATE(528),
    [sym_read_state] = STATE(528),
    [sym_set_lock] = STATE(528),
    [sym_remove_lock] = STATE(528),
    [sym_premise] = STATE(909),
    [sym__term] = STATE(311),
    [sym_tuple_term] = STATE(311),
    [sym_mset_term] = STATE(311),
    [sym_nat_term] = STATE(311),
    [sym_xor_term] = STATE(311),
    [sym_mul_term] = STATE(311),
    [sym_exp_term] = STATE(311),
    [sym_nested_term] = STATE(311),
    [sym_nullary_fun] = STATE(311),
    [sym_binary_app] = STATE(311),
    [sym_nary_app] = STATE(311),
    [sym__literal] = STATE(283),
    [sym__non_temporal_var] = STATE(283),
    [sym_pub_var] = STATE(283),
    [sym_fresh_var] = STATE(283),
    [sym_msg_var_or_nullary_fun] = STATE(283),
    [sym_nat_var] = STATE(283),
    [sym_comp_var] = STATE(283),
    [sym__custom_type_var] = STATE(283),
    [sym_custom_var] = STATE(283),
    [sym_any_var] = STATE(283),
    [sym_pub_name] = STATE(283),
    [sym_fresh_name] = STATE(283),
    [sym_ident] = ACTIONS(83),
    [anon_sym_EQ] = ACTIONS(85),
    [anon_sym_LPAREN] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_out] = ACTIONS(91),
    [anon_sym_in] = ACTIONS(93),
    [anon_sym_if] = ACTIONS(95),
    [anon_sym_let] = ACTIONS(97),
    [sym_null] = ACTIONS(135),
    [anon_sym_event] = ACTIONS(101),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_insert] = ACTIONS(105),
    [anon_sym_delete] = ACTIONS(107),
    [anon_sym_lookup] = ACTIONS(109),
    [anon_sym_lock] = ACTIONS(111),
    [anon_sym_unlock] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [anon_sym_TILDE] = ACTIONS(119),
    [anon_sym_PERCENT] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(123),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(125),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [10] = {
    [sym__process] = STATE(525),
    [sym__elementary_process] = STATE(525),
    [sym__extended_process] = STATE(525),
    [sym__stateful_process] = STATE(525),
    [sym_location_process] = STATE(525),
    [sym_inline_msr_process] = STATE(525),
    [sym__nested_process] = STATE(525),
    [sym_predefined_process] = STATE(525),
    [sym_binding] = STATE(525),
    [sym_output] = STATE(525),
    [sym_input] = STATE(525),
    [sym_conditional] = STATE(525),
    [sym_process_let] = STATE(525),
    [sym_deterministic_choice] = STATE(525),
    [sym_non_deterministic_choice] = STATE(525),
    [sym_event] = STATE(525),
    [sym_replication] = STATE(525),
    [sym_set_state] = STATE(525),
    [sym_delete_state] = STATE(525),
    [sym_read_state] = STATE(525),
    [sym_set_lock] = STATE(525),
    [sym_remove_lock] = STATE(525),
    [sym_premise] = STATE(909),
    [sym__term] = STATE(311),
    [sym_tuple_term] = STATE(311),
    [sym_mset_term] = STATE(311),
    [sym_nat_term] = STATE(311),
    [sym_xor_term] = STATE(311),
    [sym_mul_term] = STATE(311),
    [sym_exp_term] = STATE(311),
    [sym_nested_term] = STATE(311),
    [sym_nullary_fun] = STATE(311),
    [sym_binary_app] = STATE(311),
    [sym_nary_app] = STATE(311),
    [sym__literal] = STATE(283),
    [sym__non_temporal_var] = STATE(283),
    [sym_pub_var] = STATE(283),
    [sym_fresh_var] = STATE(283),
    [sym_msg_var_or_nullary_fun] = STATE(283),
    [sym_nat_var] = STATE(283),
    [sym_comp_var] = STATE(283),
    [sym__custom_type_var] = STATE(283),
    [sym_custom_var] = STATE(283),
    [sym_any_var] = STATE(283),
    [sym_pub_name] = STATE(283),
    [sym_fresh_name] = STATE(283),
    [sym_ident] = ACTIONS(83),
    [anon_sym_EQ] = ACTIONS(85),
    [anon_sym_LPAREN] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_out] = ACTIONS(91),
    [anon_sym_in] = ACTIONS(93),
    [anon_sym_if] = ACTIONS(95),
    [anon_sym_let] = ACTIONS(97),
    [sym_null] = ACTIONS(137),
    [anon_sym_event] = ACTIONS(101),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_insert] = ACTIONS(105),
    [anon_sym_delete] = ACTIONS(107),
    [anon_sym_lookup] = ACTIONS(109),
    [anon_sym_lock] = ACTIONS(111),
    [anon_sym_unlock] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [anon_sym_TILDE] = ACTIONS(119),
    [anon_sym_PERCENT] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(123),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(125),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [11] = {
    [sym__process] = STATE(342),
    [sym__elementary_process] = STATE(342),
    [sym__extended_process] = STATE(342),
    [sym__stateful_process] = STATE(342),
    [sym_location_process] = STATE(342),
    [sym_inline_msr_process] = STATE(342),
    [sym__nested_process] = STATE(342),
    [sym_predefined_process] = STATE(342),
    [sym_binding] = STATE(342),
    [sym_output] = STATE(342),
    [sym_input] = STATE(342),
    [sym_conditional] = STATE(342),
    [sym_process_let] = STATE(342),
    [sym_deterministic_choice] = STATE(342),
    [sym_non_deterministic_choice] = STATE(342),
    [sym_event] = STATE(342),
    [sym_replication] = STATE(342),
    [sym_set_state] = STATE(342),
    [sym_delete_state] = STATE(342),
    [sym_read_state] = STATE(342),
    [sym_set_lock] = STATE(342),
    [sym_remove_lock] = STATE(342),
    [sym_premise] = STATE(905),
    [sym__term] = STATE(237),
    [sym_tuple_term] = STATE(237),
    [sym_mset_term] = STATE(237),
    [sym_nat_term] = STATE(237),
    [sym_xor_term] = STATE(237),
    [sym_mul_term] = STATE(237),
    [sym_exp_term] = STATE(237),
    [sym_nested_term] = STATE(237),
    [sym_nullary_fun] = STATE(237),
    [sym_binary_app] = STATE(237),
    [sym_nary_app] = STATE(237),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym_ident] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(53),
    [anon_sym_out] = ACTIONS(55),
    [anon_sym_in] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [sym_null] = ACTIONS(139),
    [anon_sym_event] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_insert] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_lookup] = ACTIONS(77),
    [anon_sym_lock] = ACTIONS(79),
    [anon_sym_unlock] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [12] = {
    [sym__process] = STATE(521),
    [sym__elementary_process] = STATE(521),
    [sym__extended_process] = STATE(521),
    [sym__stateful_process] = STATE(521),
    [sym_location_process] = STATE(521),
    [sym_inline_msr_process] = STATE(521),
    [sym__nested_process] = STATE(521),
    [sym_predefined_process] = STATE(521),
    [sym_binding] = STATE(521),
    [sym_output] = STATE(521),
    [sym_input] = STATE(521),
    [sym_conditional] = STATE(521),
    [sym_process_let] = STATE(521),
    [sym_deterministic_choice] = STATE(521),
    [sym_non_deterministic_choice] = STATE(521),
    [sym_event] = STATE(521),
    [sym_replication] = STATE(521),
    [sym_set_state] = STATE(521),
    [sym_delete_state] = STATE(521),
    [sym_read_state] = STATE(521),
    [sym_set_lock] = STATE(521),
    [sym_remove_lock] = STATE(521),
    [sym_premise] = STATE(909),
    [sym__term] = STATE(311),
    [sym_tuple_term] = STATE(311),
    [sym_mset_term] = STATE(311),
    [sym_nat_term] = STATE(311),
    [sym_xor_term] = STATE(311),
    [sym_mul_term] = STATE(311),
    [sym_exp_term] = STATE(311),
    [sym_nested_term] = STATE(311),
    [sym_nullary_fun] = STATE(311),
    [sym_binary_app] = STATE(311),
    [sym_nary_app] = STATE(311),
    [sym__literal] = STATE(283),
    [sym__non_temporal_var] = STATE(283),
    [sym_pub_var] = STATE(283),
    [sym_fresh_var] = STATE(283),
    [sym_msg_var_or_nullary_fun] = STATE(283),
    [sym_nat_var] = STATE(283),
    [sym_comp_var] = STATE(283),
    [sym__custom_type_var] = STATE(283),
    [sym_custom_var] = STATE(283),
    [sym_any_var] = STATE(283),
    [sym_pub_name] = STATE(283),
    [sym_fresh_name] = STATE(283),
    [sym_ident] = ACTIONS(83),
    [anon_sym_EQ] = ACTIONS(85),
    [anon_sym_LPAREN] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_out] = ACTIONS(91),
    [anon_sym_in] = ACTIONS(93),
    [anon_sym_if] = ACTIONS(95),
    [anon_sym_let] = ACTIONS(97),
    [sym_null] = ACTIONS(141),
    [anon_sym_event] = ACTIONS(101),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_insert] = ACTIONS(105),
    [anon_sym_delete] = ACTIONS(107),
    [anon_sym_lookup] = ACTIONS(109),
    [anon_sym_lock] = ACTIONS(111),
    [anon_sym_unlock] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [anon_sym_TILDE] = ACTIONS(119),
    [anon_sym_PERCENT] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(123),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(125),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [13] = {
    [sym__process] = STATE(339),
    [sym__elementary_process] = STATE(339),
    [sym__extended_process] = STATE(339),
    [sym__stateful_process] = STATE(339),
    [sym_location_process] = STATE(339),
    [sym_inline_msr_process] = STATE(339),
    [sym__nested_process] = STATE(339),
    [sym_predefined_process] = STATE(339),
    [sym_binding] = STATE(339),
    [sym_output] = STATE(339),
    [sym_input] = STATE(339),
    [sym_conditional] = STATE(339),
    [sym_process_let] = STATE(339),
    [sym_deterministic_choice] = STATE(339),
    [sym_non_deterministic_choice] = STATE(339),
    [sym_event] = STATE(339),
    [sym_replication] = STATE(339),
    [sym_set_state] = STATE(339),
    [sym_delete_state] = STATE(339),
    [sym_read_state] = STATE(339),
    [sym_set_lock] = STATE(339),
    [sym_remove_lock] = STATE(339),
    [sym_premise] = STATE(905),
    [sym__term] = STATE(237),
    [sym_tuple_term] = STATE(237),
    [sym_mset_term] = STATE(237),
    [sym_nat_term] = STATE(237),
    [sym_xor_term] = STATE(237),
    [sym_mul_term] = STATE(237),
    [sym_exp_term] = STATE(237),
    [sym_nested_term] = STATE(237),
    [sym_nullary_fun] = STATE(237),
    [sym_binary_app] = STATE(237),
    [sym_nary_app] = STATE(237),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym_ident] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(53),
    [anon_sym_out] = ACTIONS(55),
    [anon_sym_in] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [sym_null] = ACTIONS(143),
    [anon_sym_event] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_insert] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_lookup] = ACTIONS(77),
    [anon_sym_lock] = ACTIONS(79),
    [anon_sym_unlock] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [14] = {
    [sym__condition] = STATE(1244),
    [sym_equality_check] = STATE(1244),
    [sym_lesser_check] = STATE(1244),
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(718),
    [sym_tuple_term] = STATE(718),
    [sym_mset_term] = STATE(718),
    [sym_nat_term] = STATE(718),
    [sym_xor_term] = STATE(718),
    [sym_mul_term] = STATE(718),
    [sym_exp_term] = STATE(718),
    [sym_nested_term] = STATE(718),
    [sym_nullary_fun] = STATE(718),
    [sym_binary_app] = STATE(718),
    [sym_nary_app] = STATE(718),
    [sym__literal] = STATE(689),
    [sym__non_temporal_var] = STATE(689),
    [sym_pub_var] = STATE(689),
    [sym_fresh_var] = STATE(689),
    [sym_msg_var_or_nullary_fun] = STATE(689),
    [sym_nat_var] = STATE(689),
    [sym_comp_var] = STATE(689),
    [sym__custom_type_var] = STATE(689),
    [sym_custom_var] = STATE(689),
    [sym_any_var] = STATE(689),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(689),
    [sym_fresh_name] = STATE(689),
    [sym__formula] = STATE(782),
    [sym_iff] = STATE(782),
    [sym_imp] = STATE(782),
    [sym_disjunction] = STATE(782),
    [sym_conjunction] = STATE(782),
    [sym_negation] = STATE(782),
    [sym_nested_formula] = STATE(782),
    [sym__temporal_variable_operation] = STATE(782),
    [sym_temp_var_induction] = STATE(782),
    [sym_temp_var_order] = STATE(782),
    [sym_temp_var_eq] = STATE(782),
    [sym_action_constraint] = STATE(782),
    [sym_term_eq] = STATE(782),
    [sym_subterm_rel] = STATE(782),
    [sym_quantified_formula] = STATE(782),
    [sym_atom] = STATE(782),
    [sym_predicate_ref] = STATE(737),
    [sym_pre_defined] = STATE(782),
    [sym_ident] = ACTIONS(145),
    [anon_sym_EQ] = ACTIONS(147),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_not] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(163),
    [anon_sym_u00ac] = ACTIONS(165),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(167),
    [anon_sym_u2203] = ACTIONS(169),
    [anon_sym_All] = ACTIONS(167),
    [anon_sym_u2200] = ACTIONS(169),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [15] = {
    [sym__process] = STATE(520),
    [sym__elementary_process] = STATE(520),
    [sym__extended_process] = STATE(520),
    [sym__stateful_process] = STATE(520),
    [sym_location_process] = STATE(520),
    [sym_inline_msr_process] = STATE(520),
    [sym__nested_process] = STATE(520),
    [sym_predefined_process] = STATE(520),
    [sym_binding] = STATE(520),
    [sym_output] = STATE(520),
    [sym_input] = STATE(520),
    [sym_conditional] = STATE(520),
    [sym_process_let] = STATE(520),
    [sym_deterministic_choice] = STATE(520),
    [sym_non_deterministic_choice] = STATE(520),
    [sym_event] = STATE(520),
    [sym_replication] = STATE(520),
    [sym_set_state] = STATE(520),
    [sym_delete_state] = STATE(520),
    [sym_read_state] = STATE(520),
    [sym_set_lock] = STATE(520),
    [sym_remove_lock] = STATE(520),
    [sym_premise] = STATE(909),
    [sym__term] = STATE(311),
    [sym_tuple_term] = STATE(311),
    [sym_mset_term] = STATE(311),
    [sym_nat_term] = STATE(311),
    [sym_xor_term] = STATE(311),
    [sym_mul_term] = STATE(311),
    [sym_exp_term] = STATE(311),
    [sym_nested_term] = STATE(311),
    [sym_nullary_fun] = STATE(311),
    [sym_binary_app] = STATE(311),
    [sym_nary_app] = STATE(311),
    [sym__literal] = STATE(283),
    [sym__non_temporal_var] = STATE(283),
    [sym_pub_var] = STATE(283),
    [sym_fresh_var] = STATE(283),
    [sym_msg_var_or_nullary_fun] = STATE(283),
    [sym_nat_var] = STATE(283),
    [sym_comp_var] = STATE(283),
    [sym__custom_type_var] = STATE(283),
    [sym_custom_var] = STATE(283),
    [sym_any_var] = STATE(283),
    [sym_pub_name] = STATE(283),
    [sym_fresh_name] = STATE(283),
    [sym_ident] = ACTIONS(83),
    [anon_sym_EQ] = ACTIONS(85),
    [anon_sym_LPAREN] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_out] = ACTIONS(91),
    [anon_sym_in] = ACTIONS(93),
    [anon_sym_if] = ACTIONS(95),
    [anon_sym_let] = ACTIONS(97),
    [sym_null] = ACTIONS(171),
    [anon_sym_event] = ACTIONS(101),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_insert] = ACTIONS(105),
    [anon_sym_delete] = ACTIONS(107),
    [anon_sym_lookup] = ACTIONS(109),
    [anon_sym_lock] = ACTIONS(111),
    [anon_sym_unlock] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [anon_sym_TILDE] = ACTIONS(119),
    [anon_sym_PERCENT] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(123),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(125),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [16] = {
    [sym__process] = STATE(518),
    [sym__elementary_process] = STATE(518),
    [sym__extended_process] = STATE(518),
    [sym__stateful_process] = STATE(518),
    [sym_location_process] = STATE(518),
    [sym_inline_msr_process] = STATE(518),
    [sym__nested_process] = STATE(518),
    [sym_predefined_process] = STATE(518),
    [sym_binding] = STATE(518),
    [sym_output] = STATE(518),
    [sym_input] = STATE(518),
    [sym_conditional] = STATE(518),
    [sym_process_let] = STATE(518),
    [sym_deterministic_choice] = STATE(518),
    [sym_non_deterministic_choice] = STATE(518),
    [sym_event] = STATE(518),
    [sym_replication] = STATE(518),
    [sym_set_state] = STATE(518),
    [sym_delete_state] = STATE(518),
    [sym_read_state] = STATE(518),
    [sym_set_lock] = STATE(518),
    [sym_remove_lock] = STATE(518),
    [sym_premise] = STATE(909),
    [sym__term] = STATE(311),
    [sym_tuple_term] = STATE(311),
    [sym_mset_term] = STATE(311),
    [sym_nat_term] = STATE(311),
    [sym_xor_term] = STATE(311),
    [sym_mul_term] = STATE(311),
    [sym_exp_term] = STATE(311),
    [sym_nested_term] = STATE(311),
    [sym_nullary_fun] = STATE(311),
    [sym_binary_app] = STATE(311),
    [sym_nary_app] = STATE(311),
    [sym__literal] = STATE(283),
    [sym__non_temporal_var] = STATE(283),
    [sym_pub_var] = STATE(283),
    [sym_fresh_var] = STATE(283),
    [sym_msg_var_or_nullary_fun] = STATE(283),
    [sym_nat_var] = STATE(283),
    [sym_comp_var] = STATE(283),
    [sym__custom_type_var] = STATE(283),
    [sym_custom_var] = STATE(283),
    [sym_any_var] = STATE(283),
    [sym_pub_name] = STATE(283),
    [sym_fresh_name] = STATE(283),
    [sym_ident] = ACTIONS(83),
    [anon_sym_EQ] = ACTIONS(85),
    [anon_sym_LPAREN] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_out] = ACTIONS(91),
    [anon_sym_in] = ACTIONS(93),
    [anon_sym_if] = ACTIONS(95),
    [anon_sym_let] = ACTIONS(97),
    [sym_null] = ACTIONS(173),
    [anon_sym_event] = ACTIONS(101),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_insert] = ACTIONS(105),
    [anon_sym_delete] = ACTIONS(107),
    [anon_sym_lookup] = ACTIONS(109),
    [anon_sym_lock] = ACTIONS(111),
    [anon_sym_unlock] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [anon_sym_TILDE] = ACTIONS(119),
    [anon_sym_PERCENT] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(123),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(125),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [17] = {
    [sym__process] = STATE(516),
    [sym__elementary_process] = STATE(516),
    [sym__extended_process] = STATE(516),
    [sym__stateful_process] = STATE(516),
    [sym_location_process] = STATE(516),
    [sym_inline_msr_process] = STATE(516),
    [sym__nested_process] = STATE(516),
    [sym_predefined_process] = STATE(516),
    [sym_binding] = STATE(516),
    [sym_output] = STATE(516),
    [sym_input] = STATE(516),
    [sym_conditional] = STATE(516),
    [sym_process_let] = STATE(516),
    [sym_deterministic_choice] = STATE(516),
    [sym_non_deterministic_choice] = STATE(516),
    [sym_event] = STATE(516),
    [sym_replication] = STATE(516),
    [sym_set_state] = STATE(516),
    [sym_delete_state] = STATE(516),
    [sym_read_state] = STATE(516),
    [sym_set_lock] = STATE(516),
    [sym_remove_lock] = STATE(516),
    [sym_premise] = STATE(909),
    [sym__term] = STATE(311),
    [sym_tuple_term] = STATE(311),
    [sym_mset_term] = STATE(311),
    [sym_nat_term] = STATE(311),
    [sym_xor_term] = STATE(311),
    [sym_mul_term] = STATE(311),
    [sym_exp_term] = STATE(311),
    [sym_nested_term] = STATE(311),
    [sym_nullary_fun] = STATE(311),
    [sym_binary_app] = STATE(311),
    [sym_nary_app] = STATE(311),
    [sym__literal] = STATE(283),
    [sym__non_temporal_var] = STATE(283),
    [sym_pub_var] = STATE(283),
    [sym_fresh_var] = STATE(283),
    [sym_msg_var_or_nullary_fun] = STATE(283),
    [sym_nat_var] = STATE(283),
    [sym_comp_var] = STATE(283),
    [sym__custom_type_var] = STATE(283),
    [sym_custom_var] = STATE(283),
    [sym_any_var] = STATE(283),
    [sym_pub_name] = STATE(283),
    [sym_fresh_name] = STATE(283),
    [sym_ident] = ACTIONS(83),
    [anon_sym_EQ] = ACTIONS(85),
    [anon_sym_LPAREN] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_out] = ACTIONS(91),
    [anon_sym_in] = ACTIONS(93),
    [anon_sym_if] = ACTIONS(95),
    [anon_sym_let] = ACTIONS(97),
    [sym_null] = ACTIONS(175),
    [anon_sym_event] = ACTIONS(101),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_insert] = ACTIONS(105),
    [anon_sym_delete] = ACTIONS(107),
    [anon_sym_lookup] = ACTIONS(109),
    [anon_sym_lock] = ACTIONS(111),
    [anon_sym_unlock] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [anon_sym_TILDE] = ACTIONS(119),
    [anon_sym_PERCENT] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(123),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(125),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [18] = {
    [sym__process] = STATE(468),
    [sym__elementary_process] = STATE(468),
    [sym__extended_process] = STATE(468),
    [sym__stateful_process] = STATE(468),
    [sym_location_process] = STATE(468),
    [sym_inline_msr_process] = STATE(468),
    [sym__nested_process] = STATE(468),
    [sym_predefined_process] = STATE(468),
    [sym_binding] = STATE(468),
    [sym_output] = STATE(468),
    [sym_input] = STATE(468),
    [sym_conditional] = STATE(468),
    [sym_process_let] = STATE(468),
    [sym_deterministic_choice] = STATE(468),
    [sym_non_deterministic_choice] = STATE(468),
    [sym_event] = STATE(468),
    [sym_replication] = STATE(468),
    [sym_set_state] = STATE(468),
    [sym_delete_state] = STATE(468),
    [sym_read_state] = STATE(468),
    [sym_set_lock] = STATE(468),
    [sym_remove_lock] = STATE(468),
    [sym_premise] = STATE(905),
    [sym__term] = STATE(237),
    [sym_tuple_term] = STATE(237),
    [sym_mset_term] = STATE(237),
    [sym_nat_term] = STATE(237),
    [sym_xor_term] = STATE(237),
    [sym_mul_term] = STATE(237),
    [sym_exp_term] = STATE(237),
    [sym_nested_term] = STATE(237),
    [sym_nullary_fun] = STATE(237),
    [sym_binary_app] = STATE(237),
    [sym_nary_app] = STATE(237),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym_ident] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(53),
    [anon_sym_out] = ACTIONS(55),
    [anon_sym_in] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [sym_null] = ACTIONS(177),
    [anon_sym_event] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_insert] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_lookup] = ACTIONS(77),
    [anon_sym_lock] = ACTIONS(79),
    [anon_sym_unlock] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [19] = {
    [sym__process] = STATE(344),
    [sym__elementary_process] = STATE(344),
    [sym__extended_process] = STATE(344),
    [sym__stateful_process] = STATE(344),
    [sym_location_process] = STATE(344),
    [sym_inline_msr_process] = STATE(344),
    [sym__nested_process] = STATE(344),
    [sym_predefined_process] = STATE(344),
    [sym_binding] = STATE(344),
    [sym_output] = STATE(344),
    [sym_input] = STATE(344),
    [sym_conditional] = STATE(344),
    [sym_process_let] = STATE(344),
    [sym_deterministic_choice] = STATE(344),
    [sym_non_deterministic_choice] = STATE(344),
    [sym_event] = STATE(344),
    [sym_replication] = STATE(344),
    [sym_set_state] = STATE(344),
    [sym_delete_state] = STATE(344),
    [sym_read_state] = STATE(344),
    [sym_set_lock] = STATE(344),
    [sym_remove_lock] = STATE(344),
    [sym_premise] = STATE(905),
    [sym__term] = STATE(237),
    [sym_tuple_term] = STATE(237),
    [sym_mset_term] = STATE(237),
    [sym_nat_term] = STATE(237),
    [sym_xor_term] = STATE(237),
    [sym_mul_term] = STATE(237),
    [sym_exp_term] = STATE(237),
    [sym_nested_term] = STATE(237),
    [sym_nullary_fun] = STATE(237),
    [sym_binary_app] = STATE(237),
    [sym_nary_app] = STATE(237),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym_ident] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(53),
    [anon_sym_out] = ACTIONS(55),
    [anon_sym_in] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [sym_null] = ACTIONS(179),
    [anon_sym_event] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_insert] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_lookup] = ACTIONS(77),
    [anon_sym_lock] = ACTIONS(79),
    [anon_sym_unlock] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [20] = {
    [sym__process] = STATE(535),
    [sym__elementary_process] = STATE(535),
    [sym__extended_process] = STATE(535),
    [sym__stateful_process] = STATE(535),
    [sym_location_process] = STATE(535),
    [sym_inline_msr_process] = STATE(535),
    [sym__nested_process] = STATE(535),
    [sym_predefined_process] = STATE(535),
    [sym_binding] = STATE(535),
    [sym_output] = STATE(535),
    [sym_input] = STATE(535),
    [sym_conditional] = STATE(535),
    [sym_process_let] = STATE(535),
    [sym_deterministic_choice] = STATE(535),
    [sym_non_deterministic_choice] = STATE(535),
    [sym_event] = STATE(535),
    [sym_replication] = STATE(535),
    [sym_set_state] = STATE(535),
    [sym_delete_state] = STATE(535),
    [sym_read_state] = STATE(535),
    [sym_set_lock] = STATE(535),
    [sym_remove_lock] = STATE(535),
    [sym_premise] = STATE(909),
    [sym__term] = STATE(311),
    [sym_tuple_term] = STATE(311),
    [sym_mset_term] = STATE(311),
    [sym_nat_term] = STATE(311),
    [sym_xor_term] = STATE(311),
    [sym_mul_term] = STATE(311),
    [sym_exp_term] = STATE(311),
    [sym_nested_term] = STATE(311),
    [sym_nullary_fun] = STATE(311),
    [sym_binary_app] = STATE(311),
    [sym_nary_app] = STATE(311),
    [sym__literal] = STATE(283),
    [sym__non_temporal_var] = STATE(283),
    [sym_pub_var] = STATE(283),
    [sym_fresh_var] = STATE(283),
    [sym_msg_var_or_nullary_fun] = STATE(283),
    [sym_nat_var] = STATE(283),
    [sym_comp_var] = STATE(283),
    [sym__custom_type_var] = STATE(283),
    [sym_custom_var] = STATE(283),
    [sym_any_var] = STATE(283),
    [sym_pub_name] = STATE(283),
    [sym_fresh_name] = STATE(283),
    [sym_ident] = ACTIONS(83),
    [anon_sym_EQ] = ACTIONS(85),
    [anon_sym_LPAREN] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_out] = ACTIONS(91),
    [anon_sym_in] = ACTIONS(93),
    [anon_sym_if] = ACTIONS(95),
    [anon_sym_let] = ACTIONS(97),
    [sym_null] = ACTIONS(181),
    [anon_sym_event] = ACTIONS(101),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_insert] = ACTIONS(105),
    [anon_sym_delete] = ACTIONS(107),
    [anon_sym_lookup] = ACTIONS(109),
    [anon_sym_lock] = ACTIONS(111),
    [anon_sym_unlock] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [anon_sym_TILDE] = ACTIONS(119),
    [anon_sym_PERCENT] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(123),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(125),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [21] = {
    [sym__process] = STATE(539),
    [sym__elementary_process] = STATE(539),
    [sym__extended_process] = STATE(539),
    [sym__stateful_process] = STATE(539),
    [sym_location_process] = STATE(539),
    [sym_inline_msr_process] = STATE(539),
    [sym__nested_process] = STATE(539),
    [sym_predefined_process] = STATE(539),
    [sym_binding] = STATE(539),
    [sym_output] = STATE(539),
    [sym_input] = STATE(539),
    [sym_conditional] = STATE(539),
    [sym_process_let] = STATE(539),
    [sym_deterministic_choice] = STATE(539),
    [sym_non_deterministic_choice] = STATE(539),
    [sym_event] = STATE(539),
    [sym_replication] = STATE(539),
    [sym_set_state] = STATE(539),
    [sym_delete_state] = STATE(539),
    [sym_read_state] = STATE(539),
    [sym_set_lock] = STATE(539),
    [sym_remove_lock] = STATE(539),
    [sym_premise] = STATE(909),
    [sym__term] = STATE(311),
    [sym_tuple_term] = STATE(311),
    [sym_mset_term] = STATE(311),
    [sym_nat_term] = STATE(311),
    [sym_xor_term] = STATE(311),
    [sym_mul_term] = STATE(311),
    [sym_exp_term] = STATE(311),
    [sym_nested_term] = STATE(311),
    [sym_nullary_fun] = STATE(311),
    [sym_binary_app] = STATE(311),
    [sym_nary_app] = STATE(311),
    [sym__literal] = STATE(283),
    [sym__non_temporal_var] = STATE(283),
    [sym_pub_var] = STATE(283),
    [sym_fresh_var] = STATE(283),
    [sym_msg_var_or_nullary_fun] = STATE(283),
    [sym_nat_var] = STATE(283),
    [sym_comp_var] = STATE(283),
    [sym__custom_type_var] = STATE(283),
    [sym_custom_var] = STATE(283),
    [sym_any_var] = STATE(283),
    [sym_pub_name] = STATE(283),
    [sym_fresh_name] = STATE(283),
    [sym_ident] = ACTIONS(83),
    [anon_sym_EQ] = ACTIONS(85),
    [anon_sym_LPAREN] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_out] = ACTIONS(91),
    [anon_sym_in] = ACTIONS(93),
    [anon_sym_if] = ACTIONS(95),
    [anon_sym_let] = ACTIONS(97),
    [sym_null] = ACTIONS(183),
    [anon_sym_event] = ACTIONS(101),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_insert] = ACTIONS(105),
    [anon_sym_delete] = ACTIONS(107),
    [anon_sym_lookup] = ACTIONS(109),
    [anon_sym_lock] = ACTIONS(111),
    [anon_sym_unlock] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [anon_sym_TILDE] = ACTIONS(119),
    [anon_sym_PERCENT] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(123),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(125),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [22] = {
    [sym__process] = STATE(553),
    [sym__elementary_process] = STATE(553),
    [sym__extended_process] = STATE(553),
    [sym__stateful_process] = STATE(553),
    [sym_location_process] = STATE(553),
    [sym_inline_msr_process] = STATE(553),
    [sym__nested_process] = STATE(553),
    [sym_predefined_process] = STATE(553),
    [sym_binding] = STATE(553),
    [sym_output] = STATE(553),
    [sym_input] = STATE(553),
    [sym_conditional] = STATE(553),
    [sym_process_let] = STATE(553),
    [sym_deterministic_choice] = STATE(553),
    [sym_non_deterministic_choice] = STATE(553),
    [sym_event] = STATE(553),
    [sym_replication] = STATE(553),
    [sym_set_state] = STATE(553),
    [sym_delete_state] = STATE(553),
    [sym_read_state] = STATE(553),
    [sym_set_lock] = STATE(553),
    [sym_remove_lock] = STATE(553),
    [sym_premise] = STATE(909),
    [sym__term] = STATE(311),
    [sym_tuple_term] = STATE(311),
    [sym_mset_term] = STATE(311),
    [sym_nat_term] = STATE(311),
    [sym_xor_term] = STATE(311),
    [sym_mul_term] = STATE(311),
    [sym_exp_term] = STATE(311),
    [sym_nested_term] = STATE(311),
    [sym_nullary_fun] = STATE(311),
    [sym_binary_app] = STATE(311),
    [sym_nary_app] = STATE(311),
    [sym__literal] = STATE(283),
    [sym__non_temporal_var] = STATE(283),
    [sym_pub_var] = STATE(283),
    [sym_fresh_var] = STATE(283),
    [sym_msg_var_or_nullary_fun] = STATE(283),
    [sym_nat_var] = STATE(283),
    [sym_comp_var] = STATE(283),
    [sym__custom_type_var] = STATE(283),
    [sym_custom_var] = STATE(283),
    [sym_any_var] = STATE(283),
    [sym_pub_name] = STATE(283),
    [sym_fresh_name] = STATE(283),
    [sym_ident] = ACTIONS(83),
    [anon_sym_EQ] = ACTIONS(85),
    [anon_sym_LPAREN] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_out] = ACTIONS(91),
    [anon_sym_in] = ACTIONS(93),
    [anon_sym_if] = ACTIONS(95),
    [anon_sym_let] = ACTIONS(97),
    [sym_null] = ACTIONS(185),
    [anon_sym_event] = ACTIONS(101),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_insert] = ACTIONS(105),
    [anon_sym_delete] = ACTIONS(107),
    [anon_sym_lookup] = ACTIONS(109),
    [anon_sym_lock] = ACTIONS(111),
    [anon_sym_unlock] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [anon_sym_TILDE] = ACTIONS(119),
    [anon_sym_PERCENT] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(123),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(125),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [23] = {
    [sym__process] = STATE(860),
    [sym__elementary_process] = STATE(860),
    [sym__extended_process] = STATE(860),
    [sym__stateful_process] = STATE(860),
    [sym_location_process] = STATE(860),
    [sym_inline_msr_process] = STATE(860),
    [sym__nested_process] = STATE(860),
    [sym_predefined_process] = STATE(860),
    [sym_binding] = STATE(860),
    [sym_output] = STATE(860),
    [sym_input] = STATE(860),
    [sym_conditional] = STATE(860),
    [sym_process_let] = STATE(860),
    [sym_deterministic_choice] = STATE(860),
    [sym_non_deterministic_choice] = STATE(860),
    [sym_event] = STATE(860),
    [sym_replication] = STATE(860),
    [sym_set_state] = STATE(860),
    [sym_delete_state] = STATE(860),
    [sym_read_state] = STATE(860),
    [sym_set_lock] = STATE(860),
    [sym_remove_lock] = STATE(860),
    [sym_premise] = STATE(905),
    [sym__term] = STATE(744),
    [sym_tuple_term] = STATE(744),
    [sym_mset_term] = STATE(744),
    [sym_nat_term] = STATE(744),
    [sym_xor_term] = STATE(744),
    [sym_mul_term] = STATE(744),
    [sym_exp_term] = STATE(744),
    [sym_nested_term] = STATE(744),
    [sym_nullary_fun] = STATE(744),
    [sym_binary_app] = STATE(744),
    [sym_nary_app] = STATE(744),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym_ident] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(53),
    [anon_sym_out] = ACTIONS(55),
    [anon_sym_in] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [sym_null] = ACTIONS(187),
    [anon_sym_event] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_insert] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_lookup] = ACTIONS(77),
    [anon_sym_lock] = ACTIONS(79),
    [anon_sym_unlock] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [24] = {
    [sym__process] = STATE(332),
    [sym__elementary_process] = STATE(332),
    [sym__extended_process] = STATE(332),
    [sym__stateful_process] = STATE(332),
    [sym_location_process] = STATE(332),
    [sym_inline_msr_process] = STATE(332),
    [sym__nested_process] = STATE(332),
    [sym_predefined_process] = STATE(332),
    [sym_binding] = STATE(332),
    [sym_output] = STATE(332),
    [sym_input] = STATE(332),
    [sym_conditional] = STATE(332),
    [sym_process_let] = STATE(332),
    [sym_deterministic_choice] = STATE(332),
    [sym_non_deterministic_choice] = STATE(332),
    [sym_event] = STATE(332),
    [sym_replication] = STATE(332),
    [sym_set_state] = STATE(332),
    [sym_delete_state] = STATE(332),
    [sym_read_state] = STATE(332),
    [sym_set_lock] = STATE(332),
    [sym_remove_lock] = STATE(332),
    [sym_premise] = STATE(905),
    [sym__term] = STATE(237),
    [sym_tuple_term] = STATE(237),
    [sym_mset_term] = STATE(237),
    [sym_nat_term] = STATE(237),
    [sym_xor_term] = STATE(237),
    [sym_mul_term] = STATE(237),
    [sym_exp_term] = STATE(237),
    [sym_nested_term] = STATE(237),
    [sym_nullary_fun] = STATE(237),
    [sym_binary_app] = STATE(237),
    [sym_nary_app] = STATE(237),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym_ident] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(53),
    [anon_sym_out] = ACTIONS(55),
    [anon_sym_in] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [sym_null] = ACTIONS(189),
    [anon_sym_event] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_insert] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_lookup] = ACTIONS(77),
    [anon_sym_lock] = ACTIONS(79),
    [anon_sym_unlock] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [25] = {
    [sym__process] = STATE(517),
    [sym__elementary_process] = STATE(517),
    [sym__extended_process] = STATE(517),
    [sym__stateful_process] = STATE(517),
    [sym_location_process] = STATE(517),
    [sym_inline_msr_process] = STATE(517),
    [sym__nested_process] = STATE(517),
    [sym_predefined_process] = STATE(517),
    [sym_binding] = STATE(517),
    [sym_output] = STATE(517),
    [sym_input] = STATE(517),
    [sym_conditional] = STATE(517),
    [sym_process_let] = STATE(517),
    [sym_deterministic_choice] = STATE(517),
    [sym_non_deterministic_choice] = STATE(517),
    [sym_event] = STATE(517),
    [sym_replication] = STATE(517),
    [sym_set_state] = STATE(517),
    [sym_delete_state] = STATE(517),
    [sym_read_state] = STATE(517),
    [sym_set_lock] = STATE(517),
    [sym_remove_lock] = STATE(517),
    [sym_premise] = STATE(909),
    [sym__term] = STATE(311),
    [sym_tuple_term] = STATE(311),
    [sym_mset_term] = STATE(311),
    [sym_nat_term] = STATE(311),
    [sym_xor_term] = STATE(311),
    [sym_mul_term] = STATE(311),
    [sym_exp_term] = STATE(311),
    [sym_nested_term] = STATE(311),
    [sym_nullary_fun] = STATE(311),
    [sym_binary_app] = STATE(311),
    [sym_nary_app] = STATE(311),
    [sym__literal] = STATE(283),
    [sym__non_temporal_var] = STATE(283),
    [sym_pub_var] = STATE(283),
    [sym_fresh_var] = STATE(283),
    [sym_msg_var_or_nullary_fun] = STATE(283),
    [sym_nat_var] = STATE(283),
    [sym_comp_var] = STATE(283),
    [sym__custom_type_var] = STATE(283),
    [sym_custom_var] = STATE(283),
    [sym_any_var] = STATE(283),
    [sym_pub_name] = STATE(283),
    [sym_fresh_name] = STATE(283),
    [sym_ident] = ACTIONS(83),
    [anon_sym_EQ] = ACTIONS(85),
    [anon_sym_LPAREN] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_out] = ACTIONS(91),
    [anon_sym_in] = ACTIONS(93),
    [anon_sym_if] = ACTIONS(95),
    [anon_sym_let] = ACTIONS(97),
    [sym_null] = ACTIONS(191),
    [anon_sym_event] = ACTIONS(101),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_insert] = ACTIONS(105),
    [anon_sym_delete] = ACTIONS(107),
    [anon_sym_lookup] = ACTIONS(109),
    [anon_sym_lock] = ACTIONS(111),
    [anon_sym_unlock] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [anon_sym_TILDE] = ACTIONS(119),
    [anon_sym_PERCENT] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(123),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(125),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [26] = {
    [sym__process] = STATE(555),
    [sym__elementary_process] = STATE(555),
    [sym__extended_process] = STATE(555),
    [sym__stateful_process] = STATE(555),
    [sym_location_process] = STATE(555),
    [sym_inline_msr_process] = STATE(555),
    [sym__nested_process] = STATE(555),
    [sym_predefined_process] = STATE(555),
    [sym_binding] = STATE(555),
    [sym_output] = STATE(555),
    [sym_input] = STATE(555),
    [sym_conditional] = STATE(555),
    [sym_process_let] = STATE(555),
    [sym_deterministic_choice] = STATE(555),
    [sym_non_deterministic_choice] = STATE(555),
    [sym_event] = STATE(555),
    [sym_replication] = STATE(555),
    [sym_set_state] = STATE(555),
    [sym_delete_state] = STATE(555),
    [sym_read_state] = STATE(555),
    [sym_set_lock] = STATE(555),
    [sym_remove_lock] = STATE(555),
    [sym_premise] = STATE(909),
    [sym__term] = STATE(311),
    [sym_tuple_term] = STATE(311),
    [sym_mset_term] = STATE(311),
    [sym_nat_term] = STATE(311),
    [sym_xor_term] = STATE(311),
    [sym_mul_term] = STATE(311),
    [sym_exp_term] = STATE(311),
    [sym_nested_term] = STATE(311),
    [sym_nullary_fun] = STATE(311),
    [sym_binary_app] = STATE(311),
    [sym_nary_app] = STATE(311),
    [sym__literal] = STATE(283),
    [sym__non_temporal_var] = STATE(283),
    [sym_pub_var] = STATE(283),
    [sym_fresh_var] = STATE(283),
    [sym_msg_var_or_nullary_fun] = STATE(283),
    [sym_nat_var] = STATE(283),
    [sym_comp_var] = STATE(283),
    [sym__custom_type_var] = STATE(283),
    [sym_custom_var] = STATE(283),
    [sym_any_var] = STATE(283),
    [sym_pub_name] = STATE(283),
    [sym_fresh_name] = STATE(283),
    [sym_ident] = ACTIONS(83),
    [anon_sym_EQ] = ACTIONS(85),
    [anon_sym_LPAREN] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_out] = ACTIONS(91),
    [anon_sym_in] = ACTIONS(93),
    [anon_sym_if] = ACTIONS(95),
    [anon_sym_let] = ACTIONS(97),
    [sym_null] = ACTIONS(193),
    [anon_sym_event] = ACTIONS(101),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_insert] = ACTIONS(105),
    [anon_sym_delete] = ACTIONS(107),
    [anon_sym_lookup] = ACTIONS(109),
    [anon_sym_lock] = ACTIONS(111),
    [anon_sym_unlock] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [anon_sym_TILDE] = ACTIONS(119),
    [anon_sym_PERCENT] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(123),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(125),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [27] = {
    [sym__process] = STATE(548),
    [sym__elementary_process] = STATE(548),
    [sym__extended_process] = STATE(548),
    [sym__stateful_process] = STATE(548),
    [sym_location_process] = STATE(548),
    [sym_inline_msr_process] = STATE(548),
    [sym__nested_process] = STATE(548),
    [sym_predefined_process] = STATE(548),
    [sym_binding] = STATE(548),
    [sym_output] = STATE(548),
    [sym_input] = STATE(548),
    [sym_conditional] = STATE(548),
    [sym_process_let] = STATE(548),
    [sym_deterministic_choice] = STATE(548),
    [sym_non_deterministic_choice] = STATE(548),
    [sym_event] = STATE(548),
    [sym_replication] = STATE(548),
    [sym_set_state] = STATE(548),
    [sym_delete_state] = STATE(548),
    [sym_read_state] = STATE(548),
    [sym_set_lock] = STATE(548),
    [sym_remove_lock] = STATE(548),
    [sym_premise] = STATE(909),
    [sym__term] = STATE(311),
    [sym_tuple_term] = STATE(311),
    [sym_mset_term] = STATE(311),
    [sym_nat_term] = STATE(311),
    [sym_xor_term] = STATE(311),
    [sym_mul_term] = STATE(311),
    [sym_exp_term] = STATE(311),
    [sym_nested_term] = STATE(311),
    [sym_nullary_fun] = STATE(311),
    [sym_binary_app] = STATE(311),
    [sym_nary_app] = STATE(311),
    [sym__literal] = STATE(283),
    [sym__non_temporal_var] = STATE(283),
    [sym_pub_var] = STATE(283),
    [sym_fresh_var] = STATE(283),
    [sym_msg_var_or_nullary_fun] = STATE(283),
    [sym_nat_var] = STATE(283),
    [sym_comp_var] = STATE(283),
    [sym__custom_type_var] = STATE(283),
    [sym_custom_var] = STATE(283),
    [sym_any_var] = STATE(283),
    [sym_pub_name] = STATE(283),
    [sym_fresh_name] = STATE(283),
    [sym_ident] = ACTIONS(83),
    [anon_sym_EQ] = ACTIONS(85),
    [anon_sym_LPAREN] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_out] = ACTIONS(91),
    [anon_sym_in] = ACTIONS(93),
    [anon_sym_if] = ACTIONS(95),
    [anon_sym_let] = ACTIONS(97),
    [sym_null] = ACTIONS(195),
    [anon_sym_event] = ACTIONS(101),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_insert] = ACTIONS(105),
    [anon_sym_delete] = ACTIONS(107),
    [anon_sym_lookup] = ACTIONS(109),
    [anon_sym_lock] = ACTIONS(111),
    [anon_sym_unlock] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [anon_sym_TILDE] = ACTIONS(119),
    [anon_sym_PERCENT] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(123),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(125),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [28] = {
    [sym__process] = STATE(343),
    [sym__elementary_process] = STATE(343),
    [sym__extended_process] = STATE(343),
    [sym__stateful_process] = STATE(343),
    [sym_location_process] = STATE(343),
    [sym_inline_msr_process] = STATE(343),
    [sym__nested_process] = STATE(343),
    [sym_predefined_process] = STATE(343),
    [sym_binding] = STATE(343),
    [sym_output] = STATE(343),
    [sym_input] = STATE(343),
    [sym_conditional] = STATE(343),
    [sym_process_let] = STATE(343),
    [sym_deterministic_choice] = STATE(343),
    [sym_non_deterministic_choice] = STATE(343),
    [sym_event] = STATE(343),
    [sym_replication] = STATE(343),
    [sym_set_state] = STATE(343),
    [sym_delete_state] = STATE(343),
    [sym_read_state] = STATE(343),
    [sym_set_lock] = STATE(343),
    [sym_remove_lock] = STATE(343),
    [sym_premise] = STATE(905),
    [sym__term] = STATE(237),
    [sym_tuple_term] = STATE(237),
    [sym_mset_term] = STATE(237),
    [sym_nat_term] = STATE(237),
    [sym_xor_term] = STATE(237),
    [sym_mul_term] = STATE(237),
    [sym_exp_term] = STATE(237),
    [sym_nested_term] = STATE(237),
    [sym_nullary_fun] = STATE(237),
    [sym_binary_app] = STATE(237),
    [sym_nary_app] = STATE(237),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym_ident] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(53),
    [anon_sym_out] = ACTIONS(55),
    [anon_sym_in] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [sym_null] = ACTIONS(197),
    [anon_sym_event] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_insert] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_lookup] = ACTIONS(77),
    [anon_sym_lock] = ACTIONS(79),
    [anon_sym_unlock] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [29] = {
    [sym__process] = STATE(536),
    [sym__elementary_process] = STATE(536),
    [sym__extended_process] = STATE(536),
    [sym__stateful_process] = STATE(536),
    [sym_location_process] = STATE(536),
    [sym_inline_msr_process] = STATE(536),
    [sym__nested_process] = STATE(536),
    [sym_predefined_process] = STATE(536),
    [sym_binding] = STATE(536),
    [sym_output] = STATE(536),
    [sym_input] = STATE(536),
    [sym_conditional] = STATE(536),
    [sym_process_let] = STATE(536),
    [sym_deterministic_choice] = STATE(536),
    [sym_non_deterministic_choice] = STATE(536),
    [sym_event] = STATE(536),
    [sym_replication] = STATE(536),
    [sym_set_state] = STATE(536),
    [sym_delete_state] = STATE(536),
    [sym_read_state] = STATE(536),
    [sym_set_lock] = STATE(536),
    [sym_remove_lock] = STATE(536),
    [sym_premise] = STATE(909),
    [sym__term] = STATE(311),
    [sym_tuple_term] = STATE(311),
    [sym_mset_term] = STATE(311),
    [sym_nat_term] = STATE(311),
    [sym_xor_term] = STATE(311),
    [sym_mul_term] = STATE(311),
    [sym_exp_term] = STATE(311),
    [sym_nested_term] = STATE(311),
    [sym_nullary_fun] = STATE(311),
    [sym_binary_app] = STATE(311),
    [sym_nary_app] = STATE(311),
    [sym__literal] = STATE(283),
    [sym__non_temporal_var] = STATE(283),
    [sym_pub_var] = STATE(283),
    [sym_fresh_var] = STATE(283),
    [sym_msg_var_or_nullary_fun] = STATE(283),
    [sym_nat_var] = STATE(283),
    [sym_comp_var] = STATE(283),
    [sym__custom_type_var] = STATE(283),
    [sym_custom_var] = STATE(283),
    [sym_any_var] = STATE(283),
    [sym_pub_name] = STATE(283),
    [sym_fresh_name] = STATE(283),
    [sym_ident] = ACTIONS(83),
    [anon_sym_EQ] = ACTIONS(85),
    [anon_sym_LPAREN] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_out] = ACTIONS(91),
    [anon_sym_in] = ACTIONS(93),
    [anon_sym_if] = ACTIONS(95),
    [anon_sym_let] = ACTIONS(97),
    [sym_null] = ACTIONS(199),
    [anon_sym_event] = ACTIONS(101),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_insert] = ACTIONS(105),
    [anon_sym_delete] = ACTIONS(107),
    [anon_sym_lookup] = ACTIONS(109),
    [anon_sym_lock] = ACTIONS(111),
    [anon_sym_unlock] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [anon_sym_TILDE] = ACTIONS(119),
    [anon_sym_PERCENT] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(123),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(125),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [30] = {
    [sym__process] = STATE(334),
    [sym__elementary_process] = STATE(334),
    [sym__extended_process] = STATE(334),
    [sym__stateful_process] = STATE(334),
    [sym_location_process] = STATE(334),
    [sym_inline_msr_process] = STATE(334),
    [sym__nested_process] = STATE(334),
    [sym_predefined_process] = STATE(334),
    [sym_binding] = STATE(334),
    [sym_output] = STATE(334),
    [sym_input] = STATE(334),
    [sym_conditional] = STATE(334),
    [sym_process_let] = STATE(334),
    [sym_deterministic_choice] = STATE(334),
    [sym_non_deterministic_choice] = STATE(334),
    [sym_event] = STATE(334),
    [sym_replication] = STATE(334),
    [sym_set_state] = STATE(334),
    [sym_delete_state] = STATE(334),
    [sym_read_state] = STATE(334),
    [sym_set_lock] = STATE(334),
    [sym_remove_lock] = STATE(334),
    [sym_premise] = STATE(905),
    [sym__term] = STATE(237),
    [sym_tuple_term] = STATE(237),
    [sym_mset_term] = STATE(237),
    [sym_nat_term] = STATE(237),
    [sym_xor_term] = STATE(237),
    [sym_mul_term] = STATE(237),
    [sym_exp_term] = STATE(237),
    [sym_nested_term] = STATE(237),
    [sym_nullary_fun] = STATE(237),
    [sym_binary_app] = STATE(237),
    [sym_nary_app] = STATE(237),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym_ident] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(53),
    [anon_sym_out] = ACTIONS(55),
    [anon_sym_in] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [sym_null] = ACTIONS(201),
    [anon_sym_event] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_insert] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_lookup] = ACTIONS(77),
    [anon_sym_lock] = ACTIONS(79),
    [anon_sym_unlock] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [31] = {
    [sym__process] = STATE(335),
    [sym__elementary_process] = STATE(335),
    [sym__extended_process] = STATE(335),
    [sym__stateful_process] = STATE(335),
    [sym_location_process] = STATE(335),
    [sym_inline_msr_process] = STATE(335),
    [sym__nested_process] = STATE(335),
    [sym_predefined_process] = STATE(335),
    [sym_binding] = STATE(335),
    [sym_output] = STATE(335),
    [sym_input] = STATE(335),
    [sym_conditional] = STATE(335),
    [sym_process_let] = STATE(335),
    [sym_deterministic_choice] = STATE(335),
    [sym_non_deterministic_choice] = STATE(335),
    [sym_event] = STATE(335),
    [sym_replication] = STATE(335),
    [sym_set_state] = STATE(335),
    [sym_delete_state] = STATE(335),
    [sym_read_state] = STATE(335),
    [sym_set_lock] = STATE(335),
    [sym_remove_lock] = STATE(335),
    [sym_premise] = STATE(905),
    [sym__term] = STATE(237),
    [sym_tuple_term] = STATE(237),
    [sym_mset_term] = STATE(237),
    [sym_nat_term] = STATE(237),
    [sym_xor_term] = STATE(237),
    [sym_mul_term] = STATE(237),
    [sym_exp_term] = STATE(237),
    [sym_nested_term] = STATE(237),
    [sym_nullary_fun] = STATE(237),
    [sym_binary_app] = STATE(237),
    [sym_nary_app] = STATE(237),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym_ident] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(53),
    [anon_sym_out] = ACTIONS(55),
    [anon_sym_in] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [sym_null] = ACTIONS(203),
    [anon_sym_event] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_insert] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_lookup] = ACTIONS(77),
    [anon_sym_lock] = ACTIONS(79),
    [anon_sym_unlock] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [32] = {
    [sym__process] = STATE(354),
    [sym__elementary_process] = STATE(354),
    [sym__extended_process] = STATE(354),
    [sym__stateful_process] = STATE(354),
    [sym_location_process] = STATE(354),
    [sym_inline_msr_process] = STATE(354),
    [sym__nested_process] = STATE(354),
    [sym_predefined_process] = STATE(354),
    [sym_binding] = STATE(354),
    [sym_output] = STATE(354),
    [sym_input] = STATE(354),
    [sym_conditional] = STATE(354),
    [sym_process_let] = STATE(354),
    [sym_deterministic_choice] = STATE(354),
    [sym_non_deterministic_choice] = STATE(354),
    [sym_event] = STATE(354),
    [sym_replication] = STATE(354),
    [sym_set_state] = STATE(354),
    [sym_delete_state] = STATE(354),
    [sym_read_state] = STATE(354),
    [sym_set_lock] = STATE(354),
    [sym_remove_lock] = STATE(354),
    [sym_premise] = STATE(905),
    [sym__term] = STATE(237),
    [sym_tuple_term] = STATE(237),
    [sym_mset_term] = STATE(237),
    [sym_nat_term] = STATE(237),
    [sym_xor_term] = STATE(237),
    [sym_mul_term] = STATE(237),
    [sym_exp_term] = STATE(237),
    [sym_nested_term] = STATE(237),
    [sym_nullary_fun] = STATE(237),
    [sym_binary_app] = STATE(237),
    [sym_nary_app] = STATE(237),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym_ident] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(53),
    [anon_sym_out] = ACTIONS(55),
    [anon_sym_in] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [sym_null] = ACTIONS(205),
    [anon_sym_event] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_insert] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_lookup] = ACTIONS(77),
    [anon_sym_lock] = ACTIONS(79),
    [anon_sym_unlock] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [33] = {
    [sym__process] = STATE(556),
    [sym__elementary_process] = STATE(556),
    [sym__extended_process] = STATE(556),
    [sym__stateful_process] = STATE(556),
    [sym_location_process] = STATE(556),
    [sym_inline_msr_process] = STATE(556),
    [sym__nested_process] = STATE(556),
    [sym_predefined_process] = STATE(556),
    [sym_binding] = STATE(556),
    [sym_output] = STATE(556),
    [sym_input] = STATE(556),
    [sym_conditional] = STATE(556),
    [sym_process_let] = STATE(556),
    [sym_deterministic_choice] = STATE(556),
    [sym_non_deterministic_choice] = STATE(556),
    [sym_event] = STATE(556),
    [sym_replication] = STATE(556),
    [sym_set_state] = STATE(556),
    [sym_delete_state] = STATE(556),
    [sym_read_state] = STATE(556),
    [sym_set_lock] = STATE(556),
    [sym_remove_lock] = STATE(556),
    [sym_premise] = STATE(909),
    [sym__term] = STATE(311),
    [sym_tuple_term] = STATE(311),
    [sym_mset_term] = STATE(311),
    [sym_nat_term] = STATE(311),
    [sym_xor_term] = STATE(311),
    [sym_mul_term] = STATE(311),
    [sym_exp_term] = STATE(311),
    [sym_nested_term] = STATE(311),
    [sym_nullary_fun] = STATE(311),
    [sym_binary_app] = STATE(311),
    [sym_nary_app] = STATE(311),
    [sym__literal] = STATE(283),
    [sym__non_temporal_var] = STATE(283),
    [sym_pub_var] = STATE(283),
    [sym_fresh_var] = STATE(283),
    [sym_msg_var_or_nullary_fun] = STATE(283),
    [sym_nat_var] = STATE(283),
    [sym_comp_var] = STATE(283),
    [sym__custom_type_var] = STATE(283),
    [sym_custom_var] = STATE(283),
    [sym_any_var] = STATE(283),
    [sym_pub_name] = STATE(283),
    [sym_fresh_name] = STATE(283),
    [sym_ident] = ACTIONS(83),
    [anon_sym_EQ] = ACTIONS(85),
    [anon_sym_LPAREN] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_out] = ACTIONS(91),
    [anon_sym_in] = ACTIONS(93),
    [anon_sym_if] = ACTIONS(95),
    [anon_sym_let] = ACTIONS(97),
    [sym_null] = ACTIONS(207),
    [anon_sym_event] = ACTIONS(101),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_insert] = ACTIONS(105),
    [anon_sym_delete] = ACTIONS(107),
    [anon_sym_lookup] = ACTIONS(109),
    [anon_sym_lock] = ACTIONS(111),
    [anon_sym_unlock] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [anon_sym_TILDE] = ACTIONS(119),
    [anon_sym_PERCENT] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(123),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(125),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [34] = {
    [sym__process] = STATE(868),
    [sym__elementary_process] = STATE(868),
    [sym__extended_process] = STATE(868),
    [sym__stateful_process] = STATE(868),
    [sym_location_process] = STATE(868),
    [sym_inline_msr_process] = STATE(868),
    [sym__nested_process] = STATE(868),
    [sym_predefined_process] = STATE(868),
    [sym_binding] = STATE(868),
    [sym_output] = STATE(868),
    [sym_input] = STATE(868),
    [sym_conditional] = STATE(868),
    [sym_process_let] = STATE(868),
    [sym_deterministic_choice] = STATE(868),
    [sym_non_deterministic_choice] = STATE(868),
    [sym_event] = STATE(868),
    [sym_replication] = STATE(868),
    [sym_set_state] = STATE(868),
    [sym_delete_state] = STATE(868),
    [sym_read_state] = STATE(868),
    [sym_set_lock] = STATE(868),
    [sym_remove_lock] = STATE(868),
    [sym_premise] = STATE(905),
    [sym__term] = STATE(744),
    [sym_tuple_term] = STATE(744),
    [sym_mset_term] = STATE(744),
    [sym_nat_term] = STATE(744),
    [sym_xor_term] = STATE(744),
    [sym_mul_term] = STATE(744),
    [sym_exp_term] = STATE(744),
    [sym_nested_term] = STATE(744),
    [sym_nullary_fun] = STATE(744),
    [sym_binary_app] = STATE(744),
    [sym_nary_app] = STATE(744),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym_ident] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(53),
    [anon_sym_out] = ACTIONS(55),
    [anon_sym_in] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [sym_null] = ACTIONS(209),
    [anon_sym_event] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_insert] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_lookup] = ACTIONS(77),
    [anon_sym_lock] = ACTIONS(79),
    [anon_sym_unlock] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [35] = {
    [sym__process] = STATE(557),
    [sym__elementary_process] = STATE(557),
    [sym__extended_process] = STATE(557),
    [sym__stateful_process] = STATE(557),
    [sym_location_process] = STATE(557),
    [sym_inline_msr_process] = STATE(557),
    [sym__nested_process] = STATE(557),
    [sym_predefined_process] = STATE(557),
    [sym_binding] = STATE(557),
    [sym_output] = STATE(557),
    [sym_input] = STATE(557),
    [sym_conditional] = STATE(557),
    [sym_process_let] = STATE(557),
    [sym_deterministic_choice] = STATE(557),
    [sym_non_deterministic_choice] = STATE(557),
    [sym_event] = STATE(557),
    [sym_replication] = STATE(557),
    [sym_set_state] = STATE(557),
    [sym_delete_state] = STATE(557),
    [sym_read_state] = STATE(557),
    [sym_set_lock] = STATE(557),
    [sym_remove_lock] = STATE(557),
    [sym_premise] = STATE(909),
    [sym__term] = STATE(311),
    [sym_tuple_term] = STATE(311),
    [sym_mset_term] = STATE(311),
    [sym_nat_term] = STATE(311),
    [sym_xor_term] = STATE(311),
    [sym_mul_term] = STATE(311),
    [sym_exp_term] = STATE(311),
    [sym_nested_term] = STATE(311),
    [sym_nullary_fun] = STATE(311),
    [sym_binary_app] = STATE(311),
    [sym_nary_app] = STATE(311),
    [sym__literal] = STATE(283),
    [sym__non_temporal_var] = STATE(283),
    [sym_pub_var] = STATE(283),
    [sym_fresh_var] = STATE(283),
    [sym_msg_var_or_nullary_fun] = STATE(283),
    [sym_nat_var] = STATE(283),
    [sym_comp_var] = STATE(283),
    [sym__custom_type_var] = STATE(283),
    [sym_custom_var] = STATE(283),
    [sym_any_var] = STATE(283),
    [sym_pub_name] = STATE(283),
    [sym_fresh_name] = STATE(283),
    [sym_ident] = ACTIONS(83),
    [anon_sym_EQ] = ACTIONS(85),
    [anon_sym_LPAREN] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_out] = ACTIONS(91),
    [anon_sym_in] = ACTIONS(93),
    [anon_sym_if] = ACTIONS(95),
    [anon_sym_let] = ACTIONS(97),
    [sym_null] = ACTIONS(211),
    [anon_sym_event] = ACTIONS(101),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_insert] = ACTIONS(105),
    [anon_sym_delete] = ACTIONS(107),
    [anon_sym_lookup] = ACTIONS(109),
    [anon_sym_lock] = ACTIONS(111),
    [anon_sym_unlock] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [anon_sym_TILDE] = ACTIONS(119),
    [anon_sym_PERCENT] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(123),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(125),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [36] = {
    [sym__process] = STATE(554),
    [sym__elementary_process] = STATE(554),
    [sym__extended_process] = STATE(554),
    [sym__stateful_process] = STATE(554),
    [sym_location_process] = STATE(554),
    [sym_inline_msr_process] = STATE(554),
    [sym__nested_process] = STATE(554),
    [sym_predefined_process] = STATE(554),
    [sym_binding] = STATE(554),
    [sym_output] = STATE(554),
    [sym_input] = STATE(554),
    [sym_conditional] = STATE(554),
    [sym_process_let] = STATE(554),
    [sym_deterministic_choice] = STATE(554),
    [sym_non_deterministic_choice] = STATE(554),
    [sym_event] = STATE(554),
    [sym_replication] = STATE(554),
    [sym_set_state] = STATE(554),
    [sym_delete_state] = STATE(554),
    [sym_read_state] = STATE(554),
    [sym_set_lock] = STATE(554),
    [sym_remove_lock] = STATE(554),
    [sym_premise] = STATE(909),
    [sym__term] = STATE(311),
    [sym_tuple_term] = STATE(311),
    [sym_mset_term] = STATE(311),
    [sym_nat_term] = STATE(311),
    [sym_xor_term] = STATE(311),
    [sym_mul_term] = STATE(311),
    [sym_exp_term] = STATE(311),
    [sym_nested_term] = STATE(311),
    [sym_nullary_fun] = STATE(311),
    [sym_binary_app] = STATE(311),
    [sym_nary_app] = STATE(311),
    [sym__literal] = STATE(283),
    [sym__non_temporal_var] = STATE(283),
    [sym_pub_var] = STATE(283),
    [sym_fresh_var] = STATE(283),
    [sym_msg_var_or_nullary_fun] = STATE(283),
    [sym_nat_var] = STATE(283),
    [sym_comp_var] = STATE(283),
    [sym__custom_type_var] = STATE(283),
    [sym_custom_var] = STATE(283),
    [sym_any_var] = STATE(283),
    [sym_pub_name] = STATE(283),
    [sym_fresh_name] = STATE(283),
    [sym_ident] = ACTIONS(83),
    [anon_sym_EQ] = ACTIONS(85),
    [anon_sym_LPAREN] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_out] = ACTIONS(91),
    [anon_sym_in] = ACTIONS(93),
    [anon_sym_if] = ACTIONS(95),
    [anon_sym_let] = ACTIONS(97),
    [sym_null] = ACTIONS(213),
    [anon_sym_event] = ACTIONS(101),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_insert] = ACTIONS(105),
    [anon_sym_delete] = ACTIONS(107),
    [anon_sym_lookup] = ACTIONS(109),
    [anon_sym_lock] = ACTIONS(111),
    [anon_sym_unlock] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [anon_sym_TILDE] = ACTIONS(119),
    [anon_sym_PERCENT] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(123),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(125),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [37] = {
    [sym__process] = STATE(355),
    [sym__elementary_process] = STATE(355),
    [sym__extended_process] = STATE(355),
    [sym__stateful_process] = STATE(355),
    [sym_location_process] = STATE(355),
    [sym_inline_msr_process] = STATE(355),
    [sym__nested_process] = STATE(355),
    [sym_predefined_process] = STATE(355),
    [sym_binding] = STATE(355),
    [sym_output] = STATE(355),
    [sym_input] = STATE(355),
    [sym_conditional] = STATE(355),
    [sym_process_let] = STATE(355),
    [sym_deterministic_choice] = STATE(355),
    [sym_non_deterministic_choice] = STATE(355),
    [sym_event] = STATE(355),
    [sym_replication] = STATE(355),
    [sym_set_state] = STATE(355),
    [sym_delete_state] = STATE(355),
    [sym_read_state] = STATE(355),
    [sym_set_lock] = STATE(355),
    [sym_remove_lock] = STATE(355),
    [sym_premise] = STATE(905),
    [sym__term] = STATE(237),
    [sym_tuple_term] = STATE(237),
    [sym_mset_term] = STATE(237),
    [sym_nat_term] = STATE(237),
    [sym_xor_term] = STATE(237),
    [sym_mul_term] = STATE(237),
    [sym_exp_term] = STATE(237),
    [sym_nested_term] = STATE(237),
    [sym_nullary_fun] = STATE(237),
    [sym_binary_app] = STATE(237),
    [sym_nary_app] = STATE(237),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym_ident] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(53),
    [anon_sym_out] = ACTIONS(55),
    [anon_sym_in] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [sym_null] = ACTIONS(215),
    [anon_sym_event] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_insert] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_lookup] = ACTIONS(77),
    [anon_sym_lock] = ACTIONS(79),
    [anon_sym_unlock] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [38] = {
    [sym__process] = STATE(549),
    [sym__elementary_process] = STATE(549),
    [sym__extended_process] = STATE(549),
    [sym__stateful_process] = STATE(549),
    [sym_location_process] = STATE(549),
    [sym_inline_msr_process] = STATE(549),
    [sym__nested_process] = STATE(549),
    [sym_predefined_process] = STATE(549),
    [sym_binding] = STATE(549),
    [sym_output] = STATE(549),
    [sym_input] = STATE(549),
    [sym_conditional] = STATE(549),
    [sym_process_let] = STATE(549),
    [sym_deterministic_choice] = STATE(549),
    [sym_non_deterministic_choice] = STATE(549),
    [sym_event] = STATE(549),
    [sym_replication] = STATE(549),
    [sym_set_state] = STATE(549),
    [sym_delete_state] = STATE(549),
    [sym_read_state] = STATE(549),
    [sym_set_lock] = STATE(549),
    [sym_remove_lock] = STATE(549),
    [sym_premise] = STATE(909),
    [sym__term] = STATE(311),
    [sym_tuple_term] = STATE(311),
    [sym_mset_term] = STATE(311),
    [sym_nat_term] = STATE(311),
    [sym_xor_term] = STATE(311),
    [sym_mul_term] = STATE(311),
    [sym_exp_term] = STATE(311),
    [sym_nested_term] = STATE(311),
    [sym_nullary_fun] = STATE(311),
    [sym_binary_app] = STATE(311),
    [sym_nary_app] = STATE(311),
    [sym__literal] = STATE(283),
    [sym__non_temporal_var] = STATE(283),
    [sym_pub_var] = STATE(283),
    [sym_fresh_var] = STATE(283),
    [sym_msg_var_or_nullary_fun] = STATE(283),
    [sym_nat_var] = STATE(283),
    [sym_comp_var] = STATE(283),
    [sym__custom_type_var] = STATE(283),
    [sym_custom_var] = STATE(283),
    [sym_any_var] = STATE(283),
    [sym_pub_name] = STATE(283),
    [sym_fresh_name] = STATE(283),
    [sym_ident] = ACTIONS(83),
    [anon_sym_EQ] = ACTIONS(85),
    [anon_sym_LPAREN] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_out] = ACTIONS(91),
    [anon_sym_in] = ACTIONS(93),
    [anon_sym_if] = ACTIONS(95),
    [anon_sym_let] = ACTIONS(97),
    [sym_null] = ACTIONS(217),
    [anon_sym_event] = ACTIONS(101),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_insert] = ACTIONS(105),
    [anon_sym_delete] = ACTIONS(107),
    [anon_sym_lookup] = ACTIONS(109),
    [anon_sym_lock] = ACTIONS(111),
    [anon_sym_unlock] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [anon_sym_TILDE] = ACTIONS(119),
    [anon_sym_PERCENT] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(123),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(125),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [39] = {
    [sym__process] = STATE(353),
    [sym__elementary_process] = STATE(353),
    [sym__extended_process] = STATE(353),
    [sym__stateful_process] = STATE(353),
    [sym_location_process] = STATE(353),
    [sym_inline_msr_process] = STATE(353),
    [sym__nested_process] = STATE(353),
    [sym_predefined_process] = STATE(353),
    [sym_binding] = STATE(353),
    [sym_output] = STATE(353),
    [sym_input] = STATE(353),
    [sym_conditional] = STATE(353),
    [sym_process_let] = STATE(353),
    [sym_deterministic_choice] = STATE(353),
    [sym_non_deterministic_choice] = STATE(353),
    [sym_event] = STATE(353),
    [sym_replication] = STATE(353),
    [sym_set_state] = STATE(353),
    [sym_delete_state] = STATE(353),
    [sym_read_state] = STATE(353),
    [sym_set_lock] = STATE(353),
    [sym_remove_lock] = STATE(353),
    [sym_premise] = STATE(905),
    [sym__term] = STATE(237),
    [sym_tuple_term] = STATE(237),
    [sym_mset_term] = STATE(237),
    [sym_nat_term] = STATE(237),
    [sym_xor_term] = STATE(237),
    [sym_mul_term] = STATE(237),
    [sym_exp_term] = STATE(237),
    [sym_nested_term] = STATE(237),
    [sym_nullary_fun] = STATE(237),
    [sym_binary_app] = STATE(237),
    [sym_nary_app] = STATE(237),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym_ident] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(53),
    [anon_sym_out] = ACTIONS(55),
    [anon_sym_in] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [sym_null] = ACTIONS(219),
    [anon_sym_event] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_insert] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_lookup] = ACTIONS(77),
    [anon_sym_lock] = ACTIONS(79),
    [anon_sym_unlock] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [40] = {
    [sym__process] = STATE(348),
    [sym__elementary_process] = STATE(348),
    [sym__extended_process] = STATE(348),
    [sym__stateful_process] = STATE(348),
    [sym_location_process] = STATE(348),
    [sym_inline_msr_process] = STATE(348),
    [sym__nested_process] = STATE(348),
    [sym_predefined_process] = STATE(348),
    [sym_binding] = STATE(348),
    [sym_output] = STATE(348),
    [sym_input] = STATE(348),
    [sym_conditional] = STATE(348),
    [sym_process_let] = STATE(348),
    [sym_deterministic_choice] = STATE(348),
    [sym_non_deterministic_choice] = STATE(348),
    [sym_event] = STATE(348),
    [sym_replication] = STATE(348),
    [sym_set_state] = STATE(348),
    [sym_delete_state] = STATE(348),
    [sym_read_state] = STATE(348),
    [sym_set_lock] = STATE(348),
    [sym_remove_lock] = STATE(348),
    [sym_premise] = STATE(905),
    [sym__term] = STATE(237),
    [sym_tuple_term] = STATE(237),
    [sym_mset_term] = STATE(237),
    [sym_nat_term] = STATE(237),
    [sym_xor_term] = STATE(237),
    [sym_mul_term] = STATE(237),
    [sym_exp_term] = STATE(237),
    [sym_nested_term] = STATE(237),
    [sym_nullary_fun] = STATE(237),
    [sym_binary_app] = STATE(237),
    [sym_nary_app] = STATE(237),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym_ident] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(53),
    [anon_sym_out] = ACTIONS(55),
    [anon_sym_in] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [sym_null] = ACTIONS(221),
    [anon_sym_event] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_insert] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_lookup] = ACTIONS(77),
    [anon_sym_lock] = ACTIONS(79),
    [anon_sym_unlock] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [41] = {
    [sym__process] = STATE(340),
    [sym__elementary_process] = STATE(340),
    [sym__extended_process] = STATE(340),
    [sym__stateful_process] = STATE(340),
    [sym_location_process] = STATE(340),
    [sym_inline_msr_process] = STATE(340),
    [sym__nested_process] = STATE(340),
    [sym_predefined_process] = STATE(340),
    [sym_binding] = STATE(340),
    [sym_output] = STATE(340),
    [sym_input] = STATE(340),
    [sym_conditional] = STATE(340),
    [sym_process_let] = STATE(340),
    [sym_deterministic_choice] = STATE(340),
    [sym_non_deterministic_choice] = STATE(340),
    [sym_event] = STATE(340),
    [sym_replication] = STATE(340),
    [sym_set_state] = STATE(340),
    [sym_delete_state] = STATE(340),
    [sym_read_state] = STATE(340),
    [sym_set_lock] = STATE(340),
    [sym_remove_lock] = STATE(340),
    [sym_premise] = STATE(905),
    [sym__term] = STATE(237),
    [sym_tuple_term] = STATE(237),
    [sym_mset_term] = STATE(237),
    [sym_nat_term] = STATE(237),
    [sym_xor_term] = STATE(237),
    [sym_mul_term] = STATE(237),
    [sym_exp_term] = STATE(237),
    [sym_nested_term] = STATE(237),
    [sym_nullary_fun] = STATE(237),
    [sym_binary_app] = STATE(237),
    [sym_nary_app] = STATE(237),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym_ident] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(53),
    [anon_sym_out] = ACTIONS(55),
    [anon_sym_in] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [sym_null] = ACTIONS(223),
    [anon_sym_event] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_insert] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_lookup] = ACTIONS(77),
    [anon_sym_lock] = ACTIONS(79),
    [anon_sym_unlock] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [42] = {
    [sym__process] = STATE(327),
    [sym__elementary_process] = STATE(327),
    [sym__extended_process] = STATE(327),
    [sym__stateful_process] = STATE(327),
    [sym_location_process] = STATE(327),
    [sym_inline_msr_process] = STATE(327),
    [sym__nested_process] = STATE(327),
    [sym_predefined_process] = STATE(327),
    [sym_binding] = STATE(327),
    [sym_output] = STATE(327),
    [sym_input] = STATE(327),
    [sym_conditional] = STATE(327),
    [sym_process_let] = STATE(327),
    [sym_deterministic_choice] = STATE(327),
    [sym_non_deterministic_choice] = STATE(327),
    [sym_event] = STATE(327),
    [sym_replication] = STATE(327),
    [sym_set_state] = STATE(327),
    [sym_delete_state] = STATE(327),
    [sym_read_state] = STATE(327),
    [sym_set_lock] = STATE(327),
    [sym_remove_lock] = STATE(327),
    [sym_premise] = STATE(905),
    [sym__term] = STATE(237),
    [sym_tuple_term] = STATE(237),
    [sym_mset_term] = STATE(237),
    [sym_nat_term] = STATE(237),
    [sym_xor_term] = STATE(237),
    [sym_mul_term] = STATE(237),
    [sym_exp_term] = STATE(237),
    [sym_nested_term] = STATE(237),
    [sym_nullary_fun] = STATE(237),
    [sym_binary_app] = STATE(237),
    [sym_nary_app] = STATE(237),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym_ident] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(53),
    [anon_sym_out] = ACTIONS(55),
    [anon_sym_in] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [sym_null] = ACTIONS(225),
    [anon_sym_event] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_insert] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_lookup] = ACTIONS(77),
    [anon_sym_lock] = ACTIONS(79),
    [anon_sym_unlock] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [43] = {
    [sym__process] = STATE(541),
    [sym__elementary_process] = STATE(541),
    [sym__extended_process] = STATE(541),
    [sym__stateful_process] = STATE(541),
    [sym_location_process] = STATE(541),
    [sym_inline_msr_process] = STATE(541),
    [sym__nested_process] = STATE(541),
    [sym_predefined_process] = STATE(541),
    [sym_binding] = STATE(541),
    [sym_output] = STATE(541),
    [sym_input] = STATE(541),
    [sym_conditional] = STATE(541),
    [sym_process_let] = STATE(541),
    [sym_deterministic_choice] = STATE(541),
    [sym_non_deterministic_choice] = STATE(541),
    [sym_event] = STATE(541),
    [sym_replication] = STATE(541),
    [sym_set_state] = STATE(541),
    [sym_delete_state] = STATE(541),
    [sym_read_state] = STATE(541),
    [sym_set_lock] = STATE(541),
    [sym_remove_lock] = STATE(541),
    [sym_premise] = STATE(909),
    [sym__term] = STATE(311),
    [sym_tuple_term] = STATE(311),
    [sym_mset_term] = STATE(311),
    [sym_nat_term] = STATE(311),
    [sym_xor_term] = STATE(311),
    [sym_mul_term] = STATE(311),
    [sym_exp_term] = STATE(311),
    [sym_nested_term] = STATE(311),
    [sym_nullary_fun] = STATE(311),
    [sym_binary_app] = STATE(311),
    [sym_nary_app] = STATE(311),
    [sym__literal] = STATE(283),
    [sym__non_temporal_var] = STATE(283),
    [sym_pub_var] = STATE(283),
    [sym_fresh_var] = STATE(283),
    [sym_msg_var_or_nullary_fun] = STATE(283),
    [sym_nat_var] = STATE(283),
    [sym_comp_var] = STATE(283),
    [sym__custom_type_var] = STATE(283),
    [sym_custom_var] = STATE(283),
    [sym_any_var] = STATE(283),
    [sym_pub_name] = STATE(283),
    [sym_fresh_name] = STATE(283),
    [sym_ident] = ACTIONS(83),
    [anon_sym_EQ] = ACTIONS(85),
    [anon_sym_LPAREN] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_out] = ACTIONS(91),
    [anon_sym_in] = ACTIONS(93),
    [anon_sym_if] = ACTIONS(95),
    [anon_sym_let] = ACTIONS(97),
    [sym_null] = ACTIONS(227),
    [anon_sym_event] = ACTIONS(101),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_insert] = ACTIONS(105),
    [anon_sym_delete] = ACTIONS(107),
    [anon_sym_lookup] = ACTIONS(109),
    [anon_sym_lock] = ACTIONS(111),
    [anon_sym_unlock] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [anon_sym_TILDE] = ACTIONS(119),
    [anon_sym_PERCENT] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(123),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(125),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [44] = {
    [sym__process] = STATE(328),
    [sym__elementary_process] = STATE(328),
    [sym__extended_process] = STATE(328),
    [sym__stateful_process] = STATE(328),
    [sym_location_process] = STATE(328),
    [sym_inline_msr_process] = STATE(328),
    [sym__nested_process] = STATE(328),
    [sym_predefined_process] = STATE(328),
    [sym_binding] = STATE(328),
    [sym_output] = STATE(328),
    [sym_input] = STATE(328),
    [sym_conditional] = STATE(328),
    [sym_process_let] = STATE(328),
    [sym_deterministic_choice] = STATE(328),
    [sym_non_deterministic_choice] = STATE(328),
    [sym_event] = STATE(328),
    [sym_replication] = STATE(328),
    [sym_set_state] = STATE(328),
    [sym_delete_state] = STATE(328),
    [sym_read_state] = STATE(328),
    [sym_set_lock] = STATE(328),
    [sym_remove_lock] = STATE(328),
    [sym_premise] = STATE(905),
    [sym__term] = STATE(237),
    [sym_tuple_term] = STATE(237),
    [sym_mset_term] = STATE(237),
    [sym_nat_term] = STATE(237),
    [sym_xor_term] = STATE(237),
    [sym_mul_term] = STATE(237),
    [sym_exp_term] = STATE(237),
    [sym_nested_term] = STATE(237),
    [sym_nullary_fun] = STATE(237),
    [sym_binary_app] = STATE(237),
    [sym_nary_app] = STATE(237),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym_ident] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(53),
    [anon_sym_out] = ACTIONS(55),
    [anon_sym_in] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [sym_null] = ACTIONS(229),
    [anon_sym_event] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_insert] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_lookup] = ACTIONS(77),
    [anon_sym_lock] = ACTIONS(79),
    [anon_sym_unlock] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [45] = {
    [sym__process] = STATE(470),
    [sym__elementary_process] = STATE(470),
    [sym__extended_process] = STATE(470),
    [sym__stateful_process] = STATE(470),
    [sym_location_process] = STATE(470),
    [sym_inline_msr_process] = STATE(470),
    [sym__nested_process] = STATE(470),
    [sym_predefined_process] = STATE(470),
    [sym_binding] = STATE(470),
    [sym_output] = STATE(470),
    [sym_input] = STATE(470),
    [sym_conditional] = STATE(470),
    [sym_process_let] = STATE(470),
    [sym_deterministic_choice] = STATE(470),
    [sym_non_deterministic_choice] = STATE(470),
    [sym_event] = STATE(470),
    [sym_replication] = STATE(470),
    [sym_set_state] = STATE(470),
    [sym_delete_state] = STATE(470),
    [sym_read_state] = STATE(470),
    [sym_set_lock] = STATE(470),
    [sym_remove_lock] = STATE(470),
    [sym_premise] = STATE(905),
    [sym__term] = STATE(237),
    [sym_tuple_term] = STATE(237),
    [sym_mset_term] = STATE(237),
    [sym_nat_term] = STATE(237),
    [sym_xor_term] = STATE(237),
    [sym_mul_term] = STATE(237),
    [sym_exp_term] = STATE(237),
    [sym_nested_term] = STATE(237),
    [sym_nullary_fun] = STATE(237),
    [sym_binary_app] = STATE(237),
    [sym_nary_app] = STATE(237),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym_ident] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(53),
    [anon_sym_out] = ACTIONS(55),
    [anon_sym_in] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [sym_null] = ACTIONS(231),
    [anon_sym_event] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_insert] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_lookup] = ACTIONS(77),
    [anon_sym_lock] = ACTIONS(79),
    [anon_sym_unlock] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [46] = {
    [sym__process] = STATE(351),
    [sym__elementary_process] = STATE(351),
    [sym__extended_process] = STATE(351),
    [sym__stateful_process] = STATE(351),
    [sym_location_process] = STATE(351),
    [sym_inline_msr_process] = STATE(351),
    [sym__nested_process] = STATE(351),
    [sym_predefined_process] = STATE(351),
    [sym_binding] = STATE(351),
    [sym_output] = STATE(351),
    [sym_input] = STATE(351),
    [sym_conditional] = STATE(351),
    [sym_process_let] = STATE(351),
    [sym_deterministic_choice] = STATE(351),
    [sym_non_deterministic_choice] = STATE(351),
    [sym_event] = STATE(351),
    [sym_replication] = STATE(351),
    [sym_set_state] = STATE(351),
    [sym_delete_state] = STATE(351),
    [sym_read_state] = STATE(351),
    [sym_set_lock] = STATE(351),
    [sym_remove_lock] = STATE(351),
    [sym_premise] = STATE(905),
    [sym__term] = STATE(237),
    [sym_tuple_term] = STATE(237),
    [sym_mset_term] = STATE(237),
    [sym_nat_term] = STATE(237),
    [sym_xor_term] = STATE(237),
    [sym_mul_term] = STATE(237),
    [sym_exp_term] = STATE(237),
    [sym_nested_term] = STATE(237),
    [sym_nullary_fun] = STATE(237),
    [sym_binary_app] = STATE(237),
    [sym_nary_app] = STATE(237),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym_ident] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(53),
    [anon_sym_out] = ACTIONS(55),
    [anon_sym_in] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [sym_null] = ACTIONS(233),
    [anon_sym_event] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_insert] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_lookup] = ACTIONS(77),
    [anon_sym_lock] = ACTIONS(79),
    [anon_sym_unlock] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [47] = {
    [sym__process] = STATE(3),
    [sym__elementary_process] = STATE(3),
    [sym__extended_process] = STATE(3),
    [sym__stateful_process] = STATE(3),
    [sym_location_process] = STATE(3),
    [sym_inline_msr_process] = STATE(3),
    [sym__nested_process] = STATE(3),
    [sym_predefined_process] = STATE(3),
    [sym_binding] = STATE(3),
    [sym_output] = STATE(3),
    [sym_input] = STATE(3),
    [sym_conditional] = STATE(3),
    [sym_process_let] = STATE(3),
    [sym_deterministic_choice] = STATE(3),
    [sym_non_deterministic_choice] = STATE(3),
    [sym_event] = STATE(3),
    [sym_replication] = STATE(3),
    [sym_set_state] = STATE(3),
    [sym_delete_state] = STATE(3),
    [sym_read_state] = STATE(3),
    [sym_set_lock] = STATE(3),
    [sym_remove_lock] = STATE(3),
    [sym_premise] = STATE(909),
    [sym__term] = STATE(311),
    [sym_tuple_term] = STATE(311),
    [sym_mset_term] = STATE(311),
    [sym_nat_term] = STATE(311),
    [sym_xor_term] = STATE(311),
    [sym_mul_term] = STATE(311),
    [sym_exp_term] = STATE(311),
    [sym_nested_term] = STATE(311),
    [sym_nullary_fun] = STATE(311),
    [sym_binary_app] = STATE(311),
    [sym_nary_app] = STATE(311),
    [sym__literal] = STATE(283),
    [sym__non_temporal_var] = STATE(283),
    [sym_pub_var] = STATE(283),
    [sym_fresh_var] = STATE(283),
    [sym_msg_var_or_nullary_fun] = STATE(283),
    [sym_nat_var] = STATE(283),
    [sym_comp_var] = STATE(283),
    [sym__custom_type_var] = STATE(283),
    [sym_custom_var] = STATE(283),
    [sym_any_var] = STATE(283),
    [sym_pub_name] = STATE(283),
    [sym_fresh_name] = STATE(283),
    [sym_ident] = ACTIONS(83),
    [anon_sym_EQ] = ACTIONS(85),
    [anon_sym_LPAREN] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_out] = ACTIONS(91),
    [anon_sym_in] = ACTIONS(93),
    [anon_sym_if] = ACTIONS(95),
    [anon_sym_let] = ACTIONS(97),
    [sym_null] = ACTIONS(235),
    [anon_sym_event] = ACTIONS(101),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_insert] = ACTIONS(105),
    [anon_sym_delete] = ACTIONS(107),
    [anon_sym_lookup] = ACTIONS(109),
    [anon_sym_lock] = ACTIONS(111),
    [anon_sym_unlock] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [anon_sym_TILDE] = ACTIONS(119),
    [anon_sym_PERCENT] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(123),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(125),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [48] = {
    [sym__process] = STATE(329),
    [sym__elementary_process] = STATE(329),
    [sym__extended_process] = STATE(329),
    [sym__stateful_process] = STATE(329),
    [sym_location_process] = STATE(329),
    [sym_inline_msr_process] = STATE(329),
    [sym__nested_process] = STATE(329),
    [sym_predefined_process] = STATE(329),
    [sym_binding] = STATE(329),
    [sym_output] = STATE(329),
    [sym_input] = STATE(329),
    [sym_conditional] = STATE(329),
    [sym_process_let] = STATE(329),
    [sym_deterministic_choice] = STATE(329),
    [sym_non_deterministic_choice] = STATE(329),
    [sym_event] = STATE(329),
    [sym_replication] = STATE(329),
    [sym_set_state] = STATE(329),
    [sym_delete_state] = STATE(329),
    [sym_read_state] = STATE(329),
    [sym_set_lock] = STATE(329),
    [sym_remove_lock] = STATE(329),
    [sym_premise] = STATE(905),
    [sym__term] = STATE(237),
    [sym_tuple_term] = STATE(237),
    [sym_mset_term] = STATE(237),
    [sym_nat_term] = STATE(237),
    [sym_xor_term] = STATE(237),
    [sym_mul_term] = STATE(237),
    [sym_exp_term] = STATE(237),
    [sym_nested_term] = STATE(237),
    [sym_nullary_fun] = STATE(237),
    [sym_binary_app] = STATE(237),
    [sym_nary_app] = STATE(237),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym_ident] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(53),
    [anon_sym_out] = ACTIONS(55),
    [anon_sym_in] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [sym_null] = ACTIONS(237),
    [anon_sym_event] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_insert] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_lookup] = ACTIONS(77),
    [anon_sym_lock] = ACTIONS(79),
    [anon_sym_unlock] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [49] = {
    [sym__process] = STATE(476),
    [sym__elementary_process] = STATE(476),
    [sym__extended_process] = STATE(476),
    [sym__stateful_process] = STATE(476),
    [sym_location_process] = STATE(476),
    [sym_inline_msr_process] = STATE(476),
    [sym__nested_process] = STATE(476),
    [sym_predefined_process] = STATE(476),
    [sym_binding] = STATE(476),
    [sym_output] = STATE(476),
    [sym_input] = STATE(476),
    [sym_conditional] = STATE(476),
    [sym_process_let] = STATE(476),
    [sym_deterministic_choice] = STATE(476),
    [sym_non_deterministic_choice] = STATE(476),
    [sym_event] = STATE(476),
    [sym_replication] = STATE(476),
    [sym_set_state] = STATE(476),
    [sym_delete_state] = STATE(476),
    [sym_read_state] = STATE(476),
    [sym_set_lock] = STATE(476),
    [sym_remove_lock] = STATE(476),
    [sym_premise] = STATE(905),
    [sym__term] = STATE(237),
    [sym_tuple_term] = STATE(237),
    [sym_mset_term] = STATE(237),
    [sym_nat_term] = STATE(237),
    [sym_xor_term] = STATE(237),
    [sym_mul_term] = STATE(237),
    [sym_exp_term] = STATE(237),
    [sym_nested_term] = STATE(237),
    [sym_nullary_fun] = STATE(237),
    [sym_binary_app] = STATE(237),
    [sym_nary_app] = STATE(237),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym_ident] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(53),
    [anon_sym_out] = ACTIONS(55),
    [anon_sym_in] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [sym_null] = ACTIONS(239),
    [anon_sym_event] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_insert] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_lookup] = ACTIONS(77),
    [anon_sym_lock] = ACTIONS(79),
    [anon_sym_unlock] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [50] = {
    [sym__condition] = STATE(1124),
    [sym_equality_check] = STATE(1124),
    [sym_lesser_check] = STATE(1124),
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(718),
    [sym_tuple_term] = STATE(718),
    [sym_mset_term] = STATE(718),
    [sym_nat_term] = STATE(718),
    [sym_xor_term] = STATE(718),
    [sym_mul_term] = STATE(718),
    [sym_exp_term] = STATE(718),
    [sym_nested_term] = STATE(718),
    [sym_nullary_fun] = STATE(718),
    [sym_binary_app] = STATE(718),
    [sym_nary_app] = STATE(718),
    [sym__literal] = STATE(689),
    [sym__non_temporal_var] = STATE(689),
    [sym_pub_var] = STATE(689),
    [sym_fresh_var] = STATE(689),
    [sym_msg_var_or_nullary_fun] = STATE(689),
    [sym_nat_var] = STATE(689),
    [sym_comp_var] = STATE(689),
    [sym__custom_type_var] = STATE(689),
    [sym_custom_var] = STATE(689),
    [sym_any_var] = STATE(689),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(689),
    [sym_fresh_name] = STATE(689),
    [sym__formula] = STATE(782),
    [sym_iff] = STATE(782),
    [sym_imp] = STATE(782),
    [sym_disjunction] = STATE(782),
    [sym_conjunction] = STATE(782),
    [sym_negation] = STATE(782),
    [sym_nested_formula] = STATE(782),
    [sym__temporal_variable_operation] = STATE(782),
    [sym_temp_var_induction] = STATE(782),
    [sym_temp_var_order] = STATE(782),
    [sym_temp_var_eq] = STATE(782),
    [sym_action_constraint] = STATE(782),
    [sym_term_eq] = STATE(782),
    [sym_subterm_rel] = STATE(782),
    [sym_quantified_formula] = STATE(782),
    [sym_atom] = STATE(782),
    [sym_predicate_ref] = STATE(737),
    [sym_pre_defined] = STATE(782),
    [sym_ident] = ACTIONS(145),
    [anon_sym_EQ] = ACTIONS(147),
    [anon_sym_LPAREN] = ACTIONS(149),
    [anon_sym_not] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_DOLLAR] = ACTIONS(155),
    [anon_sym_TILDE] = ACTIONS(157),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(159),
    [anon_sym_SQUOTE] = ACTIONS(161),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(163),
    [anon_sym_u00ac] = ACTIONS(165),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(167),
    [anon_sym_u2203] = ACTIONS(169),
    [anon_sym_All] = ACTIONS(167),
    [anon_sym_u2200] = ACTIONS(169),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [51] = {
    [sym__process] = STATE(325),
    [sym__elementary_process] = STATE(325),
    [sym__extended_process] = STATE(325),
    [sym__stateful_process] = STATE(325),
    [sym_location_process] = STATE(325),
    [sym_inline_msr_process] = STATE(325),
    [sym__nested_process] = STATE(325),
    [sym_predefined_process] = STATE(325),
    [sym_binding] = STATE(325),
    [sym_output] = STATE(325),
    [sym_input] = STATE(325),
    [sym_conditional] = STATE(325),
    [sym_process_let] = STATE(325),
    [sym_deterministic_choice] = STATE(325),
    [sym_non_deterministic_choice] = STATE(325),
    [sym_event] = STATE(325),
    [sym_replication] = STATE(325),
    [sym_set_state] = STATE(325),
    [sym_delete_state] = STATE(325),
    [sym_read_state] = STATE(325),
    [sym_set_lock] = STATE(325),
    [sym_remove_lock] = STATE(325),
    [sym_premise] = STATE(905),
    [sym__term] = STATE(237),
    [sym_tuple_term] = STATE(237),
    [sym_mset_term] = STATE(237),
    [sym_nat_term] = STATE(237),
    [sym_xor_term] = STATE(237),
    [sym_mul_term] = STATE(237),
    [sym_exp_term] = STATE(237),
    [sym_nested_term] = STATE(237),
    [sym_nullary_fun] = STATE(237),
    [sym_binary_app] = STATE(237),
    [sym_nary_app] = STATE(237),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym_ident] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(53),
    [anon_sym_out] = ACTIONS(55),
    [anon_sym_in] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [sym_null] = ACTIONS(241),
    [anon_sym_event] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_insert] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_lookup] = ACTIONS(77),
    [anon_sym_lock] = ACTIONS(79),
    [anon_sym_unlock] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [52] = {
    [sym__process] = STATE(542),
    [sym__elementary_process] = STATE(542),
    [sym__extended_process] = STATE(542),
    [sym__stateful_process] = STATE(542),
    [sym_location_process] = STATE(542),
    [sym_inline_msr_process] = STATE(542),
    [sym__nested_process] = STATE(542),
    [sym_predefined_process] = STATE(542),
    [sym_binding] = STATE(542),
    [sym_output] = STATE(542),
    [sym_input] = STATE(542),
    [sym_conditional] = STATE(542),
    [sym_process_let] = STATE(542),
    [sym_deterministic_choice] = STATE(542),
    [sym_non_deterministic_choice] = STATE(542),
    [sym_event] = STATE(542),
    [sym_replication] = STATE(542),
    [sym_set_state] = STATE(542),
    [sym_delete_state] = STATE(542),
    [sym_read_state] = STATE(542),
    [sym_set_lock] = STATE(542),
    [sym_remove_lock] = STATE(542),
    [sym_premise] = STATE(909),
    [sym__term] = STATE(311),
    [sym_tuple_term] = STATE(311),
    [sym_mset_term] = STATE(311),
    [sym_nat_term] = STATE(311),
    [sym_xor_term] = STATE(311),
    [sym_mul_term] = STATE(311),
    [sym_exp_term] = STATE(311),
    [sym_nested_term] = STATE(311),
    [sym_nullary_fun] = STATE(311),
    [sym_binary_app] = STATE(311),
    [sym_nary_app] = STATE(311),
    [sym__literal] = STATE(283),
    [sym__non_temporal_var] = STATE(283),
    [sym_pub_var] = STATE(283),
    [sym_fresh_var] = STATE(283),
    [sym_msg_var_or_nullary_fun] = STATE(283),
    [sym_nat_var] = STATE(283),
    [sym_comp_var] = STATE(283),
    [sym__custom_type_var] = STATE(283),
    [sym_custom_var] = STATE(283),
    [sym_any_var] = STATE(283),
    [sym_pub_name] = STATE(283),
    [sym_fresh_name] = STATE(283),
    [sym_ident] = ACTIONS(83),
    [anon_sym_EQ] = ACTIONS(85),
    [anon_sym_LPAREN] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_out] = ACTIONS(91),
    [anon_sym_in] = ACTIONS(93),
    [anon_sym_if] = ACTIONS(95),
    [anon_sym_let] = ACTIONS(97),
    [sym_null] = ACTIONS(243),
    [anon_sym_event] = ACTIONS(101),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_insert] = ACTIONS(105),
    [anon_sym_delete] = ACTIONS(107),
    [anon_sym_lookup] = ACTIONS(109),
    [anon_sym_lock] = ACTIONS(111),
    [anon_sym_unlock] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [anon_sym_TILDE] = ACTIONS(119),
    [anon_sym_PERCENT] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(123),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(125),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [53] = {
    [sym__process] = STATE(346),
    [sym__elementary_process] = STATE(346),
    [sym__extended_process] = STATE(346),
    [sym__stateful_process] = STATE(346),
    [sym_location_process] = STATE(346),
    [sym_inline_msr_process] = STATE(346),
    [sym__nested_process] = STATE(346),
    [sym_predefined_process] = STATE(346),
    [sym_binding] = STATE(346),
    [sym_output] = STATE(346),
    [sym_input] = STATE(346),
    [sym_conditional] = STATE(346),
    [sym_process_let] = STATE(346),
    [sym_deterministic_choice] = STATE(346),
    [sym_non_deterministic_choice] = STATE(346),
    [sym_event] = STATE(346),
    [sym_replication] = STATE(346),
    [sym_set_state] = STATE(346),
    [sym_delete_state] = STATE(346),
    [sym_read_state] = STATE(346),
    [sym_set_lock] = STATE(346),
    [sym_remove_lock] = STATE(346),
    [sym_premise] = STATE(905),
    [sym__term] = STATE(237),
    [sym_tuple_term] = STATE(237),
    [sym_mset_term] = STATE(237),
    [sym_nat_term] = STATE(237),
    [sym_xor_term] = STATE(237),
    [sym_mul_term] = STATE(237),
    [sym_exp_term] = STATE(237),
    [sym_nested_term] = STATE(237),
    [sym_nullary_fun] = STATE(237),
    [sym_binary_app] = STATE(237),
    [sym_nary_app] = STATE(237),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym_ident] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(53),
    [anon_sym_out] = ACTIONS(55),
    [anon_sym_in] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [sym_null] = ACTIONS(245),
    [anon_sym_event] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_insert] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_lookup] = ACTIONS(77),
    [anon_sym_lock] = ACTIONS(79),
    [anon_sym_unlock] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [54] = {
    [sym__process] = STATE(543),
    [sym__elementary_process] = STATE(543),
    [sym__extended_process] = STATE(543),
    [sym__stateful_process] = STATE(543),
    [sym_location_process] = STATE(543),
    [sym_inline_msr_process] = STATE(543),
    [sym__nested_process] = STATE(543),
    [sym_predefined_process] = STATE(543),
    [sym_binding] = STATE(543),
    [sym_output] = STATE(543),
    [sym_input] = STATE(543),
    [sym_conditional] = STATE(543),
    [sym_process_let] = STATE(543),
    [sym_deterministic_choice] = STATE(543),
    [sym_non_deterministic_choice] = STATE(543),
    [sym_event] = STATE(543),
    [sym_replication] = STATE(543),
    [sym_set_state] = STATE(543),
    [sym_delete_state] = STATE(543),
    [sym_read_state] = STATE(543),
    [sym_set_lock] = STATE(543),
    [sym_remove_lock] = STATE(543),
    [sym_premise] = STATE(909),
    [sym__term] = STATE(311),
    [sym_tuple_term] = STATE(311),
    [sym_mset_term] = STATE(311),
    [sym_nat_term] = STATE(311),
    [sym_xor_term] = STATE(311),
    [sym_mul_term] = STATE(311),
    [sym_exp_term] = STATE(311),
    [sym_nested_term] = STATE(311),
    [sym_nullary_fun] = STATE(311),
    [sym_binary_app] = STATE(311),
    [sym_nary_app] = STATE(311),
    [sym__literal] = STATE(283),
    [sym__non_temporal_var] = STATE(283),
    [sym_pub_var] = STATE(283),
    [sym_fresh_var] = STATE(283),
    [sym_msg_var_or_nullary_fun] = STATE(283),
    [sym_nat_var] = STATE(283),
    [sym_comp_var] = STATE(283),
    [sym__custom_type_var] = STATE(283),
    [sym_custom_var] = STATE(283),
    [sym_any_var] = STATE(283),
    [sym_pub_name] = STATE(283),
    [sym_fresh_name] = STATE(283),
    [sym_ident] = ACTIONS(83),
    [anon_sym_EQ] = ACTIONS(85),
    [anon_sym_LPAREN] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_out] = ACTIONS(91),
    [anon_sym_in] = ACTIONS(93),
    [anon_sym_if] = ACTIONS(95),
    [anon_sym_let] = ACTIONS(97),
    [sym_null] = ACTIONS(247),
    [anon_sym_event] = ACTIONS(101),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_insert] = ACTIONS(105),
    [anon_sym_delete] = ACTIONS(107),
    [anon_sym_lookup] = ACTIONS(109),
    [anon_sym_lock] = ACTIONS(111),
    [anon_sym_unlock] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [anon_sym_TILDE] = ACTIONS(119),
    [anon_sym_PERCENT] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(123),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(125),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [55] = {
    [sym__process] = STATE(546),
    [sym__elementary_process] = STATE(546),
    [sym__extended_process] = STATE(546),
    [sym__stateful_process] = STATE(546),
    [sym_location_process] = STATE(546),
    [sym_inline_msr_process] = STATE(546),
    [sym__nested_process] = STATE(546),
    [sym_predefined_process] = STATE(546),
    [sym_binding] = STATE(546),
    [sym_output] = STATE(546),
    [sym_input] = STATE(546),
    [sym_conditional] = STATE(546),
    [sym_process_let] = STATE(546),
    [sym_deterministic_choice] = STATE(546),
    [sym_non_deterministic_choice] = STATE(546),
    [sym_event] = STATE(546),
    [sym_replication] = STATE(546),
    [sym_set_state] = STATE(546),
    [sym_delete_state] = STATE(546),
    [sym_read_state] = STATE(546),
    [sym_set_lock] = STATE(546),
    [sym_remove_lock] = STATE(546),
    [sym_premise] = STATE(909),
    [sym__term] = STATE(311),
    [sym_tuple_term] = STATE(311),
    [sym_mset_term] = STATE(311),
    [sym_nat_term] = STATE(311),
    [sym_xor_term] = STATE(311),
    [sym_mul_term] = STATE(311),
    [sym_exp_term] = STATE(311),
    [sym_nested_term] = STATE(311),
    [sym_nullary_fun] = STATE(311),
    [sym_binary_app] = STATE(311),
    [sym_nary_app] = STATE(311),
    [sym__literal] = STATE(283),
    [sym__non_temporal_var] = STATE(283),
    [sym_pub_var] = STATE(283),
    [sym_fresh_var] = STATE(283),
    [sym_msg_var_or_nullary_fun] = STATE(283),
    [sym_nat_var] = STATE(283),
    [sym_comp_var] = STATE(283),
    [sym__custom_type_var] = STATE(283),
    [sym_custom_var] = STATE(283),
    [sym_any_var] = STATE(283),
    [sym_pub_name] = STATE(283),
    [sym_fresh_name] = STATE(283),
    [sym_ident] = ACTIONS(83),
    [anon_sym_EQ] = ACTIONS(85),
    [anon_sym_LPAREN] = ACTIONS(87),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(89),
    [anon_sym_out] = ACTIONS(91),
    [anon_sym_in] = ACTIONS(93),
    [anon_sym_if] = ACTIONS(95),
    [anon_sym_let] = ACTIONS(97),
    [sym_null] = ACTIONS(249),
    [anon_sym_event] = ACTIONS(101),
    [anon_sym_BANG] = ACTIONS(103),
    [anon_sym_insert] = ACTIONS(105),
    [anon_sym_delete] = ACTIONS(107),
    [anon_sym_lookup] = ACTIONS(109),
    [anon_sym_lock] = ACTIONS(111),
    [anon_sym_unlock] = ACTIONS(113),
    [anon_sym_LT] = ACTIONS(115),
    [anon_sym_DOLLAR] = ACTIONS(117),
    [anon_sym_TILDE] = ACTIONS(119),
    [anon_sym_PERCENT] = ACTIONS(121),
    [anon_sym_SQUOTE] = ACTIONS(123),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(125),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [56] = {
    [sym__process] = STATE(341),
    [sym__elementary_process] = STATE(341),
    [sym__extended_process] = STATE(341),
    [sym__stateful_process] = STATE(341),
    [sym_location_process] = STATE(341),
    [sym_inline_msr_process] = STATE(341),
    [sym__nested_process] = STATE(341),
    [sym_predefined_process] = STATE(341),
    [sym_binding] = STATE(341),
    [sym_output] = STATE(341),
    [sym_input] = STATE(341),
    [sym_conditional] = STATE(341),
    [sym_process_let] = STATE(341),
    [sym_deterministic_choice] = STATE(341),
    [sym_non_deterministic_choice] = STATE(341),
    [sym_event] = STATE(341),
    [sym_replication] = STATE(341),
    [sym_set_state] = STATE(341),
    [sym_delete_state] = STATE(341),
    [sym_read_state] = STATE(341),
    [sym_set_lock] = STATE(341),
    [sym_remove_lock] = STATE(341),
    [sym_premise] = STATE(905),
    [sym__term] = STATE(237),
    [sym_tuple_term] = STATE(237),
    [sym_mset_term] = STATE(237),
    [sym_nat_term] = STATE(237),
    [sym_xor_term] = STATE(237),
    [sym_mul_term] = STATE(237),
    [sym_exp_term] = STATE(237),
    [sym_nested_term] = STATE(237),
    [sym_nullary_fun] = STATE(237),
    [sym_binary_app] = STATE(237),
    [sym_nary_app] = STATE(237),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym_ident] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(53),
    [anon_sym_out] = ACTIONS(55),
    [anon_sym_in] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [sym_null] = ACTIONS(251),
    [anon_sym_event] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_insert] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_lookup] = ACTIONS(77),
    [anon_sym_lock] = ACTIONS(79),
    [anon_sym_unlock] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [57] = {
    [sym__process] = STATE(324),
    [sym__elementary_process] = STATE(324),
    [sym__extended_process] = STATE(324),
    [sym__stateful_process] = STATE(324),
    [sym_location_process] = STATE(324),
    [sym_inline_msr_process] = STATE(324),
    [sym__nested_process] = STATE(324),
    [sym_predefined_process] = STATE(324),
    [sym_binding] = STATE(324),
    [sym_output] = STATE(324),
    [sym_input] = STATE(324),
    [sym_conditional] = STATE(324),
    [sym_process_let] = STATE(324),
    [sym_deterministic_choice] = STATE(324),
    [sym_non_deterministic_choice] = STATE(324),
    [sym_event] = STATE(324),
    [sym_replication] = STATE(324),
    [sym_set_state] = STATE(324),
    [sym_delete_state] = STATE(324),
    [sym_read_state] = STATE(324),
    [sym_set_lock] = STATE(324),
    [sym_remove_lock] = STATE(324),
    [sym_premise] = STATE(905),
    [sym__term] = STATE(237),
    [sym_tuple_term] = STATE(237),
    [sym_mset_term] = STATE(237),
    [sym_nat_term] = STATE(237),
    [sym_xor_term] = STATE(237),
    [sym_mul_term] = STATE(237),
    [sym_exp_term] = STATE(237),
    [sym_nested_term] = STATE(237),
    [sym_nullary_fun] = STATE(237),
    [sym_binary_app] = STATE(237),
    [sym_nary_app] = STATE(237),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym_ident] = ACTIONS(45),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(51),
    [anon_sym_new] = ACTIONS(53),
    [anon_sym_out] = ACTIONS(55),
    [anon_sym_in] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_let] = ACTIONS(61),
    [sym_null] = ACTIONS(253),
    [anon_sym_event] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_insert] = ACTIONS(73),
    [anon_sym_delete] = ACTIONS(75),
    [anon_sym_lookup] = ACTIONS(77),
    [anon_sym_lock] = ACTIONS(79),
    [anon_sym_unlock] = ACTIONS(81),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [58] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(730),
    [sym_tuple_term] = STATE(730),
    [sym_mset_term] = STATE(730),
    [sym_nat_term] = STATE(730),
    [sym_xor_term] = STATE(730),
    [sym_mul_term] = STATE(730),
    [sym_exp_term] = STATE(730),
    [sym_nested_term] = STATE(730),
    [sym_nullary_fun] = STATE(730),
    [sym_binary_app] = STATE(730),
    [sym_nary_app] = STATE(730),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_temporal_var] = STATE(1097),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(781),
    [sym_iff] = STATE(781),
    [sym_imp] = STATE(781),
    [sym_disjunction] = STATE(781),
    [sym_conjunction] = STATE(781),
    [sym_negation] = STATE(781),
    [sym_nested_formula] = STATE(781),
    [sym__temporal_variable_operation] = STATE(781),
    [sym_temp_var_induction] = STATE(781),
    [sym_temp_var_order] = STATE(781),
    [sym_temp_var_eq] = STATE(781),
    [sym_action_constraint] = STATE(781),
    [sym_term_eq] = STATE(781),
    [sym_subterm_rel] = STATE(781),
    [sym_quantified_formula] = STATE(781),
    [sym_atom] = STATE(781),
    [sym_predicate_ref] = STATE(781),
    [sym_pre_defined] = STATE(781),
    [sym_ident] = ACTIONS(255),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(259),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(263),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(265),
    [anon_sym_u2203] = ACTIONS(267),
    [anon_sym_All] = ACTIONS(265),
    [anon_sym_u2200] = ACTIONS(267),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [59] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(736),
    [sym_tuple_term] = STATE(736),
    [sym_mset_term] = STATE(736),
    [sym_nat_term] = STATE(736),
    [sym_xor_term] = STATE(736),
    [sym_mul_term] = STATE(736),
    [sym_exp_term] = STATE(736),
    [sym_nested_term] = STATE(736),
    [sym_nullary_fun] = STATE(736),
    [sym_binary_app] = STATE(736),
    [sym_nary_app] = STATE(736),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(771),
    [sym_iff] = STATE(771),
    [sym_imp] = STATE(771),
    [sym_disjunction] = STATE(771),
    [sym_conjunction] = STATE(771),
    [sym_negation] = STATE(771),
    [sym_nested_formula] = STATE(771),
    [sym__temporal_variable_operation] = STATE(771),
    [sym_temp_var_induction] = STATE(771),
    [sym_temp_var_order] = STATE(771),
    [sym_temp_var_eq] = STATE(771),
    [sym_action_constraint] = STATE(771),
    [sym_term_eq] = STATE(771),
    [sym_subterm_rel] = STATE(771),
    [sym_quantified_formula] = STATE(771),
    [sym_atom] = STATE(771),
    [sym_predicate_ref] = STATE(771),
    [sym_pre_defined] = STATE(771),
    [sym_ident] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(33),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(37),
    [anon_sym_u2203] = ACTIONS(39),
    [anon_sym_All] = ACTIONS(37),
    [anon_sym_u2200] = ACTIONS(39),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [60] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(736),
    [sym_tuple_term] = STATE(736),
    [sym_mset_term] = STATE(736),
    [sym_nat_term] = STATE(736),
    [sym_xor_term] = STATE(736),
    [sym_mul_term] = STATE(736),
    [sym_exp_term] = STATE(736),
    [sym_nested_term] = STATE(736),
    [sym_nullary_fun] = STATE(736),
    [sym_binary_app] = STATE(736),
    [sym_nary_app] = STATE(736),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(773),
    [sym_iff] = STATE(773),
    [sym_imp] = STATE(773),
    [sym_disjunction] = STATE(773),
    [sym_conjunction] = STATE(773),
    [sym_negation] = STATE(773),
    [sym_nested_formula] = STATE(773),
    [sym__temporal_variable_operation] = STATE(773),
    [sym_temp_var_induction] = STATE(773),
    [sym_temp_var_order] = STATE(773),
    [sym_temp_var_eq] = STATE(773),
    [sym_action_constraint] = STATE(773),
    [sym_term_eq] = STATE(773),
    [sym_subterm_rel] = STATE(773),
    [sym_quantified_formula] = STATE(773),
    [sym_atom] = STATE(773),
    [sym_predicate_ref] = STATE(773),
    [sym_pre_defined] = STATE(773),
    [sym_ident] = ACTIONS(269),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(259),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(263),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(265),
    [anon_sym_u2203] = ACTIONS(267),
    [anon_sym_All] = ACTIONS(265),
    [anon_sym_u2200] = ACTIONS(267),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [61] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(736),
    [sym_tuple_term] = STATE(736),
    [sym_mset_term] = STATE(736),
    [sym_nat_term] = STATE(736),
    [sym_xor_term] = STATE(736),
    [sym_mul_term] = STATE(736),
    [sym_exp_term] = STATE(736),
    [sym_nested_term] = STATE(736),
    [sym_nullary_fun] = STATE(736),
    [sym_binary_app] = STATE(736),
    [sym_nary_app] = STATE(736),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(775),
    [sym_iff] = STATE(775),
    [sym_imp] = STATE(775),
    [sym_disjunction] = STATE(775),
    [sym_conjunction] = STATE(775),
    [sym_negation] = STATE(775),
    [sym_nested_formula] = STATE(775),
    [sym__temporal_variable_operation] = STATE(775),
    [sym_temp_var_induction] = STATE(775),
    [sym_temp_var_order] = STATE(775),
    [sym_temp_var_eq] = STATE(775),
    [sym_action_constraint] = STATE(775),
    [sym_term_eq] = STATE(775),
    [sym_subterm_rel] = STATE(775),
    [sym_quantified_formula] = STATE(775),
    [sym_atom] = STATE(775),
    [sym_predicate_ref] = STATE(775),
    [sym_pre_defined] = STATE(775),
    [sym_ident] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(33),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(37),
    [anon_sym_u2203] = ACTIONS(39),
    [anon_sym_All] = ACTIONS(37),
    [anon_sym_u2200] = ACTIONS(39),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [62] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(736),
    [sym_tuple_term] = STATE(736),
    [sym_mset_term] = STATE(736),
    [sym_nat_term] = STATE(736),
    [sym_xor_term] = STATE(736),
    [sym_mul_term] = STATE(736),
    [sym_exp_term] = STATE(736),
    [sym_nested_term] = STATE(736),
    [sym_nullary_fun] = STATE(736),
    [sym_binary_app] = STATE(736),
    [sym_nary_app] = STATE(736),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(216),
    [sym_iff] = STATE(216),
    [sym_imp] = STATE(216),
    [sym_disjunction] = STATE(216),
    [sym_conjunction] = STATE(216),
    [sym_negation] = STATE(216),
    [sym_nested_formula] = STATE(216),
    [sym__temporal_variable_operation] = STATE(216),
    [sym_temp_var_induction] = STATE(216),
    [sym_temp_var_order] = STATE(216),
    [sym_temp_var_eq] = STATE(216),
    [sym_action_constraint] = STATE(216),
    [sym_term_eq] = STATE(216),
    [sym_subterm_rel] = STATE(216),
    [sym_quantified_formula] = STATE(216),
    [sym_atom] = STATE(216),
    [sym_predicate_ref] = STATE(216),
    [sym_pre_defined] = STATE(216),
    [sym_ident] = ACTIONS(271),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(165),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(167),
    [anon_sym_u2203] = ACTIONS(169),
    [anon_sym_All] = ACTIONS(167),
    [anon_sym_u2200] = ACTIONS(169),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [63] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(736),
    [sym_tuple_term] = STATE(736),
    [sym_mset_term] = STATE(736),
    [sym_nat_term] = STATE(736),
    [sym_xor_term] = STATE(736),
    [sym_mul_term] = STATE(736),
    [sym_exp_term] = STATE(736),
    [sym_nested_term] = STATE(736),
    [sym_nullary_fun] = STATE(736),
    [sym_binary_app] = STATE(736),
    [sym_nary_app] = STATE(736),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(784),
    [sym_iff] = STATE(784),
    [sym_imp] = STATE(784),
    [sym_disjunction] = STATE(784),
    [sym_conjunction] = STATE(784),
    [sym_negation] = STATE(784),
    [sym_nested_formula] = STATE(784),
    [sym__temporal_variable_operation] = STATE(784),
    [sym_temp_var_induction] = STATE(784),
    [sym_temp_var_order] = STATE(784),
    [sym_temp_var_eq] = STATE(784),
    [sym_action_constraint] = STATE(784),
    [sym_term_eq] = STATE(784),
    [sym_subterm_rel] = STATE(784),
    [sym_quantified_formula] = STATE(784),
    [sym_atom] = STATE(784),
    [sym_predicate_ref] = STATE(784),
    [sym_pre_defined] = STATE(784),
    [sym_ident] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(33),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(37),
    [anon_sym_u2203] = ACTIONS(39),
    [anon_sym_All] = ACTIONS(37),
    [anon_sym_u2200] = ACTIONS(39),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [64] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(736),
    [sym_tuple_term] = STATE(736),
    [sym_mset_term] = STATE(736),
    [sym_nat_term] = STATE(736),
    [sym_xor_term] = STATE(736),
    [sym_mul_term] = STATE(736),
    [sym_exp_term] = STATE(736),
    [sym_nested_term] = STATE(736),
    [sym_nullary_fun] = STATE(736),
    [sym_binary_app] = STATE(736),
    [sym_nary_app] = STATE(736),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(216),
    [sym_iff] = STATE(216),
    [sym_imp] = STATE(216),
    [sym_disjunction] = STATE(216),
    [sym_conjunction] = STATE(216),
    [sym_negation] = STATE(216),
    [sym_nested_formula] = STATE(216),
    [sym__temporal_variable_operation] = STATE(216),
    [sym_temp_var_induction] = STATE(216),
    [sym_temp_var_order] = STATE(216),
    [sym_temp_var_eq] = STATE(216),
    [sym_action_constraint] = STATE(216),
    [sym_term_eq] = STATE(216),
    [sym_subterm_rel] = STATE(216),
    [sym_quantified_formula] = STATE(216),
    [sym_atom] = STATE(216),
    [sym_predicate_ref] = STATE(216),
    [sym_pre_defined] = STATE(216),
    [sym_ident] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(33),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(37),
    [anon_sym_u2203] = ACTIONS(39),
    [anon_sym_All] = ACTIONS(37),
    [anon_sym_u2200] = ACTIONS(39),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [65] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(736),
    [sym_tuple_term] = STATE(736),
    [sym_mset_term] = STATE(736),
    [sym_nat_term] = STATE(736),
    [sym_xor_term] = STATE(736),
    [sym_mul_term] = STATE(736),
    [sym_exp_term] = STATE(736),
    [sym_nested_term] = STATE(736),
    [sym_nullary_fun] = STATE(736),
    [sym_binary_app] = STATE(736),
    [sym_nary_app] = STATE(736),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(241),
    [sym_iff] = STATE(241),
    [sym_imp] = STATE(241),
    [sym_disjunction] = STATE(241),
    [sym_conjunction] = STATE(241),
    [sym_negation] = STATE(241),
    [sym_nested_formula] = STATE(241),
    [sym__temporal_variable_operation] = STATE(241),
    [sym_temp_var_induction] = STATE(241),
    [sym_temp_var_order] = STATE(241),
    [sym_temp_var_eq] = STATE(241),
    [sym_action_constraint] = STATE(241),
    [sym_term_eq] = STATE(241),
    [sym_subterm_rel] = STATE(241),
    [sym_quantified_formula] = STATE(241),
    [sym_atom] = STATE(241),
    [sym_predicate_ref] = STATE(241),
    [sym_pre_defined] = STATE(241),
    [sym_ident] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(33),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(37),
    [anon_sym_u2203] = ACTIONS(39),
    [anon_sym_All] = ACTIONS(37),
    [anon_sym_u2200] = ACTIONS(39),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [66] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(736),
    [sym_tuple_term] = STATE(736),
    [sym_mset_term] = STATE(736),
    [sym_nat_term] = STATE(736),
    [sym_xor_term] = STATE(736),
    [sym_mul_term] = STATE(736),
    [sym_exp_term] = STATE(736),
    [sym_nested_term] = STATE(736),
    [sym_nullary_fun] = STATE(736),
    [sym_binary_app] = STATE(736),
    [sym_nary_app] = STATE(736),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(242),
    [sym_iff] = STATE(242),
    [sym_imp] = STATE(242),
    [sym_disjunction] = STATE(242),
    [sym_conjunction] = STATE(242),
    [sym_negation] = STATE(242),
    [sym_nested_formula] = STATE(242),
    [sym__temporal_variable_operation] = STATE(242),
    [sym_temp_var_induction] = STATE(242),
    [sym_temp_var_order] = STATE(242),
    [sym_temp_var_eq] = STATE(242),
    [sym_action_constraint] = STATE(242),
    [sym_term_eq] = STATE(242),
    [sym_subterm_rel] = STATE(242),
    [sym_quantified_formula] = STATE(242),
    [sym_atom] = STATE(242),
    [sym_predicate_ref] = STATE(242),
    [sym_pre_defined] = STATE(242),
    [sym_ident] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(33),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(37),
    [anon_sym_u2203] = ACTIONS(39),
    [anon_sym_All] = ACTIONS(37),
    [anon_sym_u2200] = ACTIONS(39),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [67] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(736),
    [sym_tuple_term] = STATE(736),
    [sym_mset_term] = STATE(736),
    [sym_nat_term] = STATE(736),
    [sym_xor_term] = STATE(736),
    [sym_mul_term] = STATE(736),
    [sym_exp_term] = STATE(736),
    [sym_nested_term] = STATE(736),
    [sym_nullary_fun] = STATE(736),
    [sym_binary_app] = STATE(736),
    [sym_nary_app] = STATE(736),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(215),
    [sym_iff] = STATE(215),
    [sym_imp] = STATE(215),
    [sym_disjunction] = STATE(215),
    [sym_conjunction] = STATE(215),
    [sym_negation] = STATE(215),
    [sym_nested_formula] = STATE(215),
    [sym__temporal_variable_operation] = STATE(215),
    [sym_temp_var_induction] = STATE(215),
    [sym_temp_var_order] = STATE(215),
    [sym_temp_var_eq] = STATE(215),
    [sym_action_constraint] = STATE(215),
    [sym_term_eq] = STATE(215),
    [sym_subterm_rel] = STATE(215),
    [sym_quantified_formula] = STATE(215),
    [sym_atom] = STATE(215),
    [sym_predicate_ref] = STATE(215),
    [sym_pre_defined] = STATE(215),
    [sym_ident] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(33),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(37),
    [anon_sym_u2203] = ACTIONS(39),
    [anon_sym_All] = ACTIONS(37),
    [anon_sym_u2200] = ACTIONS(39),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [68] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(736),
    [sym_tuple_term] = STATE(736),
    [sym_mset_term] = STATE(736),
    [sym_nat_term] = STATE(736),
    [sym_xor_term] = STATE(736),
    [sym_mul_term] = STATE(736),
    [sym_exp_term] = STATE(736),
    [sym_nested_term] = STATE(736),
    [sym_nullary_fun] = STATE(736),
    [sym_binary_app] = STATE(736),
    [sym_nary_app] = STATE(736),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(244),
    [sym_iff] = STATE(244),
    [sym_imp] = STATE(244),
    [sym_disjunction] = STATE(244),
    [sym_conjunction] = STATE(244),
    [sym_negation] = STATE(244),
    [sym_nested_formula] = STATE(244),
    [sym__temporal_variable_operation] = STATE(244),
    [sym_temp_var_induction] = STATE(244),
    [sym_temp_var_order] = STATE(244),
    [sym_temp_var_eq] = STATE(244),
    [sym_action_constraint] = STATE(244),
    [sym_term_eq] = STATE(244),
    [sym_subterm_rel] = STATE(244),
    [sym_quantified_formula] = STATE(244),
    [sym_atom] = STATE(244),
    [sym_predicate_ref] = STATE(244),
    [sym_pre_defined] = STATE(244),
    [sym_ident] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(33),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(37),
    [anon_sym_u2203] = ACTIONS(39),
    [anon_sym_All] = ACTIONS(37),
    [anon_sym_u2200] = ACTIONS(39),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [69] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(736),
    [sym_tuple_term] = STATE(736),
    [sym_mset_term] = STATE(736),
    [sym_nat_term] = STATE(736),
    [sym_xor_term] = STATE(736),
    [sym_mul_term] = STATE(736),
    [sym_exp_term] = STATE(736),
    [sym_nested_term] = STATE(736),
    [sym_nullary_fun] = STATE(736),
    [sym_binary_app] = STATE(736),
    [sym_nary_app] = STATE(736),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(218),
    [sym_iff] = STATE(218),
    [sym_imp] = STATE(218),
    [sym_disjunction] = STATE(218),
    [sym_conjunction] = STATE(218),
    [sym_negation] = STATE(218),
    [sym_nested_formula] = STATE(218),
    [sym__temporal_variable_operation] = STATE(218),
    [sym_temp_var_induction] = STATE(218),
    [sym_temp_var_order] = STATE(218),
    [sym_temp_var_eq] = STATE(218),
    [sym_action_constraint] = STATE(218),
    [sym_term_eq] = STATE(218),
    [sym_subterm_rel] = STATE(218),
    [sym_quantified_formula] = STATE(218),
    [sym_atom] = STATE(218),
    [sym_predicate_ref] = STATE(218),
    [sym_pre_defined] = STATE(218),
    [sym_ident] = ACTIONS(271),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(165),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(167),
    [anon_sym_u2203] = ACTIONS(169),
    [anon_sym_All] = ACTIONS(167),
    [anon_sym_u2200] = ACTIONS(169),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [70] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(731),
    [sym_tuple_term] = STATE(731),
    [sym_mset_term] = STATE(731),
    [sym_nat_term] = STATE(731),
    [sym_xor_term] = STATE(731),
    [sym_mul_term] = STATE(731),
    [sym_exp_term] = STATE(731),
    [sym_nested_term] = STATE(731),
    [sym_nullary_fun] = STATE(731),
    [sym_binary_app] = STATE(731),
    [sym_nary_app] = STATE(731),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(781),
    [sym_iff] = STATE(781),
    [sym_imp] = STATE(781),
    [sym_disjunction] = STATE(781),
    [sym_conjunction] = STATE(781),
    [sym_negation] = STATE(781),
    [sym_nested_formula] = STATE(781),
    [sym__temporal_variable_operation] = STATE(781),
    [sym_temp_var_induction] = STATE(781),
    [sym_temp_var_order] = STATE(781),
    [sym_temp_var_eq] = STATE(781),
    [sym_action_constraint] = STATE(781),
    [sym_term_eq] = STATE(781),
    [sym_subterm_rel] = STATE(781),
    [sym_quantified_formula] = STATE(781),
    [sym_atom] = STATE(781),
    [sym_predicate_ref] = STATE(781),
    [sym_pre_defined] = STATE(781),
    [sym_ident] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(259),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(263),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(265),
    [anon_sym_u2203] = ACTIONS(267),
    [anon_sym_All] = ACTIONS(265),
    [anon_sym_u2200] = ACTIONS(267),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [71] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(736),
    [sym_tuple_term] = STATE(736),
    [sym_mset_term] = STATE(736),
    [sym_nat_term] = STATE(736),
    [sym_xor_term] = STATE(736),
    [sym_mul_term] = STATE(736),
    [sym_exp_term] = STATE(736),
    [sym_nested_term] = STATE(736),
    [sym_nullary_fun] = STATE(736),
    [sym_binary_app] = STATE(736),
    [sym_nary_app] = STATE(736),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(261),
    [sym_iff] = STATE(261),
    [sym_imp] = STATE(261),
    [sym_disjunction] = STATE(261),
    [sym_conjunction] = STATE(261),
    [sym_negation] = STATE(261),
    [sym_nested_formula] = STATE(261),
    [sym__temporal_variable_operation] = STATE(261),
    [sym_temp_var_induction] = STATE(261),
    [sym_temp_var_order] = STATE(261),
    [sym_temp_var_eq] = STATE(261),
    [sym_action_constraint] = STATE(261),
    [sym_term_eq] = STATE(261),
    [sym_subterm_rel] = STATE(261),
    [sym_quantified_formula] = STATE(261),
    [sym_atom] = STATE(261),
    [sym_predicate_ref] = STATE(261),
    [sym_pre_defined] = STATE(261),
    [sym_ident] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(33),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(37),
    [anon_sym_u2203] = ACTIONS(39),
    [anon_sym_All] = ACTIONS(37),
    [anon_sym_u2200] = ACTIONS(39),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [72] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(736),
    [sym_tuple_term] = STATE(736),
    [sym_mset_term] = STATE(736),
    [sym_nat_term] = STATE(736),
    [sym_xor_term] = STATE(736),
    [sym_mul_term] = STATE(736),
    [sym_exp_term] = STATE(736),
    [sym_nested_term] = STATE(736),
    [sym_nullary_fun] = STATE(736),
    [sym_binary_app] = STATE(736),
    [sym_nary_app] = STATE(736),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(759),
    [sym_iff] = STATE(759),
    [sym_imp] = STATE(759),
    [sym_disjunction] = STATE(759),
    [sym_conjunction] = STATE(759),
    [sym_negation] = STATE(759),
    [sym_nested_formula] = STATE(759),
    [sym__temporal_variable_operation] = STATE(759),
    [sym_temp_var_induction] = STATE(759),
    [sym_temp_var_order] = STATE(759),
    [sym_temp_var_eq] = STATE(759),
    [sym_action_constraint] = STATE(759),
    [sym_term_eq] = STATE(759),
    [sym_subterm_rel] = STATE(759),
    [sym_quantified_formula] = STATE(759),
    [sym_atom] = STATE(759),
    [sym_predicate_ref] = STATE(759),
    [sym_pre_defined] = STATE(759),
    [sym_ident] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(33),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(37),
    [anon_sym_u2203] = ACTIONS(39),
    [anon_sym_All] = ACTIONS(37),
    [anon_sym_u2200] = ACTIONS(39),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [73] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(736),
    [sym_tuple_term] = STATE(736),
    [sym_mset_term] = STATE(736),
    [sym_nat_term] = STATE(736),
    [sym_xor_term] = STATE(736),
    [sym_mul_term] = STATE(736),
    [sym_exp_term] = STATE(736),
    [sym_nested_term] = STATE(736),
    [sym_nullary_fun] = STATE(736),
    [sym_binary_app] = STATE(736),
    [sym_nary_app] = STATE(736),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(218),
    [sym_iff] = STATE(218),
    [sym_imp] = STATE(218),
    [sym_disjunction] = STATE(218),
    [sym_conjunction] = STATE(218),
    [sym_negation] = STATE(218),
    [sym_nested_formula] = STATE(218),
    [sym__temporal_variable_operation] = STATE(218),
    [sym_temp_var_induction] = STATE(218),
    [sym_temp_var_order] = STATE(218),
    [sym_temp_var_eq] = STATE(218),
    [sym_action_constraint] = STATE(218),
    [sym_term_eq] = STATE(218),
    [sym_subterm_rel] = STATE(218),
    [sym_quantified_formula] = STATE(218),
    [sym_atom] = STATE(218),
    [sym_predicate_ref] = STATE(218),
    [sym_pre_defined] = STATE(218),
    [sym_ident] = ACTIONS(269),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(259),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(263),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(265),
    [anon_sym_u2203] = ACTIONS(267),
    [anon_sym_All] = ACTIONS(265),
    [anon_sym_u2200] = ACTIONS(267),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [74] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(736),
    [sym_tuple_term] = STATE(736),
    [sym_mset_term] = STATE(736),
    [sym_nat_term] = STATE(736),
    [sym_xor_term] = STATE(736),
    [sym_mul_term] = STATE(736),
    [sym_exp_term] = STATE(736),
    [sym_nested_term] = STATE(736),
    [sym_nullary_fun] = STATE(736),
    [sym_binary_app] = STATE(736),
    [sym_nary_app] = STATE(736),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(717),
    [sym_iff] = STATE(717),
    [sym_imp] = STATE(717),
    [sym_disjunction] = STATE(717),
    [sym_conjunction] = STATE(717),
    [sym_negation] = STATE(717),
    [sym_nested_formula] = STATE(717),
    [sym__temporal_variable_operation] = STATE(717),
    [sym_temp_var_induction] = STATE(717),
    [sym_temp_var_order] = STATE(717),
    [sym_temp_var_eq] = STATE(717),
    [sym_action_constraint] = STATE(717),
    [sym_term_eq] = STATE(717),
    [sym_subterm_rel] = STATE(717),
    [sym_quantified_formula] = STATE(717),
    [sym_atom] = STATE(717),
    [sym_predicate_ref] = STATE(717),
    [sym_pre_defined] = STATE(717),
    [sym_ident] = ACTIONS(269),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(259),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(263),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(265),
    [anon_sym_u2203] = ACTIONS(267),
    [anon_sym_All] = ACTIONS(265),
    [anon_sym_u2200] = ACTIONS(267),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [75] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(736),
    [sym_tuple_term] = STATE(736),
    [sym_mset_term] = STATE(736),
    [sym_nat_term] = STATE(736),
    [sym_xor_term] = STATE(736),
    [sym_mul_term] = STATE(736),
    [sym_exp_term] = STATE(736),
    [sym_nested_term] = STATE(736),
    [sym_nullary_fun] = STATE(736),
    [sym_binary_app] = STATE(736),
    [sym_nary_app] = STATE(736),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(218),
    [sym_iff] = STATE(218),
    [sym_imp] = STATE(218),
    [sym_disjunction] = STATE(218),
    [sym_conjunction] = STATE(218),
    [sym_negation] = STATE(218),
    [sym_nested_formula] = STATE(218),
    [sym__temporal_variable_operation] = STATE(218),
    [sym_temp_var_induction] = STATE(218),
    [sym_temp_var_order] = STATE(218),
    [sym_temp_var_eq] = STATE(218),
    [sym_action_constraint] = STATE(218),
    [sym_term_eq] = STATE(218),
    [sym_subterm_rel] = STATE(218),
    [sym_quantified_formula] = STATE(218),
    [sym_atom] = STATE(218),
    [sym_predicate_ref] = STATE(218),
    [sym_pre_defined] = STATE(218),
    [sym_ident] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(33),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(37),
    [anon_sym_u2203] = ACTIONS(39),
    [anon_sym_All] = ACTIONS(37),
    [anon_sym_u2200] = ACTIONS(39),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [76] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(730),
    [sym_tuple_term] = STATE(730),
    [sym_mset_term] = STATE(730),
    [sym_nat_term] = STATE(730),
    [sym_xor_term] = STATE(730),
    [sym_mul_term] = STATE(730),
    [sym_exp_term] = STATE(730),
    [sym_nested_term] = STATE(730),
    [sym_nullary_fun] = STATE(730),
    [sym_binary_app] = STATE(730),
    [sym_nary_app] = STATE(730),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(781),
    [sym_iff] = STATE(781),
    [sym_imp] = STATE(781),
    [sym_disjunction] = STATE(781),
    [sym_conjunction] = STATE(781),
    [sym_negation] = STATE(781),
    [sym_nested_formula] = STATE(781),
    [sym__temporal_variable_operation] = STATE(781),
    [sym_temp_var_induction] = STATE(781),
    [sym_temp_var_order] = STATE(781),
    [sym_temp_var_eq] = STATE(781),
    [sym_action_constraint] = STATE(781),
    [sym_term_eq] = STATE(781),
    [sym_subterm_rel] = STATE(781),
    [sym_quantified_formula] = STATE(781),
    [sym_atom] = STATE(781),
    [sym_predicate_ref] = STATE(781),
    [sym_pre_defined] = STATE(781),
    [sym_ident] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(259),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(263),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(265),
    [anon_sym_u2203] = ACTIONS(267),
    [anon_sym_All] = ACTIONS(265),
    [anon_sym_u2200] = ACTIONS(267),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [77] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(736),
    [sym_tuple_term] = STATE(736),
    [sym_mset_term] = STATE(736),
    [sym_nat_term] = STATE(736),
    [sym_xor_term] = STATE(736),
    [sym_mul_term] = STATE(736),
    [sym_exp_term] = STATE(736),
    [sym_nested_term] = STATE(736),
    [sym_nullary_fun] = STATE(736),
    [sym_binary_app] = STATE(736),
    [sym_nary_app] = STATE(736),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(215),
    [sym_iff] = STATE(215),
    [sym_imp] = STATE(215),
    [sym_disjunction] = STATE(215),
    [sym_conjunction] = STATE(215),
    [sym_negation] = STATE(215),
    [sym_nested_formula] = STATE(215),
    [sym__temporal_variable_operation] = STATE(215),
    [sym_temp_var_induction] = STATE(215),
    [sym_temp_var_order] = STATE(215),
    [sym_temp_var_eq] = STATE(215),
    [sym_action_constraint] = STATE(215),
    [sym_term_eq] = STATE(215),
    [sym_subterm_rel] = STATE(215),
    [sym_quantified_formula] = STATE(215),
    [sym_atom] = STATE(215),
    [sym_predicate_ref] = STATE(215),
    [sym_pre_defined] = STATE(215),
    [sym_ident] = ACTIONS(269),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(259),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(263),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(265),
    [anon_sym_u2203] = ACTIONS(267),
    [anon_sym_All] = ACTIONS(265),
    [anon_sym_u2200] = ACTIONS(267),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [78] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(736),
    [sym_tuple_term] = STATE(736),
    [sym_mset_term] = STATE(736),
    [sym_nat_term] = STATE(736),
    [sym_xor_term] = STATE(736),
    [sym_mul_term] = STATE(736),
    [sym_exp_term] = STATE(736),
    [sym_nested_term] = STATE(736),
    [sym_nullary_fun] = STATE(736),
    [sym_binary_app] = STATE(736),
    [sym_nary_app] = STATE(736),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(711),
    [sym_iff] = STATE(711),
    [sym_imp] = STATE(711),
    [sym_disjunction] = STATE(711),
    [sym_conjunction] = STATE(711),
    [sym_negation] = STATE(711),
    [sym_nested_formula] = STATE(711),
    [sym__temporal_variable_operation] = STATE(711),
    [sym_temp_var_induction] = STATE(711),
    [sym_temp_var_order] = STATE(711),
    [sym_temp_var_eq] = STATE(711),
    [sym_action_constraint] = STATE(711),
    [sym_term_eq] = STATE(711),
    [sym_subterm_rel] = STATE(711),
    [sym_quantified_formula] = STATE(711),
    [sym_atom] = STATE(711),
    [sym_predicate_ref] = STATE(711),
    [sym_pre_defined] = STATE(711),
    [sym_ident] = ACTIONS(269),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(259),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(263),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(265),
    [anon_sym_u2203] = ACTIONS(267),
    [anon_sym_All] = ACTIONS(265),
    [anon_sym_u2200] = ACTIONS(267),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [79] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(736),
    [sym_tuple_term] = STATE(736),
    [sym_mset_term] = STATE(736),
    [sym_nat_term] = STATE(736),
    [sym_xor_term] = STATE(736),
    [sym_mul_term] = STATE(736),
    [sym_exp_term] = STATE(736),
    [sym_nested_term] = STATE(736),
    [sym_nullary_fun] = STATE(736),
    [sym_binary_app] = STATE(736),
    [sym_nary_app] = STATE(736),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(765),
    [sym_iff] = STATE(765),
    [sym_imp] = STATE(765),
    [sym_disjunction] = STATE(765),
    [sym_conjunction] = STATE(765),
    [sym_negation] = STATE(765),
    [sym_nested_formula] = STATE(765),
    [sym__temporal_variable_operation] = STATE(765),
    [sym_temp_var_induction] = STATE(765),
    [sym_temp_var_order] = STATE(765),
    [sym_temp_var_eq] = STATE(765),
    [sym_action_constraint] = STATE(765),
    [sym_term_eq] = STATE(765),
    [sym_subterm_rel] = STATE(765),
    [sym_quantified_formula] = STATE(765),
    [sym_atom] = STATE(765),
    [sym_predicate_ref] = STATE(765),
    [sym_pre_defined] = STATE(765),
    [sym_ident] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(33),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(37),
    [anon_sym_u2203] = ACTIONS(39),
    [anon_sym_All] = ACTIONS(37),
    [anon_sym_u2200] = ACTIONS(39),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [80] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(736),
    [sym_tuple_term] = STATE(736),
    [sym_mset_term] = STATE(736),
    [sym_nat_term] = STATE(736),
    [sym_xor_term] = STATE(736),
    [sym_mul_term] = STATE(736),
    [sym_exp_term] = STATE(736),
    [sym_nested_term] = STATE(736),
    [sym_nullary_fun] = STATE(736),
    [sym_binary_app] = STATE(736),
    [sym_nary_app] = STATE(736),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(708),
    [sym_iff] = STATE(708),
    [sym_imp] = STATE(708),
    [sym_disjunction] = STATE(708),
    [sym_conjunction] = STATE(708),
    [sym_negation] = STATE(708),
    [sym_nested_formula] = STATE(708),
    [sym__temporal_variable_operation] = STATE(708),
    [sym_temp_var_induction] = STATE(708),
    [sym_temp_var_order] = STATE(708),
    [sym_temp_var_eq] = STATE(708),
    [sym_action_constraint] = STATE(708),
    [sym_term_eq] = STATE(708),
    [sym_subterm_rel] = STATE(708),
    [sym_quantified_formula] = STATE(708),
    [sym_atom] = STATE(708),
    [sym_predicate_ref] = STATE(708),
    [sym_pre_defined] = STATE(708),
    [sym_ident] = ACTIONS(269),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(259),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(263),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(265),
    [anon_sym_u2203] = ACTIONS(267),
    [anon_sym_All] = ACTIONS(265),
    [anon_sym_u2200] = ACTIONS(267),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [81] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(736),
    [sym_tuple_term] = STATE(736),
    [sym_mset_term] = STATE(736),
    [sym_nat_term] = STATE(736),
    [sym_xor_term] = STATE(736),
    [sym_mul_term] = STATE(736),
    [sym_exp_term] = STATE(736),
    [sym_nested_term] = STATE(736),
    [sym_nullary_fun] = STATE(736),
    [sym_binary_app] = STATE(736),
    [sym_nary_app] = STATE(736),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(216),
    [sym_iff] = STATE(216),
    [sym_imp] = STATE(216),
    [sym_disjunction] = STATE(216),
    [sym_conjunction] = STATE(216),
    [sym_negation] = STATE(216),
    [sym_nested_formula] = STATE(216),
    [sym__temporal_variable_operation] = STATE(216),
    [sym_temp_var_induction] = STATE(216),
    [sym_temp_var_order] = STATE(216),
    [sym_temp_var_eq] = STATE(216),
    [sym_action_constraint] = STATE(216),
    [sym_term_eq] = STATE(216),
    [sym_subterm_rel] = STATE(216),
    [sym_quantified_formula] = STATE(216),
    [sym_atom] = STATE(216),
    [sym_predicate_ref] = STATE(216),
    [sym_pre_defined] = STATE(216),
    [sym_ident] = ACTIONS(269),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(259),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(263),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(265),
    [anon_sym_u2203] = ACTIONS(267),
    [anon_sym_All] = ACTIONS(265),
    [anon_sym_u2200] = ACTIONS(267),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [82] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(736),
    [sym_tuple_term] = STATE(736),
    [sym_mset_term] = STATE(736),
    [sym_nat_term] = STATE(736),
    [sym_xor_term] = STATE(736),
    [sym_mul_term] = STATE(736),
    [sym_exp_term] = STATE(736),
    [sym_nested_term] = STATE(736),
    [sym_nullary_fun] = STATE(736),
    [sym_binary_app] = STATE(736),
    [sym_nary_app] = STATE(736),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(762),
    [sym_iff] = STATE(762),
    [sym_imp] = STATE(762),
    [sym_disjunction] = STATE(762),
    [sym_conjunction] = STATE(762),
    [sym_negation] = STATE(762),
    [sym_nested_formula] = STATE(762),
    [sym__temporal_variable_operation] = STATE(762),
    [sym_temp_var_induction] = STATE(762),
    [sym_temp_var_order] = STATE(762),
    [sym_temp_var_eq] = STATE(762),
    [sym_action_constraint] = STATE(762),
    [sym_term_eq] = STATE(762),
    [sym_subterm_rel] = STATE(762),
    [sym_quantified_formula] = STATE(762),
    [sym_atom] = STATE(762),
    [sym_predicate_ref] = STATE(762),
    [sym_pre_defined] = STATE(762),
    [sym_ident] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(33),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(37),
    [anon_sym_u2203] = ACTIONS(39),
    [anon_sym_All] = ACTIONS(37),
    [anon_sym_u2200] = ACTIONS(39),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [83] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(736),
    [sym_tuple_term] = STATE(736),
    [sym_mset_term] = STATE(736),
    [sym_nat_term] = STATE(736),
    [sym_xor_term] = STATE(736),
    [sym_mul_term] = STATE(736),
    [sym_exp_term] = STATE(736),
    [sym_nested_term] = STATE(736),
    [sym_nullary_fun] = STATE(736),
    [sym_binary_app] = STATE(736),
    [sym_nary_app] = STATE(736),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(777),
    [sym_iff] = STATE(777),
    [sym_imp] = STATE(777),
    [sym_disjunction] = STATE(777),
    [sym_conjunction] = STATE(777),
    [sym_negation] = STATE(777),
    [sym_nested_formula] = STATE(777),
    [sym__temporal_variable_operation] = STATE(777),
    [sym_temp_var_induction] = STATE(777),
    [sym_temp_var_order] = STATE(777),
    [sym_temp_var_eq] = STATE(777),
    [sym_action_constraint] = STATE(777),
    [sym_term_eq] = STATE(777),
    [sym_subterm_rel] = STATE(777),
    [sym_quantified_formula] = STATE(777),
    [sym_atom] = STATE(777),
    [sym_predicate_ref] = STATE(777),
    [sym_pre_defined] = STATE(777),
    [sym_ident] = ACTIONS(271),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(165),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(167),
    [anon_sym_u2203] = ACTIONS(169),
    [anon_sym_All] = ACTIONS(167),
    [anon_sym_u2200] = ACTIONS(169),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [84] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(736),
    [sym_tuple_term] = STATE(736),
    [sym_mset_term] = STATE(736),
    [sym_nat_term] = STATE(736),
    [sym_xor_term] = STATE(736),
    [sym_mul_term] = STATE(736),
    [sym_exp_term] = STATE(736),
    [sym_nested_term] = STATE(736),
    [sym_nullary_fun] = STATE(736),
    [sym_binary_app] = STATE(736),
    [sym_nary_app] = STATE(736),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(778),
    [sym_iff] = STATE(778),
    [sym_imp] = STATE(778),
    [sym_disjunction] = STATE(778),
    [sym_conjunction] = STATE(778),
    [sym_negation] = STATE(778),
    [sym_nested_formula] = STATE(778),
    [sym__temporal_variable_operation] = STATE(778),
    [sym_temp_var_induction] = STATE(778),
    [sym_temp_var_order] = STATE(778),
    [sym_temp_var_eq] = STATE(778),
    [sym_action_constraint] = STATE(778),
    [sym_term_eq] = STATE(778),
    [sym_subterm_rel] = STATE(778),
    [sym_quantified_formula] = STATE(778),
    [sym_atom] = STATE(778),
    [sym_predicate_ref] = STATE(778),
    [sym_pre_defined] = STATE(778),
    [sym_ident] = ACTIONS(271),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(165),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(167),
    [anon_sym_u2203] = ACTIONS(169),
    [anon_sym_All] = ACTIONS(167),
    [anon_sym_u2200] = ACTIONS(169),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [85] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(736),
    [sym_tuple_term] = STATE(736),
    [sym_mset_term] = STATE(736),
    [sym_nat_term] = STATE(736),
    [sym_xor_term] = STATE(736),
    [sym_mul_term] = STATE(736),
    [sym_exp_term] = STATE(736),
    [sym_nested_term] = STATE(736),
    [sym_nullary_fun] = STATE(736),
    [sym_binary_app] = STATE(736),
    [sym_nary_app] = STATE(736),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(215),
    [sym_iff] = STATE(215),
    [sym_imp] = STATE(215),
    [sym_disjunction] = STATE(215),
    [sym_conjunction] = STATE(215),
    [sym_negation] = STATE(215),
    [sym_nested_formula] = STATE(215),
    [sym__temporal_variable_operation] = STATE(215),
    [sym_temp_var_induction] = STATE(215),
    [sym_temp_var_order] = STATE(215),
    [sym_temp_var_eq] = STATE(215),
    [sym_action_constraint] = STATE(215),
    [sym_term_eq] = STATE(215),
    [sym_subterm_rel] = STATE(215),
    [sym_quantified_formula] = STATE(215),
    [sym_atom] = STATE(215),
    [sym_predicate_ref] = STATE(215),
    [sym_pre_defined] = STATE(215),
    [sym_ident] = ACTIONS(271),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(165),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(167),
    [anon_sym_u2203] = ACTIONS(169),
    [anon_sym_All] = ACTIONS(167),
    [anon_sym_u2200] = ACTIONS(169),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [86] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(736),
    [sym_tuple_term] = STATE(736),
    [sym_mset_term] = STATE(736),
    [sym_nat_term] = STATE(736),
    [sym_xor_term] = STATE(736),
    [sym_mul_term] = STATE(736),
    [sym_exp_term] = STATE(736),
    [sym_nested_term] = STATE(736),
    [sym_nullary_fun] = STATE(736),
    [sym_binary_app] = STATE(736),
    [sym_nary_app] = STATE(736),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(760),
    [sym_iff] = STATE(760),
    [sym_imp] = STATE(760),
    [sym_disjunction] = STATE(760),
    [sym_conjunction] = STATE(760),
    [sym_negation] = STATE(760),
    [sym_nested_formula] = STATE(760),
    [sym__temporal_variable_operation] = STATE(760),
    [sym_temp_var_induction] = STATE(760),
    [sym_temp_var_order] = STATE(760),
    [sym_temp_var_eq] = STATE(760),
    [sym_action_constraint] = STATE(760),
    [sym_term_eq] = STATE(760),
    [sym_subterm_rel] = STATE(760),
    [sym_quantified_formula] = STATE(760),
    [sym_atom] = STATE(760),
    [sym_predicate_ref] = STATE(760),
    [sym_pre_defined] = STATE(760),
    [sym_ident] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(33),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(37),
    [anon_sym_u2203] = ACTIONS(39),
    [anon_sym_All] = ACTIONS(37),
    [anon_sym_u2200] = ACTIONS(39),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [87] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(736),
    [sym_tuple_term] = STATE(736),
    [sym_mset_term] = STATE(736),
    [sym_nat_term] = STATE(736),
    [sym_xor_term] = STATE(736),
    [sym_mul_term] = STATE(736),
    [sym_exp_term] = STATE(736),
    [sym_nested_term] = STATE(736),
    [sym_nullary_fun] = STATE(736),
    [sym_binary_app] = STATE(736),
    [sym_nary_app] = STATE(736),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(779),
    [sym_iff] = STATE(779),
    [sym_imp] = STATE(779),
    [sym_disjunction] = STATE(779),
    [sym_conjunction] = STATE(779),
    [sym_negation] = STATE(779),
    [sym_nested_formula] = STATE(779),
    [sym__temporal_variable_operation] = STATE(779),
    [sym_temp_var_induction] = STATE(779),
    [sym_temp_var_order] = STATE(779),
    [sym_temp_var_eq] = STATE(779),
    [sym_action_constraint] = STATE(779),
    [sym_term_eq] = STATE(779),
    [sym_subterm_rel] = STATE(779),
    [sym_quantified_formula] = STATE(779),
    [sym_atom] = STATE(779),
    [sym_predicate_ref] = STATE(779),
    [sym_pre_defined] = STATE(779),
    [sym_ident] = ACTIONS(271),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(165),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(167),
    [anon_sym_u2203] = ACTIONS(169),
    [anon_sym_All] = ACTIONS(167),
    [anon_sym_u2200] = ACTIONS(169),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [88] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(723),
    [sym_tuple_term] = STATE(723),
    [sym_mset_term] = STATE(723),
    [sym_nat_term] = STATE(723),
    [sym_xor_term] = STATE(723),
    [sym_mul_term] = STATE(723),
    [sym_exp_term] = STATE(723),
    [sym_nested_term] = STATE(723),
    [sym_nullary_fun] = STATE(723),
    [sym_binary_app] = STATE(723),
    [sym_nary_app] = STATE(723),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(780),
    [sym_iff] = STATE(780),
    [sym_imp] = STATE(780),
    [sym_disjunction] = STATE(780),
    [sym_conjunction] = STATE(780),
    [sym_negation] = STATE(780),
    [sym_nested_formula] = STATE(780),
    [sym__temporal_variable_operation] = STATE(780),
    [sym_temp_var_induction] = STATE(780),
    [sym_temp_var_order] = STATE(780),
    [sym_temp_var_eq] = STATE(780),
    [sym_action_constraint] = STATE(780),
    [sym_term_eq] = STATE(780),
    [sym_subterm_rel] = STATE(780),
    [sym_quantified_formula] = STATE(780),
    [sym_atom] = STATE(780),
    [sym_predicate_ref] = STATE(780),
    [sym_pre_defined] = STATE(780),
    [sym_ident] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(259),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(263),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(265),
    [anon_sym_u2203] = ACTIONS(267),
    [anon_sym_All] = ACTIONS(265),
    [anon_sym_u2200] = ACTIONS(267),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [89] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(736),
    [sym_tuple_term] = STATE(736),
    [sym_mset_term] = STATE(736),
    [sym_nat_term] = STATE(736),
    [sym_xor_term] = STATE(736),
    [sym_mul_term] = STATE(736),
    [sym_exp_term] = STATE(736),
    [sym_nested_term] = STATE(736),
    [sym_nullary_fun] = STATE(736),
    [sym_binary_app] = STATE(736),
    [sym_nary_app] = STATE(736),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(757),
    [sym_iff] = STATE(757),
    [sym_imp] = STATE(757),
    [sym_disjunction] = STATE(757),
    [sym_conjunction] = STATE(757),
    [sym_negation] = STATE(757),
    [sym_nested_formula] = STATE(757),
    [sym__temporal_variable_operation] = STATE(757),
    [sym_temp_var_induction] = STATE(757),
    [sym_temp_var_order] = STATE(757),
    [sym_temp_var_eq] = STATE(757),
    [sym_action_constraint] = STATE(757),
    [sym_term_eq] = STATE(757),
    [sym_subterm_rel] = STATE(757),
    [sym_quantified_formula] = STATE(757),
    [sym_atom] = STATE(757),
    [sym_predicate_ref] = STATE(757),
    [sym_pre_defined] = STATE(757),
    [sym_ident] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(33),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(37),
    [anon_sym_u2203] = ACTIONS(39),
    [anon_sym_All] = ACTIONS(37),
    [anon_sym_u2200] = ACTIONS(39),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [90] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(736),
    [sym_tuple_term] = STATE(736),
    [sym_mset_term] = STATE(736),
    [sym_nat_term] = STATE(736),
    [sym_xor_term] = STATE(736),
    [sym_mul_term] = STATE(736),
    [sym_exp_term] = STATE(736),
    [sym_nested_term] = STATE(736),
    [sym_nullary_fun] = STATE(736),
    [sym_binary_app] = STATE(736),
    [sym_nary_app] = STATE(736),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(770),
    [sym_iff] = STATE(770),
    [sym_imp] = STATE(770),
    [sym_disjunction] = STATE(770),
    [sym_conjunction] = STATE(770),
    [sym_negation] = STATE(770),
    [sym_nested_formula] = STATE(770),
    [sym__temporal_variable_operation] = STATE(770),
    [sym_temp_var_induction] = STATE(770),
    [sym_temp_var_order] = STATE(770),
    [sym_temp_var_eq] = STATE(770),
    [sym_action_constraint] = STATE(770),
    [sym_term_eq] = STATE(770),
    [sym_subterm_rel] = STATE(770),
    [sym_quantified_formula] = STATE(770),
    [sym_atom] = STATE(770),
    [sym_predicate_ref] = STATE(770),
    [sym_pre_defined] = STATE(770),
    [sym_ident] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(33),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(37),
    [anon_sym_u2203] = ACTIONS(39),
    [anon_sym_All] = ACTIONS(37),
    [anon_sym_u2200] = ACTIONS(39),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [91] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(736),
    [sym_tuple_term] = STATE(736),
    [sym_mset_term] = STATE(736),
    [sym_nat_term] = STATE(736),
    [sym_xor_term] = STATE(736),
    [sym_mul_term] = STATE(736),
    [sym_exp_term] = STATE(736),
    [sym_nested_term] = STATE(736),
    [sym_nullary_fun] = STATE(736),
    [sym_binary_app] = STATE(736),
    [sym_nary_app] = STATE(736),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(768),
    [sym_iff] = STATE(768),
    [sym_imp] = STATE(768),
    [sym_disjunction] = STATE(768),
    [sym_conjunction] = STATE(768),
    [sym_negation] = STATE(768),
    [sym_nested_formula] = STATE(768),
    [sym__temporal_variable_operation] = STATE(768),
    [sym_temp_var_induction] = STATE(768),
    [sym_temp_var_order] = STATE(768),
    [sym_temp_var_eq] = STATE(768),
    [sym_action_constraint] = STATE(768),
    [sym_term_eq] = STATE(768),
    [sym_subterm_rel] = STATE(768),
    [sym_quantified_formula] = STATE(768),
    [sym_atom] = STATE(768),
    [sym_predicate_ref] = STATE(768),
    [sym_pre_defined] = STATE(768),
    [sym_ident] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(33),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(37),
    [anon_sym_u2203] = ACTIONS(39),
    [anon_sym_All] = ACTIONS(37),
    [anon_sym_u2200] = ACTIONS(39),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [92] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(736),
    [sym_tuple_term] = STATE(736),
    [sym_mset_term] = STATE(736),
    [sym_nat_term] = STATE(736),
    [sym_xor_term] = STATE(736),
    [sym_mul_term] = STATE(736),
    [sym_exp_term] = STATE(736),
    [sym_nested_term] = STATE(736),
    [sym_nullary_fun] = STATE(736),
    [sym_binary_app] = STATE(736),
    [sym_nary_app] = STATE(736),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(774),
    [sym_iff] = STATE(774),
    [sym_imp] = STATE(774),
    [sym_disjunction] = STATE(774),
    [sym_conjunction] = STATE(774),
    [sym_negation] = STATE(774),
    [sym_nested_formula] = STATE(774),
    [sym__temporal_variable_operation] = STATE(774),
    [sym_temp_var_induction] = STATE(774),
    [sym_temp_var_order] = STATE(774),
    [sym_temp_var_eq] = STATE(774),
    [sym_action_constraint] = STATE(774),
    [sym_term_eq] = STATE(774),
    [sym_subterm_rel] = STATE(774),
    [sym_quantified_formula] = STATE(774),
    [sym_atom] = STATE(774),
    [sym_predicate_ref] = STATE(774),
    [sym_pre_defined] = STATE(774),
    [sym_ident] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(33),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(37),
    [anon_sym_u2203] = ACTIONS(39),
    [anon_sym_All] = ACTIONS(37),
    [anon_sym_u2200] = ACTIONS(39),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [93] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(736),
    [sym_tuple_term] = STATE(736),
    [sym_mset_term] = STATE(736),
    [sym_nat_term] = STATE(736),
    [sym_xor_term] = STATE(736),
    [sym_mul_term] = STATE(736),
    [sym_exp_term] = STATE(736),
    [sym_nested_term] = STATE(736),
    [sym_nullary_fun] = STATE(736),
    [sym_binary_app] = STATE(736),
    [sym_nary_app] = STATE(736),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(728),
    [sym_iff] = STATE(728),
    [sym_imp] = STATE(728),
    [sym_disjunction] = STATE(728),
    [sym_conjunction] = STATE(728),
    [sym_negation] = STATE(728),
    [sym_nested_formula] = STATE(728),
    [sym__temporal_variable_operation] = STATE(728),
    [sym_temp_var_induction] = STATE(728),
    [sym_temp_var_order] = STATE(728),
    [sym_temp_var_eq] = STATE(728),
    [sym_action_constraint] = STATE(728),
    [sym_term_eq] = STATE(728),
    [sym_subterm_rel] = STATE(728),
    [sym_quantified_formula] = STATE(728),
    [sym_atom] = STATE(728),
    [sym_predicate_ref] = STATE(728),
    [sym_pre_defined] = STATE(728),
    [sym_ident] = ACTIONS(269),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(259),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(263),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(265),
    [anon_sym_u2203] = ACTIONS(267),
    [anon_sym_All] = ACTIONS(265),
    [anon_sym_u2200] = ACTIONS(267),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
  [94] = {
    [sym__fact] = STATE(1242),
    [sym_fact] = STATE(1242),
    [sym__term] = STATE(736),
    [sym_tuple_term] = STATE(736),
    [sym_mset_term] = STATE(736),
    [sym_nat_term] = STATE(736),
    [sym_xor_term] = STATE(736),
    [sym_mul_term] = STATE(736),
    [sym_exp_term] = STATE(736),
    [sym_nested_term] = STATE(736),
    [sym_nullary_fun] = STATE(736),
    [sym_binary_app] = STATE(736),
    [sym_nary_app] = STATE(736),
    [sym__literal] = STATE(144),
    [sym__non_temporal_var] = STATE(144),
    [sym_pub_var] = STATE(144),
    [sym_fresh_var] = STATE(144),
    [sym_msg_var_or_nullary_fun] = STATE(144),
    [sym_nat_var] = STATE(144),
    [sym_comp_var] = STATE(144),
    [sym__custom_type_var] = STATE(144),
    [sym_custom_var] = STATE(144),
    [sym_any_var] = STATE(144),
    [sym_temporal_var_optional_prefix] = STATE(999),
    [sym_pub_name] = STATE(144),
    [sym_fresh_name] = STATE(144),
    [sym__formula] = STATE(758),
    [sym_iff] = STATE(758),
    [sym_imp] = STATE(758),
    [sym_disjunction] = STATE(758),
    [sym_conjunction] = STATE(758),
    [sym_negation] = STATE(758),
    [sym_nested_formula] = STATE(758),
    [sym__temporal_variable_operation] = STATE(758),
    [sym_temp_var_induction] = STATE(758),
    [sym_temp_var_order] = STATE(758),
    [sym_temp_var_eq] = STATE(758),
    [sym_action_constraint] = STATE(758),
    [sym_term_eq] = STATE(758),
    [sym_subterm_rel] = STATE(758),
    [sym_quantified_formula] = STATE(758),
    [sym_atom] = STATE(758),
    [sym_predicate_ref] = STATE(758),
    [sym_pre_defined] = STATE(758),
    [sym_ident] = ACTIONS(7),
    [anon_sym_EQ] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_DOLLAR] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_POUND] = ACTIONS(25),
    [anon_sym_PERCENT] = ACTIONS(27),
    [anon_sym_SQUOTE] = ACTIONS(29),
    [anon_sym_TILDE_SQUOTE] = ACTIONS(31),
    [anon_sym_u00ac] = ACTIONS(33),
    [anon_sym_last] = ACTIONS(35),
    [anon_sym_Ex] = ACTIONS(37),
    [anon_sym_u2203] = ACTIONS(39),
    [anon_sym_All] = ACTIONS(37),
    [anon_sym_u2200] = ACTIONS(39),
    [anon_sym_u22a5] = ACTIONS(41),
    [anon_sym_F] = ACTIONS(43),
    [anon_sym_u22a4] = ACTIONS(41),
    [anon_sym_T] = ACTIONS(43),
    [sym_multi_comment] = ACTIONS(3),
    [sym_single_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 15,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(45), 1,
      sym_ident,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    STATE(537), 1,
      sym_equation,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(275), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    STATE(806), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
    ACTIONS(273), 21,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
  [92] = 30,
    ACTIONS(279), 1,
      sym_ident,
    ACTIONS(281), 1,
      anon_sym_POUNDifdef,
    ACTIONS(283), 1,
      anon_sym_POUNDelse,
    ACTIONS(285), 1,
      anon_sym_POUNDendif,
    ACTIONS(287), 1,
      anon_sym_POUNDdefine,
    ACTIONS(289), 1,
      anon_sym_POUNDinclude,
    ACTIONS(291), 1,
      anon_sym_PIPE,
    ACTIONS(293), 1,
      anon_sym_AMP,
    ACTIONS(295), 1,
      anon_sym_builtins,
    ACTIONS(297), 1,
      anon_sym_functions,
    ACTIONS(299), 1,
      anon_sym_equations,
    ACTIONS(303), 1,
      anon_sym_options,
    ACTIONS(305), 1,
      anon_sym_heuristic,
    ACTIONS(307), 1,
      anon_sym_tactic,
    ACTIONS(309), 1,
      anon_sym_process,
    ACTIONS(311), 1,
      anon_sym_let,
    ACTIONS(313), 1,
      anon_sym_export,
    ACTIONS(315), 1,
      anon_sym_rule,
    ACTIONS(317), 1,
      anon_sym_macros,
    ACTIONS(321), 1,
      anon_sym_test,
    ACTIONS(323), 1,
      anon_sym_lemma,
    ACTIONS(325), 1,
      anon_sym_diffLemma,
    ACTIONS(327), 1,
      anon_sym_equivLemma,
    ACTIONS(329), 1,
      anon_sym_diffEquivLemma,
    STATE(480), 1,
      sym_simple_rule,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(301), 2,
      anon_sym_predicate,
      anon_sym_predicates,
    ACTIONS(319), 2,
      anon_sym_restriction,
      anon_sym_axiom,
    STATE(573), 3,
      sym_ifdef,
      sym_define,
      sym_include,
    STATE(101), 27,
      sym__body_item,
      sym_preprocessor,
      sym__signature_spec,
      sym_built_ins,
      sym_functions,
      sym_equations,
      sym_predicates,
      sym_options,
      sym_global_heuristic,
      sym_tactic,
      sym_process,
      sym_let,
      sym_export,
      sym__rule,
      sym_rule,
      sym_diff_rule,
      sym_macros,
      sym_restriction,
      sym_case_test,
      sym__lemma,
      sym_lemma,
      sym_diff_lemma,
      sym_accountability_lemma,
      sym_equiv_lemma,
      sym_diff_equiv_lemma,
      sym_formal_comment,
      aux_sym_theory_repeat1,
  [214] = 15,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(45), 1,
      sym_ident,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    STATE(537), 1,
      sym_equation,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(333), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    STATE(806), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
    ACTIONS(331), 21,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
  [306] = 15,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(45), 1,
      sym_ident,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    STATE(537), 1,
      sym_equation,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(337), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    STATE(806), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
    ACTIONS(335), 21,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
  [398] = 15,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(45), 1,
      sym_ident,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    STATE(537), 1,
      sym_equation,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(341), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    STATE(806), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
    ACTIONS(339), 21,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
  [490] = 28,
    ACTIONS(343), 1,
      sym_ident,
    ACTIONS(346), 1,
      anon_sym_end,
    ACTIONS(348), 1,
      anon_sym_POUNDifdef,
    ACTIONS(353), 1,
      anon_sym_POUNDdefine,
    ACTIONS(356), 1,
      anon_sym_POUNDinclude,
    ACTIONS(359), 1,
      anon_sym_builtins,
    ACTIONS(362), 1,
      anon_sym_functions,
    ACTIONS(365), 1,
      anon_sym_equations,
    ACTIONS(371), 1,
      anon_sym_options,
    ACTIONS(374), 1,
      anon_sym_heuristic,
    ACTIONS(377), 1,
      anon_sym_tactic,
    ACTIONS(380), 1,
      anon_sym_process,
    ACTIONS(383), 1,
      anon_sym_let,
    ACTIONS(386), 1,
      anon_sym_export,
    ACTIONS(389), 1,
      anon_sym_rule,
    ACTIONS(392), 1,
      anon_sym_macros,
    ACTIONS(398), 1,
      anon_sym_test,
    ACTIONS(401), 1,
      anon_sym_lemma,
    ACTIONS(404), 1,
      anon_sym_diffLemma,
    ACTIONS(407), 1,
      anon_sym_equivLemma,
    ACTIONS(410), 1,
      anon_sym_diffEquivLemma,
    STATE(480), 1,
      sym_simple_rule,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(351), 2,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
    ACTIONS(368), 2,
      anon_sym_predicate,
      anon_sym_predicates,
    ACTIONS(395), 2,
      anon_sym_restriction,
      anon_sym_axiom,
    STATE(573), 3,
      sym_ifdef,
      sym_define,
      sym_include,
    STATE(100), 27,
      sym__body_item,
      sym_preprocessor,
      sym__signature_spec,
      sym_built_ins,
      sym_functions,
      sym_equations,
      sym_predicates,
      sym_options,
      sym_global_heuristic,
      sym_tactic,
      sym_process,
      sym_let,
      sym_export,
      sym__rule,
      sym_rule,
      sym_diff_rule,
      sym_macros,
      sym_restriction,
      sym_case_test,
      sym__lemma,
      sym_lemma,
      sym_diff_lemma,
      sym_accountability_lemma,
      sym_equiv_lemma,
      sym_diff_equiv_lemma,
      sym_formal_comment,
      aux_sym_theory_repeat1,
  [607] = 28,
    ACTIONS(279), 1,
      sym_ident,
    ACTIONS(281), 1,
      anon_sym_POUNDifdef,
    ACTIONS(287), 1,
      anon_sym_POUNDdefine,
    ACTIONS(289), 1,
      anon_sym_POUNDinclude,
    ACTIONS(295), 1,
      anon_sym_builtins,
    ACTIONS(297), 1,
      anon_sym_functions,
    ACTIONS(299), 1,
      anon_sym_equations,
    ACTIONS(303), 1,
      anon_sym_options,
    ACTIONS(305), 1,
      anon_sym_heuristic,
    ACTIONS(307), 1,
      anon_sym_tactic,
    ACTIONS(309), 1,
      anon_sym_process,
    ACTIONS(311), 1,
      anon_sym_let,
    ACTIONS(313), 1,
      anon_sym_export,
    ACTIONS(315), 1,
      anon_sym_rule,
    ACTIONS(317), 1,
      anon_sym_macros,
    ACTIONS(321), 1,
      anon_sym_test,
    ACTIONS(323), 1,
      anon_sym_lemma,
    ACTIONS(325), 1,
      anon_sym_diffLemma,
    ACTIONS(327), 1,
      anon_sym_equivLemma,
    ACTIONS(329), 1,
      anon_sym_diffEquivLemma,
    ACTIONS(413), 1,
      anon_sym_POUNDelse,
    ACTIONS(415), 1,
      anon_sym_POUNDendif,
    STATE(480), 1,
      sym_simple_rule,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(301), 2,
      anon_sym_predicate,
      anon_sym_predicates,
    ACTIONS(319), 2,
      anon_sym_restriction,
      anon_sym_axiom,
    STATE(573), 3,
      sym_ifdef,
      sym_define,
      sym_include,
    STATE(100), 27,
      sym__body_item,
      sym_preprocessor,
      sym__signature_spec,
      sym_built_ins,
      sym_functions,
      sym_equations,
      sym_predicates,
      sym_options,
      sym_global_heuristic,
      sym_tactic,
      sym_process,
      sym_let,
      sym_export,
      sym__rule,
      sym_rule,
      sym_diff_rule,
      sym_macros,
      sym_restriction,
      sym_case_test,
      sym__lemma,
      sym_lemma,
      sym_diff_lemma,
      sym_accountability_lemma,
      sym_equiv_lemma,
      sym_diff_equiv_lemma,
      sym_formal_comment,
      aux_sym_theory_repeat1,
  [723] = 27,
    ACTIONS(279), 1,
      sym_ident,
    ACTIONS(281), 1,
      anon_sym_POUNDifdef,
    ACTIONS(287), 1,
      anon_sym_POUNDdefine,
    ACTIONS(289), 1,
      anon_sym_POUNDinclude,
    ACTIONS(295), 1,
      anon_sym_builtins,
    ACTIONS(297), 1,
      anon_sym_functions,
    ACTIONS(299), 1,
      anon_sym_equations,
    ACTIONS(303), 1,
      anon_sym_options,
    ACTIONS(305), 1,
      anon_sym_heuristic,
    ACTIONS(307), 1,
      anon_sym_tactic,
    ACTIONS(309), 1,
      anon_sym_process,
    ACTIONS(311), 1,
      anon_sym_let,
    ACTIONS(313), 1,
      anon_sym_export,
    ACTIONS(315), 1,
      anon_sym_rule,
    ACTIONS(317), 1,
      anon_sym_macros,
    ACTIONS(321), 1,
      anon_sym_test,
    ACTIONS(323), 1,
      anon_sym_lemma,
    ACTIONS(325), 1,
      anon_sym_diffLemma,
    ACTIONS(327), 1,
      anon_sym_equivLemma,
    ACTIONS(329), 1,
      anon_sym_diffEquivLemma,
    ACTIONS(417), 1,
      anon_sym_POUNDendif,
    STATE(480), 1,
      sym_simple_rule,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(301), 2,
      anon_sym_predicate,
      anon_sym_predicates,
    ACTIONS(319), 2,
      anon_sym_restriction,
      anon_sym_axiom,
    STATE(573), 3,
      sym_ifdef,
      sym_define,
      sym_include,
    STATE(108), 27,
      sym__body_item,
      sym_preprocessor,
      sym__signature_spec,
      sym_built_ins,
      sym_functions,
      sym_equations,
      sym_predicates,
      sym_options,
      sym_global_heuristic,
      sym_tactic,
      sym_process,
      sym_let,
      sym_export,
      sym__rule,
      sym_rule,
      sym_diff_rule,
      sym_macros,
      sym_restriction,
      sym_case_test,
      sym__lemma,
      sym_lemma,
      sym_diff_lemma,
      sym_accountability_lemma,
      sym_equiv_lemma,
      sym_diff_equiv_lemma,
      sym_formal_comment,
      aux_sym_theory_repeat1,
  [836] = 27,
    ACTIONS(279), 1,
      sym_ident,
    ACTIONS(281), 1,
      anon_sym_POUNDifdef,
    ACTIONS(287), 1,
      anon_sym_POUNDdefine,
    ACTIONS(289), 1,
      anon_sym_POUNDinclude,
    ACTIONS(295), 1,
      anon_sym_builtins,
    ACTIONS(297), 1,
      anon_sym_functions,
    ACTIONS(299), 1,
      anon_sym_equations,
    ACTIONS(303), 1,
      anon_sym_options,
    ACTIONS(305), 1,
      anon_sym_heuristic,
    ACTIONS(307), 1,
      anon_sym_tactic,
    ACTIONS(309), 1,
      anon_sym_process,
    ACTIONS(311), 1,
      anon_sym_let,
    ACTIONS(313), 1,
      anon_sym_export,
    ACTIONS(315), 1,
      anon_sym_rule,
    ACTIONS(317), 1,
      anon_sym_macros,
    ACTIONS(321), 1,
      anon_sym_test,
    ACTIONS(323), 1,
      anon_sym_lemma,
    ACTIONS(325), 1,
      anon_sym_diffLemma,
    ACTIONS(327), 1,
      anon_sym_equivLemma,
    ACTIONS(329), 1,
      anon_sym_diffEquivLemma,
    ACTIONS(419), 1,
      anon_sym_end,
    STATE(480), 1,
      sym_simple_rule,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(301), 2,
      anon_sym_predicate,
      anon_sym_predicates,
    ACTIONS(319), 2,
      anon_sym_restriction,
      anon_sym_axiom,
    STATE(573), 3,
      sym_ifdef,
      sym_define,
      sym_include,
    STATE(109), 27,
      sym__body_item,
      sym_preprocessor,
      sym__signature_spec,
      sym_built_ins,
      sym_functions,
      sym_equations,
      sym_predicates,
      sym_options,
      sym_global_heuristic,
      sym_tactic,
      sym_process,
      sym_let,
      sym_export,
      sym__rule,
      sym_rule,
      sym_diff_rule,
      sym_macros,
      sym_restriction,
      sym_case_test,
      sym__lemma,
      sym_lemma,
      sym_diff_lemma,
      sym_accountability_lemma,
      sym_equiv_lemma,
      sym_diff_equiv_lemma,
      sym_formal_comment,
      aux_sym_theory_repeat1,
  [949] = 9,
    ACTIONS(429), 1,
      anon_sym_LPAREN,
    ACTIONS(431), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LT,
    ACTIONS(435), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(427), 4,
      anon_sym_EQ,
      anon_sym_then,
      anon_sym_PLUS,
      anon_sym_XOR,
    ACTIONS(423), 9,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
    ACTIONS(425), 16,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(421), 23,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [1026] = 27,
    ACTIONS(279), 1,
      sym_ident,
    ACTIONS(281), 1,
      anon_sym_POUNDifdef,
    ACTIONS(287), 1,
      anon_sym_POUNDdefine,
    ACTIONS(289), 1,
      anon_sym_POUNDinclude,
    ACTIONS(295), 1,
      anon_sym_builtins,
    ACTIONS(297), 1,
      anon_sym_functions,
    ACTIONS(299), 1,
      anon_sym_equations,
    ACTIONS(303), 1,
      anon_sym_options,
    ACTIONS(305), 1,
      anon_sym_heuristic,
    ACTIONS(307), 1,
      anon_sym_tactic,
    ACTIONS(309), 1,
      anon_sym_process,
    ACTIONS(311), 1,
      anon_sym_let,
    ACTIONS(313), 1,
      anon_sym_export,
    ACTIONS(315), 1,
      anon_sym_rule,
    ACTIONS(317), 1,
      anon_sym_macros,
    ACTIONS(321), 1,
      anon_sym_test,
    ACTIONS(323), 1,
      anon_sym_lemma,
    ACTIONS(325), 1,
      anon_sym_diffLemma,
    ACTIONS(327), 1,
      anon_sym_equivLemma,
    ACTIONS(329), 1,
      anon_sym_diffEquivLemma,
    ACTIONS(437), 1,
      anon_sym_end,
    STATE(480), 1,
      sym_simple_rule,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(301), 2,
      anon_sym_predicate,
      anon_sym_predicates,
    ACTIONS(319), 2,
      anon_sym_restriction,
      anon_sym_axiom,
    STATE(573), 3,
      sym_ifdef,
      sym_define,
      sym_include,
    STATE(106), 27,
      sym__body_item,
      sym_preprocessor,
      sym__signature_spec,
      sym_built_ins,
      sym_functions,
      sym_equations,
      sym_predicates,
      sym_options,
      sym_global_heuristic,
      sym_tactic,
      sym_process,
      sym_let,
      sym_export,
      sym__rule,
      sym_rule,
      sym_diff_rule,
      sym_macros,
      sym_restriction,
      sym_case_test,
      sym__lemma,
      sym_lemma,
      sym_diff_lemma,
      sym_accountability_lemma,
      sym_equiv_lemma,
      sym_diff_equiv_lemma,
      sym_formal_comment,
      aux_sym_theory_repeat1,
  [1139] = 27,
    ACTIONS(279), 1,
      sym_ident,
    ACTIONS(281), 1,
      anon_sym_POUNDifdef,
    ACTIONS(287), 1,
      anon_sym_POUNDdefine,
    ACTIONS(289), 1,
      anon_sym_POUNDinclude,
    ACTIONS(295), 1,
      anon_sym_builtins,
    ACTIONS(297), 1,
      anon_sym_functions,
    ACTIONS(299), 1,
      anon_sym_equations,
    ACTIONS(303), 1,
      anon_sym_options,
    ACTIONS(305), 1,
      anon_sym_heuristic,
    ACTIONS(307), 1,
      anon_sym_tactic,
    ACTIONS(309), 1,
      anon_sym_process,
    ACTIONS(311), 1,
      anon_sym_let,
    ACTIONS(313), 1,
      anon_sym_export,
    ACTIONS(315), 1,
      anon_sym_rule,
    ACTIONS(317), 1,
      anon_sym_macros,
    ACTIONS(321), 1,
      anon_sym_test,
    ACTIONS(323), 1,
      anon_sym_lemma,
    ACTIONS(325), 1,
      anon_sym_diffLemma,
    ACTIONS(327), 1,
      anon_sym_equivLemma,
    ACTIONS(329), 1,
      anon_sym_diffEquivLemma,
    ACTIONS(439), 1,
      anon_sym_end,
    STATE(480), 1,
      sym_simple_rule,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(301), 2,
      anon_sym_predicate,
      anon_sym_predicates,
    ACTIONS(319), 2,
      anon_sym_restriction,
      anon_sym_axiom,
    STATE(573), 3,
      sym_ifdef,
      sym_define,
      sym_include,
    STATE(100), 27,
      sym__body_item,
      sym_preprocessor,
      sym__signature_spec,
      sym_built_ins,
      sym_functions,
      sym_equations,
      sym_predicates,
      sym_options,
      sym_global_heuristic,
      sym_tactic,
      sym_process,
      sym_let,
      sym_export,
      sym__rule,
      sym_rule,
      sym_diff_rule,
      sym_macros,
      sym_restriction,
      sym_case_test,
      sym__lemma,
      sym_lemma,
      sym_diff_lemma,
      sym_accountability_lemma,
      sym_equiv_lemma,
      sym_diff_equiv_lemma,
      sym_formal_comment,
      aux_sym_theory_repeat1,
  [1252] = 27,
    ACTIONS(279), 1,
      sym_ident,
    ACTIONS(281), 1,
      anon_sym_POUNDifdef,
    ACTIONS(287), 1,
      anon_sym_POUNDdefine,
    ACTIONS(289), 1,
      anon_sym_POUNDinclude,
    ACTIONS(295), 1,
      anon_sym_builtins,
    ACTIONS(297), 1,
      anon_sym_functions,
    ACTIONS(299), 1,
      anon_sym_equations,
    ACTIONS(303), 1,
      anon_sym_options,
    ACTIONS(305), 1,
      anon_sym_heuristic,
    ACTIONS(307), 1,
      anon_sym_tactic,
    ACTIONS(309), 1,
      anon_sym_process,
    ACTIONS(311), 1,
      anon_sym_let,
    ACTIONS(313), 1,
      anon_sym_export,
    ACTIONS(315), 1,
      anon_sym_rule,
    ACTIONS(317), 1,
      anon_sym_macros,
    ACTIONS(321), 1,
      anon_sym_test,
    ACTIONS(323), 1,
      anon_sym_lemma,
    ACTIONS(325), 1,
      anon_sym_diffLemma,
    ACTIONS(327), 1,
      anon_sym_equivLemma,
    ACTIONS(329), 1,
      anon_sym_diffEquivLemma,
    ACTIONS(415), 1,
      anon_sym_POUNDendif,
    STATE(480), 1,
      sym_simple_rule,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(301), 2,
      anon_sym_predicate,
      anon_sym_predicates,
    ACTIONS(319), 2,
      anon_sym_restriction,
      anon_sym_axiom,
    STATE(573), 3,
      sym_ifdef,
      sym_define,
      sym_include,
    STATE(110), 27,
      sym__body_item,
      sym_preprocessor,
      sym__signature_spec,
      sym_built_ins,
      sym_functions,
      sym_equations,
      sym_predicates,
      sym_options,
      sym_global_heuristic,
      sym_tactic,
      sym_process,
      sym_let,
      sym_export,
      sym__rule,
      sym_rule,
      sym_diff_rule,
      sym_macros,
      sym_restriction,
      sym_case_test,
      sym__lemma,
      sym_lemma,
      sym_diff_lemma,
      sym_accountability_lemma,
      sym_equiv_lemma,
      sym_diff_equiv_lemma,
      sym_formal_comment,
      aux_sym_theory_repeat1,
  [1365] = 27,
    ACTIONS(279), 1,
      sym_ident,
    ACTIONS(281), 1,
      anon_sym_POUNDifdef,
    ACTIONS(287), 1,
      anon_sym_POUNDdefine,
    ACTIONS(289), 1,
      anon_sym_POUNDinclude,
    ACTIONS(295), 1,
      anon_sym_builtins,
    ACTIONS(297), 1,
      anon_sym_functions,
    ACTIONS(299), 1,
      anon_sym_equations,
    ACTIONS(303), 1,
      anon_sym_options,
    ACTIONS(305), 1,
      anon_sym_heuristic,
    ACTIONS(307), 1,
      anon_sym_tactic,
    ACTIONS(309), 1,
      anon_sym_process,
    ACTIONS(311), 1,
      anon_sym_let,
    ACTIONS(313), 1,
      anon_sym_export,
    ACTIONS(315), 1,
      anon_sym_rule,
    ACTIONS(317), 1,
      anon_sym_macros,
    ACTIONS(321), 1,
      anon_sym_test,
    ACTIONS(323), 1,
      anon_sym_lemma,
    ACTIONS(325), 1,
      anon_sym_diffLemma,
    ACTIONS(327), 1,
      anon_sym_equivLemma,
    ACTIONS(329), 1,
      anon_sym_diffEquivLemma,
    ACTIONS(441), 1,
      anon_sym_POUNDendif,
    STATE(480), 1,
      sym_simple_rule,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(301), 2,
      anon_sym_predicate,
      anon_sym_predicates,
    ACTIONS(319), 2,
      anon_sym_restriction,
      anon_sym_axiom,
    STATE(573), 3,
      sym_ifdef,
      sym_define,
      sym_include,
    STATE(100), 27,
      sym__body_item,
      sym_preprocessor,
      sym__signature_spec,
      sym_built_ins,
      sym_functions,
      sym_equations,
      sym_predicates,
      sym_options,
      sym_global_heuristic,
      sym_tactic,
      sym_process,
      sym_let,
      sym_export,
      sym__rule,
      sym_rule,
      sym_diff_rule,
      sym_macros,
      sym_restriction,
      sym_case_test,
      sym__lemma,
      sym_lemma,
      sym_diff_lemma,
      sym_accountability_lemma,
      sym_equiv_lemma,
      sym_diff_equiv_lemma,
      sym_formal_comment,
      aux_sym_theory_repeat1,
  [1478] = 27,
    ACTIONS(279), 1,
      sym_ident,
    ACTIONS(281), 1,
      anon_sym_POUNDifdef,
    ACTIONS(287), 1,
      anon_sym_POUNDdefine,
    ACTIONS(289), 1,
      anon_sym_POUNDinclude,
    ACTIONS(295), 1,
      anon_sym_builtins,
    ACTIONS(297), 1,
      anon_sym_functions,
    ACTIONS(299), 1,
      anon_sym_equations,
    ACTIONS(303), 1,
      anon_sym_options,
    ACTIONS(305), 1,
      anon_sym_heuristic,
    ACTIONS(307), 1,
      anon_sym_tactic,
    ACTIONS(309), 1,
      anon_sym_process,
    ACTIONS(311), 1,
      anon_sym_let,
    ACTIONS(313), 1,
      anon_sym_export,
    ACTIONS(315), 1,
      anon_sym_rule,
    ACTIONS(317), 1,
      anon_sym_macros,
    ACTIONS(321), 1,
      anon_sym_test,
    ACTIONS(323), 1,
      anon_sym_lemma,
    ACTIONS(325), 1,
      anon_sym_diffLemma,
    ACTIONS(327), 1,
      anon_sym_equivLemma,
    ACTIONS(329), 1,
      anon_sym_diffEquivLemma,
    ACTIONS(443), 1,
      anon_sym_end,
    STATE(480), 1,
      sym_simple_rule,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(301), 2,
      anon_sym_predicate,
      anon_sym_predicates,
    ACTIONS(319), 2,
      anon_sym_restriction,
      anon_sym_axiom,
    STATE(573), 3,
      sym_ifdef,
      sym_define,
      sym_include,
    STATE(100), 27,
      sym__body_item,
      sym_preprocessor,
      sym__signature_spec,
      sym_built_ins,
      sym_functions,
      sym_equations,
      sym_predicates,
      sym_options,
      sym_global_heuristic,
      sym_tactic,
      sym_process,
      sym_let,
      sym_export,
      sym__rule,
      sym_rule,
      sym_diff_rule,
      sym_macros,
      sym_restriction,
      sym_case_test,
      sym__lemma,
      sym_lemma,
      sym_diff_lemma,
      sym_accountability_lemma,
      sym_equiv_lemma,
      sym_diff_equiv_lemma,
      sym_formal_comment,
      aux_sym_theory_repeat1,
  [1591] = 27,
    ACTIONS(279), 1,
      sym_ident,
    ACTIONS(281), 1,
      anon_sym_POUNDifdef,
    ACTIONS(287), 1,
      anon_sym_POUNDdefine,
    ACTIONS(289), 1,
      anon_sym_POUNDinclude,
    ACTIONS(295), 1,
      anon_sym_builtins,
    ACTIONS(297), 1,
      anon_sym_functions,
    ACTIONS(299), 1,
      anon_sym_equations,
    ACTIONS(303), 1,
      anon_sym_options,
    ACTIONS(305), 1,
      anon_sym_heuristic,
    ACTIONS(307), 1,
      anon_sym_tactic,
    ACTIONS(309), 1,
      anon_sym_process,
    ACTIONS(311), 1,
      anon_sym_let,
    ACTIONS(313), 1,
      anon_sym_export,
    ACTIONS(315), 1,
      anon_sym_rule,
    ACTIONS(317), 1,
      anon_sym_macros,
    ACTIONS(321), 1,
      anon_sym_test,
    ACTIONS(323), 1,
      anon_sym_lemma,
    ACTIONS(325), 1,
      anon_sym_diffLemma,
    ACTIONS(327), 1,
      anon_sym_equivLemma,
    ACTIONS(329), 1,
      anon_sym_diffEquivLemma,
    ACTIONS(417), 1,
      anon_sym_POUNDendif,
    STATE(480), 1,
      sym_simple_rule,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(301), 2,
      anon_sym_predicate,
      anon_sym_predicates,
    ACTIONS(319), 2,
      anon_sym_restriction,
      anon_sym_axiom,
    STATE(573), 3,
      sym_ifdef,
      sym_define,
      sym_include,
    STATE(100), 27,
      sym__body_item,
      sym_preprocessor,
      sym__signature_spec,
      sym_built_ins,
      sym_functions,
      sym_equations,
      sym_predicates,
      sym_options,
      sym_global_heuristic,
      sym_tactic,
      sym_process,
      sym_let,
      sym_export,
      sym__rule,
      sym_rule,
      sym_diff_rule,
      sym_macros,
      sym_restriction,
      sym_case_test,
      sym__lemma,
      sym_lemma,
      sym_diff_lemma,
      sym_accountability_lemma,
      sym_equiv_lemma,
      sym_diff_equiv_lemma,
      sym_formal_comment,
      aux_sym_theory_repeat1,
  [1704] = 8,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    STATE(251), 1,
      sym_fact_annotes,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(453), 2,
      anon_sym_AT,
      anon_sym_u25b6,
    ACTIONS(449), 3,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_XOR,
    ACTIONS(455), 7,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
    ACTIONS(447), 17,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(445), 24,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [1778] = 10,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(463), 1,
      anon_sym_RPAREN,
    ACTIONS(468), 1,
      anon_sym_then,
    STATE(248), 1,
      sym_fact_annotes,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(466), 2,
      anon_sym_AT,
      anon_sym_u25b6,
    ACTIONS(461), 3,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_XOR,
    ACTIONS(471), 7,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
    ACTIONS(459), 16,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(457), 23,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [1856] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(471), 22,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(461), 31,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [1918] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(455), 22,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(449), 31,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [1980] = 7,
    ACTIONS(473), 1,
      anon_sym_COLON,
    ACTIONS(476), 1,
      anon_sym_LPAREN,
    ACTIONS(478), 1,
      anon_sym_LBRACE,
    ACTIONS(480), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(423), 22,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(427), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [2050] = 4,
    ACTIONS(486), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(484), 23,
      anon_sym_COLON,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(482), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [2112] = 5,
    ACTIONS(473), 1,
      anon_sym_COLON,
    ACTIONS(480), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(423), 22,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(427), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [2176] = 5,
    ACTIONS(490), 1,
      anon_sym_COLON,
    ACTIONS(495), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(493), 22,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(488), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [2240] = 4,
    ACTIONS(501), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(499), 23,
      anon_sym_COLON,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(497), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [2302] = 7,
    ACTIONS(503), 1,
      anon_sym_COLON,
    ACTIONS(506), 1,
      anon_sym_LPAREN,
    ACTIONS(508), 1,
      anon_sym_LBRACE,
    ACTIONS(510), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(423), 17,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
    ACTIONS(427), 30,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [2370] = 5,
    ACTIONS(503), 1,
      anon_sym_COLON,
    ACTIONS(510), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(423), 19,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
    ACTIONS(427), 30,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [2434] = 4,
    ACTIONS(512), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(484), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
    ACTIONS(482), 30,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [2496] = 4,
    ACTIONS(514), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(499), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
    ACTIONS(497), 30,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [2558] = 5,
    ACTIONS(516), 1,
      anon_sym_COLON,
    ACTIONS(519), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(493), 19,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
    ACTIONS(488), 30,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [2622] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(523), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
    ACTIONS(521), 30,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [2681] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(527), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
    ACTIONS(525), 30,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [2740] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(531), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
    ACTIONS(529), 30,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [2799] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(535), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
    ACTIONS(533), 30,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [2858] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(539), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
    ACTIONS(537), 30,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [2917] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(543), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
    ACTIONS(541), 30,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [2976] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(547), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
    ACTIONS(545), 30,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [3035] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(551), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
    ACTIONS(549), 30,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [3094] = 4,
    ACTIONS(555), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(557), 22,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(553), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [3155] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(547), 23,
      anon_sym_COLON,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(545), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [3214] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(561), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
    ACTIONS(559), 30,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [3273] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(565), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
    ACTIONS(563), 30,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [3332] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(569), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
    ACTIONS(567), 30,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [3391] = 4,
    ACTIONS(571), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(569), 22,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(567), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [3452] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(576), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
    ACTIONS(574), 30,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [3511] = 4,
    ACTIONS(580), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(583), 19,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
    ACTIONS(578), 30,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [3572] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(583), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
    ACTIONS(578), 30,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [3631] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(587), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
    ACTIONS(585), 30,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [3690] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(527), 23,
      anon_sym_COLON,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(525), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [3749] = 4,
    ACTIONS(589), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(557), 19,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
    ACTIONS(553), 30,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [3810] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(551), 23,
      anon_sym_COLON,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(549), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [3869] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(561), 23,
      anon_sym_COLON,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(559), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [3928] = 4,
    ACTIONS(591), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(569), 19,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
    ACTIONS(567), 30,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [3989] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(565), 23,
      anon_sym_COLON,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(563), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [4048] = 4,
    ACTIONS(594), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(583), 22,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(578), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [4109] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(569), 23,
      anon_sym_COLON,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(567), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [4168] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(599), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
    ACTIONS(597), 30,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [4227] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(576), 23,
      anon_sym_COLON,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(574), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [4286] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(603), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
    ACTIONS(601), 30,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [4345] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(607), 23,
      anon_sym_COLON,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(605), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [4404] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(607), 20,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
    ACTIONS(605), 30,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [4463] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(603), 23,
      anon_sym_COLON,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(601), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [4522] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(599), 23,
      anon_sym_COLON,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(597), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [4581] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(543), 23,
      anon_sym_COLON,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(541), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [4640] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(539), 23,
      anon_sym_COLON,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(537), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [4699] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(535), 23,
      anon_sym_COLON,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(533), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [4758] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(587), 23,
      anon_sym_COLON,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(585), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [4817] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(531), 23,
      anon_sym_COLON,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(529), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [4876] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(523), 23,
      anon_sym_COLON,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(521), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [4935] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(583), 23,
      anon_sym_COLON,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(578), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [4994] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(455), 22,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(449), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [5052] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(611), 19,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
    ACTIONS(609), 30,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [5110] = 14,
    ACTIONS(619), 1,
      anon_sym_by,
    ACTIONS(621), 1,
      anon_sym_case,
    ACTIONS(625), 1,
      anon_sym_solve,
    ACTIONS(629), 1,
      anon_sym_step,
    STATE(933), 1,
      sym_case,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(617), 2,
      sym_solved,
      sym_mirrored,
    ACTIONS(627), 2,
      anon_sym_rule_DASHequivalence,
      anon_sym_backward_DASHsearch,
    STATE(201), 2,
      sym_step,
      aux_sym__proof_methods_repeat1,
    STATE(596), 2,
      sym__proof_methods,
      sym_proof_method,
    STATE(569), 4,
      sym__proof_skeleton,
      sym_by_method,
      sym_method_skeleton,
      sym_cases,
    ACTIONS(615), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(623), 5,
      anon_sym_sorry,
      anon_sym_simplify,
      anon_sym_contradiction,
      anon_sym_induction,
      anon_sym_ATTACK,
    ACTIONS(613), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [5190] = 14,
    ACTIONS(619), 1,
      anon_sym_by,
    ACTIONS(621), 1,
      anon_sym_case,
    ACTIONS(625), 1,
      anon_sym_solve,
    ACTIONS(629), 1,
      anon_sym_step,
    STATE(933), 1,
      sym_case,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(627), 2,
      anon_sym_rule_DASHequivalence,
      anon_sym_backward_DASHsearch,
    ACTIONS(635), 2,
      sym_solved,
      sym_mirrored,
    STATE(201), 2,
      sym_step,
      aux_sym__proof_methods_repeat1,
    STATE(596), 2,
      sym__proof_methods,
      sym_proof_method,
    STATE(578), 4,
      sym__proof_skeleton,
      sym_by_method,
      sym_method_skeleton,
      sym_cases,
    ACTIONS(623), 5,
      anon_sym_sorry,
      anon_sym_simplify,
      anon_sym_contradiction,
      anon_sym_induction,
      anon_sym_ATTACK,
    ACTIONS(633), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(631), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [5270] = 14,
    ACTIONS(619), 1,
      anon_sym_by,
    ACTIONS(621), 1,
      anon_sym_case,
    ACTIONS(625), 1,
      anon_sym_solve,
    ACTIONS(629), 1,
      anon_sym_step,
    STATE(933), 1,
      sym_case,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(627), 2,
      anon_sym_rule_DASHequivalence,
      anon_sym_backward_DASHsearch,
    ACTIONS(641), 2,
      sym_solved,
      sym_mirrored,
    STATE(201), 2,
      sym_step,
      aux_sym__proof_methods_repeat1,
    STATE(596), 2,
      sym__proof_methods,
      sym_proof_method,
    STATE(576), 4,
      sym__proof_skeleton,
      sym_by_method,
      sym_method_skeleton,
      sym_cases,
    ACTIONS(623), 5,
      anon_sym_sorry,
      anon_sym_simplify,
      anon_sym_contradiction,
      anon_sym_induction,
      anon_sym_ATTACK,
    ACTIONS(639), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(637), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [5350] = 14,
    ACTIONS(619), 1,
      anon_sym_by,
    ACTIONS(621), 1,
      anon_sym_case,
    ACTIONS(625), 1,
      anon_sym_solve,
    ACTIONS(629), 1,
      anon_sym_step,
    STATE(933), 1,
      sym_case,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(627), 2,
      anon_sym_rule_DASHequivalence,
      anon_sym_backward_DASHsearch,
    ACTIONS(647), 2,
      sym_solved,
      sym_mirrored,
    STATE(201), 2,
      sym_step,
      aux_sym__proof_methods_repeat1,
    STATE(596), 2,
      sym__proof_methods,
      sym_proof_method,
    STATE(568), 4,
      sym__proof_skeleton,
      sym_by_method,
      sym_method_skeleton,
      sym_cases,
    ACTIONS(623), 5,
      anon_sym_sorry,
      anon_sym_simplify,
      anon_sym_contradiction,
      anon_sym_induction,
      anon_sym_ATTACK,
    ACTIONS(645), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(643), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [5430] = 14,
    ACTIONS(619), 1,
      anon_sym_by,
    ACTIONS(621), 1,
      anon_sym_case,
    ACTIONS(625), 1,
      anon_sym_solve,
    ACTIONS(629), 1,
      anon_sym_step,
    STATE(933), 1,
      sym_case,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(627), 2,
      anon_sym_rule_DASHequivalence,
      anon_sym_backward_DASHsearch,
    ACTIONS(653), 2,
      sym_solved,
      sym_mirrored,
    STATE(201), 2,
      sym_step,
      aux_sym__proof_methods_repeat1,
    STATE(596), 2,
      sym__proof_methods,
      sym_proof_method,
    STATE(567), 4,
      sym__proof_skeleton,
      sym_by_method,
      sym_method_skeleton,
      sym_cases,
    ACTIONS(623), 5,
      anon_sym_sorry,
      anon_sym_simplify,
      anon_sym_contradiction,
      anon_sym_induction,
      anon_sym_ATTACK,
    ACTIONS(651), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(649), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [5510] = 14,
    ACTIONS(619), 1,
      anon_sym_by,
    ACTIONS(621), 1,
      anon_sym_case,
    ACTIONS(625), 1,
      anon_sym_solve,
    ACTIONS(629), 1,
      anon_sym_step,
    STATE(933), 1,
      sym_case,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(627), 2,
      anon_sym_rule_DASHequivalence,
      anon_sym_backward_DASHsearch,
    ACTIONS(659), 2,
      sym_solved,
      sym_mirrored,
    STATE(201), 2,
      sym_step,
      aux_sym__proof_methods_repeat1,
    STATE(596), 2,
      sym__proof_methods,
      sym_proof_method,
    STATE(577), 4,
      sym__proof_skeleton,
      sym_by_method,
      sym_method_skeleton,
      sym_cases,
    ACTIONS(623), 5,
      anon_sym_sorry,
      anon_sym_simplify,
      anon_sym_contradiction,
      anon_sym_induction,
      anon_sym_ATTACK,
    ACTIONS(657), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(655), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [5590] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(663), 22,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(661), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [5648] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(667), 22,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(665), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [5706] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(671), 19,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
    ACTIONS(669), 30,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [5764] = 14,
    ACTIONS(619), 1,
      anon_sym_by,
    ACTIONS(621), 1,
      anon_sym_case,
    ACTIONS(625), 1,
      anon_sym_solve,
    ACTIONS(629), 1,
      anon_sym_step,
    STATE(933), 1,
      sym_case,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(627), 2,
      anon_sym_rule_DASHequivalence,
      anon_sym_backward_DASHsearch,
    ACTIONS(677), 2,
      sym_solved,
      sym_mirrored,
    STATE(201), 2,
      sym_step,
      aux_sym__proof_methods_repeat1,
    STATE(596), 2,
      sym__proof_methods,
      sym_proof_method,
    STATE(586), 4,
      sym__proof_skeleton,
      sym_by_method,
      sym_method_skeleton,
      sym_cases,
    ACTIONS(623), 5,
      anon_sym_sorry,
      anon_sym_simplify,
      anon_sym_contradiction,
      anon_sym_induction,
      anon_sym_ATTACK,
    ACTIONS(675), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(673), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [5844] = 14,
    ACTIONS(619), 1,
      anon_sym_by,
    ACTIONS(621), 1,
      anon_sym_case,
    ACTIONS(625), 1,
      anon_sym_solve,
    ACTIONS(629), 1,
      anon_sym_step,
    STATE(933), 1,
      sym_case,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(627), 2,
      anon_sym_rule_DASHequivalence,
      anon_sym_backward_DASHsearch,
    ACTIONS(683), 2,
      sym_solved,
      sym_mirrored,
    STATE(201), 2,
      sym_step,
      aux_sym__proof_methods_repeat1,
    STATE(596), 2,
      sym__proof_methods,
      sym_proof_method,
    STATE(563), 4,
      sym__proof_skeleton,
      sym_by_method,
      sym_method_skeleton,
      sym_cases,
    ACTIONS(623), 5,
      anon_sym_sorry,
      anon_sym_simplify,
      anon_sym_contradiction,
      anon_sym_induction,
      anon_sym_ATTACK,
    ACTIONS(681), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(679), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [5924] = 10,
    ACTIONS(689), 1,
      anon_sym_PLUS,
    ACTIONS(691), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(693), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(695), 1,
      anon_sym_XOR,
    ACTIONS(697), 1,
      anon_sym_u2295,
    ACTIONS(699), 1,
      anon_sym_STAR,
    ACTIONS(701), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(687), 17,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(685), 25,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [5996] = 10,
    ACTIONS(689), 1,
      anon_sym_PLUS,
    ACTIONS(691), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(693), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(695), 1,
      anon_sym_XOR,
    ACTIONS(697), 1,
      anon_sym_u2295,
    ACTIONS(699), 1,
      anon_sym_STAR,
    ACTIONS(701), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(705), 17,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(703), 25,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [6068] = 14,
    ACTIONS(619), 1,
      anon_sym_by,
    ACTIONS(621), 1,
      anon_sym_case,
    ACTIONS(625), 1,
      anon_sym_solve,
    ACTIONS(629), 1,
      anon_sym_step,
    STATE(933), 1,
      sym_case,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(627), 2,
      anon_sym_rule_DASHequivalence,
      anon_sym_backward_DASHsearch,
    ACTIONS(711), 2,
      sym_solved,
      sym_mirrored,
    STATE(201), 2,
      sym_step,
      aux_sym__proof_methods_repeat1,
    STATE(596), 2,
      sym__proof_methods,
      sym_proof_method,
    STATE(574), 4,
      sym__proof_skeleton,
      sym_by_method,
      sym_method_skeleton,
      sym_cases,
    ACTIONS(623), 5,
      anon_sym_sorry,
      anon_sym_simplify,
      anon_sym_contradiction,
      anon_sym_induction,
      anon_sym_ATTACK,
    ACTIONS(709), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(707), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [6148] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(715), 22,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(713), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [6206] = 14,
    ACTIONS(619), 1,
      anon_sym_by,
    ACTIONS(621), 1,
      anon_sym_case,
    ACTIONS(625), 1,
      anon_sym_solve,
    ACTIONS(629), 1,
      anon_sym_step,
    STATE(933), 1,
      sym_case,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(627), 2,
      anon_sym_rule_DASHequivalence,
      anon_sym_backward_DASHsearch,
    ACTIONS(721), 2,
      sym_solved,
      sym_mirrored,
    STATE(201), 2,
      sym_step,
      aux_sym__proof_methods_repeat1,
    STATE(596), 2,
      sym__proof_methods,
      sym_proof_method,
    STATE(580), 4,
      sym__proof_skeleton,
      sym_by_method,
      sym_method_skeleton,
      sym_cases,
    ACTIONS(623), 5,
      anon_sym_sorry,
      anon_sym_simplify,
      anon_sym_contradiction,
      anon_sym_induction,
      anon_sym_ATTACK,
    ACTIONS(719), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(717), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [6286] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(667), 19,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
    ACTIONS(665), 30,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [6344] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(663), 19,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
    ACTIONS(661), 30,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [6402] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(471), 22,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(461), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [6460] = 4,
    ACTIONS(701), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(725), 21,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(723), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [6520] = 4,
    ACTIONS(701), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(729), 21,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(727), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [6580] = 8,
    ACTIONS(689), 1,
      anon_sym_PLUS,
    ACTIONS(691), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(693), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(699), 1,
      anon_sym_STAR,
    ACTIONS(701), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(733), 18,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_u2295,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(731), 26,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [6648] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(671), 22,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(669), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [6706] = 5,
    ACTIONS(699), 1,
      anon_sym_STAR,
    ACTIONS(701), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(737), 20,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(735), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [6768] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(611), 22,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(609), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [6826] = 6,
    ACTIONS(693), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(699), 1,
      anon_sym_STAR,
    ACTIONS(701), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(741), 19,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_PLUS_PLUS,
      anon_sym_u2295,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(739), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      sym_ident,
  [6890] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(715), 19,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
    ACTIONS(713), 30,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [6948] = 4,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(729), 16,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
    ACTIONS(727), 30,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [7006] = 4,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(725), 16,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
    ACTIONS(723), 30,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [7064] = 6,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(741), 14,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_u2295,
    ACTIONS(739), 30,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [7126] = 5,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(737), 15,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_GT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
    ACTIONS(735), 30,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [7186] = 8,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(733), 13,
      anon_sym_EQ,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_GT,
      anon_sym_u2295,
    ACTIONS(731), 29,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_in,
      anon_sym_then,
      anon_sym_else,
      anon_sym_let,
      anon_sym_as,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
  [7252] = 6,
    STATE(560), 1,
      sym_built_in,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(759), 4,
      anon_sym_hashing,
      anon_sym_signing,
      anon_sym_xor,
      anon_sym_multiset,
    ACTIONS(755), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(757), 12,
      anon_sym_diffie_DASHhellman,
      anon_sym_symmetric_DASHencryption,
      anon_sym_asymmetric_DASHencryption,
      anon_sym_bilinear_DASHpairing,
      anon_sym_natural_DASHnumbers,
      anon_sym_revealing_DASHsigning,
      anon_sym_locations_DASHreport,
      anon_sym_reliable_DASHchannel,
      anon_sym_dest_DASHpairing,
      anon_sym_dest_DASHsigning,
      anon_sym_dest_DASHsymmetric_DASHencryption,
      anon_sym_dest_DASHasymmetric_DASHencryption,
    ACTIONS(753), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [7311] = 8,
    ACTIONS(765), 1,
      anon_sym_not,
    STATE(200), 1,
      aux_sym_prio_repeat1,
    STATE(228), 1,
      sym_function_name,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(763), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    STATE(238), 5,
      sym__function,
      sym_or_function,
      sym_and_function,
      sym_not_function,
      sym_std_function,
    ACTIONS(768), 7,
      anon_sym_regex,
      anon_sym_isFactName,
      anon_sym_isInFactTerms,
      anon_sym_dhreNoise,
      anon_sym_defaultNoise,
      anon_sym_reasonableNoncesNoise,
      anon_sym_nonAbsurdGoal,
    ACTIONS(761), 24,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_prio,
      anon_sym_deprio,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [7374] = 5,
    ACTIONS(629), 1,
      anon_sym_step,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(202), 2,
      sym_step,
      aux_sym__proof_methods_repeat1,
    ACTIONS(773), 7,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_rule_DASHequivalence,
      anon_sym_backward_DASHsearch,
    ACTIONS(771), 34,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_solved,
      sym_mirrored,
      anon_sym_by,
      anon_sym_next,
      anon_sym_qed,
      anon_sym_case,
      anon_sym_sorry,
      anon_sym_simplify,
      anon_sym_solve,
      anon_sym_contradiction,
      anon_sym_induction,
      anon_sym_ATTACK,
      sym_ident,
  [7431] = 5,
    ACTIONS(779), 1,
      anon_sym_step,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(202), 2,
      sym_step,
      aux_sym__proof_methods_repeat1,
    ACTIONS(777), 7,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_rule_DASHequivalence,
      anon_sym_backward_DASHsearch,
    ACTIONS(775), 34,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_solved,
      sym_mirrored,
      anon_sym_by,
      anon_sym_next,
      anon_sym_qed,
      anon_sym_case,
      anon_sym_sorry,
      anon_sym_simplify,
      anon_sym_solve,
      anon_sym_contradiction,
      anon_sym_induction,
      anon_sym_ATTACK,
      sym_ident,
  [7488] = 8,
    ACTIONS(786), 1,
      anon_sym_not,
    STATE(200), 1,
      aux_sym_prio_repeat1,
    STATE(228), 1,
      sym_function_name,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(784), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    STATE(238), 5,
      sym__function,
      sym_or_function,
      sym_and_function,
      sym_not_function,
      sym_std_function,
    ACTIONS(788), 7,
      anon_sym_regex,
      anon_sym_isFactName,
      anon_sym_isInFactTerms,
      anon_sym_dhreNoise,
      anon_sym_defaultNoise,
      anon_sym_reasonableNoncesNoise,
      anon_sym_nonAbsurdGoal,
    ACTIONS(782), 24,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_prio,
      anon_sym_deprio,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [7551] = 8,
    ACTIONS(786), 1,
      anon_sym_not,
    STATE(200), 1,
      aux_sym_prio_repeat1,
    STATE(228), 1,
      sym_function_name,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(792), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    STATE(238), 5,
      sym__function,
      sym_or_function,
      sym_and_function,
      sym_not_function,
      sym_std_function,
    ACTIONS(788), 7,
      anon_sym_regex,
      anon_sym_isFactName,
      anon_sym_isInFactTerms,
      anon_sym_dhreNoise,
      anon_sym_defaultNoise,
      anon_sym_reasonableNoncesNoise,
      anon_sym_nonAbsurdGoal,
    ACTIONS(790), 24,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_prio,
      anon_sym_deprio,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [7614] = 5,
    ACTIONS(794), 1,
      anon_sym_COLON,
    ACTIONS(798), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(796), 17,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(433), 25,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [7671] = 6,
    STATE(560), 1,
      sym_built_in,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(759), 4,
      anon_sym_hashing,
      anon_sym_signing,
      anon_sym_xor,
      anon_sym_multiset,
    ACTIONS(802), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(757), 12,
      anon_sym_diffie_DASHhellman,
      anon_sym_symmetric_DASHencryption,
      anon_sym_asymmetric_DASHencryption,
      anon_sym_bilinear_DASHpairing,
      anon_sym_natural_DASHnumbers,
      anon_sym_revealing_DASHsigning,
      anon_sym_locations_DASHreport,
      anon_sym_reliable_DASHchannel,
      anon_sym_dest_DASHpairing,
      anon_sym_dest_DASHsigning,
      anon_sym_dest_DASHsymmetric_DASHencryption,
      anon_sym_dest_DASHasymmetric_DASHencryption,
    ACTIONS(800), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [7730] = 4,
    ACTIONS(806), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(808), 17,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(804), 25,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [7784] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(812), 8,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_rule_DASHequivalence,
      anon_sym_backward_DASHsearch,
    ACTIONS(810), 35,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_solved,
      sym_mirrored,
      anon_sym_by,
      anon_sym_next,
      anon_sym_qed,
      anon_sym_case,
      anon_sym_sorry,
      anon_sym_simplify,
      anon_sym_solve,
      anon_sym_contradiction,
      anon_sym_induction,
      anon_sym_ATTACK,
      anon_sym_step,
      sym_ident,
  [7836] = 8,
    ACTIONS(786), 1,
      anon_sym_not,
    STATE(200), 1,
      aux_sym_prio_repeat1,
    STATE(228), 1,
      sym_function_name,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(816), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    STATE(238), 5,
      sym__function,
      sym_or_function,
      sym_and_function,
      sym_not_function,
      sym_std_function,
    ACTIONS(788), 7,
      anon_sym_regex,
      anon_sym_isFactName,
      anon_sym_isInFactTerms,
      anon_sym_dhreNoise,
      anon_sym_defaultNoise,
      anon_sym_reasonableNoncesNoise,
      anon_sym_nonAbsurdGoal,
    ACTIONS(814), 23,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_deprio,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [7898] = 4,
    ACTIONS(822), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(820), 17,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(818), 25,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [7952] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(826), 8,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_rule_DASHequivalence,
      anon_sym_backward_DASHsearch,
    ACTIONS(824), 35,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_solved,
      sym_mirrored,
      anon_sym_by,
      anon_sym_next,
      anon_sym_qed,
      anon_sym_case,
      anon_sym_sorry,
      anon_sym_simplify,
      anon_sym_solve,
      anon_sym_contradiction,
      anon_sym_induction,
      anon_sym_ATTACK,
      anon_sym_step,
      sym_ident,
  [8004] = 8,
    ACTIONS(786), 1,
      anon_sym_not,
    STATE(200), 1,
      aux_sym_prio_repeat1,
    STATE(228), 1,
      sym_function_name,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(830), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    STATE(238), 5,
      sym__function,
      sym_or_function,
      sym_and_function,
      sym_not_function,
      sym_std_function,
    ACTIONS(788), 7,
      anon_sym_regex,
      anon_sym_isFactName,
      anon_sym_isInFactTerms,
      anon_sym_dhreNoise,
      anon_sym_defaultNoise,
      anon_sym_reasonableNoncesNoise,
      anon_sym_nonAbsurdGoal,
    ACTIONS(828), 23,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_deprio,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [8066] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(834), 17,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(832), 25,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [8117] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(838), 17,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(836), 25,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [8168] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(842), 17,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(840), 25,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [8219] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(846), 17,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(844), 25,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [8270] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(808), 17,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(804), 25,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [8321] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(850), 17,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(848), 25,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [8372] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(854), 17,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(852), 25,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [8423] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(858), 17,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(856), 25,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [8474] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(862), 17,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(860), 25,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [8525] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(866), 7,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_rule_DASHequivalence,
      anon_sym_backward_DASHsearch,
    ACTIONS(864), 35,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_solved,
      sym_mirrored,
      anon_sym_by,
      anon_sym_next,
      anon_sym_qed,
      anon_sym_case,
      anon_sym_sorry,
      anon_sym_simplify,
      anon_sym_solve,
      anon_sym_contradiction,
      anon_sym_induction,
      anon_sym_ATTACK,
      anon_sym_step,
      sym_ident,
  [8576] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(870), 17,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(868), 25,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [8627] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(874), 17,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(872), 25,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [8678] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(878), 17,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(876), 25,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_then,
      anon_sym_let,
      anon_sym_EQ2,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [8729] = 5,
    ACTIONS(882), 1,
      anon_sym_DQUOTE,
    STATE(226), 1,
      aux_sym_std_function_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(885), 7,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(880), 32,
      anon_sym_end,
      anon_sym_not,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_prio,
      anon_sym_deprio,
      anon_sym_regex,
      anon_sym_isFactName,
      anon_sym_isInFactTerms,
      anon_sym_dhreNoise,
      anon_sym_defaultNoise,
      anon_sym_reasonableNoncesNoise,
      anon_sym_nonAbsurdGoal,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [8783] = 5,
    ACTIONS(889), 1,
      anon_sym_DQUOTE,
    STATE(226), 1,
      aux_sym_std_function_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(891), 7,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(887), 32,
      anon_sym_end,
      anon_sym_not,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_prio,
      anon_sym_deprio,
      anon_sym_regex,
      anon_sym_isFactName,
      anon_sym_isInFactTerms,
      anon_sym_dhreNoise,
      anon_sym_defaultNoise,
      anon_sym_reasonableNoncesNoise,
      anon_sym_nonAbsurdGoal,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [8837] = 5,
    ACTIONS(889), 1,
      anon_sym_DQUOTE,
    STATE(227), 1,
      aux_sym_std_function_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(895), 7,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(893), 32,
      anon_sym_end,
      anon_sym_not,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_prio,
      anon_sym_deprio,
      anon_sym_regex,
      anon_sym_isFactName,
      anon_sym_isInFactTerms,
      anon_sym_dhreNoise,
      anon_sym_defaultNoise,
      anon_sym_reasonableNoncesNoise,
      anon_sym_nonAbsurdGoal,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [8891] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(899), 8,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(897), 32,
      anon_sym_end,
      anon_sym_not,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_prio,
      anon_sym_deprio,
      anon_sym_regex,
      anon_sym_isFactName,
      anon_sym_isInFactTerms,
      anon_sym_dhreNoise,
      anon_sym_defaultNoise,
      anon_sym_reasonableNoncesNoise,
      anon_sym_nonAbsurdGoal,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [8940] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(903), 8,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(901), 32,
      anon_sym_end,
      anon_sym_not,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_prio,
      anon_sym_deprio,
      anon_sym_regex,
      anon_sym_isFactName,
      anon_sym_isInFactTerms,
      anon_sym_dhreNoise,
      anon_sym_defaultNoise,
      anon_sym_reasonableNoncesNoise,
      anon_sym_nonAbsurdGoal,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [8989] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(907), 7,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(905), 32,
      anon_sym_end,
      anon_sym_not,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_prio,
      anon_sym_deprio,
      anon_sym_regex,
      anon_sym_isFactName,
      anon_sym_isInFactTerms,
      anon_sym_dhreNoise,
      anon_sym_defaultNoise,
      anon_sym_reasonableNoncesNoise,
      anon_sym_nonAbsurdGoal,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [9037] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(911), 7,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(909), 32,
      anon_sym_end,
      anon_sym_not,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_prio,
      anon_sym_deprio,
      anon_sym_regex,
      anon_sym_isFactName,
      anon_sym_isInFactTerms,
      anon_sym_dhreNoise,
      anon_sym_defaultNoise,
      anon_sym_reasonableNoncesNoise,
      anon_sym_nonAbsurdGoal,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [9085] = 11,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(917), 1,
      anon_sym_SEMI,
    ACTIONS(919), 1,
      anon_sym_XOR,
    ACTIONS(921), 1,
      anon_sym_u2295,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(915), 7,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
    ACTIONS(913), 24,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [9149] = 5,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    STATE(251), 1,
      sym_fact_annotes,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(453), 13,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_u25b6,
    ACTIONS(923), 24,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [9201] = 11,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(919), 1,
      anon_sym_XOR,
    ACTIONS(921), 1,
      anon_sym_u2295,
    ACTIONS(929), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(927), 7,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
    ACTIONS(925), 24,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [9265] = 11,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(919), 1,
      anon_sym_XOR,
    ACTIONS(921), 1,
      anon_sym_u2295,
    ACTIONS(935), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(933), 7,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
    ACTIONS(931), 24,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [9329] = 9,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(919), 1,
      anon_sym_XOR,
    ACTIONS(921), 1,
      anon_sym_u2295,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(939), 8,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
    ACTIONS(937), 25,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [9389] = 5,
    ACTIONS(945), 1,
      anon_sym_PIPE,
    ACTIONS(947), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(943), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(941), 32,
      anon_sym_end,
      anon_sym_not,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_prio,
      anon_sym_deprio,
      anon_sym_regex,
      anon_sym_isFactName,
      anon_sym_isInFactTerms,
      anon_sym_dhreNoise,
      anon_sym_defaultNoise,
      anon_sym_reasonableNoncesNoise,
      anon_sym_nonAbsurdGoal,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [9441] = 4,
    ACTIONS(947), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(951), 6,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_PIPE,
    ACTIONS(949), 32,
      anon_sym_end,
      anon_sym_not,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_prio,
      anon_sym_deprio,
      anon_sym_regex,
      anon_sym_isFactName,
      anon_sym_isInFactTerms,
      anon_sym_dhreNoise,
      anon_sym_defaultNoise,
      anon_sym_reasonableNoncesNoise,
      anon_sym_nonAbsurdGoal,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [9491] = 11,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(919), 1,
      anon_sym_XOR,
    ACTIONS(921), 1,
      anon_sym_u2295,
    ACTIONS(957), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(955), 7,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
    ACTIONS(953), 24,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [9555] = 6,
    ACTIONS(963), 1,
      anon_sym_PIPE,
    ACTIONS(967), 1,
      anon_sym_u2228,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(965), 2,
      anon_sym_AMP,
      anon_sym_u2227,
    ACTIONS(961), 13,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
    ACTIONS(959), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [9609] = 7,
    ACTIONS(963), 1,
      anon_sym_PIPE,
    ACTIONS(967), 1,
      anon_sym_u2228,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(965), 2,
      anon_sym_AMP,
      anon_sym_u2227,
    ACTIONS(973), 2,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
    ACTIONS(971), 11,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_u21d4,
    ACTIONS(969), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [9665] = 5,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    STATE(248), 1,
      sym_fact_annotes,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(466), 13,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_u25b6,
    ACTIONS(975), 24,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [9717] = 4,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(965), 2,
      anon_sym_AMP,
      anon_sym_u2227,
    ACTIONS(979), 14,
      anon_sym_DQUOTE,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_COMMA,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
    ACTIONS(977), 23,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [9767] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(983), 13,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_u25b6,
    ACTIONS(981), 24,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [9813] = 7,
    ACTIONS(985), 1,
      anon_sym_COLON,
    ACTIONS(988), 1,
      anon_sym_LPAREN,
    ACTIONS(991), 1,
      anon_sym_LBRACE,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(423), 14,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(427), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [9867] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(997), 10,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
    ACTIONS(995), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_left,
      anon_sym_right,
      anon_sym_rule,
      anon_sym_variants,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [9913] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1001), 13,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_u25b6,
    ACTIONS(999), 24,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [9959] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1005), 13,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_u25b6,
    ACTIONS(1003), 24,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [10005] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1009), 13,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_u25b6,
    ACTIONS(1007), 24,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [10051] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(466), 13,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_u25b6,
    ACTIONS(975), 24,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [10097] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1013), 10,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
    ACTIONS(1011), 27,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_left,
      anon_sym_right,
      anon_sym_rule,
      anon_sym_variants,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [10143] = 16,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1015), 1,
      sym_ident,
    ACTIONS(1017), 1,
      anon_sym_RPAREN,
    ACTIONS(1019), 1,
      anon_sym_POUND,
    STATE(894), 1,
      sym_temporal_var,
    STATE(1134), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(756), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [10214] = 16,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1015), 1,
      sym_ident,
    ACTIONS(1019), 1,
      anon_sym_POUND,
    ACTIONS(1021), 1,
      anon_sym_RPAREN,
    STATE(894), 1,
      sym_temporal_var,
    STATE(1193), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(756), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [10285] = 16,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1015), 1,
      sym_ident,
    ACTIONS(1019), 1,
      anon_sym_POUND,
    ACTIONS(1023), 1,
      anon_sym_RPAREN,
    STATE(894), 1,
      sym_temporal_var,
    STATE(1154), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(756), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [10356] = 16,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1015), 1,
      sym_ident,
    ACTIONS(1019), 1,
      anon_sym_POUND,
    ACTIONS(1025), 1,
      anon_sym_RPAREN,
    STATE(894), 1,
      sym_temporal_var,
    STATE(1053), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(756), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [10427] = 16,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1015), 1,
      sym_ident,
    ACTIONS(1019), 1,
      anon_sym_POUND,
    ACTIONS(1027), 1,
      anon_sym_RPAREN,
    STATE(894), 1,
      sym_temporal_var,
    STATE(1111), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(756), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [10498] = 16,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1015), 1,
      sym_ident,
    ACTIONS(1019), 1,
      anon_sym_POUND,
    ACTIONS(1029), 1,
      anon_sym_RPAREN,
    STATE(894), 1,
      sym_temporal_var,
    STATE(1288), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(756), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [10569] = 5,
    ACTIONS(1031), 1,
      anon_sym_COLON,
    ACTIONS(1034), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(493), 15,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(488), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [10618] = 16,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1015), 1,
      sym_ident,
    ACTIONS(1019), 1,
      anon_sym_POUND,
    ACTIONS(1036), 1,
      anon_sym_RPAREN,
    STATE(894), 1,
      sym_temporal_var,
    STATE(1082), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(756), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [10689] = 7,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(965), 2,
      anon_sym_AMP,
      anon_sym_u2227,
    ACTIONS(967), 2,
      anon_sym_PIPE,
      anon_sym_u2228,
    ACTIONS(973), 2,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
    ACTIONS(1042), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_u21d4,
    ACTIONS(1040), 6,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_COMMA,
    ACTIONS(1038), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [10742] = 16,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1015), 1,
      sym_ident,
    ACTIONS(1019), 1,
      anon_sym_POUND,
    ACTIONS(1044), 1,
      anon_sym_RPAREN,
    STATE(894), 1,
      sym_temporal_var,
    STATE(1250), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(756), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [10813] = 16,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1015), 1,
      sym_ident,
    ACTIONS(1019), 1,
      anon_sym_POUND,
    ACTIONS(1023), 1,
      anon_sym_RPAREN,
    STATE(894), 1,
      sym_temporal_var,
    STATE(1231), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(756), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [10884] = 16,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1015), 1,
      sym_ident,
    ACTIONS(1019), 1,
      anon_sym_POUND,
    ACTIONS(1046), 1,
      anon_sym_RPAREN,
    STATE(894), 1,
      sym_temporal_var,
    STATE(1088), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(756), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [10955] = 4,
    ACTIONS(1048), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(499), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(497), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [11002] = 4,
    ACTIONS(1050), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(484), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(482), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [11049] = 5,
    ACTIONS(985), 1,
      anon_sym_COLON,
    ACTIONS(993), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(423), 15,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(427), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [11098] = 16,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1015), 1,
      sym_ident,
    ACTIONS(1019), 1,
      anon_sym_POUND,
    ACTIONS(1052), 1,
      anon_sym_RPAREN,
    STATE(894), 1,
      sym_temporal_var,
    STATE(1203), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(756), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [11169] = 16,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1015), 1,
      sym_ident,
    ACTIONS(1019), 1,
      anon_sym_POUND,
    ACTIONS(1054), 1,
      anon_sym_RPAREN,
    STATE(894), 1,
      sym_temporal_var,
    STATE(1316), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(756), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [11240] = 16,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1015), 1,
      sym_ident,
    ACTIONS(1019), 1,
      anon_sym_POUND,
    ACTIONS(1056), 1,
      anon_sym_RPAREN,
    STATE(894), 1,
      sym_temporal_var,
    STATE(1227), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(756), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [11311] = 16,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1015), 1,
      sym_ident,
    ACTIONS(1019), 1,
      anon_sym_POUND,
    ACTIONS(1029), 1,
      anon_sym_RPAREN,
    STATE(894), 1,
      sym_temporal_var,
    STATE(1205), 1,
      sym_arguments,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(756), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [11382] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(543), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(541), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [11426] = 10,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(919), 1,
      anon_sym_XOR,
    ACTIONS(921), 1,
      anon_sym_u2295,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1060), 6,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_COMMA,
    ACTIONS(1058), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [11484] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(539), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(537), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [11528] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(535), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(533), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [11572] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(531), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(529), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [11616] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(583), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(578), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [11660] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(523), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(521), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [11704] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(587), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(585), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [11748] = 14,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(45), 1,
      sym_ident,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1062), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(290), 2,
      sym_term_eq,
      aux_sym_process_let_repeat1,
    STATE(792), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [11814] = 7,
    ACTIONS(1068), 1,
      sym_standard_goal_ranking,
    ACTIONS(1074), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1071), 2,
      anon_sym_O,
      anon_sym_o,
    STATE(281), 4,
      sym__goal_ranking,
      sym_oracle_goal_ranking,
      sym_tactic_goal_ranking,
      aux_sym_global_heuristic_repeat1,
    ACTIONS(1066), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1064), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [11866] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(547), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(545), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [11910] = 4,
    ACTIONS(1077), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(557), 15,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(553), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [11956] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(603), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(601), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [12000] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(569), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(567), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [12044] = 7,
    ACTIONS(1083), 1,
      sym_standard_goal_ranking,
    ACTIONS(1087), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1085), 2,
      anon_sym_O,
      anon_sym_o,
    STATE(281), 4,
      sym__goal_ranking,
      sym_oracle_goal_ranking,
      sym_tactic_goal_ranking,
      aux_sym_global_heuristic_repeat1,
    ACTIONS(1081), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1079), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [12096] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(565), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(563), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [12140] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(576), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(574), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [12184] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(599), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(597), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [12228] = 14,
    ACTIONS(1089), 1,
      sym_ident,
    ACTIONS(1092), 1,
      anon_sym_EQ,
    ACTIONS(1095), 1,
      anon_sym_LPAREN,
    ACTIONS(1098), 1,
      anon_sym_in,
    ACTIONS(1100), 1,
      anon_sym_LT,
    ACTIONS(1103), 1,
      anon_sym_DOLLAR,
    ACTIONS(1106), 1,
      anon_sym_TILDE,
    ACTIONS(1109), 1,
      anon_sym_PERCENT,
    ACTIONS(1112), 1,
      anon_sym_SQUOTE,
    ACTIONS(1115), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(290), 2,
      sym_term_eq,
      aux_sym_process_let_repeat1,
    STATE(792), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [12294] = 4,
    ACTIONS(1118), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(569), 15,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(567), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [12340] = 10,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(919), 1,
      anon_sym_XOR,
    ACTIONS(921), 1,
      anon_sym_u2295,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1123), 6,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_COMMA,
    ACTIONS(1121), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [12398] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(607), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(605), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [12442] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(527), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(525), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [12486] = 10,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(919), 1,
      anon_sym_XOR,
    ACTIONS(921), 1,
      anon_sym_u2295,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1127), 6,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_COMMA,
    ACTIONS(1125), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [12544] = 4,
    ACTIONS(1129), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(583), 15,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(578), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [12590] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(551), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(549), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [12634] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(561), 16,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(559), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [12678] = 14,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(45), 1,
      sym_ident,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1132), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(290), 2,
      sym_term_eq,
      aux_sym_process_let_repeat1,
    STATE(792), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [12744] = 10,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(919), 1,
      anon_sym_XOR,
    ACTIONS(921), 1,
      anon_sym_u2295,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1136), 6,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_COMMA,
    ACTIONS(1134), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [12802] = 4,
    ACTIONS(1142), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1140), 9,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
    ACTIONS(1138), 24,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [12847] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(455), 15,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(449), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [12890] = 11,
    ACTIONS(1144), 1,
      anon_sym_SEMI,
    ACTIONS(1146), 1,
      anon_sym_PLUS,
    ACTIONS(1148), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1150), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(1152), 1,
      anon_sym_XOR,
    ACTIONS(1154), 1,
      anon_sym_u2295,
    ACTIONS(1156), 1,
      anon_sym_STAR,
    ACTIONS(1158), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(927), 9,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(925), 17,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [12949] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(611), 15,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(609), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [12992] = 11,
    ACTIONS(1146), 1,
      anon_sym_PLUS,
    ACTIONS(1148), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1150), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(1152), 1,
      anon_sym_XOR,
    ACTIONS(1154), 1,
      anon_sym_u2295,
    ACTIONS(1156), 1,
      anon_sym_STAR,
    ACTIONS(1158), 1,
      anon_sym_CARET,
    ACTIONS(1160), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(915), 9,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(913), 17,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [13051] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(715), 15,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(713), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [13094] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(671), 15,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(669), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [13137] = 4,
    ACTIONS(1158), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(725), 14,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(723), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [13182] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(471), 15,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(461), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [13225] = 11,
    ACTIONS(1146), 1,
      anon_sym_PLUS,
    ACTIONS(1148), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1150), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(1152), 1,
      anon_sym_XOR,
    ACTIONS(1154), 1,
      anon_sym_u2295,
    ACTIONS(1156), 1,
      anon_sym_STAR,
    ACTIONS(1158), 1,
      anon_sym_CARET,
    ACTIONS(1162), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(955), 9,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(953), 17,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [13284] = 9,
    ACTIONS(1148), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1150), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(1152), 1,
      anon_sym_XOR,
    ACTIONS(1154), 1,
      anon_sym_u2295,
    ACTIONS(1156), 1,
      anon_sym_STAR,
    ACTIONS(1158), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(939), 10,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(937), 18,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [13339] = 6,
    ACTIONS(1150), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(1156), 1,
      anon_sym_STAR,
    ACTIONS(1158), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(741), 12,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_u2295,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(739), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [13388] = 4,
    ACTIONS(1158), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(729), 14,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(727), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [13433] = 8,
    ACTIONS(1146), 1,
      anon_sym_PLUS,
    ACTIONS(1148), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1150), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(1156), 1,
      anon_sym_STAR,
    ACTIONS(1158), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(733), 11,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_u2295,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(731), 18,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [13486] = 5,
    ACTIONS(1156), 1,
      anon_sym_STAR,
    ACTIONS(1158), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(737), 13,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(735), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [13533] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(663), 15,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(661), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [13576] = 11,
    ACTIONS(1146), 1,
      anon_sym_PLUS,
    ACTIONS(1148), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1150), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(1152), 1,
      anon_sym_XOR,
    ACTIONS(1154), 1,
      anon_sym_u2295,
    ACTIONS(1156), 1,
      anon_sym_STAR,
    ACTIONS(1158), 1,
      anon_sym_CARET,
    ACTIONS(1164), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(933), 9,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(931), 17,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [13635] = 13,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(280), 2,
      sym_term_eq,
      aux_sym_process_let_repeat1,
    STATE(792), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [13698] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(667), 15,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(665), 19,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      anon_sym_PLUS,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
  [13741] = 13,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(299), 2,
      sym_term_eq,
      aux_sym_process_let_repeat1,
    STATE(792), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [13804] = 4,
    ACTIONS(589), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1170), 9,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
    ACTIONS(1168), 24,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [13849] = 5,
    ACTIONS(589), 1,
      anon_sym_COLON,
    ACTIONS(1176), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1174), 8,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
    ACTIONS(1172), 24,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [13896] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1170), 9,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
    ACTIONS(1168), 24,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [13938] = 6,
    ACTIONS(1182), 1,
      anon_sym_PIPE,
    ACTIONS(1184), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1186), 1,
      anon_sym_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1180), 7,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(1178), 23,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [13986] = 6,
    ACTIONS(1182), 1,
      anon_sym_PIPE,
    ACTIONS(1184), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1186), 1,
      anon_sym_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1190), 7,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(1188), 23,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [14034] = 6,
    ACTIONS(1182), 1,
      anon_sym_PIPE,
    ACTIONS(1184), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1186), 1,
      anon_sym_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1194), 7,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(1192), 23,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [14082] = 6,
    ACTIONS(1182), 1,
      anon_sym_PIPE,
    ACTIONS(1184), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1186), 1,
      anon_sym_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1198), 7,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(1196), 23,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [14130] = 6,
    ACTIONS(1182), 1,
      anon_sym_PIPE,
    ACTIONS(1184), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1186), 1,
      anon_sym_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1202), 7,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(1200), 23,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [14178] = 6,
    ACTIONS(1182), 1,
      anon_sym_PIPE,
    ACTIONS(1184), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1186), 1,
      anon_sym_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1206), 7,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(1204), 23,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [14226] = 13,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    STATE(487), 1,
      sym_equation,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(806), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [14288] = 7,
    ACTIONS(1212), 1,
      anon_sym_prio,
    ACTIONS(1214), 1,
      anon_sym_deprio,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(457), 2,
      sym_prio,
      aux_sym_tactic_repeat1,
    STATE(477), 2,
      sym_deprio,
      aux_sym_tactic_repeat2,
    ACTIONS(1210), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1208), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [14338] = 6,
    ACTIONS(1182), 1,
      anon_sym_PIPE,
    ACTIONS(1184), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1186), 1,
      anon_sym_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1218), 7,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(1216), 23,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [14386] = 4,
    ACTIONS(1224), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1222), 8,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
    ACTIONS(1220), 24,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [14430] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1228), 9,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
    ACTIONS(1226), 24,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [14472] = 6,
    ACTIONS(1182), 1,
      anon_sym_PIPE,
    ACTIONS(1184), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1186), 1,
      anon_sym_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1232), 7,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(1230), 23,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [14520] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1236), 9,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
    ACTIONS(1234), 24,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [14562] = 5,
    STATE(526), 1,
      sym_option,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1240), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1242), 5,
      anon_sym_translation_DASHstate_DASHoptimisation,
      anon_sym_translation_DASHprogress,
      anon_sym_translation_DASHasynchronous_DASHchannels,
      anon_sym_translation_DASHcompress_DASHevents,
      anon_sym_translation_DASHallow_DASHpattern_DASHlookups,
    ACTIONS(1238), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [14608] = 13,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    STATE(502), 1,
      sym_equation,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(806), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [14670] = 7,
    ACTIONS(1182), 1,
      anon_sym_PIPE,
    ACTIONS(1184), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1186), 1,
      anon_sym_PLUS,
    ACTIONS(1248), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1246), 6,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
    ACTIONS(1244), 23,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [14720] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1252), 9,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
    ACTIONS(1250), 24,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [14762] = 8,
    ACTIONS(1182), 1,
      anon_sym_PIPE,
    ACTIONS(1184), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1186), 1,
      anon_sym_PLUS,
    ACTIONS(1258), 1,
      anon_sym_SEMI,
    ACTIONS(1260), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1256), 6,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
    ACTIONS(1254), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [14814] = 6,
    ACTIONS(1182), 1,
      anon_sym_PIPE,
    ACTIONS(1184), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1186), 1,
      anon_sym_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1264), 7,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(1262), 23,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [14862] = 6,
    ACTIONS(1182), 1,
      anon_sym_PIPE,
    ACTIONS(1184), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1186), 1,
      anon_sym_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1268), 7,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(1266), 23,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [14910] = 6,
    ACTIONS(1182), 1,
      anon_sym_PIPE,
    ACTIONS(1184), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1186), 1,
      anon_sym_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1272), 7,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(1270), 23,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [14958] = 5,
    STATE(526), 1,
      sym_option,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1242), 5,
      anon_sym_translation_DASHstate_DASHoptimisation,
      anon_sym_translation_DASHprogress,
      anon_sym_translation_DASHasynchronous_DASHchannels,
      anon_sym_translation_DASHcompress_DASHevents,
      anon_sym_translation_DASHallow_DASHpattern_DASHlookups,
    ACTIONS(1276), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1274), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [15004] = 6,
    ACTIONS(1182), 1,
      anon_sym_PIPE,
    ACTIONS(1184), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1186), 1,
      anon_sym_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1280), 7,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(1278), 23,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [15052] = 4,
    ACTIONS(1286), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1284), 8,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
    ACTIONS(1282), 24,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [15096] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1290), 9,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
    ACTIONS(1288), 24,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [15138] = 6,
    ACTIONS(1182), 1,
      anon_sym_PIPE,
    ACTIONS(1184), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1186), 1,
      anon_sym_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1284), 7,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(1282), 23,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [15186] = 4,
    ACTIONS(1296), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1294), 8,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
    ACTIONS(1292), 24,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [15230] = 6,
    ACTIONS(1182), 1,
      anon_sym_PIPE,
    ACTIONS(1184), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1186), 1,
      anon_sym_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1294), 7,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(1292), 23,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [15278] = 7,
    ACTIONS(1212), 1,
      anon_sym_prio,
    ACTIONS(1214), 1,
      anon_sym_deprio,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(457), 2,
      sym_prio,
      aux_sym_tactic_repeat1,
    STATE(471), 2,
      sym_deprio,
      aux_sym_tactic_repeat2,
    ACTIONS(1300), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1298), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [15328] = 7,
    ACTIONS(1182), 1,
      anon_sym_PIPE,
    ACTIONS(1184), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1186), 1,
      anon_sym_PLUS,
    ACTIONS(1306), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1304), 7,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(1302), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [15378] = 4,
    ACTIONS(1312), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1310), 8,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
    ACTIONS(1308), 24,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [15422] = 7,
    ACTIONS(1182), 1,
      anon_sym_PIPE,
    ACTIONS(1184), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1186), 1,
      anon_sym_PLUS,
    ACTIONS(1318), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1316), 7,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(1314), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [15472] = 4,
    ACTIONS(1324), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1322), 8,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
    ACTIONS(1320), 24,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [15516] = 13,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    STATE(537), 1,
      sym_equation,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(806), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [15578] = 4,
    ACTIONS(1330), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1328), 8,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
    ACTIONS(1326), 24,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [15622] = 4,
    ACTIONS(1336), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1334), 8,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
    ACTIONS(1332), 24,
      anon_sym_end,
      anon_sym_PIPE,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_else,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [15666] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(748), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [15725] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(236), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [15784] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(811), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [15843] = 4,
    ACTIONS(1340), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1342), 6,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_LBRACE,
    ACTIONS(1338), 25,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      sym_standard_goal_ranking,
      anon_sym_O,
      anon_sym_o,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [15886] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(743), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [15945] = 12,
    ACTIONS(85), 1,
      anon_sym_EQ,
    ACTIONS(115), 1,
      anon_sym_LT,
    ACTIONS(117), 1,
      anon_sym_DOLLAR,
    ACTIONS(119), 1,
      anon_sym_TILDE,
    ACTIONS(121), 1,
      anon_sym_PERCENT,
    ACTIONS(123), 1,
      anon_sym_SQUOTE,
    ACTIONS(125), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1344), 1,
      sym_ident,
    ACTIONS(1346), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(313), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(283), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [16004] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(734), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [16063] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(809), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [16122] = 12,
    ACTIONS(85), 1,
      anon_sym_EQ,
    ACTIONS(115), 1,
      anon_sym_LT,
    ACTIONS(117), 1,
      anon_sym_DOLLAR,
    ACTIONS(119), 1,
      anon_sym_TILDE,
    ACTIONS(121), 1,
      anon_sym_PERCENT,
    ACTIONS(123), 1,
      anon_sym_SQUOTE,
    ACTIONS(125), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1344), 1,
      sym_ident,
    ACTIONS(1346), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(319), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(283), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [16181] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(801), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [16240] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(732), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [16299] = 12,
    ACTIONS(1348), 1,
      sym_ident,
    ACTIONS(1350), 1,
      anon_sym_EQ,
    ACTIONS(1352), 1,
      anon_sym_LPAREN,
    ACTIONS(1354), 1,
      anon_sym_LT,
    ACTIONS(1356), 1,
      anon_sym_DOLLAR,
    ACTIONS(1358), 1,
      anon_sym_TILDE,
    ACTIONS(1360), 1,
      anon_sym_PERCENT,
    ACTIONS(1362), 1,
      anon_sym_SQUOTE,
    ACTIONS(1364), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(187), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(133), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [16358] = 12,
    ACTIONS(1348), 1,
      sym_ident,
    ACTIONS(1350), 1,
      anon_sym_EQ,
    ACTIONS(1352), 1,
      anon_sym_LPAREN,
    ACTIONS(1354), 1,
      anon_sym_LT,
    ACTIONS(1356), 1,
      anon_sym_DOLLAR,
    ACTIONS(1358), 1,
      anon_sym_TILDE,
    ACTIONS(1360), 1,
      anon_sym_PERCENT,
    ACTIONS(1362), 1,
      anon_sym_SQUOTE,
    ACTIONS(1364), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(188), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(133), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [16417] = 12,
    ACTIONS(1348), 1,
      sym_ident,
    ACTIONS(1350), 1,
      anon_sym_EQ,
    ACTIONS(1352), 1,
      anon_sym_LPAREN,
    ACTIONS(1354), 1,
      anon_sym_LT,
    ACTIONS(1356), 1,
      anon_sym_DOLLAR,
    ACTIONS(1358), 1,
      anon_sym_TILDE,
    ACTIONS(1360), 1,
      anon_sym_PERCENT,
    ACTIONS(1362), 1,
      anon_sym_SQUOTE,
    ACTIONS(1364), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(190), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(133), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [16476] = 12,
    ACTIONS(1348), 1,
      sym_ident,
    ACTIONS(1350), 1,
      anon_sym_EQ,
    ACTIONS(1352), 1,
      anon_sym_LPAREN,
    ACTIONS(1354), 1,
      anon_sym_LT,
    ACTIONS(1356), 1,
      anon_sym_DOLLAR,
    ACTIONS(1358), 1,
      anon_sym_TILDE,
    ACTIONS(1360), 1,
      anon_sym_PERCENT,
    ACTIONS(1362), 1,
      anon_sym_SQUOTE,
    ACTIONS(1364), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(181), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(133), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [16535] = 12,
    ACTIONS(1348), 1,
      sym_ident,
    ACTIONS(1350), 1,
      anon_sym_EQ,
    ACTIONS(1352), 1,
      anon_sym_LPAREN,
    ACTIONS(1354), 1,
      anon_sym_LT,
    ACTIONS(1356), 1,
      anon_sym_DOLLAR,
    ACTIONS(1358), 1,
      anon_sym_TILDE,
    ACTIONS(1360), 1,
      anon_sym_PERCENT,
    ACTIONS(1362), 1,
      anon_sym_SQUOTE,
    ACTIONS(1364), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(174), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(133), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [16594] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(295), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [16653] = 12,
    ACTIONS(1348), 1,
      sym_ident,
    ACTIONS(1350), 1,
      anon_sym_EQ,
    ACTIONS(1352), 1,
      anon_sym_LPAREN,
    ACTIONS(1354), 1,
      anon_sym_LT,
    ACTIONS(1356), 1,
      anon_sym_DOLLAR,
    ACTIONS(1358), 1,
      anon_sym_TILDE,
    ACTIONS(1360), 1,
      anon_sym_PERCENT,
    ACTIONS(1362), 1,
      anon_sym_SQUOTE,
    ACTIONS(1364), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(178), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(133), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [16712] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(739), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [16771] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(800), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [16830] = 12,
    ACTIONS(1348), 1,
      sym_ident,
    ACTIONS(1350), 1,
      anon_sym_EQ,
    ACTIONS(1352), 1,
      anon_sym_LPAREN,
    ACTIONS(1354), 1,
      anon_sym_LT,
    ACTIONS(1356), 1,
      anon_sym_DOLLAR,
    ACTIONS(1358), 1,
      anon_sym_TILDE,
    ACTIONS(1360), 1,
      anon_sym_PERCENT,
    ACTIONS(1362), 1,
      anon_sym_SQUOTE,
    ACTIONS(1364), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(645), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(133), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [16889] = 12,
    ACTIONS(1348), 1,
      sym_ident,
    ACTIONS(1350), 1,
      anon_sym_EQ,
    ACTIONS(1352), 1,
      anon_sym_LPAREN,
    ACTIONS(1354), 1,
      anon_sym_LT,
    ACTIONS(1356), 1,
      anon_sym_DOLLAR,
    ACTIONS(1358), 1,
      anon_sym_TILDE,
    ACTIONS(1360), 1,
      anon_sym_PERCENT,
    ACTIONS(1362), 1,
      anon_sym_SQUOTE,
    ACTIONS(1364), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(179), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(133), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [16948] = 12,
    ACTIONS(1348), 1,
      sym_ident,
    ACTIONS(1350), 1,
      anon_sym_EQ,
    ACTIONS(1352), 1,
      anon_sym_LPAREN,
    ACTIONS(1354), 1,
      anon_sym_LT,
    ACTIONS(1356), 1,
      anon_sym_DOLLAR,
    ACTIONS(1358), 1,
      anon_sym_TILDE,
    ACTIONS(1360), 1,
      anon_sym_PERCENT,
    ACTIONS(1362), 1,
      anon_sym_SQUOTE,
    ACTIONS(1364), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(192), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(133), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [17007] = 12,
    ACTIONS(85), 1,
      anon_sym_EQ,
    ACTIONS(115), 1,
      anon_sym_LT,
    ACTIONS(117), 1,
      anon_sym_DOLLAR,
    ACTIONS(119), 1,
      anon_sym_TILDE,
    ACTIONS(121), 1,
      anon_sym_PERCENT,
    ACTIONS(123), 1,
      anon_sym_SQUOTE,
    ACTIONS(125), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1344), 1,
      sym_ident,
    ACTIONS(1346), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(314), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(283), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [17066] = 12,
    ACTIONS(147), 1,
      anon_sym_EQ,
    ACTIONS(153), 1,
      anon_sym_LT,
    ACTIONS(155), 1,
      anon_sym_DOLLAR,
    ACTIONS(157), 1,
      anon_sym_TILDE,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(161), 1,
      anon_sym_SQUOTE,
    ACTIONS(163), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1366), 1,
      sym_ident,
    ACTIONS(1368), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(716), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(689), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [17125] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(195), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [17184] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(802), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [17243] = 12,
    ACTIONS(85), 1,
      anon_sym_EQ,
    ACTIONS(115), 1,
      anon_sym_LT,
    ACTIONS(117), 1,
      anon_sym_DOLLAR,
    ACTIONS(119), 1,
      anon_sym_TILDE,
    ACTIONS(121), 1,
      anon_sym_PERCENT,
    ACTIONS(123), 1,
      anon_sym_SQUOTE,
    ACTIONS(125), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1344), 1,
      sym_ident,
    ACTIONS(1346), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(315), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(283), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [17302] = 12,
    ACTIONS(147), 1,
      anon_sym_EQ,
    ACTIONS(153), 1,
      anon_sym_LT,
    ACTIONS(155), 1,
      anon_sym_DOLLAR,
    ACTIONS(157), 1,
      anon_sym_TILDE,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(161), 1,
      anon_sym_SQUOTE,
    ACTIONS(163), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1366), 1,
      sym_ident,
    ACTIONS(1368), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(699), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(689), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [17361] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(755), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [17420] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(789), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [17479] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(240), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [17538] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(300), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [17597] = 12,
    ACTIONS(85), 1,
      anon_sym_EQ,
    ACTIONS(115), 1,
      anon_sym_LT,
    ACTIONS(117), 1,
      anon_sym_DOLLAR,
    ACTIONS(119), 1,
      anon_sym_TILDE,
    ACTIONS(121), 1,
      anon_sym_PERCENT,
    ACTIONS(123), 1,
      anon_sym_SQUOTE,
    ACTIONS(125), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1344), 1,
      sym_ident,
    ACTIONS(1346), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(312), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(283), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [17656] = 12,
    ACTIONS(147), 1,
      anon_sym_EQ,
    ACTIONS(153), 1,
      anon_sym_LT,
    ACTIONS(155), 1,
      anon_sym_DOLLAR,
    ACTIONS(157), 1,
      anon_sym_TILDE,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(161), 1,
      anon_sym_SQUOTE,
    ACTIONS(163), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1366), 1,
      sym_ident,
    ACTIONS(1368), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(700), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(689), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [17715] = 12,
    ACTIONS(85), 1,
      anon_sym_EQ,
    ACTIONS(115), 1,
      anon_sym_LT,
    ACTIONS(117), 1,
      anon_sym_DOLLAR,
    ACTIONS(119), 1,
      anon_sym_TILDE,
    ACTIONS(121), 1,
      anon_sym_PERCENT,
    ACTIONS(123), 1,
      anon_sym_SQUOTE,
    ACTIONS(125), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1344), 1,
      sym_ident,
    ACTIONS(1346), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(308), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(283), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [17774] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(292), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [17833] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(741), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [17892] = 12,
    ACTIONS(85), 1,
      anon_sym_EQ,
    ACTIONS(115), 1,
      anon_sym_LT,
    ACTIONS(117), 1,
      anon_sym_DOLLAR,
    ACTIONS(119), 1,
      anon_sym_TILDE,
    ACTIONS(121), 1,
      anon_sym_PERCENT,
    ACTIONS(123), 1,
      anon_sym_SQUOTE,
    ACTIONS(125), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1344), 1,
      sym_ident,
    ACTIONS(1346), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(310), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(283), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [17951] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(793), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [18010] = 12,
    ACTIONS(147), 1,
      anon_sym_EQ,
    ACTIONS(153), 1,
      anon_sym_LT,
    ACTIONS(155), 1,
      anon_sym_DOLLAR,
    ACTIONS(157), 1,
      anon_sym_TILDE,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(161), 1,
      anon_sym_SQUOTE,
    ACTIONS(163), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1366), 1,
      sym_ident,
    ACTIONS(1368), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(701), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(689), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [18069] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(233), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [18128] = 12,
    ACTIONS(147), 1,
      anon_sym_EQ,
    ACTIONS(153), 1,
      anon_sym_LT,
    ACTIONS(155), 1,
      anon_sym_DOLLAR,
    ACTIONS(157), 1,
      anon_sym_TILDE,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(161), 1,
      anon_sym_SQUOTE,
    ACTIONS(163), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1366), 1,
      sym_ident,
    ACTIONS(1368), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(702), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(689), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [18187] = 12,
    ACTIONS(1370), 1,
      sym_ident,
    ACTIONS(1372), 1,
      anon_sym_EQ,
    ACTIONS(1374), 1,
      anon_sym_LPAREN,
    ACTIONS(1376), 1,
      anon_sym_LT,
    ACTIONS(1378), 1,
      anon_sym_DOLLAR,
    ACTIONS(1380), 1,
      anon_sym_TILDE,
    ACTIONS(1382), 1,
      anon_sym_PERCENT,
    ACTIONS(1384), 1,
      anon_sym_SQUOTE,
    ACTIONS(1386), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(649), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(637), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [18246] = 12,
    ACTIONS(147), 1,
      anon_sym_EQ,
    ACTIONS(153), 1,
      anon_sym_LT,
    ACTIONS(155), 1,
      anon_sym_DOLLAR,
    ACTIONS(157), 1,
      anon_sym_TILDE,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(161), 1,
      anon_sym_SQUOTE,
    ACTIONS(163), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1366), 1,
      sym_ident,
    ACTIONS(1368), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(703), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(689), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [18305] = 12,
    ACTIONS(147), 1,
      anon_sym_EQ,
    ACTIONS(153), 1,
      anon_sym_LT,
    ACTIONS(155), 1,
      anon_sym_DOLLAR,
    ACTIONS(157), 1,
      anon_sym_TILDE,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(161), 1,
      anon_sym_SQUOTE,
    ACTIONS(163), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1366), 1,
      sym_ident,
    ACTIONS(1368), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(706), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(689), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [18364] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(808), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [18423] = 12,
    ACTIONS(1370), 1,
      sym_ident,
    ACTIONS(1372), 1,
      anon_sym_EQ,
    ACTIONS(1374), 1,
      anon_sym_LPAREN,
    ACTIONS(1376), 1,
      anon_sym_LT,
    ACTIONS(1378), 1,
      anon_sym_DOLLAR,
    ACTIONS(1380), 1,
      anon_sym_TILDE,
    ACTIONS(1382), 1,
      anon_sym_PERCENT,
    ACTIONS(1384), 1,
      anon_sym_SQUOTE,
    ACTIONS(1386), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(653), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(637), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [18482] = 12,
    ACTIONS(1370), 1,
      sym_ident,
    ACTIONS(1372), 1,
      anon_sym_EQ,
    ACTIONS(1374), 1,
      anon_sym_LPAREN,
    ACTIONS(1376), 1,
      anon_sym_LT,
    ACTIONS(1378), 1,
      anon_sym_DOLLAR,
    ACTIONS(1380), 1,
      anon_sym_TILDE,
    ACTIONS(1382), 1,
      anon_sym_PERCENT,
    ACTIONS(1384), 1,
      anon_sym_SQUOTE,
    ACTIONS(1386), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(654), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(637), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [18541] = 12,
    ACTIONS(1370), 1,
      sym_ident,
    ACTIONS(1372), 1,
      anon_sym_EQ,
    ACTIONS(1374), 1,
      anon_sym_LPAREN,
    ACTIONS(1376), 1,
      anon_sym_LT,
    ACTIONS(1378), 1,
      anon_sym_DOLLAR,
    ACTIONS(1380), 1,
      anon_sym_TILDE,
    ACTIONS(1382), 1,
      anon_sym_PERCENT,
    ACTIONS(1384), 1,
      anon_sym_SQUOTE,
    ACTIONS(1386), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(656), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(637), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [18600] = 12,
    ACTIONS(1370), 1,
      sym_ident,
    ACTIONS(1372), 1,
      anon_sym_EQ,
    ACTIONS(1374), 1,
      anon_sym_LPAREN,
    ACTIONS(1376), 1,
      anon_sym_LT,
    ACTIONS(1378), 1,
      anon_sym_DOLLAR,
    ACTIONS(1380), 1,
      anon_sym_TILDE,
    ACTIONS(1382), 1,
      anon_sym_PERCENT,
    ACTIONS(1384), 1,
      anon_sym_SQUOTE,
    ACTIONS(1386), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(657), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(637), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [18659] = 12,
    ACTIONS(1370), 1,
      sym_ident,
    ACTIONS(1372), 1,
      anon_sym_EQ,
    ACTIONS(1374), 1,
      anon_sym_LPAREN,
    ACTIONS(1376), 1,
      anon_sym_LT,
    ACTIONS(1378), 1,
      anon_sym_DOLLAR,
    ACTIONS(1380), 1,
      anon_sym_TILDE,
    ACTIONS(1382), 1,
      anon_sym_PERCENT,
    ACTIONS(1384), 1,
      anon_sym_SQUOTE,
    ACTIONS(1386), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(650), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(637), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [18718] = 12,
    ACTIONS(1370), 1,
      sym_ident,
    ACTIONS(1372), 1,
      anon_sym_EQ,
    ACTIONS(1374), 1,
      anon_sym_LPAREN,
    ACTIONS(1376), 1,
      anon_sym_LT,
    ACTIONS(1378), 1,
      anon_sym_DOLLAR,
    ACTIONS(1380), 1,
      anon_sym_TILDE,
    ACTIONS(1382), 1,
      anon_sym_PERCENT,
    ACTIONS(1384), 1,
      anon_sym_SQUOTE,
    ACTIONS(1386), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(647), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(637), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [18777] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(745), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [18836] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(750), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [18895] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(805), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [18954] = 12,
    ACTIONS(1370), 1,
      sym_ident,
    ACTIONS(1372), 1,
      anon_sym_EQ,
    ACTIONS(1374), 1,
      anon_sym_LPAREN,
    ACTIONS(1376), 1,
      anon_sym_LT,
    ACTIONS(1378), 1,
      anon_sym_DOLLAR,
    ACTIONS(1380), 1,
      anon_sym_TILDE,
    ACTIONS(1382), 1,
      anon_sym_PERCENT,
    ACTIONS(1384), 1,
      anon_sym_SQUOTE,
    ACTIONS(1386), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(655), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(637), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [19013] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(740), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [19072] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(193), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [19131] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(798), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [19190] = 12,
    ACTIONS(85), 1,
      anon_sym_EQ,
    ACTIONS(115), 1,
      anon_sym_LT,
    ACTIONS(117), 1,
      anon_sym_DOLLAR,
    ACTIONS(119), 1,
      anon_sym_TILDE,
    ACTIONS(121), 1,
      anon_sym_PERCENT,
    ACTIONS(123), 1,
      anon_sym_SQUOTE,
    ACTIONS(125), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1344), 1,
      sym_ident,
    ACTIONS(1346), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(317), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(283), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [19249] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(235), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [19308] = 12,
    ACTIONS(85), 1,
      anon_sym_EQ,
    ACTIONS(115), 1,
      anon_sym_LT,
    ACTIONS(117), 1,
      anon_sym_DOLLAR,
    ACTIONS(119), 1,
      anon_sym_TILDE,
    ACTIONS(121), 1,
      anon_sym_PERCENT,
    ACTIONS(123), 1,
      anon_sym_SQUOTE,
    ACTIONS(125), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1344), 1,
      sym_ident,
    ACTIONS(1346), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(303), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(283), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [19367] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1388), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(183), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [19426] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(790), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [19485] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(783), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [19544] = 12,
    ACTIONS(85), 1,
      anon_sym_EQ,
    ACTIONS(115), 1,
      anon_sym_LT,
    ACTIONS(117), 1,
      anon_sym_DOLLAR,
    ACTIONS(119), 1,
      anon_sym_TILDE,
    ACTIONS(121), 1,
      anon_sym_PERCENT,
    ACTIONS(123), 1,
      anon_sym_SQUOTE,
    ACTIONS(125), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1344), 1,
      sym_ident,
    ACTIONS(1346), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(306), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(283), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [19603] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(785), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [19662] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(807), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [19721] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(754), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [19780] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(799), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [19839] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(273), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [19898] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1388), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(193), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [19957] = 12,
    ACTIONS(1348), 1,
      sym_ident,
    ACTIONS(1350), 1,
      anon_sym_EQ,
    ACTIONS(1352), 1,
      anon_sym_LPAREN,
    ACTIONS(1354), 1,
      anon_sym_LT,
    ACTIONS(1356), 1,
      anon_sym_DOLLAR,
    ACTIONS(1358), 1,
      anon_sym_TILDE,
    ACTIONS(1360), 1,
      anon_sym_PERCENT,
    ACTIONS(1362), 1,
      anon_sym_SQUOTE,
    ACTIONS(1364), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(186), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(133), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [20016] = 12,
    ACTIONS(85), 1,
      anon_sym_EQ,
    ACTIONS(115), 1,
      anon_sym_LT,
    ACTIONS(117), 1,
      anon_sym_DOLLAR,
    ACTIONS(119), 1,
      anon_sym_TILDE,
    ACTIONS(121), 1,
      anon_sym_PERCENT,
    ACTIONS(123), 1,
      anon_sym_SQUOTE,
    ACTIONS(125), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1344), 1,
      sym_ident,
    ACTIONS(1346), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(305), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(283), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [20075] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(787), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [20134] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(733), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [20193] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1388), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(709), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [20252] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(183), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [20311] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1388), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(719), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [20370] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1388), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(714), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [20429] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1388), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(710), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [20488] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(794), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [20547] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(749), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [20606] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(766), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [20665] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(196), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [20724] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(769), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [20783] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1388), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(704), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [20842] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(197), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [20901] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(198), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [20960] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(194), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [21019] = 12,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(277), 1,
      anon_sym_LPAREN,
    ACTIONS(1166), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(767), 11,
      sym__term,
      sym_tuple_term,
      sym_mset_term,
      sym_nat_term,
      sym_xor_term,
      sym_mul_term,
      sym_exp_term,
      sym_nested_term,
      sym_nullary_fun,
      sym_binary_app,
      sym_nary_app,
    STATE(144), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [21078] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1392), 6,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_LBRACE,
    ACTIONS(1390), 25,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      sym_standard_goal_ranking,
      anon_sym_O,
      anon_sym_o,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [21118] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1396), 6,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_COMMA,
    ACTIONS(1394), 25,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_left,
      anon_sym_right,
      anon_sym_rule,
      anon_sym_variants,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [21158] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1400), 6,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_COMMA,
    ACTIONS(1398), 25,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_left,
      anon_sym_right,
      anon_sym_rule,
      anon_sym_variants,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [21198] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1404), 6,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_COMMA,
    ACTIONS(1402), 25,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_left,
      anon_sym_right,
      anon_sym_rule,
      anon_sym_variants,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [21238] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1408), 6,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_LBRACE,
    ACTIONS(1406), 25,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      sym_standard_goal_ranking,
      anon_sym_O,
      anon_sym_o,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [21278] = 5,
    ACTIONS(1414), 1,
      anon_sym_prio,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(457), 2,
      sym_prio,
      aux_sym_tactic_repeat1,
    ACTIONS(1412), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1410), 23,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_deprio,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [21322] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1419), 6,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_COMMA,
    ACTIONS(1417), 25,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_left,
      anon_sym_right,
      anon_sym_rule,
      anon_sym_variants,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [21362] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1423), 6,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_COMMA,
    ACTIONS(1421), 25,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_left,
      anon_sym_right,
      anon_sym_rule,
      anon_sym_variants,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [21402] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1427), 6,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_COMMA,
    ACTIONS(1425), 25,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_left,
      anon_sym_right,
      anon_sym_rule,
      anon_sym_variants,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [21442] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1005), 14,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_RBRACK_DASH_GT,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1003), 16,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [21481] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1009), 14,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_RBRACK_DASH_GT,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1007), 16,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [21520] = 5,
    ACTIONS(1214), 1,
      anon_sym_deprio,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(475), 2,
      sym_deprio,
      aux_sym_tactic_repeat2,
    ACTIONS(1210), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1208), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [21563] = 5,
    ACTIONS(1429), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(547), 3,
      sym__function_sym,
      sym_function_untyped,
      sym_function_typed,
    ACTIONS(1433), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1431), 21,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
  [21606] = 5,
    ACTIONS(1429), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(547), 3,
      sym__function_sym,
      sym_function_untyped,
      sym_function_typed,
    ACTIONS(1437), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1435), 21,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
  [21649] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1001), 14,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_RBRACK_DASH_GT,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(999), 16,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [21688] = 6,
    ACTIONS(1182), 1,
      anon_sym_PIPE,
    ACTIONS(1184), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1186), 1,
      anon_sym_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1441), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1439), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [21733] = 6,
    ACTIONS(1182), 1,
      anon_sym_PIPE,
    ACTIONS(1184), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1186), 1,
      anon_sym_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1445), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1443), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [21778] = 5,
    ACTIONS(1451), 1,
      anon_sym_variants,
    STATE(523), 1,
      sym_variants,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1449), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1447), 23,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_right,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [21821] = 6,
    ACTIONS(1182), 1,
      anon_sym_PIPE,
    ACTIONS(1184), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1186), 1,
      anon_sym_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1455), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1453), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [21866] = 5,
    ACTIONS(1214), 1,
      anon_sym_deprio,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(475), 2,
      sym_deprio,
      aux_sym_tactic_repeat2,
    ACTIONS(1459), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1457), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [21909] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(983), 14,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_RBRACK_DASH_GT,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(981), 16,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [21948] = 5,
    ACTIONS(1465), 1,
      anon_sym_COMMA,
    STATE(479), 1,
      aux_sym_variants_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1463), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1461), 23,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_right,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [21991] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(466), 14,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_RBRACK_DASH_GT,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(975), 16,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [22030] = 5,
    ACTIONS(1471), 1,
      anon_sym_deprio,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(475), 2,
      sym_deprio,
      aux_sym_tactic_repeat2,
    ACTIONS(1469), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1467), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [22073] = 6,
    ACTIONS(1182), 1,
      anon_sym_PIPE,
    ACTIONS(1184), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1186), 1,
      anon_sym_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1476), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1474), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [22118] = 5,
    ACTIONS(1214), 1,
      anon_sym_deprio,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(475), 2,
      sym_deprio,
      aux_sym_tactic_repeat2,
    ACTIONS(1300), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1298), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [22161] = 5,
    ACTIONS(1482), 1,
      anon_sym_COMMA,
    STATE(478), 1,
      aux_sym_variants_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1480), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1478), 23,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_right,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [22204] = 5,
    ACTIONS(1465), 1,
      anon_sym_COMMA,
    STATE(478), 1,
      aux_sym_variants_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1487), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1485), 23,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_right,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [22247] = 6,
    ACTIONS(1451), 1,
      anon_sym_variants,
    ACTIONS(1489), 1,
      anon_sym_left,
    STATE(523), 1,
      sym_variants,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1449), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1447), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [22292] = 5,
    ACTIONS(1495), 1,
      anon_sym_COMMA,
    STATE(481), 1,
      aux_sym_functions_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1493), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1491), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [22334] = 4,
    STATE(466), 1,
      sym_fact_annotes,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(466), 12,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(975), 16,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [22374] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1500), 8,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(1498), 21,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [22412] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1504), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1502), 24,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_next,
      anon_sym_qed,
      sym_ident,
  [22450] = 5,
    ACTIONS(1510), 1,
      anon_sym_COMMA,
    STATE(489), 1,
      aux_sym_built_ins_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1508), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1506), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [22492] = 5,
    ACTIONS(1516), 1,
      anon_sym_COMMA,
    STATE(495), 1,
      aux_sym_functions_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1514), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1512), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [22534] = 5,
    ACTIONS(1522), 1,
      anon_sym_COMMA,
    STATE(498), 1,
      aux_sym_equations_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1520), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1518), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [22576] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1526), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1524), 24,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_next,
      anon_sym_qed,
      sym_ident,
  [22614] = 5,
    ACTIONS(1528), 1,
      anon_sym_COMMA,
    STATE(507), 1,
      aux_sym_built_ins_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(755), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(753), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [22656] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1532), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1530), 24,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_next,
      anon_sym_qed,
      sym_ident,
  [22694] = 5,
    ACTIONS(1538), 1,
      anon_sym_COMMA,
    STATE(499), 1,
      aux_sym_predicates_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1536), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1534), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [22736] = 5,
    ACTIONS(1544), 1,
      anon_sym_COMMA,
    STATE(501), 1,
      aux_sym_options_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1542), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1540), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [22778] = 5,
    ACTIONS(1077), 1,
      anon_sym_COLON,
    ACTIONS(1546), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1174), 11,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1172), 16,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [22820] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1480), 6,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_COMMA,
    ACTIONS(1478), 23,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_right,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [22858] = 5,
    ACTIONS(1548), 1,
      anon_sym_COMMA,
    STATE(481), 1,
      aux_sym_functions_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1437), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1435), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [22900] = 5,
    ACTIONS(1554), 1,
      anon_sym_COMMA,
    STATE(510), 1,
      aux_sym_macros_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1552), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1550), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [22942] = 4,
    ACTIONS(293), 1,
      anon_sym_AMP,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1558), 7,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_PIPE,
    ACTIONS(1556), 21,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [22982] = 5,
    ACTIONS(1560), 1,
      anon_sym_COMMA,
    STATE(514), 1,
      aux_sym_equations_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(333), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(331), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [23024] = 5,
    ACTIONS(1538), 1,
      anon_sym_COMMA,
    STATE(513), 1,
      aux_sym_predicates_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1564), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1562), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [23066] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1568), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1566), 24,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      anon_sym_next,
      anon_sym_qed,
      sym_ident,
  [23104] = 5,
    ACTIONS(1570), 1,
      anon_sym_COMMA,
    STATE(512), 1,
      aux_sym_options_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1240), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1238), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [23146] = 5,
    ACTIONS(1576), 1,
      anon_sym_COMMA,
    STATE(504), 1,
      aux_sym_equations_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1574), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1572), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [23188] = 5,
    ACTIONS(1554), 1,
      anon_sym_COMMA,
    STATE(496), 1,
      aux_sym_macros_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1580), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1578), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [23230] = 5,
    ACTIONS(1582), 1,
      anon_sym_COMMA,
    STATE(514), 1,
      aux_sym_equations_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(337), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(335), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [23272] = 4,
    ACTIONS(1584), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1140), 12,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1138), 16,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [23312] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1588), 8,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(1586), 21,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [23350] = 5,
    ACTIONS(1594), 1,
      anon_sym_COMMA,
    STATE(507), 1,
      aux_sym_built_ins_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1592), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1590), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [23392] = 4,
    STATE(474), 1,
      sym_fact_annotes,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(453), 12,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(923), 16,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [23432] = 4,
    ACTIONS(1601), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1599), 6,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_COMMA,
    ACTIONS(1597), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [23472] = 5,
    ACTIONS(1607), 1,
      anon_sym_COMMA,
    STATE(510), 1,
      aux_sym_macros_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1605), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1603), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [23514] = 4,
    ACTIONS(1077), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1170), 12,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1168), 16,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [23554] = 5,
    ACTIONS(1614), 1,
      anon_sym_COMMA,
    STATE(512), 1,
      aux_sym_options_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1612), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1610), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [23596] = 5,
    ACTIONS(1621), 1,
      anon_sym_COMMA,
    STATE(513), 1,
      aux_sym_predicates_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1619), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1617), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [23638] = 5,
    ACTIONS(1628), 1,
      anon_sym_COMMA,
    STATE(514), 1,
      aux_sym_equations_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1626), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1624), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [23680] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1633), 8,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(1631), 21,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [23718] = 8,
    ACTIONS(49), 1,
      anon_sym_PIPE,
    ACTIONS(63), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(65), 1,
      anon_sym_PLUS,
    ACTIONS(1635), 1,
      anon_sym_SEMI,
    ACTIONS(1637), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1256), 9,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1254), 14,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [23765] = 6,
    ACTIONS(49), 1,
      anon_sym_PIPE,
    ACTIONS(63), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(65), 1,
      anon_sym_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1190), 10,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1188), 15,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [23808] = 6,
    ACTIONS(49), 1,
      anon_sym_PIPE,
    ACTIONS(63), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(65), 1,
      anon_sym_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1180), 10,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1178), 15,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [23851] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1641), 6,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_COMMA,
    ACTIONS(1639), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [23888] = 6,
    ACTIONS(49), 1,
      anon_sym_PIPE,
    ACTIONS(63), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(65), 1,
      anon_sym_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1268), 10,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1266), 15,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [23931] = 6,
    ACTIONS(49), 1,
      anon_sym_PIPE,
    ACTIONS(63), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(65), 1,
      anon_sym_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1280), 10,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1278), 15,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [23974] = 4,
    ACTIONS(1643), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1284), 11,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1282), 16,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [24013] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1647), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1645), 23,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_right,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [24050] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1651), 6,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_COMMA,
    ACTIONS(1649), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [24087] = 6,
    ACTIONS(49), 1,
      anon_sym_PIPE,
    ACTIONS(63), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(65), 1,
      anon_sym_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1284), 10,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1282), 15,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [24130] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1612), 6,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_COMMA,
    ACTIONS(1610), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [24167] = 4,
    ACTIONS(1653), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1294), 11,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1292), 16,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [24206] = 6,
    ACTIONS(49), 1,
      anon_sym_PIPE,
    ACTIONS(63), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(65), 1,
      anon_sym_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1294), 10,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1292), 15,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [24249] = 6,
    ACTIONS(49), 1,
      anon_sym_PIPE,
    ACTIONS(63), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(65), 1,
      anon_sym_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1218), 10,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1216), 15,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [24292] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1013), 12,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1011), 16,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [24329] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1657), 6,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_COMMA,
    ACTIONS(1655), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [24366] = 4,
    ACTIONS(1659), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1328), 11,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1326), 16,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [24405] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1619), 6,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_COMMA,
    ACTIONS(1617), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [24442] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1170), 12,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1168), 16,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [24479] = 4,
    ACTIONS(1661), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1310), 11,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1308), 16,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [24518] = 6,
    ACTIONS(49), 1,
      anon_sym_PIPE,
    ACTIONS(63), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(65), 1,
      anon_sym_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1272), 10,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1270), 15,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [24561] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1626), 6,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_COMMA,
    ACTIONS(1624), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [24598] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(997), 12,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(995), 16,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [24635] = 6,
    ACTIONS(49), 1,
      anon_sym_PIPE,
    ACTIONS(63), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(65), 1,
      anon_sym_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1206), 10,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1204), 15,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [24678] = 6,
    ACTIONS(49), 1,
      anon_sym_PIPE,
    ACTIONS(63), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(65), 1,
      anon_sym_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1202), 10,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1200), 15,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [24721] = 6,
    ACTIONS(49), 1,
      anon_sym_PIPE,
    ACTIONS(63), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(65), 1,
      anon_sym_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1198), 10,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1196), 15,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [24764] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1252), 12,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1250), 16,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [24801] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1290), 12,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1288), 16,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [24838] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1665), 6,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_COMMA,
    ACTIONS(1663), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [24875] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1605), 6,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_COMMA,
    ACTIONS(1603), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [24912] = 7,
    ACTIONS(49), 1,
      anon_sym_PIPE,
    ACTIONS(63), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(65), 1,
      anon_sym_PLUS,
    ACTIONS(1667), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1304), 10,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1302), 14,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [24957] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1493), 6,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_COMMA,
    ACTIONS(1491), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [24994] = 7,
    ACTIONS(49), 1,
      anon_sym_PIPE,
    ACTIONS(63), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(65), 1,
      anon_sym_PLUS,
    ACTIONS(1669), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1246), 9,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1244), 15,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [25039] = 7,
    ACTIONS(49), 1,
      anon_sym_PIPE,
    ACTIONS(63), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(65), 1,
      anon_sym_PLUS,
    ACTIONS(1671), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1316), 10,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1314), 14,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [25084] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1675), 6,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_COMMA,
    ACTIONS(1673), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [25121] = 4,
    ACTIONS(1677), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1334), 11,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1332), 16,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [25160] = 4,
    ACTIONS(1679), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1322), 11,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1320), 16,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [25199] = 6,
    ACTIONS(49), 1,
      anon_sym_PIPE,
    ACTIONS(63), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(65), 1,
      anon_sym_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1194), 10,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1192), 15,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [25242] = 6,
    ACTIONS(49), 1,
      anon_sym_PIPE,
    ACTIONS(63), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(65), 1,
      anon_sym_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1232), 10,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1230), 15,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [25285] = 6,
    ACTIONS(49), 1,
      anon_sym_PIPE,
    ACTIONS(63), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(65), 1,
      anon_sym_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1264), 10,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1262), 15,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [25328] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1236), 12,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1234), 16,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [25365] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1228), 12,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1226), 16,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [25402] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1683), 6,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_COMMA,
    ACTIONS(1681), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [25439] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1687), 6,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_COMMA,
    ACTIONS(1685), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [25476] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1592), 6,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
      anon_sym_COMMA,
    ACTIONS(1590), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [25513] = 4,
    ACTIONS(1689), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1222), 11,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1220), 16,
      anon_sym_PIPE,
      anon_sym_new,
      anon_sym_out,
      anon_sym_in,
      anon_sym_if,
      anon_sym_else,
      anon_sym_let,
      sym_null,
      anon_sym_event,
      anon_sym_insert,
      anon_sym_delete,
      anon_sym_lookup,
      anon_sym_lock,
      anon_sym_unlock,
      anon_sym_TILDE,
      sym_ident,
  [25552] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1693), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1691), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [25588] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1697), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1695), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [25624] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1701), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1699), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [25660] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1705), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1703), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [25696] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1709), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1707), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [25732] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1713), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1711), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [25768] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1717), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1715), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [25804] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1721), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1719), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [25840] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1725), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1723), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [25876] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1729), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1727), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [25912] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1733), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1731), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [25948] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1737), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1735), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [25984] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1741), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1739), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [26020] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1729), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1727), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [26056] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1745), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1743), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [26092] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1749), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1747), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [26128] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1753), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1751), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [26164] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1757), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1755), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [26200] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1761), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1759), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [26236] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1765), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1763), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [26272] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1769), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1767), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [26308] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1773), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1771), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [26344] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1777), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1775), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [26380] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1781), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1779), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [26416] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1785), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1783), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [26452] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1789), 5,
      anon_sym_POUNDifdef,
      anon_sym_POUNDelse,
      anon_sym_POUNDendif,
      anon_sym_POUNDdefine,
      anon_sym_POUNDinclude,
    ACTIONS(1787), 22,
      anon_sym_end,
      anon_sym_builtins,
      anon_sym_functions,
      anon_sym_equations,
      anon_sym_predicate,
      anon_sym_predicates,
      anon_sym_options,
      anon_sym_heuristic,
      anon_sym_tactic,
      anon_sym_process,
      anon_sym_let,
      anon_sym_export,
      anon_sym_rule,
      anon_sym_macros,
      anon_sym_restriction,
      anon_sym_axiom,
      anon_sym_test,
      anon_sym_lemma,
      anon_sym_diffLemma,
      anon_sym_equivLemma,
      anon_sym_diffEquivLemma,
      sym_ident,
  [26488] = 9,
    ACTIONS(421), 1,
      anon_sym_PIPE,
    ACTIONS(431), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LT,
    ACTIONS(435), 1,
      anon_sym_DOT,
    ACTIONS(1791), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(427), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(423), 9,
      anon_sym_COLON,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
    ACTIONS(425), 11,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_LT_EQ_GT,
      anon_sym_then,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
  [26536] = 8,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(457), 1,
      anon_sym_PIPE,
    ACTIONS(466), 1,
      anon_sym_AT,
    STATE(248), 1,
      sym_fact_annotes,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(461), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(471), 8,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
    ACTIONS(459), 11,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_LT_EQ_GT,
      anon_sym_then,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
  [26580] = 8,
    ACTIONS(433), 1,
      anon_sym_LT,
    ACTIONS(1793), 1,
      anon_sym_LPAREN,
    ACTIONS(1795), 1,
      anon_sym_LBRACE,
    ACTIONS(1797), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(427), 3,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_EQ2,
    ACTIONS(425), 8,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ_GT,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(423), 10,
      anon_sym_COLON,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
  [26624] = 9,
    ACTIONS(421), 1,
      anon_sym_EQ2,
    ACTIONS(431), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LT,
    ACTIONS(435), 1,
      anon_sym_DOT,
    ACTIONS(1799), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(427), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(425), 8,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ_GT,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(423), 9,
      anon_sym_COLON,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
  [26669] = 8,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(466), 1,
      anon_sym_AT,
    ACTIONS(468), 1,
      anon_sym_EQ2,
    STATE(248), 1,
      sym_fact_annotes,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(461), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(459), 9,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ_GT,
      anon_sym_then,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(471), 9,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
  [26712] = 8,
    ACTIONS(429), 1,
      anon_sym_LPAREN,
    ACTIONS(431), 1,
      anon_sym_LBRACE,
    ACTIONS(433), 1,
      anon_sym_LT,
    ACTIONS(1801), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(427), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(425), 8,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ_GT,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(423), 10,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
  [26755] = 8,
    ACTIONS(445), 1,
      anon_sym_EQ2,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(453), 1,
      anon_sym_AT,
    STATE(251), 1,
      sym_fact_annotes,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(449), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(447), 9,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ_GT,
      anon_sym_then,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(455), 9,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
  [26798] = 11,
    ACTIONS(1805), 1,
      anon_sym_by,
    ACTIONS(1807), 1,
      anon_sym_case,
    ACTIONS(1809), 1,
      anon_sym_solve,
    ACTIONS(1811), 1,
      anon_sym_step,
    STATE(933), 1,
      sym_case,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1803), 2,
      sym_solved,
      sym_mirrored,
    STATE(201), 2,
      sym_step,
      aux_sym__proof_methods_repeat1,
    STATE(596), 2,
      sym__proof_methods,
      sym_proof_method,
    STATE(1014), 4,
      sym__proof_skeleton,
      sym_by_method,
      sym_method_skeleton,
      sym_cases,
    ACTIONS(627), 7,
      anon_sym_sorry,
      anon_sym_simplify,
      anon_sym_contradiction,
      anon_sym_induction,
      anon_sym_rule_DASHequivalence,
      anon_sym_backward_DASHsearch,
      anon_sym_ATTACK,
  [26845] = 11,
    ACTIONS(1805), 1,
      anon_sym_by,
    ACTIONS(1807), 1,
      anon_sym_case,
    ACTIONS(1809), 1,
      anon_sym_solve,
    ACTIONS(1811), 1,
      anon_sym_step,
    STATE(933), 1,
      sym_case,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1813), 2,
      sym_solved,
      sym_mirrored,
    STATE(201), 2,
      sym_step,
      aux_sym__proof_methods_repeat1,
    STATE(596), 2,
      sym__proof_methods,
      sym_proof_method,
    STATE(490), 4,
      sym__proof_skeleton,
      sym_by_method,
      sym_method_skeleton,
      sym_cases,
    ACTIONS(627), 7,
      anon_sym_sorry,
      anon_sym_simplify,
      anon_sym_contradiction,
      anon_sym_induction,
      anon_sym_rule_DASHequivalence,
      anon_sym_backward_DASHsearch,
      anon_sym_ATTACK,
  [26892] = 8,
    ACTIONS(451), 1,
      anon_sym_LBRACK,
    ACTIONS(457), 1,
      anon_sym_EQ2,
    ACTIONS(466), 1,
      anon_sym_AT,
    STATE(248), 1,
      sym_fact_annotes,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(461), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(459), 8,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ_GT,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
    ACTIONS(471), 8,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
  [26933] = 11,
    ACTIONS(85), 1,
      anon_sym_EQ,
    ACTIONS(115), 1,
      anon_sym_LT,
    ACTIONS(117), 1,
      anon_sym_DOLLAR,
    ACTIONS(119), 1,
      anon_sym_TILDE,
    ACTIONS(121), 1,
      anon_sym_PERCENT,
    ACTIONS(123), 1,
      anon_sym_SQUOTE,
    ACTIONS(125), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1815), 1,
      sym_ident,
    STATE(534), 1,
      sym_tuple_term,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(511), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [26979] = 11,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1817), 1,
      sym_ident,
    STATE(323), 1,
      sym_tuple_term,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(321), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [27025] = 7,
    ACTIONS(1819), 1,
      anon_sym_COLON,
    ACTIONS(1822), 1,
      anon_sym_LPAREN,
    ACTIONS(1825), 1,
      anon_sym_LBRACE,
    ACTIONS(1827), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(427), 6,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(423), 10,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [27062] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(541), 5,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(543), 14,
      anon_sym_COLON,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_POUND,
      anon_sym_u228f,
  [27090] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(585), 5,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(587), 14,
      anon_sym_COLON,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_POUND,
      anon_sym_u228f,
  [27118] = 5,
    ACTIONS(1819), 1,
      anon_sym_COLON,
    ACTIONS(1827), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(427), 6,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(423), 11,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [27150] = 4,
    ACTIONS(1829), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(482), 6,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(484), 12,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [27180] = 4,
    ACTIONS(1831), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(497), 6,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(499), 12,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [27210] = 5,
    ACTIONS(1833), 1,
      anon_sym_COLON,
    ACTIONS(1836), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(488), 6,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(493), 11,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [27242] = 9,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1817), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(322), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [27282] = 9,
    ACTIONS(85), 1,
      anon_sym_EQ,
    ACTIONS(117), 1,
      anon_sym_DOLLAR,
    ACTIONS(119), 1,
      anon_sym_TILDE,
    ACTIONS(121), 1,
      anon_sym_PERCENT,
    ACTIONS(123), 1,
      anon_sym_SQUOTE,
    ACTIONS(125), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1815), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(282), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [27322] = 9,
    ACTIONS(85), 1,
      anon_sym_EQ,
    ACTIONS(117), 1,
      anon_sym_DOLLAR,
    ACTIONS(119), 1,
      anon_sym_TILDE,
    ACTIONS(121), 1,
      anon_sym_PERCENT,
    ACTIONS(123), 1,
      anon_sym_SQUOTE,
    ACTIONS(125), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1815), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(493), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [27362] = 9,
    ACTIONS(9), 1,
      anon_sym_EQ,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(23), 1,
      anon_sym_TILDE,
    ACTIONS(27), 1,
      anon_sym_PERCENT,
    ACTIONS(29), 1,
      anon_sym_SQUOTE,
    ACTIONS(31), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1817), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(131), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [27402] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(597), 5,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(599), 14,
      anon_sym_COLON,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_POUND,
      anon_sym_u228f,
  [27430] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(537), 5,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(539), 14,
      anon_sym_COLON,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_POUND,
      anon_sym_u228f,
  [27458] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(533), 5,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(535), 14,
      anon_sym_COLON,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_POUND,
      anon_sym_u228f,
  [27486] = 9,
    ACTIONS(147), 1,
      anon_sym_EQ,
    ACTIONS(155), 1,
      anon_sym_DOLLAR,
    ACTIONS(157), 1,
      anon_sym_TILDE,
    ACTIONS(159), 1,
      anon_sym_PERCENT,
    ACTIONS(161), 1,
      anon_sym_SQUOTE,
    ACTIONS(163), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1838), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(677), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [27526] = 9,
    ACTIONS(1350), 1,
      anon_sym_EQ,
    ACTIONS(1356), 1,
      anon_sym_DOLLAR,
    ACTIONS(1358), 1,
      anon_sym_TILDE,
    ACTIONS(1360), 1,
      anon_sym_PERCENT,
    ACTIONS(1362), 1,
      anon_sym_SQUOTE,
    ACTIONS(1364), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1840), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(134), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [27566] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(529), 5,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(531), 14,
      anon_sym_COLON,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_POUND,
      anon_sym_u228f,
  [27594] = 9,
    ACTIONS(1372), 1,
      anon_sym_EQ,
    ACTIONS(1378), 1,
      anon_sym_DOLLAR,
    ACTIONS(1380), 1,
      anon_sym_TILDE,
    ACTIONS(1382), 1,
      anon_sym_PERCENT,
    ACTIONS(1384), 1,
      anon_sym_SQUOTE,
    ACTIONS(1386), 1,
      anon_sym_TILDE_SQUOTE,
    ACTIONS(1842), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(630), 12,
      sym__literal,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
      sym_comp_var,
      sym__custom_type_var,
      sym_custom_var,
      sym_any_var,
      sym_pub_name,
      sym_fresh_name,
  [27634] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(521), 5,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(523), 14,
      anon_sym_COLON,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_POUND,
      anon_sym_u228f,
  [27662] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(578), 5,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(583), 14,
      anon_sym_COLON,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_POUND,
      anon_sym_u228f,
  [27690] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(559), 5,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(561), 14,
      anon_sym_COLON,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_POUND,
      anon_sym_u228f,
  [27718] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(563), 5,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(565), 14,
      anon_sym_COLON,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_POUND,
      anon_sym_u228f,
  [27746] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(567), 5,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(569), 14,
      anon_sym_COLON,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_POUND,
      anon_sym_u228f,
  [27774] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(574), 5,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(576), 14,
      anon_sym_COLON,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_POUND,
      anon_sym_u228f,
  [27802] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(578), 6,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(583), 12,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [27829] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(601), 6,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(603), 12,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [27856] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(533), 6,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(535), 12,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [27883] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(537), 6,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(539), 12,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [27910] = 4,
    ACTIONS(1844), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(567), 6,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(569), 11,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [27939] = 4,
    ACTIONS(1847), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(578), 6,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(583), 11,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [27968] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(545), 6,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(547), 12,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [27995] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(541), 6,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(543), 12,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [28022] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(529), 6,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(531), 12,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [28049] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(597), 6,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(599), 12,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [28076] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(521), 6,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(523), 12,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [28103] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(585), 6,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(587), 12,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [28130] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(605), 6,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(607), 12,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [28157] = 4,
    ACTIONS(1850), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(553), 6,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(557), 11,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [28186] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(574), 6,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(576), 12,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [28213] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(567), 6,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(569), 12,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [28240] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(525), 6,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(527), 12,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [28267] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(549), 6,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(551), 12,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [28294] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(559), 6,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(561), 12,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [28321] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(563), 6,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(565), 12,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [28348] = 3,
    STATE(560), 1,
      sym_built_in,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(757), 16,
      anon_sym_diffie_DASHhellman,
      anon_sym_hashing,
      anon_sym_symmetric_DASHencryption,
      anon_sym_asymmetric_DASHencryption,
      anon_sym_signing,
      anon_sym_bilinear_DASHpairing,
      anon_sym_xor,
      anon_sym_multiset,
      anon_sym_natural_DASHnumbers,
      anon_sym_revealing_DASHsigning,
      anon_sym_locations_DASHreport,
      anon_sym_reliable_DASHchannel,
      anon_sym_dest_DASHpairing,
      anon_sym_dest_DASHsigning,
      anon_sym_dest_DASHsymmetric_DASHencryption,
      anon_sym_dest_DASHasymmetric_DASHencryption,
  [28374] = 10,
    ACTIONS(689), 1,
      anon_sym_PLUS,
    ACTIONS(691), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(693), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(699), 1,
      anon_sym_STAR,
    ACTIONS(701), 1,
      anon_sym_CARET,
    ACTIONS(703), 1,
      anon_sym_EQ2,
    ACTIONS(1852), 1,
      anon_sym_then,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(697), 2,
      anon_sym_XOR,
      anon_sym_u2295,
    ACTIONS(705), 8,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ_GT,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
  [28414] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(669), 6,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(671), 11,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [28440] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(713), 6,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(715), 11,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [28466] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(661), 6,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(663), 11,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [28492] = 10,
    ACTIONS(1854), 1,
      anon_sym_PLUS,
    ACTIONS(1856), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1858), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(1860), 1,
      anon_sym_XOR,
    ACTIONS(1862), 1,
      anon_sym_u2295,
    ACTIONS(1864), 1,
      anon_sym_STAR,
    ACTIONS(1866), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(685), 4,
      anon_sym_in,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(687), 6,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [28532] = 4,
    ACTIONS(1866), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(723), 6,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(725), 10,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [28560] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(609), 6,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(611), 11,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [28586] = 3,
    STATE(485), 1,
      sym_built_in,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(757), 16,
      anon_sym_diffie_DASHhellman,
      anon_sym_hashing,
      anon_sym_symmetric_DASHencryption,
      anon_sym_asymmetric_DASHencryption,
      anon_sym_signing,
      anon_sym_bilinear_DASHpairing,
      anon_sym_xor,
      anon_sym_multiset,
      anon_sym_natural_DASHnumbers,
      anon_sym_revealing_DASHsigning,
      anon_sym_locations_DASHreport,
      anon_sym_reliable_DASHchannel,
      anon_sym_dest_DASHpairing,
      anon_sym_dest_DASHsigning,
      anon_sym_dest_DASHsymmetric_DASHencryption,
      anon_sym_dest_DASHasymmetric_DASHencryption,
  [28612] = 6,
    ACTIONS(1858), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(1864), 1,
      anon_sym_STAR,
    ACTIONS(1866), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(739), 6,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(741), 8,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_u2295,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [28644] = 5,
    ACTIONS(1864), 1,
      anon_sym_STAR,
    ACTIONS(1866), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(735), 6,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(737), 9,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [28674] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(665), 6,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(667), 11,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [28700] = 8,
    ACTIONS(1854), 1,
      anon_sym_PLUS,
    ACTIONS(1856), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1858), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(1864), 1,
      anon_sym_STAR,
    ACTIONS(1866), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(731), 5,
      anon_sym_in,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(733), 7,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_u2295,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [28736] = 4,
    ACTIONS(1866), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(727), 6,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_XOR,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      sym_ident,
    ACTIONS(729), 10,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      anon_sym_TILDE_SQUOTE,
  [28764] = 7,
    ACTIONS(1795), 1,
      anon_sym_LBRACE,
    ACTIONS(1868), 1,
      anon_sym_COLON,
    ACTIONS(1871), 1,
      anon_sym_LPAREN,
    ACTIONS(1873), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(427), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(423), 10,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
  [28797] = 7,
    ACTIONS(1875), 1,
      anon_sym_not,
    ACTIONS(1877), 1,
      anon_sym_LBRACE,
    STATE(204), 1,
      aux_sym_prio_repeat1,
    STATE(228), 1,
      sym_function_name,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(238), 5,
      sym__function,
      sym_or_function,
      sym_and_function,
      sym_not_function,
      sym_std_function,
    ACTIONS(1879), 7,
      anon_sym_regex,
      anon_sym_isFactName,
      anon_sym_isInFactTerms,
      anon_sym_dhreNoise,
      anon_sym_defaultNoise,
      anon_sym_reasonableNoncesNoise,
      anon_sym_nonAbsurdGoal,
  [28830] = 7,
    ACTIONS(1875), 1,
      anon_sym_not,
    ACTIONS(1881), 1,
      anon_sym_LBRACE,
    STATE(212), 1,
      aux_sym_prio_repeat1,
    STATE(228), 1,
      sym_function_name,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(238), 5,
      sym__function,
      sym_or_function,
      sym_and_function,
      sym_not_function,
      sym_std_function,
    ACTIONS(1879), 7,
      anon_sym_regex,
      anon_sym_isFactName,
      anon_sym_isInFactTerms,
      anon_sym_dhreNoise,
      anon_sym_defaultNoise,
      anon_sym_reasonableNoncesNoise,
      anon_sym_nonAbsurdGoal,
  [28863] = 7,
    ACTIONS(427), 1,
      anon_sym_PLUS,
    ACTIONS(431), 1,
      anon_sym_LBRACE,
    ACTIONS(503), 1,
      anon_sym_COLON,
    ACTIONS(510), 1,
      anon_sym_DOT,
    ACTIONS(1883), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(423), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
  [28896] = 6,
    ACTIONS(1875), 1,
      anon_sym_not,
    STATE(203), 1,
      aux_sym_prio_repeat1,
    STATE(228), 1,
      sym_function_name,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(238), 5,
      sym__function,
      sym_or_function,
      sym_and_function,
      sym_not_function,
      sym_std_function,
    ACTIONS(1879), 7,
      anon_sym_regex,
      anon_sym_isFactName,
      anon_sym_isInFactTerms,
      anon_sym_dhreNoise,
      anon_sym_defaultNoise,
      anon_sym_reasonableNoncesNoise,
      anon_sym_nonAbsurdGoal,
  [28926] = 6,
    ACTIONS(1875), 1,
      anon_sym_not,
    STATE(209), 1,
      aux_sym_prio_repeat1,
    STATE(228), 1,
      sym_function_name,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(238), 5,
      sym__function,
      sym_or_function,
      sym_and_function,
      sym_not_function,
      sym_std_function,
    ACTIONS(1879), 7,
      anon_sym_regex,
      anon_sym_isFactName,
      anon_sym_isInFactTerms,
      anon_sym_dhreNoise,
      anon_sym_defaultNoise,
      anon_sym_reasonableNoncesNoise,
      anon_sym_nonAbsurdGoal,
  [28956] = 5,
    ACTIONS(1868), 1,
      anon_sym_COLON,
    ACTIONS(1873), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(427), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(423), 10,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
  [28983] = 5,
    ACTIONS(1875), 1,
      anon_sym_not,
    STATE(228), 1,
      sym_function_name,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(231), 5,
      sym__function,
      sym_or_function,
      sym_and_function,
      sym_not_function,
      sym_std_function,
    ACTIONS(1879), 7,
      anon_sym_regex,
      anon_sym_isFactName,
      anon_sym_isInFactTerms,
      anon_sym_dhreNoise,
      anon_sym_defaultNoise,
      anon_sym_reasonableNoncesNoise,
      anon_sym_nonAbsurdGoal,
  [29010] = 4,
    ACTIONS(804), 1,
      anon_sym_LT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(567), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(569), 11,
      anon_sym_COLON,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
  [29035] = 8,
    ACTIONS(1885), 1,
      sym_ident,
    ACTIONS(1887), 1,
      anon_sym_DOLLAR,
    ACTIONS(1889), 1,
      anon_sym_DOT,
    ACTIONS(1891), 1,
      anon_sym_TILDE,
    ACTIONS(1893), 1,
      anon_sym_POUND,
    ACTIONS(1895), 1,
      anon_sym_PERCENT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(672), 8,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_temporal_var,
      sym_nat_var,
      sym__lvar,
      aux_sym_quantified_formula_repeat1,
  [29068] = 4,
    ACTIONS(567), 1,
      anon_sym_PLUS,
    ACTIONS(804), 1,
      anon_sym_LT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(569), 12,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
  [29093] = 5,
    ACTIONS(1875), 1,
      anon_sym_not,
    STATE(228), 1,
      sym_function_name,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(239), 5,
      sym__function,
      sym_or_function,
      sym_and_function,
      sym_not_function,
      sym_std_function,
    ACTIONS(1879), 7,
      anon_sym_regex,
      anon_sym_isFactName,
      anon_sym_isInFactTerms,
      anon_sym_dhreNoise,
      anon_sym_defaultNoise,
      anon_sym_reasonableNoncesNoise,
      anon_sym_nonAbsurdGoal,
  [29120] = 5,
    ACTIONS(1875), 1,
      anon_sym_not,
    STATE(228), 1,
      sym_function_name,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(232), 5,
      sym__function,
      sym_or_function,
      sym_and_function,
      sym_not_function,
      sym_std_function,
    ACTIONS(1879), 7,
      anon_sym_regex,
      anon_sym_isFactName,
      anon_sym_isInFactTerms,
      anon_sym_dhreNoise,
      anon_sym_defaultNoise,
      anon_sym_reasonableNoncesNoise,
      anon_sym_nonAbsurdGoal,
  [29147] = 5,
    ACTIONS(1897), 1,
      anon_sym_COLON,
    ACTIONS(1900), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(488), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(493), 10,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
  [29174] = 8,
    ACTIONS(1902), 1,
      sym_ident,
    ACTIONS(1905), 1,
      anon_sym_DOLLAR,
    ACTIONS(1908), 1,
      anon_sym_DOT,
    ACTIONS(1910), 1,
      anon_sym_TILDE,
    ACTIONS(1913), 1,
      anon_sym_POUND,
    ACTIONS(1916), 1,
      anon_sym_PERCENT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(672), 8,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_temporal_var,
      sym_nat_var,
      sym__lvar,
      aux_sym_quantified_formula_repeat1,
  [29207] = 8,
    ACTIONS(1885), 1,
      sym_ident,
    ACTIONS(1887), 1,
      anon_sym_DOLLAR,
    ACTIONS(1891), 1,
      anon_sym_TILDE,
    ACTIONS(1893), 1,
      anon_sym_POUND,
    ACTIONS(1895), 1,
      anon_sym_PERCENT,
    ACTIONS(1919), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(672), 8,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_temporal_var,
      sym_nat_var,
      sym__lvar,
      aux_sym_quantified_formula_repeat1,
  [29240] = 4,
    ACTIONS(1921), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(482), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(484), 11,
      anon_sym_COLON,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
  [29265] = 8,
    ACTIONS(1885), 1,
      sym_ident,
    ACTIONS(1887), 1,
      anon_sym_DOLLAR,
    ACTIONS(1891), 1,
      anon_sym_TILDE,
    ACTIONS(1893), 1,
      anon_sym_POUND,
    ACTIONS(1895), 1,
      anon_sym_PERCENT,
    ACTIONS(1923), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(672), 8,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_temporal_var,
      sym_nat_var,
      sym__lvar,
      aux_sym_quantified_formula_repeat1,
  [29298] = 4,
    ACTIONS(1925), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(497), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(499), 11,
      anon_sym_COLON,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
  [29323] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(545), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(547), 11,
      anon_sym_COLON,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
  [29345] = 7,
    ACTIONS(1885), 1,
      sym_ident,
    ACTIONS(1887), 1,
      anon_sym_DOLLAR,
    ACTIONS(1891), 1,
      anon_sym_TILDE,
    ACTIONS(1893), 1,
      anon_sym_POUND,
    ACTIONS(1895), 1,
      anon_sym_PERCENT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(675), 8,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_temporal_var,
      sym_nat_var,
      sym__lvar,
      aux_sym_quantified_formula_repeat1,
  [29375] = 4,
    ACTIONS(1927), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(578), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(583), 10,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
  [29399] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(601), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(603), 11,
      anon_sym_COLON,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
  [29421] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(605), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(607), 11,
      anon_sym_COLON,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
  [29443] = 4,
    STATE(687), 1,
      aux_sym_natural_subscript_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1930), 2,
      anon_sym_POUND,
      sym_ident,
    ACTIONS(1932), 10,
      anon_sym_u2080,
      anon_sym_u2081,
      anon_sym_u2082,
      anon_sym_u2083,
      anon_sym_u2084,
      anon_sym_u2085,
      anon_sym_u2086,
      anon_sym_u2087,
      anon_sym_u2088,
      anon_sym_u2089,
  [29467] = 7,
    ACTIONS(427), 1,
      anon_sym_PLUS,
    ACTIONS(506), 1,
      anon_sym_LPAREN,
    ACTIONS(508), 1,
      anon_sym_LBRACE,
    ACTIONS(1934), 1,
      anon_sym_COLON,
    ACTIONS(1937), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(423), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
  [29497] = 4,
    ACTIONS(1939), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(567), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(569), 10,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
  [29521] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(549), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(551), 11,
      anon_sym_COLON,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
  [29543] = 7,
    ACTIONS(1885), 1,
      sym_ident,
    ACTIONS(1887), 1,
      anon_sym_DOLLAR,
    ACTIONS(1891), 1,
      anon_sym_TILDE,
    ACTIONS(1893), 1,
      anon_sym_POUND,
    ACTIONS(1895), 1,
      anon_sym_PERCENT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(667), 8,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_temporal_var,
      sym_nat_var,
      sym__lvar,
      aux_sym_quantified_formula_repeat1,
  [29573] = 4,
    STATE(687), 1,
      aux_sym_natural_subscript_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1942), 2,
      anon_sym_POUND,
      sym_ident,
    ACTIONS(1944), 10,
      anon_sym_u2080,
      anon_sym_u2081,
      anon_sym_u2082,
      anon_sym_u2083,
      anon_sym_u2084,
      anon_sym_u2085,
      anon_sym_u2086,
      anon_sym_u2087,
      anon_sym_u2088,
      anon_sym_u2089,
  [29597] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(525), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(527), 11,
      anon_sym_COLON,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
  [29619] = 4,
    ACTIONS(1947), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(553), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(557), 10,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
  [29643] = 6,
    ACTIONS(1809), 1,
      anon_sym_solve,
    ACTIONS(1811), 1,
      anon_sym_step,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(201), 2,
      sym_step,
      aux_sym__proof_methods_repeat1,
    STATE(484), 2,
      sym__proof_methods,
      sym_proof_method,
    ACTIONS(627), 7,
      anon_sym_sorry,
      anon_sym_simplify,
      anon_sym_contradiction,
      anon_sym_induction,
      anon_sym_rule_DASHequivalence,
      anon_sym_backward_DASHsearch,
      anon_sym_ATTACK,
  [29671] = 4,
    ACTIONS(567), 1,
      anon_sym_PLUS,
    ACTIONS(804), 1,
      anon_sym_LT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(569), 11,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
  [29695] = 7,
    ACTIONS(1885), 1,
      sym_ident,
    ACTIONS(1887), 1,
      anon_sym_DOLLAR,
    ACTIONS(1891), 1,
      anon_sym_TILDE,
    ACTIONS(1893), 1,
      anon_sym_POUND,
    ACTIONS(1895), 1,
      anon_sym_PERCENT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(673), 8,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_temporal_var,
      sym_nat_var,
      sym__lvar,
      aux_sym_quantified_formula_repeat1,
  [29725] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(609), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(611), 10,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
  [29746] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(661), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(663), 10,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
  [29767] = 7,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(1019), 1,
      anon_sym_POUND,
    ACTIONS(1949), 1,
      sym_ident,
    ACTIONS(1951), 1,
      anon_sym_TILDE,
    ACTIONS(1953), 1,
      anon_sym_PERCENT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(1158), 7,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_temporal_var,
      sym_nat_var,
      sym__lvar,
  [29796] = 5,
    ACTIONS(818), 1,
      anon_sym_PIPE,
    ACTIONS(1955), 1,
      anon_sym_RPAREN,
    ACTIONS(1957), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(820), 9,
      anon_sym_AMP,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
  [29821] = 5,
    ACTIONS(433), 1,
      anon_sym_PIPE,
    ACTIONS(1959), 1,
      anon_sym_COLON,
    ACTIONS(1961), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(796), 9,
      anon_sym_AMP,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
  [29846] = 3,
    ACTIONS(449), 1,
      anon_sym_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(455), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
  [29867] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(713), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(715), 10,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
  [29888] = 4,
    ACTIONS(1963), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(723), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(725), 9,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_u228f,
  [29911] = 4,
    ACTIONS(1963), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(727), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(729), 9,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_u228f,
  [29934] = 8,
    ACTIONS(731), 1,
      anon_sym_EQ,
    ACTIONS(1963), 1,
      anon_sym_CARET,
    ACTIONS(1965), 1,
      anon_sym_PLUS,
    ACTIONS(1967), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1969), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(1971), 1,
      anon_sym_STAR,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(733), 6,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_u228f,
  [29965] = 5,
    ACTIONS(1963), 1,
      anon_sym_CARET,
    ACTIONS(1971), 1,
      anon_sym_STAR,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(735), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(737), 8,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_u228f,
  [29990] = 4,
    ACTIONS(723), 1,
      anon_sym_PLUS,
    ACTIONS(1973), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(725), 10,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_u228f,
  [30013] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(669), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(671), 10,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
  [30034] = 6,
    ACTIONS(1963), 1,
      anon_sym_CARET,
    ACTIONS(1969), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(1971), 1,
      anon_sym_STAR,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(739), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(741), 7,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_u228f,
  [30061] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(461), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(471), 10,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
  [30082] = 5,
    ACTIONS(1975), 1,
      anon_sym_PIPE,
    ACTIONS(1979), 1,
      anon_sym_u2228,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1977), 2,
      anon_sym_AMP,
      anon_sym_u2227,
    ACTIONS(961), 8,
      anon_sym_RPAREN,
      anon_sym_LT_EQ_GT,
      anon_sym_then,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
  [30107] = 6,
    ACTIONS(739), 1,
      anon_sym_PLUS,
    ACTIONS(1973), 1,
      anon_sym_CARET,
    ACTIONS(1981), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(1983), 1,
      anon_sym_STAR,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(741), 8,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_u228f,
  [30134] = 4,
    ACTIONS(727), 1,
      anon_sym_PLUS,
    ACTIONS(1973), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(729), 10,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_u228f,
  [30157] = 6,
    ACTIONS(1975), 1,
      anon_sym_PIPE,
    ACTIONS(1979), 1,
      anon_sym_u2228,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1977), 2,
      anon_sym_AMP,
      anon_sym_u2227,
    ACTIONS(1985), 2,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
    ACTIONS(971), 6,
      anon_sym_RPAREN,
      anon_sym_LT_EQ_GT,
      anon_sym_then,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_u21d4,
  [30184] = 4,
    STATE(682), 1,
      aux_sym_natural_subscript_repeat1,
    STATE(887), 1,
      sym_natural_subscript,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1987), 10,
      anon_sym_u2080,
      anon_sym_u2081,
      anon_sym_u2082,
      anon_sym_u2083,
      anon_sym_u2084,
      anon_sym_u2085,
      anon_sym_u2086,
      anon_sym_u2087,
      anon_sym_u2088,
      anon_sym_u2089,
  [30207] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(449), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(455), 10,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
  [30228] = 7,
    ACTIONS(1973), 1,
      anon_sym_CARET,
    ACTIONS(1981), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(1983), 1,
      anon_sym_STAR,
    ACTIONS(1989), 1,
      anon_sym_PLUS,
    ACTIONS(1991), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(733), 7,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_LT_LT,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_u228f,
  [30257] = 7,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(1019), 1,
      anon_sym_POUND,
    ACTIONS(1949), 1,
      sym_ident,
    ACTIONS(1951), 1,
      anon_sym_TILDE,
    ACTIONS(1953), 1,
      anon_sym_PERCENT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(1276), 7,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_temporal_var,
      sym_nat_var,
      sym__lvar,
  [30286] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(665), 2,
      anon_sym_EQ,
      anon_sym_PLUS,
    ACTIONS(667), 10,
      anon_sym_EQ2,
      anon_sym_LPAREN_LT_RPAREN,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
  [30307] = 4,
    ACTIONS(977), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1977), 2,
      anon_sym_AMP,
      anon_sym_u2227,
    ACTIONS(979), 9,
      anon_sym_RPAREN,
      anon_sym_LT_EQ_GT,
      anon_sym_then,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
  [30330] = 12,
    ACTIONS(1963), 1,
      anon_sym_CARET,
    ACTIONS(1965), 1,
      anon_sym_PLUS,
    ACTIONS(1967), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1969), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(1971), 1,
      anon_sym_STAR,
    ACTIONS(1993), 1,
      anon_sym_EQ,
    ACTIONS(1995), 1,
      anon_sym_EQ2,
    ACTIONS(1997), 1,
      anon_sym_LPAREN_LT_RPAREN,
    ACTIONS(1999), 1,
      anon_sym_LT_LT,
    ACTIONS(2003), 1,
      anon_sym_u228f,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2001), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [30369] = 5,
    ACTIONS(735), 1,
      anon_sym_PLUS,
    ACTIONS(1973), 1,
      anon_sym_CARET,
    ACTIONS(1983), 1,
      anon_sym_STAR,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(737), 9,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_u228f,
  [30394] = 3,
    ACTIONS(461), 1,
      anon_sym_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(471), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_then,
      anon_sym_LT_LT,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_u228f,
  [30415] = 8,
    ACTIONS(2005), 1,
      anon_sym_RBRACK,
    ACTIONS(2011), 1,
      anon_sym_output_EQ,
    ACTIONS(2013), 1,
      anon_sym_hide_lemma_EQ,
    ACTIONS(2015), 1,
      anon_sym_heuristic_EQ,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2007), 2,
      anon_sym_left,
      anon_sym_right,
    STATE(1008), 2,
      sym_lemma_attr,
      sym_diff_lemma_attr,
    ACTIONS(2009), 3,
      anon_sym_sources,
      anon_sym_reuse,
      anon_sym_use_induction,
  [30445] = 8,
    ACTIONS(963), 1,
      anon_sym_PIPE,
    ACTIONS(967), 1,
      anon_sym_u2228,
    STATE(881), 1,
      aux_sym_disjunction_split_goal_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(965), 2,
      anon_sym_AMP,
      anon_sym_u2227,
    ACTIONS(973), 2,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
    ACTIONS(1042), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_u21d4,
    ACTIONS(2017), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
  [30475] = 10,
    ACTIONS(1973), 1,
      anon_sym_CARET,
    ACTIONS(1981), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(1983), 1,
      anon_sym_STAR,
    ACTIONS(1989), 1,
      anon_sym_PLUS,
    ACTIONS(1991), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2019), 1,
      anon_sym_EQ,
    ACTIONS(2021), 1,
      anon_sym_then,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2003), 2,
      anon_sym_LT_LT,
      anon_sym_u228f,
    ACTIONS(2023), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [30509] = 8,
    ACTIONS(2011), 1,
      anon_sym_output_EQ,
    ACTIONS(2013), 1,
      anon_sym_hide_lemma_EQ,
    ACTIONS(2015), 1,
      anon_sym_heuristic_EQ,
    ACTIONS(2025), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2007), 2,
      anon_sym_left,
      anon_sym_right,
    STATE(1008), 2,
      sym_lemma_attr,
      sym_diff_lemma_attr,
    ACTIONS(2009), 3,
      anon_sym_sources,
      anon_sym_reuse,
      anon_sym_use_induction,
  [30539] = 4,
    ACTIONS(804), 1,
      anon_sym_PIPE,
    ACTIONS(2027), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(808), 9,
      anon_sym_AMP,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
  [30561] = 4,
    ACTIONS(876), 1,
      anon_sym_PIPE,
    ACTIONS(2029), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(878), 9,
      anon_sym_AMP,
      anon_sym_LT_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
  [30583] = 8,
    ACTIONS(2031), 1,
      anon_sym_RBRACK,
    ACTIONS(2033), 1,
      anon_sym_process,
    ACTIONS(2039), 1,
      anon_sym_role,
    STATE(998), 1,
      sym_rule_attr,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2035), 2,
      anon_sym_no_derivcheck,
      anon_sym_issapicrule,
    ACTIONS(2037), 2,
      anon_sym_color_EQ,
      anon_sym_colour_EQ,
    STATE(1019), 3,
      sym_rule_attr_color,
      sym_rule_role,
      sym_rule_process,
  [30613] = 7,
    ACTIONS(1975), 1,
      anon_sym_PIPE,
    ACTIONS(1979), 1,
      anon_sym_u2228,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1977), 2,
      anon_sym_AMP,
      anon_sym_u2227,
    ACTIONS(1985), 2,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
    ACTIONS(2043), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_u21d4,
    ACTIONS(2041), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
  [30641] = 8,
    ACTIONS(2033), 1,
      anon_sym_process,
    ACTIONS(2039), 1,
      anon_sym_role,
    ACTIONS(2045), 1,
      anon_sym_RBRACK,
    STATE(998), 1,
      sym_rule_attr,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2035), 2,
      anon_sym_no_derivcheck,
      anon_sym_issapicrule,
    ACTIONS(2037), 2,
      anon_sym_color_EQ,
      anon_sym_colour_EQ,
    STATE(1019), 3,
      sym_rule_attr_color,
      sym_rule_role,
      sym_rule_process,
  [30671] = 10,
    ACTIONS(1973), 1,
      anon_sym_CARET,
    ACTIONS(1981), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(1983), 1,
      anon_sym_STAR,
    ACTIONS(1989), 1,
      anon_sym_PLUS,
    ACTIONS(1991), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2019), 1,
      anon_sym_EQ,
    ACTIONS(2047), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2003), 2,
      anon_sym_LT_LT,
      anon_sym_u228f,
    ACTIONS(2023), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [30705] = 10,
    ACTIONS(1973), 1,
      anon_sym_CARET,
    ACTIONS(1981), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(1983), 1,
      anon_sym_STAR,
    ACTIONS(1989), 1,
      anon_sym_PLUS,
    ACTIONS(1991), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2019), 1,
      anon_sym_EQ,
    ACTIONS(2049), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2003), 2,
      anon_sym_LT_LT,
      anon_sym_u228f,
    ACTIONS(2023), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [30739] = 10,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2051), 1,
      anon_sym_COMMA,
    ACTIONS(2053), 1,
      anon_sym_RBRACE,
    STATE(969), 1,
      aux_sym_binary_app_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [30772] = 10,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2051), 1,
      anon_sym_COMMA,
    ACTIONS(2055), 1,
      anon_sym_RBRACE,
    STATE(941), 1,
      aux_sym_binary_app_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [30805] = 10,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2057), 1,
      anon_sym_COMMA,
    ACTIONS(2059), 1,
      anon_sym_GT,
    STATE(889), 1,
      aux_sym_tuple_term_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [30838] = 7,
    ACTIONS(2011), 1,
      anon_sym_output_EQ,
    ACTIONS(2013), 1,
      anon_sym_hide_lemma_EQ,
    ACTIONS(2015), 1,
      anon_sym_heuristic_EQ,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2007), 2,
      anon_sym_left,
      anon_sym_right,
    STATE(915), 2,
      sym_lemma_attr,
      sym_diff_lemma_attr,
    ACTIONS(2009), 3,
      anon_sym_sources,
      anon_sym_reuse,
      anon_sym_use_induction,
  [30865] = 9,
    ACTIONS(1973), 1,
      anon_sym_CARET,
    ACTIONS(1981), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(1983), 1,
      anon_sym_STAR,
    ACTIONS(1989), 1,
      anon_sym_PLUS,
    ACTIONS(1991), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2019), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2003), 2,
      anon_sym_LT_LT,
      anon_sym_u228f,
    ACTIONS(2023), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [30896] = 4,
    ACTIONS(2063), 1,
      anon_sym_then,
    ACTIONS(2065), 1,
      anon_sym_EQ2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2061), 8,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ_GT,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
      anon_sym_u2227,
  [30917] = 6,
    ACTIONS(2069), 1,
      sym_standard_goal_ranking,
    ACTIONS(2073), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2067), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2071), 2,
      anon_sym_O,
      anon_sym_o,
    STATE(742), 4,
      sym__goal_ranking,
      sym_oracle_goal_ranking,
      sym_tactic_goal_ranking,
      aux_sym_global_heuristic_repeat1,
  [30942] = 10,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2051), 1,
      anon_sym_COMMA,
    ACTIONS(2075), 1,
      anon_sym_RBRACE,
    STATE(901), 1,
      aux_sym_binary_app_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [30975] = 10,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2057), 1,
      anon_sym_COMMA,
    ACTIONS(2077), 1,
      anon_sym_GT,
    STATE(924), 1,
      aux_sym_tuple_term_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [31008] = 10,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2051), 1,
      anon_sym_COMMA,
    ACTIONS(2079), 1,
      anon_sym_RBRACE,
    STATE(918), 1,
      aux_sym_binary_app_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [31041] = 6,
    ACTIONS(2081), 1,
      sym_standard_goal_ranking,
    ACTIONS(2087), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1066), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2084), 2,
      anon_sym_O,
      anon_sym_o,
    STATE(742), 4,
      sym__goal_ranking,
      sym_oracle_goal_ranking,
      sym_tactic_goal_ranking,
      aux_sym_global_heuristic_repeat1,
  [31066] = 10,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2051), 1,
      anon_sym_COMMA,
    ACTIONS(2090), 1,
      anon_sym_RBRACE,
    STATE(900), 1,
      aux_sym_binary_app_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [31099] = 8,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
    ACTIONS(937), 2,
      anon_sym_PIPE,
      anon_sym_PLUS,
    ACTIONS(939), 2,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [31128] = 10,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2057), 1,
      anon_sym_COMMA,
    ACTIONS(2092), 1,
      anon_sym_GT,
    STATE(904), 1,
      aux_sym_tuple_term_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [31161] = 7,
    ACTIONS(2011), 1,
      anon_sym_output_EQ,
    ACTIONS(2013), 1,
      anon_sym_hide_lemma_EQ,
    ACTIONS(2015), 1,
      anon_sym_heuristic_EQ,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2007), 2,
      anon_sym_left,
      anon_sym_right,
    STATE(1008), 2,
      sym_lemma_attr,
      sym_diff_lemma_attr,
    ACTIONS(2009), 3,
      anon_sym_sources,
      anon_sym_reuse,
      anon_sym_use_induction,
  [31188] = 7,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(1951), 1,
      anon_sym_TILDE,
    ACTIONS(1953), 1,
      anon_sym_PERCENT,
    ACTIONS(2094), 1,
      sym_ident,
    ACTIONS(2096), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(908), 5,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
  [31215] = 9,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(919), 1,
      anon_sym_XOR,
    ACTIONS(921), 1,
      anon_sym_u2295,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2098), 3,
      anon_sym_in,
      anon_sym_PERCENT,
      sym_ident,
  [31246] = 10,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2051), 1,
      anon_sym_COMMA,
    ACTIONS(2100), 1,
      anon_sym_RBRACE,
    STATE(947), 1,
      aux_sym_binary_app_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [31279] = 8,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
    ACTIONS(2102), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [31308] = 7,
    ACTIONS(2033), 1,
      anon_sym_process,
    ACTIONS(2039), 1,
      anon_sym_role,
    STATE(896), 1,
      sym_rule_attr,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2035), 2,
      anon_sym_no_derivcheck,
      anon_sym_issapicrule,
    ACTIONS(2037), 2,
      anon_sym_color_EQ,
      anon_sym_colour_EQ,
    STATE(1019), 3,
      sym_rule_attr_color,
      sym_rule_role,
      sym_rule_process,
  [31335] = 4,
    ACTIONS(567), 1,
      anon_sym_PLUS,
    ACTIONS(2104), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(569), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_PERCENT_PLUS,
      anon_sym_XOR,
      anon_sym_u2295,
      anon_sym_STAR,
      anon_sym_CARET,
  [31356] = 7,
    ACTIONS(2033), 1,
      anon_sym_process,
    ACTIONS(2039), 1,
      anon_sym_role,
    STATE(998), 1,
      sym_rule_attr,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2035), 2,
      anon_sym_no_derivcheck,
      anon_sym_issapicrule,
    ACTIONS(2037), 2,
      anon_sym_color_EQ,
      anon_sym_colour_EQ,
    STATE(1019), 3,
      sym_rule_attr_color,
      sym_rule_role,
      sym_rule_process,
  [31383] = 10,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2057), 1,
      anon_sym_COMMA,
    ACTIONS(2107), 1,
      anon_sym_GT,
    STATE(957), 1,
      aux_sym_tuple_term_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [31416] = 10,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2057), 1,
      anon_sym_COMMA,
    ACTIONS(2109), 1,
      anon_sym_GT,
    STATE(892), 1,
      aux_sym_tuple_term_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [31449] = 10,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2051), 1,
      anon_sym_COMMA,
    ACTIONS(2111), 1,
      anon_sym_RPAREN,
    STATE(956), 1,
      aux_sym_binary_app_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [31482] = 6,
    ACTIONS(2113), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(965), 2,
      anon_sym_AMP,
      anon_sym_u2227,
    ACTIONS(967), 2,
      anon_sym_PIPE,
      anon_sym_u2228,
    ACTIONS(973), 2,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
    ACTIONS(1042), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_u21d4,
  [31506] = 6,
    ACTIONS(2115), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(965), 2,
      anon_sym_AMP,
      anon_sym_u2227,
    ACTIONS(967), 2,
      anon_sym_PIPE,
      anon_sym_u2228,
    ACTIONS(973), 2,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
    ACTIONS(1042), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_u21d4,
  [31530] = 6,
    ACTIONS(2117), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(965), 2,
      anon_sym_AMP,
      anon_sym_u2227,
    ACTIONS(967), 2,
      anon_sym_PIPE,
      anon_sym_u2228,
    ACTIONS(973), 2,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
    ACTIONS(1042), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_u21d4,
  [31554] = 6,
    ACTIONS(2119), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(965), 2,
      anon_sym_AMP,
      anon_sym_u2227,
    ACTIONS(967), 2,
      anon_sym_PIPE,
      anon_sym_u2228,
    ACTIONS(973), 2,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
    ACTIONS(1042), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_u21d4,
  [31578] = 6,
    ACTIONS(21), 1,
      anon_sym_DOLLAR,
    ACTIONS(1951), 1,
      anon_sym_TILDE,
    ACTIONS(1953), 1,
      anon_sym_PERCENT,
    ACTIONS(2094), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(1041), 5,
      sym__non_temporal_var,
      sym_pub_var,
      sym_fresh_var,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
  [31602] = 6,
    ACTIONS(2121), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(965), 2,
      anon_sym_AMP,
      anon_sym_u2227,
    ACTIONS(967), 2,
      anon_sym_PIPE,
      anon_sym_u2228,
    ACTIONS(973), 2,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
    ACTIONS(1042), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_u21d4,
  [31626] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2123), 2,
      anon_sym_in,
      sym_ident,
    ACTIONS(2125), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOLLAR,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_POUND,
      anon_sym_PERCENT,
  [31644] = 4,
    ACTIONS(1809), 1,
      anon_sym_solve,
    STATE(1090), 1,
      sym_proof_method,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(627), 7,
      anon_sym_sorry,
      anon_sym_simplify,
      anon_sym_contradiction,
      anon_sym_induction,
      anon_sym_rule_DASHequivalence,
      anon_sym_backward_DASHsearch,
      anon_sym_ATTACK,
  [31664] = 6,
    ACTIONS(2127), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(965), 2,
      anon_sym_AMP,
      anon_sym_u2227,
    ACTIONS(967), 2,
      anon_sym_PIPE,
      anon_sym_u2228,
    ACTIONS(973), 2,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
    ACTIONS(1042), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_u21d4,
  [31688] = 9,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2129), 1,
      anon_sym_RPAREN,
    ACTIONS(2131), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [31718] = 9,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2133), 1,
      anon_sym_RPAREN,
    ACTIONS(2135), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [31748] = 6,
    ACTIONS(2137), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(965), 2,
      anon_sym_AMP,
      anon_sym_u2227,
    ACTIONS(967), 2,
      anon_sym_PIPE,
      anon_sym_u2228,
    ACTIONS(973), 2,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
    ACTIONS(1042), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_u21d4,
  [31772] = 8,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
    ACTIONS(2139), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [31800] = 6,
    ACTIONS(2141), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(965), 2,
      anon_sym_AMP,
      anon_sym_u2227,
    ACTIONS(967), 2,
      anon_sym_PIPE,
      anon_sym_u2228,
    ACTIONS(973), 2,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
    ACTIONS(1042), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_u21d4,
  [31824] = 6,
    ACTIONS(2143), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(965), 2,
      anon_sym_AMP,
      anon_sym_u2227,
    ACTIONS(967), 2,
      anon_sym_PIPE,
      anon_sym_u2228,
    ACTIONS(973), 2,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
    ACTIONS(1042), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_u21d4,
  [31848] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2145), 2,
      anon_sym_in,
      sym_ident,
    ACTIONS(2147), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOLLAR,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_POUND,
      anon_sym_PERCENT,
  [31866] = 6,
    ACTIONS(2149), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1977), 2,
      anon_sym_AMP,
      anon_sym_u2227,
    ACTIONS(1979), 2,
      anon_sym_PIPE,
      anon_sym_u2228,
    ACTIONS(1985), 2,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
    ACTIONS(2043), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_u21d4,
  [31890] = 6,
    ACTIONS(2151), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(965), 2,
      anon_sym_AMP,
      anon_sym_u2227,
    ACTIONS(967), 2,
      anon_sym_PIPE,
      anon_sym_u2228,
    ACTIONS(973), 2,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
    ACTIONS(1042), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_u21d4,
  [31914] = 6,
    ACTIONS(2153), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(965), 2,
      anon_sym_AMP,
      anon_sym_u2227,
    ACTIONS(967), 2,
      anon_sym_PIPE,
      anon_sym_u2228,
    ACTIONS(973), 2,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
    ACTIONS(1042), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_u21d4,
  [31938] = 3,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2155), 2,
      anon_sym_in,
      sym_ident,
    ACTIONS(2029), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOLLAR,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_POUND,
      anon_sym_PERCENT,
  [31956] = 5,
    ACTIONS(959), 1,
      anon_sym_EQ2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2157), 2,
      anon_sym_PIPE,
      anon_sym_u2228,
    ACTIONS(2159), 2,
      anon_sym_AMP,
      anon_sym_u2227,
    ACTIONS(961), 4,
      anon_sym_LT_EQ_GT,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
  [31978] = 6,
    ACTIONS(969), 1,
      anon_sym_EQ2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(971), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_u21d4,
    ACTIONS(2157), 2,
      anon_sym_PIPE,
      anon_sym_u2228,
    ACTIONS(2159), 2,
      anon_sym_AMP,
      anon_sym_u2227,
    ACTIONS(2161), 2,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
  [32002] = 4,
    ACTIONS(977), 1,
      anon_sym_EQ2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2159), 2,
      anon_sym_AMP,
      anon_sym_u2227,
    ACTIONS(979), 6,
      anon_sym_PIPE,
      anon_sym_LT_EQ_GT,
      anon_sym_u21d4,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
      anon_sym_u2228,
  [32022] = 6,
    ACTIONS(2021), 1,
      anon_sym_then,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1977), 2,
      anon_sym_AMP,
      anon_sym_u2227,
    ACTIONS(1979), 2,
      anon_sym_PIPE,
      anon_sym_u2228,
    ACTIONS(1985), 2,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
    ACTIONS(2043), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_u21d4,
  [32046] = 6,
    ACTIONS(2163), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1977), 2,
      anon_sym_AMP,
      anon_sym_u2227,
    ACTIONS(1979), 2,
      anon_sym_PIPE,
      anon_sym_u2228,
    ACTIONS(1985), 2,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
    ACTIONS(2043), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_u21d4,
  [32070] = 6,
    ACTIONS(2167), 1,
      anon_sym_EQ2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2157), 2,
      anon_sym_PIPE,
      anon_sym_u2228,
    ACTIONS(2159), 2,
      anon_sym_AMP,
      anon_sym_u2227,
    ACTIONS(2161), 2,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
    ACTIONS(2165), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_u21d4,
  [32094] = 9,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2169), 1,
      anon_sym_RPAREN,
    ACTIONS(2171), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [32124] = 6,
    ACTIONS(2173), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(965), 2,
      anon_sym_AMP,
      anon_sym_u2227,
    ACTIONS(967), 2,
      anon_sym_PIPE,
      anon_sym_u2228,
    ACTIONS(973), 2,
      anon_sym_EQ_EQ_GT,
      anon_sym_u21d2,
    ACTIONS(1042), 2,
      anon_sym_LT_EQ_GT,
      anon_sym_u21d4,
  [32148] = 9,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2175), 1,
      anon_sym_RPAREN,
    ACTIONS(2177), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [32178] = 7,
    ACTIONS(2179), 1,
      sym_ident,
    ACTIONS(2181), 1,
      anon_sym_BANG,
    ACTIONS(2183), 1,
      anon_sym_RBRACK_DASH_GT,
    ACTIONS(2185), 1,
      anon_sym__restrict,
    STATE(1128), 1,
      sym__facts_restrictions,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(959), 3,
      sym_embedded_restriction,
      sym__fact,
      sym_fact,
  [32203] = 8,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2187), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [32230] = 5,
    ACTIONS(2073), 1,
      anon_sym_LBRACE,
    ACTIONS(2189), 1,
      sym_standard_goal_ranking,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2071), 2,
      anon_sym_O,
      anon_sym_o,
    STATE(738), 4,
      sym__goal_ranking,
      sym_oracle_goal_ranking,
      sym_tactic_goal_ranking,
      aux_sym_global_heuristic_repeat1,
  [32251] = 8,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2049), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [32278] = 8,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2191), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [32305] = 5,
    ACTIONS(2193), 1,
      sym_ident,
    ACTIONS(2195), 1,
      anon_sym_LPAREN,
    ACTIONS(2197), 1,
      anon_sym_not,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(506), 5,
      sym__ifdef_formula,
      sym_ifdef_nested,
      sym_ifdef_or,
      sym_ifdef_and,
      sym_ifdef_not,
  [32326] = 8,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2199), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [32353] = 8,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2201), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [32380] = 8,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2203), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [32407] = 5,
    ACTIONS(2195), 1,
      anon_sym_LPAREN,
    ACTIONS(2197), 1,
      anon_sym_not,
    ACTIONS(2205), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(497), 5,
      sym__ifdef_formula,
      sym_ifdef_nested,
      sym_ifdef_or,
      sym_ifdef_and,
      sym_ifdef_not,
  [32428] = 5,
    ACTIONS(2195), 1,
      anon_sym_LPAREN,
    ACTIONS(2197), 1,
      anon_sym_not,
    ACTIONS(2207), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(483), 5,
      sym__ifdef_formula,
      sym_ifdef_nested,
      sym_ifdef_or,
      sym_ifdef_and,
      sym_ifdef_not,
  [32449] = 5,
    ACTIONS(2195), 1,
      anon_sym_LPAREN,
    ACTIONS(2197), 1,
      anon_sym_not,
    ACTIONS(2209), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(936), 5,
      sym__ifdef_formula,
      sym_ifdef_nested,
      sym_ifdef_or,
      sym_ifdef_and,
      sym_ifdef_not,
  [32470] = 8,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2211), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [32497] = 8,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2213), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [32524] = 8,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(1852), 1,
      anon_sym_then,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [32551] = 8,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2215), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [32578] = 8,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2217), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [32605] = 7,
    ACTIONS(2219), 1,
      anon_sym_presort,
    ACTIONS(2221), 1,
      anon_sym_prio,
    ACTIONS(2223), 1,
      anon_sym_deprio,
    STATE(821), 1,
      sym_presort,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(331), 2,
      sym_prio,
      aux_sym_tactic_repeat1,
    STATE(463), 2,
      sym_deprio,
      aux_sym_tactic_repeat2,
  [32630] = 5,
    ACTIONS(1087), 1,
      anon_sym_LBRACE,
    ACTIONS(2225), 1,
      sym_standard_goal_ranking,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2227), 2,
      anon_sym_O,
      anon_sym_o,
    STATE(286), 4,
      sym__goal_ranking,
      sym_oracle_goal_ranking,
      sym_tactic_goal_ranking,
      aux_sym_global_heuristic_repeat1,
  [32651] = 8,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2047), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [32678] = 8,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2229), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [32705] = 8,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2231), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [32732] = 8,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2233), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [32759] = 8,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2235), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [32786] = 5,
    ACTIONS(2195), 1,
      anon_sym_LPAREN,
    ACTIONS(2197), 1,
      anon_sym_not,
    ACTIONS(2237), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(96), 5,
      sym__ifdef_formula,
      sym_ifdef_nested,
      sym_ifdef_or,
      sym_ifdef_and,
      sym_ifdef_not,
  [32807] = 8,
    ACTIONS(743), 1,
      anon_sym_CARET,
    ACTIONS(745), 1,
      anon_sym_PERCENT_PLUS,
    ACTIONS(747), 1,
      anon_sym_STAR,
    ACTIONS(749), 1,
      anon_sym_PLUS,
    ACTIONS(751), 1,
      anon_sym_PLUS_PLUS,
    ACTIONS(2239), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(921), 2,
      anon_sym_XOR,
      anon_sym_u2295,
  [32834] = 6,
    ACTIONS(1953), 1,
      anon_sym_PERCENT,
    ACTIONS(2241), 1,
      sym_ident,
    ACTIONS(2243), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(817), 2,
      sym_rule_let_term,
      aux_sym_rule_let_block_repeat1,
    STATE(1150), 2,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
  [32856] = 3,
    ACTIONS(2245), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(569), 6,
      anon_sym_DOLLAR,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_POUND,
      anon_sym_PERCENT,
      sym_ident,
  [32872] = 3,
    ACTIONS(2247), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(583), 6,
      anon_sym_DOLLAR,
      anon_sym_DOT,
      anon_sym_TILDE,
      anon_sym_POUND,
      anon_sym_PERCENT,
      sym_ident,
  [32888] = 4,
    ACTIONS(2249), 1,
      anon_sym_COLON,
    ACTIONS(2251), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(423), 5,
      anon_sym_DOLLAR,
      anon_sym_TILDE,
      anon_sym_POUND,
      anon_sym_PERCENT,
      sym_ident,
  [32906] = 3,
    STATE(938), 1,
      sym__search_strategy,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2254), 6,
      anon_sym_BFS,
      anon_sym_DFS,
      anon_sym_SEQDFS,
      anon_sym_bfs,
      anon_sym_dfs,
      anon_sym_seqdfs,
  [32922] = 6,
    ACTIONS(2256), 1,
      sym_ident,
    ACTIONS(2259), 1,
      anon_sym_in,
    ACTIONS(2261), 1,
      anon_sym_PERCENT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(817), 2,
      sym_rule_let_term,
      aux_sym_rule_let_block_repeat1,
    STATE(1150), 2,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
  [32944] = 4,
    ACTIONS(2264), 1,
      anon_sym_COLON,
    ACTIONS(2266), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(493), 5,
      anon_sym_DOLLAR,
      anon_sym_TILDE,
      anon_sym_POUND,
      anon_sym_PERCENT,
      sym_ident,
  [32962] = 3,
    ACTIONS(2269), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1342), 6,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_standard_goal_ranking,
      anon_sym_O,
      anon_sym_o,
      anon_sym_LBRACE,
  [32978] = 3,
    STATE(526), 1,
      sym_option,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1242), 5,
      anon_sym_translation_DASHstate_DASHoptimisation,
      anon_sym_translation_DASHprogress,
      anon_sym_translation_DASHasynchronous_DASHchannels,
      anon_sym_translation_DASHcompress_DASHevents,
      anon_sym_translation_DASHallow_DASHpattern_DASHlookups,
  [32993] = 5,
    ACTIONS(2221), 1,
      anon_sym_prio,
    ACTIONS(2223), 1,
      anon_sym_deprio,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(352), 2,
      sym_prio,
      aux_sym_tactic_repeat1,
    STATE(477), 2,
      sym_deprio,
      aux_sym_tactic_repeat2,
  [33012] = 6,
    ACTIONS(15), 1,
      anon_sym_BANG,
    ACTIONS(2271), 1,
      sym_ident,
    ACTIONS(2273), 1,
      anon_sym_RBRACK,
    STATE(1199), 1,
      sym__facts,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(950), 2,
      sym__fact,
      sym_fact,
  [33033] = 4,
    ACTIONS(2275), 1,
      anon_sym_spthy,
    STATE(1039), 1,
      sym_language,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2277), 4,
      anon_sym_spthytyped,
      anon_sym_msr,
      anon_sym_proverif,
      anon_sym_deepsec,
  [33050] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1392), 6,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_standard_goal_ranking,
      anon_sym_O,
      anon_sym_o,
      anon_sym_LBRACE,
  [33063] = 4,
    ACTIONS(2275), 1,
      anon_sym_spthy,
    STATE(917), 1,
      sym_language,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2277), 4,
      anon_sym_spthytyped,
      anon_sym_msr,
      anon_sym_proverif,
      anon_sym_deepsec,
  [33080] = 5,
    ACTIONS(2179), 1,
      sym_ident,
    ACTIONS(2181), 1,
      anon_sym_BANG,
    ACTIONS(2185), 1,
      anon_sym__restrict,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(1023), 3,
      sym_embedded_restriction,
      sym__fact,
      sym_fact,
  [33099] = 3,
    ACTIONS(2279), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1955), 5,
      anon_sym_DOLLAR,
      anon_sym_TILDE,
      anon_sym_POUND,
      anon_sym_PERCENT,
      sym_ident,
  [33114] = 4,
    ACTIONS(2282), 1,
      anon_sym_COLON,
    ACTIONS(2284), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(493), 4,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
  [33131] = 3,
    ACTIONS(2286), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(499), 5,
      anon_sym_DOLLAR,
      anon_sym_TILDE,
      anon_sym_POUND,
      anon_sym_PERCENT,
      sym_ident,
  [33146] = 6,
    ACTIONS(15), 1,
      anon_sym_BANG,
    ACTIONS(2271), 1,
      sym_ident,
    ACTIONS(2289), 1,
      anon_sym_RBRACK,
    STATE(1275), 1,
      sym__facts,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(950), 2,
      sym__fact,
      sym_fact,
  [33167] = 3,
    STATE(492), 1,
      sym_option,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1242), 5,
      anon_sym_translation_DASHstate_DASHoptimisation,
      anon_sym_translation_DASHprogress,
      anon_sym_translation_DASHasynchronous_DASHchannels,
      anon_sym_translation_DASHcompress_DASHevents,
      anon_sym_translation_DASHallow_DASHpattern_DASHlookups,
  [33182] = 3,
    ACTIONS(2291), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(484), 5,
      anon_sym_DOLLAR,
      anon_sym_TILDE,
      anon_sym_POUND,
      anon_sym_PERCENT,
      sym_ident,
  [33197] = 5,
    ACTIONS(1953), 1,
      anon_sym_PERCENT,
    ACTIONS(2294), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(812), 2,
      sym_rule_let_term,
      aux_sym_rule_let_block_repeat1,
    STATE(1150), 2,
      sym_msg_var_or_nullary_fun,
      sym_nat_var,
  [33216] = 6,
    ACTIONS(15), 1,
      anon_sym_BANG,
    ACTIONS(2271), 1,
      sym_ident,
    ACTIONS(2296), 1,
      anon_sym_RBRACK,
    STATE(1159), 1,
      sym__facts,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(950), 2,
      sym__fact,
      sym_fact,
  [33237] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1408), 6,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_standard_goal_ranking,
      anon_sym_O,
      anon_sym_o,
      anon_sym_LBRACE,
  [33250] = 6,
    ACTIONS(2298), 1,
      anon_sym_pub,
    ACTIONS(2300), 1,
      anon_sym_fresh,
    ACTIONS(2302), 1,
      anon_sym_msg,
    ACTIONS(2304), 1,
      anon_sym_node,
    ACTIONS(2306), 1,
      anon_sym_nat,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [33270] = 3,
    ACTIONS(2308), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(583), 4,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
  [33284] = 5,
    ACTIONS(2310), 1,
      sym_ident,
    ACTIONS(2312), 1,
      anon_sym_DQUOTE,
    STATE(1055), 1,
      sym_trace_quantifier,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2314), 2,
      anon_sym_all_DASHtraces,
      anon_sym_exists_DASHtrace,
  [33302] = 6,
    ACTIONS(2316), 1,
      anon_sym_pub,
    ACTIONS(2318), 1,
      anon_sym_fresh,
    ACTIONS(2320), 1,
      anon_sym_msg,
    ACTIONS(2322), 1,
      anon_sym_node,
    ACTIONS(2324), 1,
      anon_sym_nat,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [33322] = 6,
    ACTIONS(2304), 1,
      anon_sym_node,
    ACTIONS(2326), 1,
      anon_sym_pub,
    ACTIONS(2328), 1,
      anon_sym_fresh,
    ACTIONS(2330), 1,
      anon_sym_msg,
    ACTIONS(2332), 1,
      anon_sym_nat,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [33342] = 6,
    ACTIONS(2322), 1,
      anon_sym_node,
    ACTIONS(2334), 1,
      anon_sym_pub,
    ACTIONS(2336), 1,
      anon_sym_fresh,
    ACTIONS(2338), 1,
      anon_sym_msg,
    ACTIONS(2340), 1,
      anon_sym_nat,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [33362] = 5,
    ACTIONS(51), 1,
      anon_sym_LBRACK,
    ACTIONS(2342), 1,
      anon_sym_let,
    STATE(934), 1,
      sym_premise,
    STATE(993), 1,
      sym_rule_let_block,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [33379] = 4,
    ACTIONS(2344), 1,
      anon_sym_RBRACK,
    STATE(1050), 1,
      sym_function_attribute,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2346), 2,
      anon_sym_private,
      anon_sym_destructor,
  [33394] = 5,
    ACTIONS(2348), 1,
      anon_sym_pub,
    ACTIONS(2350), 1,
      anon_sym_fresh,
    ACTIONS(2352), 1,
      anon_sym_msg,
    ACTIONS(2354), 1,
      anon_sym_nat,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [33411] = 3,
    STATE(963), 1,
      sym_fact_annote,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2356), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_no_precomp,
  [33424] = 5,
    ACTIONS(51), 1,
      anon_sym_LBRACK,
    ACTIONS(2342), 1,
      anon_sym_let,
    STATE(925), 1,
      sym_premise,
    STATE(1004), 1,
      sym_rule_let_block,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [33441] = 5,
    ACTIONS(2316), 1,
      anon_sym_pub,
    ACTIONS(2318), 1,
      anon_sym_fresh,
    ACTIONS(2320), 1,
      anon_sym_msg,
    ACTIONS(2324), 1,
      anon_sym_nat,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [33458] = 4,
    ACTIONS(1955), 1,
      anon_sym_COMMA,
    ACTIONS(2358), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(820), 2,
      anon_sym_EQ,
      anon_sym_LT,
  [33473] = 5,
    ACTIONS(2360), 1,
      anon_sym_DASH_DASHauto_DASHsources,
    ACTIONS(2362), 1,
      anon_sym_DASH_DASHstop_DASHon_DASHtrace,
    STATE(871), 1,
      aux_sym_commandline_repeat1,
    STATE(1093), 1,
      sym_commandline,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [33490] = 3,
    STATE(931), 1,
      sym_fact_annote,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2356), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_no_precomp,
  [33503] = 5,
    ACTIONS(51), 1,
      anon_sym_LBRACK,
    ACTIONS(2342), 1,
      anon_sym_let,
    STATE(890), 1,
      sym_premise,
    STATE(992), 1,
      sym_rule_let_block,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [33520] = 5,
    ACTIONS(2364), 1,
      anon_sym_COMMA,
    ACTIONS(2366), 1,
      anon_sym_account,
    ACTIONS(2368), 1,
      anon_sym_accounts,
    STATE(870), 1,
      aux_sym_accountability_lemma_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [33537] = 4,
    ACTIONS(2370), 1,
      anon_sym_DQUOTE,
    STATE(1195), 1,
      sym_trace_quantifier,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2314), 2,
      anon_sym_all_DASHtraces,
      anon_sym_exists_DASHtrace,
  [33552] = 5,
    ACTIONS(2334), 1,
      anon_sym_pub,
    ACTIONS(2336), 1,
      anon_sym_fresh,
    ACTIONS(2338), 1,
      anon_sym_msg,
    ACTIONS(2340), 1,
      anon_sym_nat,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [33569] = 5,
    ACTIONS(2372), 1,
      anon_sym_pub,
    ACTIONS(2374), 1,
      anon_sym_fresh,
    ACTIONS(2376), 1,
      anon_sym_msg,
    ACTIONS(2378), 1,
      anon_sym_nat,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [33586] = 4,
    ACTIONS(2380), 1,
      anon_sym_RPAREN,
    STATE(856), 1,
      aux_sym_disjunction_split_goal_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2382), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
  [33601] = 3,
    ACTIONS(2385), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(1955), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_in,
  [33614] = 5,
    ACTIONS(2387), 1,
      anon_sym_pub,
    ACTIONS(2389), 1,
      anon_sym_fresh,
    ACTIONS(2391), 1,
      anon_sym_msg,
    ACTIONS(2393), 1,
      anon_sym_nat,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [33631] = 5,
    ACTIONS(2395), 1,
      anon_sym_POUND,
    ACTIONS(2397), 1,
      anon_sym_SQUOTE,
    ACTIONS(2399), 1,
      aux_sym_hexcolor_token1,
    STATE(1005), 1,
      sym_hexcolor,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [33648] = 5,
    ACTIONS(1182), 1,
      anon_sym_PIPE,
    ACTIONS(1184), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1186), 1,
      anon_sym_PLUS,
    ACTIONS(2401), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [33665] = 5,
    ACTIONS(2364), 1,
      anon_sym_COMMA,
    ACTIONS(2403), 1,
      anon_sym_account,
    ACTIONS(2405), 1,
      anon_sym_accounts,
    STATE(852), 1,
      aux_sym_accountability_lemma_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [33682] = 5,
    ACTIONS(2326), 1,
      anon_sym_pub,
    ACTIONS(2328), 1,
      anon_sym_fresh,
    ACTIONS(2330), 1,
      anon_sym_msg,
    ACTIONS(2332), 1,
      anon_sym_nat,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [33699] = 4,
    ACTIONS(2407), 1,
      anon_sym_COLON,
    ACTIONS(2409), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(423), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [33714] = 5,
    ACTIONS(2411), 1,
      anon_sym_pub,
    ACTIONS(2413), 1,
      anon_sym_fresh,
    ACTIONS(2415), 1,
      anon_sym_msg,
    ACTIONS(2417), 1,
      anon_sym_nat,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [33731] = 5,
    ACTIONS(51), 1,
      anon_sym_LBRACK,
    ACTIONS(2342), 1,
      anon_sym_let,
    STATE(897), 1,
      sym_premise,
    STATE(1013), 1,
      sym_rule_let_block,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [33748] = 5,
    ACTIONS(2419), 1,
      anon_sym_pub,
    ACTIONS(2421), 1,
      anon_sym_fresh,
    ACTIONS(2423), 1,
      anon_sym_msg,
    ACTIONS(2425), 1,
      anon_sym_nat,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [33765] = 3,
    STATE(1037), 1,
      sym_fact_annote,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2356), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_no_precomp,
  [33778] = 5,
    ACTIONS(1182), 1,
      anon_sym_PIPE,
    ACTIONS(1184), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1186), 1,
      anon_sym_PLUS,
    ACTIONS(2427), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [33795] = 4,
    ACTIONS(2429), 1,
      anon_sym_LBRACK,
    STATE(466), 1,
      sym_fact_annotes,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(466), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_DASH_GT,
  [33810] = 5,
    ACTIONS(2431), 1,
      anon_sym_COMMA,
    ACTIONS(2434), 1,
      anon_sym_account,
    ACTIONS(2436), 1,
      anon_sym_accounts,
    STATE(870), 1,
      aux_sym_accountability_lemma_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [33827] = 5,
    ACTIONS(2362), 1,
      anon_sym_DASH_DASHstop_DASHon_DASHtrace,
    ACTIONS(2438), 1,
      anon_sym_DQUOTE,
    ACTIONS(2440), 1,
      anon_sym_DASH_DASHauto_DASHsources,
    STATE(875), 1,
      aux_sym_commandline_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [33844] = 5,
    ACTIONS(2298), 1,
      anon_sym_pub,
    ACTIONS(2300), 1,
      anon_sym_fresh,
    ACTIONS(2302), 1,
      anon_sym_msg,
    ACTIONS(2306), 1,
      anon_sym_nat,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [33861] = 5,
    ACTIONS(2442), 1,
      anon_sym_pub,
    ACTIONS(2444), 1,
      anon_sym_fresh,
    ACTIONS(2446), 1,
      anon_sym_msg,
    ACTIONS(2448), 1,
      anon_sym_nat,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [33878] = 4,
    ACTIONS(15), 1,
      anon_sym_BANG,
    ACTIONS(2271), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(986), 2,
      sym__fact,
      sym_fact,
  [33893] = 5,
    ACTIONS(2450), 1,
      anon_sym_DQUOTE,
    ACTIONS(2452), 1,
      anon_sym_DASH_DASHauto_DASHsources,
    ACTIONS(2455), 1,
      anon_sym_DASH_DASHstop_DASHon_DASHtrace,
    STATE(875), 1,
      aux_sym_commandline_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [33910] = 4,
    ACTIONS(2458), 1,
      anon_sym_RBRACK,
    STATE(1050), 1,
      sym_function_attribute,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2346), 2,
      anon_sym_private,
      anon_sym_destructor,
  [33925] = 3,
    ACTIONS(2460), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(547), 3,
      sym__function_sym,
      sym_function_untyped,
      sym_function_typed,
  [33938] = 4,
    ACTIONS(2462), 1,
      sym_ident,
    ACTIONS(2464), 1,
      anon_sym_BANG,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(532), 2,
      sym__fact,
      sym_fact,
  [33953] = 4,
    ACTIONS(2466), 1,
      anon_sym_DQUOTE,
    STATE(1287), 1,
      sym_trace_quantifier,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2314), 2,
      anon_sym_all_DASHtraces,
      anon_sym_exists_DASHtrace,
  [33968] = 4,
    ACTIONS(2429), 1,
      anon_sym_LBRACK,
    STATE(474), 1,
      sym_fact_annotes,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(453), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_DASH_GT,
  [33983] = 4,
    ACTIONS(2468), 1,
      anon_sym_RPAREN,
    STATE(856), 1,
      aux_sym_disjunction_split_goal_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2017), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_u2225,
  [33998] = 3,
    ACTIONS(2460), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(486), 3,
      sym__function_sym,
      sym_function_untyped,
      sym_function_typed,
  [34011] = 4,
    ACTIONS(2472), 1,
      anon_sym_COMMA,
    STATE(883), 1,
      aux_sym_binary_app_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2470), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [34026] = 5,
    ACTIONS(2475), 1,
      sym_ident,
    ACTIONS(2477), 1,
      anon_sym_POUND,
    STATE(224), 1,
      sym_temporal_var_optional_prefix,
    STATE(1084), 1,
      sym_temporal_var,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34043] = 4,
    ACTIONS(15), 1,
      anon_sym_BANG,
    ACTIONS(2271), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    STATE(358), 2,
      sym__fact,
      sym_fact,
  [34058] = 4,
    ACTIONS(2479), 1,
      anon_sym_DQUOTE,
    STATE(1100), 1,
      sym_trace_quantifier,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2314), 2,
      anon_sym_all_DASHtraces,
      anon_sym_exists_DASHtrace,
  [34073] = 4,
    ACTIONS(1019), 1,
      anon_sym_POUND,
    ACTIONS(2481), 1,
      sym_ident,
    STATE(1075), 1,
      sym_temporal_var,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34087] = 4,
    ACTIONS(2483), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(2485), 1,
      anon_sym_DASH_DASH_LBRACK,
    STATE(1036), 1,
      sym_action_fact,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34101] = 4,
    ACTIONS(2057), 1,
      anon_sym_COMMA,
    ACTIONS(2487), 1,
      anon_sym_GT,
    STATE(958), 1,
      aux_sym_tuple_term_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34115] = 4,
    ACTIONS(2485), 1,
      anon_sym_DASH_DASH_LBRACK,
    ACTIONS(2489), 1,
      anon_sym_DASH_DASH_GT,
    STATE(1001), 1,
      sym_action_fact,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34129] = 4,
    ACTIONS(423), 1,
      anon_sym_in,
    ACTIONS(2491), 1,
      anon_sym_COLON,
    ACTIONS(2493), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34143] = 4,
    ACTIONS(2057), 1,
      anon_sym_COMMA,
    ACTIONS(2495), 1,
      anon_sym_GT,
    STATE(958), 1,
      aux_sym_tuple_term_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34157] = 4,
    ACTIONS(2497), 1,
      anon_sym_COMMA,
    ACTIONS(2500), 1,
      anon_sym_RBRACK,
    STATE(893), 1,
      aux_sym_rule_attrs_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34171] = 4,
    ACTIONS(2051), 1,
      anon_sym_COMMA,
    ACTIONS(2111), 1,
      anon_sym_RPAREN,
    STATE(949), 1,
      aux_sym_binary_app_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34185] = 4,
    ACTIONS(2502), 1,
      anon_sym_COLON,
    ACTIONS(2504), 1,
      anon_sym_LBRACK,
    STATE(1070), 1,
      sym_diff_lemma_attrs,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34199] = 4,
    ACTIONS(2506), 1,
      anon_sym_COMMA,
    ACTIONS(2508), 1,
      anon_sym_RBRACK,
    STATE(903), 1,
      aux_sym_rule_attrs_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34213] = 4,
    ACTIONS(2485), 1,
      anon_sym_DASH_DASH_LBRACK,
    ACTIONS(2510), 1,
      anon_sym_DASH_DASH_GT,
    STATE(1018), 1,
      sym_action_fact,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34227] = 4,
    ACTIONS(2504), 1,
      anon_sym_LBRACK,
    ACTIONS(2512), 1,
      anon_sym_COLON,
    STATE(1080), 1,
      sym_diff_lemma_attrs,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34241] = 4,
    ACTIONS(2514), 1,
      ts_builtin_sym_end,
    ACTIONS(2516), 1,
      aux_sym_theory_token1,
    STATE(937), 1,
      aux_sym_theory_repeat2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34255] = 4,
    ACTIONS(2051), 1,
      anon_sym_COMMA,
    ACTIONS(2518), 1,
      anon_sym_RBRACE,
    STATE(883), 1,
      aux_sym_binary_app_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34269] = 4,
    ACTIONS(2051), 1,
      anon_sym_COMMA,
    ACTIONS(2520), 1,
      anon_sym_RBRACE,
    STATE(883), 1,
      aux_sym_binary_app_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34283] = 4,
    ACTIONS(2516), 1,
      aux_sym_theory_token1,
    ACTIONS(2522), 1,
      ts_builtin_sym_end,
    STATE(937), 1,
      aux_sym_theory_repeat2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34297] = 4,
    ACTIONS(2031), 1,
      anon_sym_RBRACK,
    ACTIONS(2524), 1,
      anon_sym_COMMA,
    STATE(893), 1,
      aux_sym_rule_attrs_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34311] = 4,
    ACTIONS(2057), 1,
      anon_sym_COMMA,
    ACTIONS(2526), 1,
      anon_sym_GT,
    STATE(958), 1,
      aux_sym_tuple_term_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34325] = 4,
    ACTIONS(2485), 1,
      anon_sym_DASH_DASH_LBRACK,
    ACTIONS(2528), 1,
      anon_sym_DASH_DASH_GT,
    STATE(1000), 1,
      sym_action_fact,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34339] = 4,
    ACTIONS(2530), 1,
      anon_sym_COMMA,
    ACTIONS(2532), 1,
      anon_sym_RBRACK_DASH_GT,
    STATE(961), 1,
      aux_sym__facts_restrictions_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34353] = 4,
    ACTIONS(2534), 1,
      anon_sym_COLON,
    ACTIONS(2536), 1,
      anon_sym_LBRACK,
    STATE(1144), 1,
      sym_rule_attrs,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34367] = 4,
    ACTIONS(2538), 1,
      anon_sym_RPAREN,
    ACTIONS(2540), 1,
      anon_sym_COMMA,
    STATE(910), 1,
      aux_sym_macro_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34381] = 4,
    ACTIONS(2485), 1,
      anon_sym_DASH_DASH_LBRACK,
    ACTIONS(2542), 1,
      anon_sym_DASH_DASH_GT,
    STATE(1022), 1,
      sym_action_fact,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34395] = 4,
    ACTIONS(2540), 1,
      anon_sym_COMMA,
    ACTIONS(2544), 1,
      anon_sym_RPAREN,
    STATE(976), 1,
      aux_sym_macro_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34409] = 3,
    ACTIONS(2548), 1,
      anon_sym_account,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2546), 2,
      anon_sym_COMMA,
      anon_sym_accounts,
  [34421] = 4,
    ACTIONS(2550), 1,
      sym_ident,
    ACTIONS(2552), 1,
      anon_sym_LPAREN,
    STATE(1140), 1,
      sym_modulo,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34435] = 4,
    ACTIONS(2552), 1,
      anon_sym_LPAREN,
    ACTIONS(2554), 1,
      sym_ident,
    STATE(1143), 1,
      sym_modulo,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34449] = 4,
    ACTIONS(2556), 1,
      sym_ident,
    ACTIONS(2558), 1,
      anon_sym_POUND,
    STATE(224), 1,
      sym_temporal_var_optional_prefix,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34463] = 4,
    ACTIONS(2560), 1,
      anon_sym_COMMA,
    ACTIONS(2562), 1,
      anon_sym_RBRACK,
    STATE(942), 1,
      aux_sym_diff_lemma_attrs_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34477] = 4,
    ACTIONS(1019), 1,
      anon_sym_POUND,
    ACTIONS(2481), 1,
      sym_ident,
    STATE(1064), 1,
      sym_temporal_var,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34491] = 4,
    ACTIONS(2564), 1,
      anon_sym_COMMA,
    ACTIONS(2566), 1,
      anon_sym_RBRACK,
    STATE(975), 1,
      aux_sym_lemma_attr_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34505] = 4,
    ACTIONS(2051), 1,
      anon_sym_COMMA,
    ACTIONS(2568), 1,
      anon_sym_RBRACE,
    STATE(883), 1,
      aux_sym_binary_app_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34519] = 3,
    ACTIONS(2029), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(878), 2,
      anon_sym_EQ,
      anon_sym_LT,
  [34531] = 4,
    ACTIONS(2552), 1,
      anon_sym_LPAREN,
    ACTIONS(2570), 1,
      sym_ident,
    STATE(1155), 1,
      sym_modulo,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34545] = 4,
    ACTIONS(2572), 1,
      anon_sym_COMMA,
    ACTIONS(2575), 1,
      anon_sym_RBRACK,
    STATE(921), 1,
      aux_sym_diff_lemma_attrs_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34559] = 4,
    ACTIONS(2577), 1,
      sym_ident,
    STATE(491), 1,
      sym_predicate,
    STATE(1065), 1,
      sym_predicate_def,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34573] = 4,
    ACTIONS(2579), 1,
      anon_sym_COMMA,
    ACTIONS(2582), 1,
      anon_sym_RBRACK,
    STATE(923), 1,
      aux_sym_fact_annotes_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34587] = 4,
    ACTIONS(2057), 1,
      anon_sym_COMMA,
    ACTIONS(2584), 1,
      anon_sym_GT,
    STATE(958), 1,
      aux_sym_tuple_term_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34601] = 4,
    ACTIONS(2485), 1,
      anon_sym_DASH_DASH_LBRACK,
    ACTIONS(2586), 1,
      anon_sym_DASH_DASH_GT,
    STATE(1033), 1,
      sym_action_fact,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34615] = 3,
    STATE(1050), 1,
      sym_function_attribute,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2346), 2,
      anon_sym_private,
      anon_sym_destructor,
  [34627] = 4,
    ACTIONS(2588), 1,
      anon_sym_next,
    ACTIONS(2591), 1,
      anon_sym_qed,
    STATE(927), 1,
      aux_sym_cases_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34641] = 4,
    ACTIONS(2516), 1,
      aux_sym_theory_token1,
    ACTIONS(2593), 1,
      ts_builtin_sym_end,
    STATE(937), 1,
      aux_sym_theory_repeat2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34655] = 4,
    ACTIONS(2593), 1,
      ts_builtin_sym_end,
    ACTIONS(2595), 1,
      aux_sym_theory_token1,
    STATE(968), 1,
      aux_sym_theory_repeat2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34669] = 4,
    ACTIONS(2597), 1,
      anon_sym_COMMA,
    ACTIONS(2599), 1,
      anon_sym_RBRACK,
    STATE(923), 1,
      aux_sym_fact_annotes_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34683] = 4,
    ACTIONS(2597), 1,
      anon_sym_COMMA,
    ACTIONS(2601), 1,
      anon_sym_RBRACK,
    STATE(930), 1,
      aux_sym_fact_annotes_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34697] = 4,
    ACTIONS(2603), 1,
      anon_sym_COMMA,
    ACTIONS(2605), 1,
      anon_sym_RBRACK,
    STATE(965), 1,
      aux_sym_function_untyped_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34711] = 4,
    ACTIONS(2607), 1,
      anon_sym_next,
    ACTIONS(2609), 1,
      anon_sym_qed,
    STATE(971), 1,
      aux_sym_cases_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34725] = 4,
    ACTIONS(2485), 1,
      anon_sym_DASH_DASH_LBRACK,
    ACTIONS(2611), 1,
      anon_sym_DASH_DASH_GT,
    STATE(996), 1,
      sym_action_fact,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34739] = 4,
    ACTIONS(2613), 1,
      anon_sym_rule,
    STATE(469), 1,
      sym_simple_rule,
    STATE(583), 1,
      sym_rule,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34753] = 4,
    ACTIONS(291), 1,
      anon_sym_PIPE,
    ACTIONS(293), 1,
      anon_sym_AMP,
    ACTIONS(2615), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34767] = 4,
    ACTIONS(2617), 1,
      ts_builtin_sym_end,
    ACTIONS(2619), 1,
      aux_sym_theory_token1,
    STATE(937), 1,
      aux_sym_theory_repeat2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34781] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2622), 3,
      anon_sym_DQUOTE,
      anon_sym_DASH_DASHauto_DASHsources,
      anon_sym_DASH_DASHstop_DASHon_DASHtrace,
  [34791] = 4,
    ACTIONS(2597), 1,
      anon_sym_COMMA,
    ACTIONS(2624), 1,
      anon_sym_RBRACK,
    STATE(923), 1,
      aux_sym_fact_annotes_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34805] = 4,
    ACTIONS(2536), 1,
      anon_sym_LBRACK,
    ACTIONS(2626), 1,
      anon_sym_COLON,
    STATE(1127), 1,
      sym_rule_attrs,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34819] = 4,
    ACTIONS(2051), 1,
      anon_sym_COMMA,
    ACTIONS(2628), 1,
      anon_sym_RBRACE,
    STATE(883), 1,
      aux_sym_binary_app_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34833] = 4,
    ACTIONS(2025), 1,
      anon_sym_RBRACK,
    ACTIONS(2630), 1,
      anon_sym_COMMA,
    STATE(921), 1,
      aux_sym_diff_lemma_attrs_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34847] = 4,
    ACTIONS(2632), 1,
      anon_sym_COMMA,
    ACTIONS(2635), 1,
      anon_sym_RBRACK,
    STATE(943), 1,
      aux_sym_function_untyped_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34861] = 4,
    ACTIONS(423), 1,
      anon_sym_EQ,
    ACTIONS(2637), 1,
      anon_sym_COLON,
    ACTIONS(2639), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34875] = 4,
    ACTIONS(2641), 1,
      anon_sym_COLON,
    ACTIONS(2643), 1,
      anon_sym_LBRACK,
    STATE(1172), 1,
      sym_restriction_attr,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34889] = 4,
    ACTIONS(2504), 1,
      anon_sym_LBRACK,
    ACTIONS(2645), 1,
      anon_sym_COLON,
    STATE(1201), 1,
      sym_diff_lemma_attrs,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34903] = 4,
    ACTIONS(2051), 1,
      anon_sym_COMMA,
    ACTIONS(2647), 1,
      anon_sym_RBRACE,
    STATE(883), 1,
      aux_sym_binary_app_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34917] = 4,
    ACTIONS(2649), 1,
      anon_sym_COMMA,
    ACTIONS(2652), 1,
      anon_sym_RBRACK,
    STATE(948), 1,
      aux_sym__facts_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34931] = 4,
    ACTIONS(2051), 1,
      anon_sym_COMMA,
    ACTIONS(2654), 1,
      anon_sym_RPAREN,
    STATE(883), 1,
      aux_sym_binary_app_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34945] = 4,
    ACTIONS(2656), 1,
      anon_sym_COMMA,
    ACTIONS(2658), 1,
      anon_sym_RBRACK,
    STATE(964), 1,
      aux_sym__facts_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34959] = 4,
    ACTIONS(2660), 1,
      anon_sym_COMMA,
    ACTIONS(2663), 1,
      anon_sym_RBRACK,
    STATE(951), 1,
      aux_sym_lemma_attr_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34973] = 4,
    ACTIONS(2665), 1,
      ts_builtin_sym_end,
    ACTIONS(2667), 1,
      aux_sym_theory_token1,
    STATE(902), 1,
      aux_sym_theory_repeat2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [34987] = 3,
    STATE(1149), 1,
      sym_post_ranking,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2669), 2,
      anon_sym_smallest,
      anon_sym_id,
  [34999] = 3,
    STATE(1161), 1,
      sym_post_ranking,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2669), 2,
      anon_sym_smallest,
      anon_sym_id,
  [35011] = 4,
    ACTIONS(2504), 1,
      anon_sym_LBRACK,
    ACTIONS(2671), 1,
      anon_sym_COLON,
    STATE(1210), 1,
      sym_diff_lemma_attrs,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35025] = 4,
    ACTIONS(2051), 1,
      anon_sym_COMMA,
    ACTIONS(2654), 1,
      anon_sym_RPAREN,
    STATE(883), 1,
      aux_sym_binary_app_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35039] = 4,
    ACTIONS(2057), 1,
      anon_sym_COMMA,
    ACTIONS(2673), 1,
      anon_sym_GT,
    STATE(958), 1,
      aux_sym_tuple_term_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35053] = 4,
    ACTIONS(2675), 1,
      anon_sym_COMMA,
    ACTIONS(2678), 1,
      anon_sym_GT,
    STATE(958), 1,
      aux_sym_tuple_term_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35067] = 4,
    ACTIONS(2530), 1,
      anon_sym_COMMA,
    ACTIONS(2680), 1,
      anon_sym_RBRACK_DASH_GT,
    STATE(906), 1,
      aux_sym__facts_restrictions_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35081] = 4,
    ACTIONS(2613), 1,
      anon_sym_rule,
    STATE(469), 1,
      sym_simple_rule,
    STATE(1218), 1,
      sym_rule,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35095] = 4,
    ACTIONS(2682), 1,
      anon_sym_COMMA,
    ACTIONS(2685), 1,
      anon_sym_RBRACK_DASH_GT,
    STATE(961), 1,
      aux_sym__facts_restrictions_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35109] = 4,
    ACTIONS(2522), 1,
      ts_builtin_sym_end,
    ACTIONS(2687), 1,
      aux_sym_theory_token1,
    STATE(899), 1,
      aux_sym_theory_repeat2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35123] = 4,
    ACTIONS(2597), 1,
      anon_sym_COMMA,
    ACTIONS(2689), 1,
      anon_sym_RBRACK,
    STATE(939), 1,
      aux_sym_fact_annotes_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35137] = 4,
    ACTIONS(2656), 1,
      anon_sym_COMMA,
    ACTIONS(2691), 1,
      anon_sym_RBRACK,
    STATE(948), 1,
      aux_sym__facts_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35151] = 4,
    ACTIONS(2458), 1,
      anon_sym_RBRACK,
    ACTIONS(2693), 1,
      anon_sym_COMMA,
    STATE(943), 1,
      aux_sym_function_untyped_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35165] = 3,
    STATE(932), 1,
      sym_function_attribute,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2346), 2,
      anon_sym_private,
      anon_sym_destructor,
  [35177] = 4,
    ACTIONS(2577), 1,
      sym_ident,
    STATE(533), 1,
      sym_predicate,
    STATE(1065), 1,
      sym_predicate_def,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35191] = 4,
    ACTIONS(2516), 1,
      aux_sym_theory_token1,
    ACTIONS(2695), 1,
      ts_builtin_sym_end,
    STATE(937), 1,
      aux_sym_theory_repeat2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35205] = 4,
    ACTIONS(2051), 1,
      anon_sym_COMMA,
    ACTIONS(2697), 1,
      anon_sym_RBRACE,
    STATE(883), 1,
      aux_sym_binary_app_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35219] = 4,
    ACTIONS(2699), 1,
      ts_builtin_sym_end,
    ACTIONS(2701), 1,
      aux_sym_theory_token1,
    STATE(928), 1,
      aux_sym_theory_repeat2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35233] = 4,
    ACTIONS(2607), 1,
      anon_sym_next,
    ACTIONS(2703), 1,
      anon_sym_qed,
    STATE(927), 1,
      aux_sym_cases_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35247] = 3,
    ACTIONS(2705), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(820), 2,
      anon_sym_EQ,
      anon_sym_LT,
  [35259] = 3,
    ACTIONS(2707), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(569), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [35271] = 4,
    ACTIONS(1019), 1,
      anon_sym_POUND,
    ACTIONS(2481), 1,
      sym_ident,
    STATE(1295), 1,
      sym_temporal_var,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35285] = 4,
    ACTIONS(2564), 1,
      anon_sym_COMMA,
    ACTIONS(2709), 1,
      anon_sym_RBRACK,
    STATE(951), 1,
      aux_sym_lemma_attr_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35299] = 4,
    ACTIONS(2711), 1,
      anon_sym_RPAREN,
    ACTIONS(2713), 1,
      anon_sym_COMMA,
    STATE(976), 1,
      aux_sym_macro_repeat1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35313] = 4,
    ACTIONS(2556), 1,
      sym_ident,
    ACTIONS(2558), 1,
      anon_sym_POUND,
    STATE(220), 1,
      sym_temporal_var_optional_prefix,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35327] = 4,
    ACTIONS(2556), 1,
      sym_ident,
    ACTIONS(2558), 1,
      anon_sym_POUND,
    STATE(219), 1,
      sym_temporal_var_optional_prefix,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35341] = 4,
    ACTIONS(2485), 1,
      anon_sym_DASH_DASH_LBRACK,
    ACTIONS(2716), 1,
      anon_sym_DASH_DASH_GT,
    STATE(1042), 1,
      sym_action_fact,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35355] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2718), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [35364] = 3,
    ACTIONS(2720), 1,
      anon_sym_LPAREN,
    ACTIONS(2722), 1,
      anon_sym_SLASH,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35375] = 3,
    ACTIONS(2724), 1,
      anon_sym_configuration,
    ACTIONS(2726), 1,
      anon_sym_begin,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35386] = 3,
    ACTIONS(2179), 1,
      sym_ident,
    STATE(472), 1,
      sym_fact,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35397] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2728), 2,
      anon_sym_prio,
      anon_sym_deprio,
  [35406] = 3,
    ACTIONS(2271), 1,
      sym_ident,
    STATE(245), 1,
      sym_fact,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35417] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2652), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [35426] = 3,
    ACTIONS(2730), 1,
      anon_sym_COLON,
    ACTIONS(2732), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35437] = 3,
    ACTIONS(2734), 1,
      anon_sym_COLON,
    ACTIONS(2736), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35448] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(808), 2,
      anon_sym_EQ,
      anon_sym_LT,
  [35457] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2738), 2,
      anon_sym_DASH_DASH_GT,
      anon_sym_DASH_DASH_LBRACK,
  [35466] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2740), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [35475] = 3,
    ACTIONS(51), 1,
      anon_sym_LBRACK,
    STATE(925), 1,
      sym_premise,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35486] = 3,
    ACTIONS(51), 1,
      anon_sym_LBRACK,
    STATE(888), 1,
      sym_premise,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35497] = 3,
    ACTIONS(2330), 1,
      anon_sym_msg,
    ACTIONS(2332), 1,
      anon_sym_nat,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35508] = 3,
    ACTIONS(2742), 1,
      sym_ident,
    ACTIONS(2744), 1,
      anon_sym_ANY,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35519] = 3,
    ACTIONS(2746), 1,
      anon_sym_LBRACK,
    STATE(453), 1,
      sym_conclusion,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35530] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2748), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [35539] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2500), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [35548] = 3,
    ACTIONS(2750), 1,
      anon_sym_EQ,
    ACTIONS(2752), 1,
      anon_sym_LT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35559] = 3,
    ACTIONS(2746), 1,
      anon_sym_LBRACK,
    STATE(333), 1,
      sym_conclusion,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35570] = 3,
    ACTIONS(2746), 1,
      anon_sym_LBRACK,
    STATE(460), 1,
      sym_conclusion,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35581] = 3,
    ACTIONS(2754), 1,
      sym_ident,
    ACTIONS(2756), 1,
      anon_sym_ANY,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35592] = 3,
    ACTIONS(569), 1,
      anon_sym_in,
    ACTIONS(2758), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35603] = 3,
    ACTIONS(51), 1,
      anon_sym_LBRACK,
    STATE(979), 1,
      sym_premise,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35614] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2760), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [35623] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2762), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [35632] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2764), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [35641] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2575), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [35650] = 3,
    ACTIONS(2766), 1,
      anon_sym_POUND,
    ACTIONS(2768), 1,
      aux_sym_hexcolor_token1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35661] = 3,
    ACTIONS(1807), 1,
      anon_sym_case,
    STATE(1015), 1,
      sym_case,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35672] = 3,
    ACTIONS(2770), 1,
      sym_ident,
    ACTIONS(2772), 1,
      anon_sym_ANY,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35683] = 3,
    ACTIONS(2774), 1,
      anon_sym_AT,
    ACTIONS(2776), 1,
      anon_sym_u25b6,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35694] = 3,
    ACTIONS(51), 1,
      anon_sym_LBRACK,
    STATE(934), 1,
      sym_premise,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35705] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2778), 2,
      anon_sym_next,
      anon_sym_qed,
  [35714] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2591), 2,
      anon_sym_next,
      anon_sym_qed,
  [35723] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2780), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [35732] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2782), 2,
      anon_sym_left,
      anon_sym_right,
  [35741] = 3,
    ACTIONS(2746), 1,
      anon_sym_LBRACK,
    STATE(455), 1,
      sym_conclusion,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35752] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2784), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [35761] = 3,
    ACTIONS(2786), 1,
      sym_ident,
    STATE(503), 1,
      sym_macro,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35772] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(878), 2,
      anon_sym_EQ,
      anon_sym_LT,
  [35781] = 3,
    ACTIONS(2788), 1,
      anon_sym_LBRACK,
    STATE(561), 1,
      sym_conclusion,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35792] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2685), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_DASH_GT,
  [35801] = 3,
    ACTIONS(2786), 1,
      sym_ident,
    STATE(545), 1,
      sym_macro,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35812] = 3,
    ACTIONS(2613), 1,
      anon_sym_rule,
    STATE(473), 1,
      sym_simple_rule,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35823] = 3,
    ACTIONS(2462), 1,
      sym_ident,
    STATE(472), 1,
      sym_fact,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35834] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2790), 2,
      anon_sym_E,
      anon_sym_AC,
  [35843] = 3,
    ACTIONS(569), 1,
      anon_sym_EQ,
    ACTIONS(2792), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35854] = 3,
    ACTIONS(2794), 1,
      sym_ident,
    ACTIONS(2796), 1,
      anon_sym_ANY,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35865] = 3,
    ACTIONS(2798), 1,
      sym_ident,
    ACTIONS(2800), 1,
      anon_sym_ANY,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35876] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2802), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [35885] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(862), 2,
      anon_sym_EQ,
      anon_sym_LT,
  [35894] = 3,
    ACTIONS(2746), 1,
      anon_sym_LBRACK,
    STATE(459), 1,
      sym_conclusion,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35905] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2804), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [35914] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2806), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [35923] = 3,
    ACTIONS(2746), 1,
      anon_sym_LBRACK,
    STATE(454), 1,
      sym_conclusion,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35934] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2582), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [35943] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2808), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [35952] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2663), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [35961] = 3,
    ACTIONS(2304), 1,
      anon_sym_node,
    ACTIONS(2810), 1,
      anon_sym_temporal,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35972] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2711), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [35981] = 3,
    ACTIONS(2746), 1,
      anon_sym_LBRACK,
    STATE(458), 1,
      sym_conclusion,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [35992] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2812), 2,
      anon_sym_DASH_DASH_GT,
      anon_sym_DASH_DASH_LBRACK,
  [36001] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2814), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [36010] = 3,
    ACTIONS(2322), 1,
      anon_sym_node,
    ACTIONS(2816), 1,
      anon_sym_temporal,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36021] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2818), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [36030] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2820), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [36039] = 3,
    ACTIONS(2613), 1,
      anon_sym_rule,
    STATE(494), 1,
      sym_simple_rule,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36050] = 3,
    ACTIONS(2320), 1,
      anon_sym_msg,
    ACTIONS(2324), 1,
      anon_sym_nat,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36061] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2635), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [36070] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2822), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_DASH_GT,
  [36079] = 2,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
    ACTIONS(2824), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [36088] = 2,
    ACTIONS(2826), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36096] = 2,
    ACTIONS(2828), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36104] = 2,
    ACTIONS(2466), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36112] = 2,
    ACTIONS(2830), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36120] = 2,
    ACTIONS(2832), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36128] = 2,
    ACTIONS(2834), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36136] = 2,
    ACTIONS(2836), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36144] = 2,
    ACTIONS(2838), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36152] = 2,
    ACTIONS(2840), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36160] = 2,
    ACTIONS(2842), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36168] = 2,
    ACTIONS(2844), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36176] = 2,
    ACTIONS(2846), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36184] = 2,
    ACTIONS(2848), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36192] = 2,
    ACTIONS(2850), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36200] = 2,
    ACTIONS(2852), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36208] = 2,
    ACTIONS(2854), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36216] = 2,
    ACTIONS(2856), 1,
      anon_sym_TILDE_TILDE_GT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36224] = 2,
    ACTIONS(2858), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36232] = 2,
    ACTIONS(2860), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36240] = 2,
    ACTIONS(2862), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36248] = 2,
    ACTIONS(2864), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36256] = 2,
    ACTIONS(2866), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36264] = 2,
    ACTIONS(2868), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36272] = 2,
    ACTIONS(2870), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36280] = 2,
    ACTIONS(2872), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36288] = 2,
    ACTIONS(2874), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36296] = 2,
    ACTIONS(2876), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36304] = 2,
    ACTIONS(2878), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36312] = 2,
    ACTIONS(2816), 1,
      anon_sym_temporal,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36320] = 2,
    ACTIONS(2880), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36328] = 2,
    ACTIONS(2882), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36336] = 2,
    ACTIONS(2884), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36344] = 2,
    ACTIONS(2886), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36352] = 2,
    ACTIONS(2888), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36360] = 2,
    ACTIONS(2890), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36368] = 2,
    ACTIONS(2892), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36376] = 2,
    ACTIONS(2894), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36384] = 2,
    ACTIONS(2896), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36392] = 2,
    ACTIONS(2898), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36400] = 2,
    ACTIONS(2900), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36408] = 2,
    ACTIONS(2902), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36416] = 2,
    ACTIONS(2904), 1,
      sym_standard_goal_ranking,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36424] = 2,
    ACTIONS(2906), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36432] = 2,
    ACTIONS(2908), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36440] = 2,
    ACTIONS(2910), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36448] = 2,
    ACTIONS(2912), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36456] = 2,
    ACTIONS(2914), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36464] = 2,
    ACTIONS(2370), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36472] = 2,
    ACTIONS(2916), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36480] = 2,
    ACTIONS(2918), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36488] = 2,
    ACTIONS(2920), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36496] = 2,
    ACTIONS(2922), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36504] = 2,
    ACTIONS(2924), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36512] = 2,
    ACTIONS(2926), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36520] = 2,
    ACTIONS(2928), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36528] = 2,
    ACTIONS(2930), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36536] = 2,
    ACTIONS(2932), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36544] = 2,
    ACTIONS(2934), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36552] = 2,
    ACTIONS(2936), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36560] = 2,
    ACTIONS(2938), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36568] = 2,
    ACTIONS(2940), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36576] = 2,
    ACTIONS(2942), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36584] = 2,
    ACTIONS(2944), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36592] = 2,
    ACTIONS(2946), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36600] = 2,
    ACTIONS(2948), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36608] = 2,
    ACTIONS(2950), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36616] = 2,
    ACTIONS(2952), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36624] = 2,
    ACTIONS(2954), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36632] = 2,
    ACTIONS(2956), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36640] = 2,
    ACTIONS(2958), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36648] = 2,
    ACTIONS(2960), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36656] = 2,
    ACTIONS(2962), 1,
      anon_sym_then,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36664] = 2,
    ACTIONS(2964), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36672] = 2,
    ACTIONS(2966), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36680] = 2,
    ACTIONS(2968), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36688] = 2,
    ACTIONS(2970), 1,
      anon_sym_RBRACK_DASH_GT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36696] = 2,
    ACTIONS(2972), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36704] = 2,
    ACTIONS(2974), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36712] = 2,
    ACTIONS(2976), 1,
      anon_sym_nat,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36720] = 2,
    ACTIONS(2978), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36728] = 2,
    ACTIONS(2980), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36736] = 2,
    ACTIONS(2982), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36744] = 2,
    ACTIONS(2984), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36752] = 2,
    ACTIONS(2986), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36760] = 2,
    ACTIONS(2810), 1,
      anon_sym_temporal,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36768] = 2,
    ACTIONS(2988), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36776] = 2,
    ACTIONS(2990), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36784] = 2,
    ACTIONS(2992), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36792] = 2,
    ACTIONS(2994), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36800] = 2,
    ACTIONS(2304), 1,
      anon_sym_node,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36808] = 2,
    ACTIONS(2996), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36816] = 2,
    ACTIONS(2998), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36824] = 2,
    ACTIONS(3000), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36832] = 2,
    ACTIONS(3002), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36840] = 2,
    ACTIONS(3004), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36848] = 2,
    ACTIONS(3006), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36856] = 2,
    ACTIONS(3008), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36864] = 2,
    ACTIONS(3010), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36872] = 2,
    ACTIONS(3012), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36880] = 2,
    ACTIONS(3014), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36888] = 2,
    ACTIONS(3016), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36896] = 2,
    ACTIONS(3018), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36904] = 2,
    ACTIONS(3020), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36912] = 2,
    ACTIONS(3022), 1,
      sym_param,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36920] = 2,
    ACTIONS(3024), 1,
      anon_sym_modulo,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36928] = 2,
    ACTIONS(3026), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36936] = 2,
    ACTIONS(3028), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36944] = 2,
    ACTIONS(3030), 1,
      anon_sym_nat,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36952] = 2,
    ACTIONS(3032), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36960] = 2,
    ACTIONS(3034), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36968] = 2,
    ACTIONS(3036), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36976] = 2,
    ACTIONS(3038), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36984] = 2,
    ACTIONS(3040), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [36992] = 2,
    ACTIONS(3042), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37000] = 2,
    ACTIONS(3044), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37008] = 2,
    ACTIONS(3046), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37016] = 2,
    ACTIONS(3048), 1,
      aux_sym_pub_name_token1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37024] = 2,
    ACTIONS(3050), 1,
      aux_sym_pub_name_token1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37032] = 2,
    ACTIONS(3052), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37040] = 2,
    ACTIONS(3054), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37048] = 2,
    ACTIONS(3056), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37056] = 2,
    ACTIONS(3058), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37064] = 2,
    ACTIONS(3060), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37072] = 2,
    ACTIONS(3062), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37080] = 2,
    ACTIONS(3064), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37088] = 2,
    ACTIONS(3066), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37096] = 2,
    ACTIONS(3068), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37104] = 2,
    ACTIONS(3070), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37112] = 2,
    ACTIONS(3072), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37120] = 2,
    ACTIONS(3074), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37128] = 2,
    ACTIONS(3076), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37136] = 2,
    ACTIONS(3078), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37144] = 2,
    ACTIONS(3080), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37152] = 2,
    ACTIONS(2322), 1,
      anon_sym_node,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37160] = 2,
    ACTIONS(3082), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37168] = 2,
    ACTIONS(3084), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37176] = 2,
    ACTIONS(3086), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37184] = 2,
    ACTIONS(3088), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37192] = 2,
    ACTIONS(3090), 1,
      anon_sym_nat,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37200] = 2,
    ACTIONS(3092), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37208] = 2,
    ACTIONS(3094), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37216] = 2,
    ACTIONS(3096), 1,
      sym_export_query,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37224] = 2,
    ACTIONS(3098), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37232] = 2,
    ACTIONS(3100), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37240] = 2,
    ACTIONS(3102), 1,
      aux_sym_hexcolor_token1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37248] = 2,
    ACTIONS(3104), 1,
      anon_sym_convergent,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37256] = 2,
    ACTIONS(3106), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37264] = 2,
    ACTIONS(3108), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37272] = 2,
    ACTIONS(3110), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37280] = 2,
    ACTIONS(3112), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37288] = 2,
    ACTIONS(3114), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37296] = 2,
    ACTIONS(3116), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37304] = 2,
    ACTIONS(3118), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37312] = 2,
    ACTIONS(3120), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37320] = 2,
    ACTIONS(3122), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37328] = 2,
    ACTIONS(3124), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37336] = 2,
    ACTIONS(3126), 1,
      anon_sym_nat,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37344] = 2,
    ACTIONS(3128), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37352] = 2,
    ACTIONS(3130), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37360] = 2,
    ACTIONS(3132), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37368] = 2,
    ACTIONS(3134), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37376] = 2,
    ACTIONS(3136), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37384] = 2,
    ACTIONS(3138), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37392] = 2,
    ACTIONS(3140), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37400] = 2,
    ACTIONS(3142), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37408] = 2,
    ACTIONS(3144), 1,
      anon_sym_right,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37416] = 2,
    ACTIONS(3146), 1,
      sym_param,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37424] = 2,
    ACTIONS(3148), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37432] = 2,
    ACTIONS(3150), 1,
      anon_sym_nat,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37440] = 2,
    ACTIONS(3152), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37448] = 2,
    ACTIONS(3154), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37456] = 2,
    ACTIONS(3156), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37464] = 2,
    ACTIONS(3158), 1,
      anon_sym_nat,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37472] = 2,
    ACTIONS(3160), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37480] = 2,
    ACTIONS(3162), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37488] = 2,
    ACTIONS(3164), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37496] = 2,
    ACTIONS(3166), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37504] = 2,
    ACTIONS(3168), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37512] = 2,
    ACTIONS(3170), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37520] = 2,
    ACTIONS(3172), 1,
      anon_sym_nat,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37528] = 2,
    ACTIONS(3174), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37536] = 2,
    ACTIONS(3176), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37544] = 2,
    ACTIONS(3178), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37552] = 2,
    ACTIONS(3180), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37560] = 2,
    ACTIONS(3182), 1,
      aux_sym_hexcolor_token1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37568] = 2,
    ACTIONS(3184), 1,
      anon_sym_begin,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37576] = 2,
    ACTIONS(3186), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37584] = 2,
    ACTIONS(3188), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37592] = 2,
    ACTIONS(3190), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37600] = 2,
    ACTIONS(3192), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37608] = 2,
    ACTIONS(3194), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37616] = 2,
    ACTIONS(3196), 1,
      anon_sym_then,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37624] = 2,
    ACTIONS(3198), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37632] = 2,
    ACTIONS(3200), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37640] = 2,
    ACTIONS(3202), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37648] = 2,
    ACTIONS(3204), 1,
      anon_sym_nat,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37656] = 2,
    ACTIONS(3206), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37664] = 2,
    ACTIONS(3208), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37672] = 2,
    ACTIONS(3210), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37680] = 2,
    ACTIONS(3212), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37688] = 2,
    ACTIONS(3214), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37696] = 2,
    ACTIONS(3216), 1,
      anon_sym_nat,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37704] = 2,
    ACTIONS(3218), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37712] = 2,
    ACTIONS(3220), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37720] = 2,
    ACTIONS(3222), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37728] = 2,
    ACTIONS(3224), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37736] = 2,
    ACTIONS(3226), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37744] = 2,
    ACTIONS(3228), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37752] = 2,
    ACTIONS(3230), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37760] = 2,
    ACTIONS(3232), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37768] = 2,
    ACTIONS(3234), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37776] = 2,
    ACTIONS(3236), 1,
      aux_sym_pub_name_token1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37784] = 2,
    ACTIONS(3238), 1,
      aux_sym_pub_name_token1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37792] = 2,
    ACTIONS(3240), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37800] = 2,
    ACTIONS(3242), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37808] = 2,
    ACTIONS(3244), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37816] = 2,
    ACTIONS(3246), 1,
      anon_sym_nat,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37824] = 2,
    ACTIONS(3248), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37832] = 2,
    ACTIONS(3250), 1,
      aux_sym_formal_comment_token1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37840] = 2,
    ACTIONS(3252), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37848] = 2,
    ACTIONS(3254), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37856] = 2,
    ACTIONS(3256), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37864] = 2,
    ACTIONS(3258), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37872] = 2,
    ACTIONS(3260), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37880] = 2,
    ACTIONS(3262), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37888] = 2,
    ACTIONS(3264), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37896] = 2,
    ACTIONS(3266), 1,
      sym_param,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37904] = 2,
    ACTIONS(3268), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37912] = 2,
    ACTIONS(3270), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37920] = 2,
    ACTIONS(3272), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37928] = 2,
    ACTIONS(3274), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37936] = 2,
    ACTIONS(3276), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37944] = 2,
    ACTIONS(3278), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37952] = 2,
    ACTIONS(3280), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37960] = 2,
    ACTIONS(3282), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37968] = 2,
    ACTIONS(3284), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37976] = 2,
    ACTIONS(3286), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37984] = 2,
    ACTIONS(3288), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [37992] = 2,
    ACTIONS(3290), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [38000] = 2,
    ACTIONS(3292), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [38008] = 2,
    ACTIONS(3294), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [38016] = 2,
    ACTIONS(3296), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [38024] = 2,
    ACTIONS(3298), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [38032] = 2,
    ACTIONS(3300), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [38040] = 2,
    ACTIONS(3302), 1,
      sym_param,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [38048] = 2,
    ACTIONS(3304), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [38056] = 2,
    ACTIONS(3306), 1,
      aux_sym_pub_name_token1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [38064] = 2,
    ACTIONS(3308), 1,
      aux_sym_pub_name_token1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [38072] = 2,
    ACTIONS(3310), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [38080] = 2,
    ACTIONS(3312), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [38088] = 2,
    ACTIONS(3314), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [38096] = 2,
    ACTIONS(3316), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [38104] = 2,
    ACTIONS(3318), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [38112] = 2,
    ACTIONS(3320), 1,
      aux_sym_pub_name_token1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [38120] = 2,
    ACTIONS(3322), 1,
      aux_sym_pub_name_token1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [38128] = 2,
    ACTIONS(3324), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [38136] = 2,
    ACTIONS(3326), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [38144] = 2,
    ACTIONS(3328), 1,
      anon_sym_DQUOTE,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [38152] = 2,
    ACTIONS(3330), 1,
      aux_sym_pub_name_token1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [38160] = 2,
    ACTIONS(3332), 1,
      aux_sym_pub_name_token1,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [38168] = 2,
    ACTIONS(3334), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [38176] = 2,
    ACTIONS(3336), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [38184] = 2,
    ACTIONS(3338), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [38192] = 2,
    ACTIONS(3340), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [38200] = 2,
    ACTIONS(3342), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [38208] = 2,
    ACTIONS(3344), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [38216] = 2,
    ACTIONS(3346), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [38224] = 2,
    ACTIONS(3348), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [38232] = 2,
    ACTIONS(3350), 1,
      sym_ident,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [38240] = 2,
    ACTIONS(3352), 1,
      sym_natural,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
  [38248] = 2,
    ACTIONS(3354), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 2,
      sym_multi_comment,
      sym_single_comment,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(95)] = 0,
  [SMALL_STATE(96)] = 92,
  [SMALL_STATE(97)] = 214,
  [SMALL_STATE(98)] = 306,
  [SMALL_STATE(99)] = 398,
  [SMALL_STATE(100)] = 490,
  [SMALL_STATE(101)] = 607,
  [SMALL_STATE(102)] = 723,
  [SMALL_STATE(103)] = 836,
  [SMALL_STATE(104)] = 949,
  [SMALL_STATE(105)] = 1026,
  [SMALL_STATE(106)] = 1139,
  [SMALL_STATE(107)] = 1252,
  [SMALL_STATE(108)] = 1365,
  [SMALL_STATE(109)] = 1478,
  [SMALL_STATE(110)] = 1591,
  [SMALL_STATE(111)] = 1704,
  [SMALL_STATE(112)] = 1778,
  [SMALL_STATE(113)] = 1856,
  [SMALL_STATE(114)] = 1918,
  [SMALL_STATE(115)] = 1980,
  [SMALL_STATE(116)] = 2050,
  [SMALL_STATE(117)] = 2112,
  [SMALL_STATE(118)] = 2176,
  [SMALL_STATE(119)] = 2240,
  [SMALL_STATE(120)] = 2302,
  [SMALL_STATE(121)] = 2370,
  [SMALL_STATE(122)] = 2434,
  [SMALL_STATE(123)] = 2496,
  [SMALL_STATE(124)] = 2558,
  [SMALL_STATE(125)] = 2622,
  [SMALL_STATE(126)] = 2681,
  [SMALL_STATE(127)] = 2740,
  [SMALL_STATE(128)] = 2799,
  [SMALL_STATE(129)] = 2858,
  [SMALL_STATE(130)] = 2917,
  [SMALL_STATE(131)] = 2976,
  [SMALL_STATE(132)] = 3035,
  [SMALL_STATE(133)] = 3094,
  [SMALL_STATE(134)] = 3155,
  [SMALL_STATE(135)] = 3214,
  [SMALL_STATE(136)] = 3273,
  [SMALL_STATE(137)] = 3332,
  [SMALL_STATE(138)] = 3391,
  [SMALL_STATE(139)] = 3452,
  [SMALL_STATE(140)] = 3511,
  [SMALL_STATE(141)] = 3572,
  [SMALL_STATE(142)] = 3631,
  [SMALL_STATE(143)] = 3690,
  [SMALL_STATE(144)] = 3749,
  [SMALL_STATE(145)] = 3810,
  [SMALL_STATE(146)] = 3869,
  [SMALL_STATE(147)] = 3928,
  [SMALL_STATE(148)] = 3989,
  [SMALL_STATE(149)] = 4048,
  [SMALL_STATE(150)] = 4109,
  [SMALL_STATE(151)] = 4168,
  [SMALL_STATE(152)] = 4227,
  [SMALL_STATE(153)] = 4286,
  [SMALL_STATE(154)] = 4345,
  [SMALL_STATE(155)] = 4404,
  [SMALL_STATE(156)] = 4463,
  [SMALL_STATE(157)] = 4522,
  [SMALL_STATE(158)] = 4581,
  [SMALL_STATE(159)] = 4640,
  [SMALL_STATE(160)] = 4699,
  [SMALL_STATE(161)] = 4758,
  [SMALL_STATE(162)] = 4817,
  [SMALL_STATE(163)] = 4876,
  [SMALL_STATE(164)] = 4935,
  [SMALL_STATE(165)] = 4994,
  [SMALL_STATE(166)] = 5052,
  [SMALL_STATE(167)] = 5110,
  [SMALL_STATE(168)] = 5190,
  [SMALL_STATE(169)] = 5270,
  [SMALL_STATE(170)] = 5350,
  [SMALL_STATE(171)] = 5430,
  [SMALL_STATE(172)] = 5510,
  [SMALL_STATE(173)] = 5590,
  [SMALL_STATE(174)] = 5648,
  [SMALL_STATE(175)] = 5706,
  [SMALL_STATE(176)] = 5764,
  [SMALL_STATE(177)] = 5844,
  [SMALL_STATE(178)] = 5924,
  [SMALL_STATE(179)] = 5996,
  [SMALL_STATE(180)] = 6068,
  [SMALL_STATE(181)] = 6148,
  [SMALL_STATE(182)] = 6206,
  [SMALL_STATE(183)] = 6286,
  [SMALL_STATE(184)] = 6344,
  [SMALL_STATE(185)] = 6402,
  [SMALL_STATE(186)] = 6460,
  [SMALL_STATE(187)] = 6520,
  [SMALL_STATE(188)] = 6580,
  [SMALL_STATE(189)] = 6648,
  [SMALL_STATE(190)] = 6706,
  [SMALL_STATE(191)] = 6768,
  [SMALL_STATE(192)] = 6826,
  [SMALL_STATE(193)] = 6890,
  [SMALL_STATE(194)] = 6948,
  [SMALL_STATE(195)] = 7006,
  [SMALL_STATE(196)] = 7064,
  [SMALL_STATE(197)] = 7126,
  [SMALL_STATE(198)] = 7186,
  [SMALL_STATE(199)] = 7252,
  [SMALL_STATE(200)] = 7311,
  [SMALL_STATE(201)] = 7374,
  [SMALL_STATE(202)] = 7431,
  [SMALL_STATE(203)] = 7488,
  [SMALL_STATE(204)] = 7551,
  [SMALL_STATE(205)] = 7614,
  [SMALL_STATE(206)] = 7671,
  [SMALL_STATE(207)] = 7730,
  [SMALL_STATE(208)] = 7784,
  [SMALL_STATE(209)] = 7836,
  [SMALL_STATE(210)] = 7898,
  [SMALL_STATE(211)] = 7952,
  [SMALL_STATE(212)] = 8004,
  [SMALL_STATE(213)] = 8066,
  [SMALL_STATE(214)] = 8117,
  [SMALL_STATE(215)] = 8168,
  [SMALL_STATE(216)] = 8219,
  [SMALL_STATE(217)] = 8270,
  [SMALL_STATE(218)] = 8321,
  [SMALL_STATE(219)] = 8372,
  [SMALL_STATE(220)] = 8423,
  [SMALL_STATE(221)] = 8474,
  [SMALL_STATE(222)] = 8525,
  [SMALL_STATE(223)] = 8576,
  [SMALL_STATE(224)] = 8627,
  [SMALL_STATE(225)] = 8678,
  [SMALL_STATE(226)] = 8729,
  [SMALL_STATE(227)] = 8783,
  [SMALL_STATE(228)] = 8837,
  [SMALL_STATE(229)] = 8891,
  [SMALL_STATE(230)] = 8940,
  [SMALL_STATE(231)] = 8989,
  [SMALL_STATE(232)] = 9037,
  [SMALL_STATE(233)] = 9085,
  [SMALL_STATE(234)] = 9149,
  [SMALL_STATE(235)] = 9201,
  [SMALL_STATE(236)] = 9265,
  [SMALL_STATE(237)] = 9329,
  [SMALL_STATE(238)] = 9389,
  [SMALL_STATE(239)] = 9441,
  [SMALL_STATE(240)] = 9491,
  [SMALL_STATE(241)] = 9555,
  [SMALL_STATE(242)] = 9609,
  [SMALL_STATE(243)] = 9665,
  [SMALL_STATE(244)] = 9717,
  [SMALL_STATE(245)] = 9767,
  [SMALL_STATE(246)] = 9813,
  [SMALL_STATE(247)] = 9867,
  [SMALL_STATE(248)] = 9913,
  [SMALL_STATE(249)] = 9959,
  [SMALL_STATE(250)] = 10005,
  [SMALL_STATE(251)] = 10051,
  [SMALL_STATE(252)] = 10097,
  [SMALL_STATE(253)] = 10143,
  [SMALL_STATE(254)] = 10214,
  [SMALL_STATE(255)] = 10285,
  [SMALL_STATE(256)] = 10356,
  [SMALL_STATE(257)] = 10427,
  [SMALL_STATE(258)] = 10498,
  [SMALL_STATE(259)] = 10569,
  [SMALL_STATE(260)] = 10618,
  [SMALL_STATE(261)] = 10689,
  [SMALL_STATE(262)] = 10742,
  [SMALL_STATE(263)] = 10813,
  [SMALL_STATE(264)] = 10884,
  [SMALL_STATE(265)] = 10955,
  [SMALL_STATE(266)] = 11002,
  [SMALL_STATE(267)] = 11049,
  [SMALL_STATE(268)] = 11098,
  [SMALL_STATE(269)] = 11169,
  [SMALL_STATE(270)] = 11240,
  [SMALL_STATE(271)] = 11311,
  [SMALL_STATE(272)] = 11382,
  [SMALL_STATE(273)] = 11426,
  [SMALL_STATE(274)] = 11484,
  [SMALL_STATE(275)] = 11528,
  [SMALL_STATE(276)] = 11572,
  [SMALL_STATE(277)] = 11616,
  [SMALL_STATE(278)] = 11660,
  [SMALL_STATE(279)] = 11704,
  [SMALL_STATE(280)] = 11748,
  [SMALL_STATE(281)] = 11814,
  [SMALL_STATE(282)] = 11866,
  [SMALL_STATE(283)] = 11910,
  [SMALL_STATE(284)] = 11956,
  [SMALL_STATE(285)] = 12000,
  [SMALL_STATE(286)] = 12044,
  [SMALL_STATE(287)] = 12096,
  [SMALL_STATE(288)] = 12140,
  [SMALL_STATE(289)] = 12184,
  [SMALL_STATE(290)] = 12228,
  [SMALL_STATE(291)] = 12294,
  [SMALL_STATE(292)] = 12340,
  [SMALL_STATE(293)] = 12398,
  [SMALL_STATE(294)] = 12442,
  [SMALL_STATE(295)] = 12486,
  [SMALL_STATE(296)] = 12544,
  [SMALL_STATE(297)] = 12590,
  [SMALL_STATE(298)] = 12634,
  [SMALL_STATE(299)] = 12678,
  [SMALL_STATE(300)] = 12744,
  [SMALL_STATE(301)] = 12802,
  [SMALL_STATE(302)] = 12847,
  [SMALL_STATE(303)] = 12890,
  [SMALL_STATE(304)] = 12949,
  [SMALL_STATE(305)] = 12992,
  [SMALL_STATE(306)] = 13051,
  [SMALL_STATE(307)] = 13094,
  [SMALL_STATE(308)] = 13137,
  [SMALL_STATE(309)] = 13182,
  [SMALL_STATE(310)] = 13225,
  [SMALL_STATE(311)] = 13284,
  [SMALL_STATE(312)] = 13339,
  [SMALL_STATE(313)] = 13388,
  [SMALL_STATE(314)] = 13433,
  [SMALL_STATE(315)] = 13486,
  [SMALL_STATE(316)] = 13533,
  [SMALL_STATE(317)] = 13576,
  [SMALL_STATE(318)] = 13635,
  [SMALL_STATE(319)] = 13698,
  [SMALL_STATE(320)] = 13741,
  [SMALL_STATE(321)] = 13804,
  [SMALL_STATE(322)] = 13849,
  [SMALL_STATE(323)] = 13896,
  [SMALL_STATE(324)] = 13938,
  [SMALL_STATE(325)] = 13986,
  [SMALL_STATE(326)] = 14034,
  [SMALL_STATE(327)] = 14082,
  [SMALL_STATE(328)] = 14130,
  [SMALL_STATE(329)] = 14178,
  [SMALL_STATE(330)] = 14226,
  [SMALL_STATE(331)] = 14288,
  [SMALL_STATE(332)] = 14338,
  [SMALL_STATE(333)] = 14386,
  [SMALL_STATE(334)] = 14430,
  [SMALL_STATE(335)] = 14472,
  [SMALL_STATE(336)] = 14520,
  [SMALL_STATE(337)] = 14562,
  [SMALL_STATE(338)] = 14608,
  [SMALL_STATE(339)] = 14670,
  [SMALL_STATE(340)] = 14720,
  [SMALL_STATE(341)] = 14762,
  [SMALL_STATE(342)] = 14814,
  [SMALL_STATE(343)] = 14862,
  [SMALL_STATE(344)] = 14910,
  [SMALL_STATE(345)] = 14958,
  [SMALL_STATE(346)] = 15004,
  [SMALL_STATE(347)] = 15052,
  [SMALL_STATE(348)] = 15096,
  [SMALL_STATE(349)] = 15138,
  [SMALL_STATE(350)] = 15186,
  [SMALL_STATE(351)] = 15230,
  [SMALL_STATE(352)] = 15278,
  [SMALL_STATE(353)] = 15328,
  [SMALL_STATE(354)] = 15378,
  [SMALL_STATE(355)] = 15422,
  [SMALL_STATE(356)] = 15472,
  [SMALL_STATE(357)] = 15516,
  [SMALL_STATE(358)] = 15578,
  [SMALL_STATE(359)] = 15622,
  [SMALL_STATE(360)] = 15666,
  [SMALL_STATE(361)] = 15725,
  [SMALL_STATE(362)] = 15784,
  [SMALL_STATE(363)] = 15843,
  [SMALL_STATE(364)] = 15886,
  [SMALL_STATE(365)] = 15945,
  [SMALL_STATE(366)] = 16004,
  [SMALL_STATE(367)] = 16063,
  [SMALL_STATE(368)] = 16122,
  [SMALL_STATE(369)] = 16181,
  [SMALL_STATE(370)] = 16240,
  [SMALL_STATE(371)] = 16299,
  [SMALL_STATE(372)] = 16358,
  [SMALL_STATE(373)] = 16417,
  [SMALL_STATE(374)] = 16476,
  [SMALL_STATE(375)] = 16535,
  [SMALL_STATE(376)] = 16594,
  [SMALL_STATE(377)] = 16653,
  [SMALL_STATE(378)] = 16712,
  [SMALL_STATE(379)] = 16771,
  [SMALL_STATE(380)] = 16830,
  [SMALL_STATE(381)] = 16889,
  [SMALL_STATE(382)] = 16948,
  [SMALL_STATE(383)] = 17007,
  [SMALL_STATE(384)] = 17066,
  [SMALL_STATE(385)] = 17125,
  [SMALL_STATE(386)] = 17184,
  [SMALL_STATE(387)] = 17243,
  [SMALL_STATE(388)] = 17302,
  [SMALL_STATE(389)] = 17361,
  [SMALL_STATE(390)] = 17420,
  [SMALL_STATE(391)] = 17479,
  [SMALL_STATE(392)] = 17538,
  [SMALL_STATE(393)] = 17597,
  [SMALL_STATE(394)] = 17656,
  [SMALL_STATE(395)] = 17715,
  [SMALL_STATE(396)] = 17774,
  [SMALL_STATE(397)] = 17833,
  [SMALL_STATE(398)] = 17892,
  [SMALL_STATE(399)] = 17951,
  [SMALL_STATE(400)] = 18010,
  [SMALL_STATE(401)] = 18069,
  [SMALL_STATE(402)] = 18128,
  [SMALL_STATE(403)] = 18187,
  [SMALL_STATE(404)] = 18246,
  [SMALL_STATE(405)] = 18305,
  [SMALL_STATE(406)] = 18364,
  [SMALL_STATE(407)] = 18423,
  [SMALL_STATE(408)] = 18482,
  [SMALL_STATE(409)] = 18541,
  [SMALL_STATE(410)] = 18600,
  [SMALL_STATE(411)] = 18659,
  [SMALL_STATE(412)] = 18718,
  [SMALL_STATE(413)] = 18777,
  [SMALL_STATE(414)] = 18836,
  [SMALL_STATE(415)] = 18895,
  [SMALL_STATE(416)] = 18954,
  [SMALL_STATE(417)] = 19013,
  [SMALL_STATE(418)] = 19072,
  [SMALL_STATE(419)] = 19131,
  [SMALL_STATE(420)] = 19190,
  [SMALL_STATE(421)] = 19249,
  [SMALL_STATE(422)] = 19308,
  [SMALL_STATE(423)] = 19367,
  [SMALL_STATE(424)] = 19426,
  [SMALL_STATE(425)] = 19485,
  [SMALL_STATE(426)] = 19544,
  [SMALL_STATE(427)] = 19603,
  [SMALL_STATE(428)] = 19662,
  [SMALL_STATE(429)] = 19721,
  [SMALL_STATE(430)] = 19780,
  [SMALL_STATE(431)] = 19839,
  [SMALL_STATE(432)] = 19898,
  [SMALL_STATE(433)] = 19957,
  [SMALL_STATE(434)] = 20016,
  [SMALL_STATE(435)] = 20075,
  [SMALL_STATE(436)] = 20134,
  [SMALL_STATE(437)] = 20193,
  [SMALL_STATE(438)] = 20252,
  [SMALL_STATE(439)] = 20311,
  [SMALL_STATE(440)] = 20370,
  [SMALL_STATE(441)] = 20429,
  [SMALL_STATE(442)] = 20488,
  [SMALL_STATE(443)] = 20547,
  [SMALL_STATE(444)] = 20606,
  [SMALL_STATE(445)] = 20665,
  [SMALL_STATE(446)] = 20724,
  [SMALL_STATE(447)] = 20783,
  [SMALL_STATE(448)] = 20842,
  [SMALL_STATE(449)] = 20901,
  [SMALL_STATE(450)] = 20960,
  [SMALL_STATE(451)] = 21019,
  [SMALL_STATE(452)] = 21078,
  [SMALL_STATE(453)] = 21118,
  [SMALL_STATE(454)] = 21158,
  [SMALL_STATE(455)] = 21198,
  [SMALL_STATE(456)] = 21238,
  [SMALL_STATE(457)] = 21278,
  [SMALL_STATE(458)] = 21322,
  [SMALL_STATE(459)] = 21362,
  [SMALL_STATE(460)] = 21402,
  [SMALL_STATE(461)] = 21442,
  [SMALL_STATE(462)] = 21481,
  [SMALL_STATE(463)] = 21520,
  [SMALL_STATE(464)] = 21563,
  [SMALL_STATE(465)] = 21606,
  [SMALL_STATE(466)] = 21649,
  [SMALL_STATE(467)] = 21688,
  [SMALL_STATE(468)] = 21733,
  [SMALL_STATE(469)] = 21778,
  [SMALL_STATE(470)] = 21821,
  [SMALL_STATE(471)] = 21866,
  [SMALL_STATE(472)] = 21909,
  [SMALL_STATE(473)] = 21948,
  [SMALL_STATE(474)] = 21991,
  [SMALL_STATE(475)] = 22030,
  [SMALL_STATE(476)] = 22073,
  [SMALL_STATE(477)] = 22118,
  [SMALL_STATE(478)] = 22161,
  [SMALL_STATE(479)] = 22204,
  [SMALL_STATE(480)] = 22247,
  [SMALL_STATE(481)] = 22292,
  [SMALL_STATE(482)] = 22334,
  [SMALL_STATE(483)] = 22374,
  [SMALL_STATE(484)] = 22412,
  [SMALL_STATE(485)] = 22450,
  [SMALL_STATE(486)] = 22492,
  [SMALL_STATE(487)] = 22534,
  [SMALL_STATE(488)] = 22576,
  [SMALL_STATE(489)] = 22614,
  [SMALL_STATE(490)] = 22656,
  [SMALL_STATE(491)] = 22694,
  [SMALL_STATE(492)] = 22736,
  [SMALL_STATE(493)] = 22778,
  [SMALL_STATE(494)] = 22820,
  [SMALL_STATE(495)] = 22858,
  [SMALL_STATE(496)] = 22900,
  [SMALL_STATE(497)] = 22942,
  [SMALL_STATE(498)] = 22982,
  [SMALL_STATE(499)] = 23024,
  [SMALL_STATE(500)] = 23066,
  [SMALL_STATE(501)] = 23104,
  [SMALL_STATE(502)] = 23146,
  [SMALL_STATE(503)] = 23188,
  [SMALL_STATE(504)] = 23230,
  [SMALL_STATE(505)] = 23272,
  [SMALL_STATE(506)] = 23312,
  [SMALL_STATE(507)] = 23350,
  [SMALL_STATE(508)] = 23392,
  [SMALL_STATE(509)] = 23432,
  [SMALL_STATE(510)] = 23472,
  [SMALL_STATE(511)] = 23514,
  [SMALL_STATE(512)] = 23554,
  [SMALL_STATE(513)] = 23596,
  [SMALL_STATE(514)] = 23638,
  [SMALL_STATE(515)] = 23680,
  [SMALL_STATE(516)] = 23718,
  [SMALL_STATE(517)] = 23765,
  [SMALL_STATE(518)] = 23808,
  [SMALL_STATE(519)] = 23851,
  [SMALL_STATE(520)] = 23888,
  [SMALL_STATE(521)] = 23931,
  [SMALL_STATE(522)] = 23974,
  [SMALL_STATE(523)] = 24013,
  [SMALL_STATE(524)] = 24050,
  [SMALL_STATE(525)] = 24087,
  [SMALL_STATE(526)] = 24130,
  [SMALL_STATE(527)] = 24167,
  [SMALL_STATE(528)] = 24206,
  [SMALL_STATE(529)] = 24249,
  [SMALL_STATE(530)] = 24292,
  [SMALL_STATE(531)] = 24329,
  [SMALL_STATE(532)] = 24366,
  [SMALL_STATE(533)] = 24405,
  [SMALL_STATE(534)] = 24442,
  [SMALL_STATE(535)] = 24479,
  [SMALL_STATE(536)] = 24518,
  [SMALL_STATE(537)] = 24561,
  [SMALL_STATE(538)] = 24598,
  [SMALL_STATE(539)] = 24635,
  [SMALL_STATE(540)] = 24678,
  [SMALL_STATE(541)] = 24721,
  [SMALL_STATE(542)] = 24764,
  [SMALL_STATE(543)] = 24801,
  [SMALL_STATE(544)] = 24838,
  [SMALL_STATE(545)] = 24875,
  [SMALL_STATE(546)] = 24912,
  [SMALL_STATE(547)] = 24957,
  [SMALL_STATE(548)] = 24994,
  [SMALL_STATE(549)] = 25039,
  [SMALL_STATE(550)] = 25084,
  [SMALL_STATE(551)] = 25121,
  [SMALL_STATE(552)] = 25160,
  [SMALL_STATE(553)] = 25199,
  [SMALL_STATE(554)] = 25242,
  [SMALL_STATE(555)] = 25285,
  [SMALL_STATE(556)] = 25328,
  [SMALL_STATE(557)] = 25365,
  [SMALL_STATE(558)] = 25402,
  [SMALL_STATE(559)] = 25439,
  [SMALL_STATE(560)] = 25476,
  [SMALL_STATE(561)] = 25513,
  [SMALL_STATE(562)] = 25552,
  [SMALL_STATE(563)] = 25588,
  [SMALL_STATE(564)] = 25624,
  [SMALL_STATE(565)] = 25660,
  [SMALL_STATE(566)] = 25696,
  [SMALL_STATE(567)] = 25732,
  [SMALL_STATE(568)] = 25768,
  [SMALL_STATE(569)] = 25804,
  [SMALL_STATE(570)] = 25840,
  [SMALL_STATE(571)] = 25876,
  [SMALL_STATE(572)] = 25912,
  [SMALL_STATE(573)] = 25948,
  [SMALL_STATE(574)] = 25984,
  [SMALL_STATE(575)] = 26020,
  [SMALL_STATE(576)] = 26056,
  [SMALL_STATE(577)] = 26092,
  [SMALL_STATE(578)] = 26128,
  [SMALL_STATE(579)] = 26164,
  [SMALL_STATE(580)] = 26200,
  [SMALL_STATE(581)] = 26236,
  [SMALL_STATE(582)] = 26272,
  [SMALL_STATE(583)] = 26308,
  [SMALL_STATE(584)] = 26344,
  [SMALL_STATE(585)] = 26380,
  [SMALL_STATE(586)] = 26416,
  [SMALL_STATE(587)] = 26452,
  [SMALL_STATE(588)] = 26488,
  [SMALL_STATE(589)] = 26536,
  [SMALL_STATE(590)] = 26580,
  [SMALL_STATE(591)] = 26624,
  [SMALL_STATE(592)] = 26669,
  [SMALL_STATE(593)] = 26712,
  [SMALL_STATE(594)] = 26755,
  [SMALL_STATE(595)] = 26798,
  [SMALL_STATE(596)] = 26845,
  [SMALL_STATE(597)] = 26892,
  [SMALL_STATE(598)] = 26933,
  [SMALL_STATE(599)] = 26979,
  [SMALL_STATE(600)] = 27025,
  [SMALL_STATE(601)] = 27062,
  [SMALL_STATE(602)] = 27090,
  [SMALL_STATE(603)] = 27118,
  [SMALL_STATE(604)] = 27150,
  [SMALL_STATE(605)] = 27180,
  [SMALL_STATE(606)] = 27210,
  [SMALL_STATE(607)] = 27242,
  [SMALL_STATE(608)] = 27282,
  [SMALL_STATE(609)] = 27322,
  [SMALL_STATE(610)] = 27362,
  [SMALL_STATE(611)] = 27402,
  [SMALL_STATE(612)] = 27430,
  [SMALL_STATE(613)] = 27458,
  [SMALL_STATE(614)] = 27486,
  [SMALL_STATE(615)] = 27526,
  [SMALL_STATE(616)] = 27566,
  [SMALL_STATE(617)] = 27594,
  [SMALL_STATE(618)] = 27634,
  [SMALL_STATE(619)] = 27662,
  [SMALL_STATE(620)] = 27690,
  [SMALL_STATE(621)] = 27718,
  [SMALL_STATE(622)] = 27746,
  [SMALL_STATE(623)] = 27774,
  [SMALL_STATE(624)] = 27802,
  [SMALL_STATE(625)] = 27829,
  [SMALL_STATE(626)] = 27856,
  [SMALL_STATE(627)] = 27883,
  [SMALL_STATE(628)] = 27910,
  [SMALL_STATE(629)] = 27939,
  [SMALL_STATE(630)] = 27968,
  [SMALL_STATE(631)] = 27995,
  [SMALL_STATE(632)] = 28022,
  [SMALL_STATE(633)] = 28049,
  [SMALL_STATE(634)] = 28076,
  [SMALL_STATE(635)] = 28103,
  [SMALL_STATE(636)] = 28130,
  [SMALL_STATE(637)] = 28157,
  [SMALL_STATE(638)] = 28186,
  [SMALL_STATE(639)] = 28213,
  [SMALL_STATE(640)] = 28240,
  [SMALL_STATE(641)] = 28267,
  [SMALL_STATE(642)] = 28294,
  [SMALL_STATE(643)] = 28321,
  [SMALL_STATE(644)] = 28348,
  [SMALL_STATE(645)] = 28374,
  [SMALL_STATE(646)] = 28414,
  [SMALL_STATE(647)] = 28440,
  [SMALL_STATE(648)] = 28466,
  [SMALL_STATE(649)] = 28492,
  [SMALL_STATE(650)] = 28532,
  [SMALL_STATE(651)] = 28560,
  [SMALL_STATE(652)] = 28586,
  [SMALL_STATE(653)] = 28612,
  [SMALL_STATE(654)] = 28644,
  [SMALL_STATE(655)] = 28674,
  [SMALL_STATE(656)] = 28700,
  [SMALL_STATE(657)] = 28736,
  [SMALL_STATE(658)] = 28764,
  [SMALL_STATE(659)] = 28797,
  [SMALL_STATE(660)] = 28830,
  [SMALL_STATE(661)] = 28863,
  [SMALL_STATE(662)] = 28896,
  [SMALL_STATE(663)] = 28926,
  [SMALL_STATE(664)] = 28956,
  [SMALL_STATE(665)] = 28983,
  [SMALL_STATE(666)] = 29010,
  [SMALL_STATE(667)] = 29035,
  [SMALL_STATE(668)] = 29068,
  [SMALL_STATE(669)] = 29093,
  [SMALL_STATE(670)] = 29120,
  [SMALL_STATE(671)] = 29147,
  [SMALL_STATE(672)] = 29174,
  [SMALL_STATE(673)] = 29207,
  [SMALL_STATE(674)] = 29240,
  [SMALL_STATE(675)] = 29265,
  [SMALL_STATE(676)] = 29298,
  [SMALL_STATE(677)] = 29323,
  [SMALL_STATE(678)] = 29345,
  [SMALL_STATE(679)] = 29375,
  [SMALL_STATE(680)] = 29399,
  [SMALL_STATE(681)] = 29421,
  [SMALL_STATE(682)] = 29443,
  [SMALL_STATE(683)] = 29467,
  [SMALL_STATE(684)] = 29497,
  [SMALL_STATE(685)] = 29521,
  [SMALL_STATE(686)] = 29543,
  [SMALL_STATE(687)] = 29573,
  [SMALL_STATE(688)] = 29597,
  [SMALL_STATE(689)] = 29619,
  [SMALL_STATE(690)] = 29643,
  [SMALL_STATE(691)] = 29671,
  [SMALL_STATE(692)] = 29695,
  [SMALL_STATE(693)] = 29725,
  [SMALL_STATE(694)] = 29746,
  [SMALL_STATE(695)] = 29767,
  [SMALL_STATE(696)] = 29796,
  [SMALL_STATE(697)] = 29821,
  [SMALL_STATE(698)] = 29846,
  [SMALL_STATE(699)] = 29867,
  [SMALL_STATE(700)] = 29888,
  [SMALL_STATE(701)] = 29911,
  [SMALL_STATE(702)] = 29934,
  [SMALL_STATE(703)] = 29965,
  [SMALL_STATE(704)] = 29990,
  [SMALL_STATE(705)] = 30013,
  [SMALL_STATE(706)] = 30034,
  [SMALL_STATE(707)] = 30061,
  [SMALL_STATE(708)] = 30082,
  [SMALL_STATE(709)] = 30107,
  [SMALL_STATE(710)] = 30134,
  [SMALL_STATE(711)] = 30157,
  [SMALL_STATE(712)] = 30184,
  [SMALL_STATE(713)] = 30207,
  [SMALL_STATE(714)] = 30228,
  [SMALL_STATE(715)] = 30257,
  [SMALL_STATE(716)] = 30286,
  [SMALL_STATE(717)] = 30307,
  [SMALL_STATE(718)] = 30330,
  [SMALL_STATE(719)] = 30369,
  [SMALL_STATE(720)] = 30394,
  [SMALL_STATE(721)] = 30415,
  [SMALL_STATE(722)] = 30445,
  [SMALL_STATE(723)] = 30475,
  [SMALL_STATE(724)] = 30509,
  [SMALL_STATE(725)] = 30539,
  [SMALL_STATE(726)] = 30561,
  [SMALL_STATE(727)] = 30583,
  [SMALL_STATE(728)] = 30613,
  [SMALL_STATE(729)] = 30641,
  [SMALL_STATE(730)] = 30671,
  [SMALL_STATE(731)] = 30705,
  [SMALL_STATE(732)] = 30739,
  [SMALL_STATE(733)] = 30772,
  [SMALL_STATE(734)] = 30805,
  [SMALL_STATE(735)] = 30838,
  [SMALL_STATE(736)] = 30865,
  [SMALL_STATE(737)] = 30896,
  [SMALL_STATE(738)] = 30917,
  [SMALL_STATE(739)] = 30942,
  [SMALL_STATE(740)] = 30975,
  [SMALL_STATE(741)] = 31008,
  [SMALL_STATE(742)] = 31041,
  [SMALL_STATE(743)] = 31066,
  [SMALL_STATE(744)] = 31099,
  [SMALL_STATE(745)] = 31128,
  [SMALL_STATE(746)] = 31161,
  [SMALL_STATE(747)] = 31188,
  [SMALL_STATE(748)] = 31215,
  [SMALL_STATE(749)] = 31246,
  [SMALL_STATE(750)] = 31279,
  [SMALL_STATE(751)] = 31308,
  [SMALL_STATE(752)] = 31335,
  [SMALL_STATE(753)] = 31356,
  [SMALL_STATE(754)] = 31383,
  [SMALL_STATE(755)] = 31416,
  [SMALL_STATE(756)] = 31449,
  [SMALL_STATE(757)] = 31482,
  [SMALL_STATE(758)] = 31506,
  [SMALL_STATE(759)] = 31530,
  [SMALL_STATE(760)] = 31554,
  [SMALL_STATE(761)] = 31578,
  [SMALL_STATE(762)] = 31602,
  [SMALL_STATE(763)] = 31626,
  [SMALL_STATE(764)] = 31644,
  [SMALL_STATE(765)] = 31664,
  [SMALL_STATE(766)] = 31688,
  [SMALL_STATE(767)] = 31718,
  [SMALL_STATE(768)] = 31748,
  [SMALL_STATE(769)] = 31772,
  [SMALL_STATE(770)] = 31800,
  [SMALL_STATE(771)] = 31824,
  [SMALL_STATE(772)] = 31848,
  [SMALL_STATE(773)] = 31866,
  [SMALL_STATE(774)] = 31890,
  [SMALL_STATE(775)] = 31914,
  [SMALL_STATE(776)] = 31938,
  [SMALL_STATE(777)] = 31956,
  [SMALL_STATE(778)] = 31978,
  [SMALL_STATE(779)] = 32002,
  [SMALL_STATE(780)] = 32022,
  [SMALL_STATE(781)] = 32046,
  [SMALL_STATE(782)] = 32070,
  [SMALL_STATE(783)] = 32094,
  [SMALL_STATE(784)] = 32124,
  [SMALL_STATE(785)] = 32148,
  [SMALL_STATE(786)] = 32178,
  [SMALL_STATE(787)] = 32203,
  [SMALL_STATE(788)] = 32230,
  [SMALL_STATE(789)] = 32251,
  [SMALL_STATE(790)] = 32278,
  [SMALL_STATE(791)] = 32305,
  [SMALL_STATE(792)] = 32326,
  [SMALL_STATE(793)] = 32353,
  [SMALL_STATE(794)] = 32380,
  [SMALL_STATE(795)] = 32407,
  [SMALL_STATE(796)] = 32428,
  [SMALL_STATE(797)] = 32449,
  [SMALL_STATE(798)] = 32470,
  [SMALL_STATE(799)] = 32497,
  [SMALL_STATE(800)] = 32524,
  [SMALL_STATE(801)] = 32551,
  [SMALL_STATE(802)] = 32578,
  [SMALL_STATE(803)] = 32605,
  [SMALL_STATE(804)] = 32630,
  [SMALL_STATE(805)] = 32651,
  [SMALL_STATE(806)] = 32678,
  [SMALL_STATE(807)] = 32705,
  [SMALL_STATE(808)] = 32732,
  [SMALL_STATE(809)] = 32759,
  [SMALL_STATE(810)] = 32786,
  [SMALL_STATE(811)] = 32807,
  [SMALL_STATE(812)] = 32834,
  [SMALL_STATE(813)] = 32856,
  [SMALL_STATE(814)] = 32872,
  [SMALL_STATE(815)] = 32888,
  [SMALL_STATE(816)] = 32906,
  [SMALL_STATE(817)] = 32922,
  [SMALL_STATE(818)] = 32944,
  [SMALL_STATE(819)] = 32962,
  [SMALL_STATE(820)] = 32978,
  [SMALL_STATE(821)] = 32993,
  [SMALL_STATE(822)] = 33012,
  [SMALL_STATE(823)] = 33033,
  [SMALL_STATE(824)] = 33050,
  [SMALL_STATE(825)] = 33063,
  [SMALL_STATE(826)] = 33080,
  [SMALL_STATE(827)] = 33099,
  [SMALL_STATE(828)] = 33114,
  [SMALL_STATE(829)] = 33131,
  [SMALL_STATE(830)] = 33146,
  [SMALL_STATE(831)] = 33167,
  [SMALL_STATE(832)] = 33182,
  [SMALL_STATE(833)] = 33197,
  [SMALL_STATE(834)] = 33216,
  [SMALL_STATE(835)] = 33237,
  [SMALL_STATE(836)] = 33250,
  [SMALL_STATE(837)] = 33270,
  [SMALL_STATE(838)] = 33284,
  [SMALL_STATE(839)] = 33302,
  [SMALL_STATE(840)] = 33322,
  [SMALL_STATE(841)] = 33342,
  [SMALL_STATE(842)] = 33362,
  [SMALL_STATE(843)] = 33379,
  [SMALL_STATE(844)] = 33394,
  [SMALL_STATE(845)] = 33411,
  [SMALL_STATE(846)] = 33424,
  [SMALL_STATE(847)] = 33441,
  [SMALL_STATE(848)] = 33458,
  [SMALL_STATE(849)] = 33473,
  [SMALL_STATE(850)] = 33490,
  [SMALL_STATE(851)] = 33503,
  [SMALL_STATE(852)] = 33520,
  [SMALL_STATE(853)] = 33537,
  [SMALL_STATE(854)] = 33552,
  [SMALL_STATE(855)] = 33569,
  [SMALL_STATE(856)] = 33586,
  [SMALL_STATE(857)] = 33601,
  [SMALL_STATE(858)] = 33614,
  [SMALL_STATE(859)] = 33631,
  [SMALL_STATE(860)] = 33648,
  [SMALL_STATE(861)] = 33665,
  [SMALL_STATE(862)] = 33682,
  [SMALL_STATE(863)] = 33699,
  [SMALL_STATE(864)] = 33714,
  [SMALL_STATE(865)] = 33731,
  [SMALL_STATE(866)] = 33748,
  [SMALL_STATE(867)] = 33765,
  [SMALL_STATE(868)] = 33778,
  [SMALL_STATE(869)] = 33795,
  [SMALL_STATE(870)] = 33810,
  [SMALL_STATE(871)] = 33827,
  [SMALL_STATE(872)] = 33844,
  [SMALL_STATE(873)] = 33861,
  [SMALL_STATE(874)] = 33878,
  [SMALL_STATE(875)] = 33893,
  [SMALL_STATE(876)] = 33910,
  [SMALL_STATE(877)] = 33925,
  [SMALL_STATE(878)] = 33938,
  [SMALL_STATE(879)] = 33953,
  [SMALL_STATE(880)] = 33968,
  [SMALL_STATE(881)] = 33983,
  [SMALL_STATE(882)] = 33998,
  [SMALL_STATE(883)] = 34011,
  [SMALL_STATE(884)] = 34026,
  [SMALL_STATE(885)] = 34043,
  [SMALL_STATE(886)] = 34058,
  [SMALL_STATE(887)] = 34073,
  [SMALL_STATE(888)] = 34087,
  [SMALL_STATE(889)] = 34101,
  [SMALL_STATE(890)] = 34115,
  [SMALL_STATE(891)] = 34129,
  [SMALL_STATE(892)] = 34143,
  [SMALL_STATE(893)] = 34157,
  [SMALL_STATE(894)] = 34171,
  [SMALL_STATE(895)] = 34185,
  [SMALL_STATE(896)] = 34199,
  [SMALL_STATE(897)] = 34213,
  [SMALL_STATE(898)] = 34227,
  [SMALL_STATE(899)] = 34241,
  [SMALL_STATE(900)] = 34255,
  [SMALL_STATE(901)] = 34269,
  [SMALL_STATE(902)] = 34283,
  [SMALL_STATE(903)] = 34297,
  [SMALL_STATE(904)] = 34311,
  [SMALL_STATE(905)] = 34325,
  [SMALL_STATE(906)] = 34339,
  [SMALL_STATE(907)] = 34353,
  [SMALL_STATE(908)] = 34367,
  [SMALL_STATE(909)] = 34381,
  [SMALL_STATE(910)] = 34395,
  [SMALL_STATE(911)] = 34409,
  [SMALL_STATE(912)] = 34421,
  [SMALL_STATE(913)] = 34435,
  [SMALL_STATE(914)] = 34449,
  [SMALL_STATE(915)] = 34463,
  [SMALL_STATE(916)] = 34477,
  [SMALL_STATE(917)] = 34491,
  [SMALL_STATE(918)] = 34505,
  [SMALL_STATE(919)] = 34519,
  [SMALL_STATE(920)] = 34531,
  [SMALL_STATE(921)] = 34545,
  [SMALL_STATE(922)] = 34559,
  [SMALL_STATE(923)] = 34573,
  [SMALL_STATE(924)] = 34587,
  [SMALL_STATE(925)] = 34601,
  [SMALL_STATE(926)] = 34615,
  [SMALL_STATE(927)] = 34627,
  [SMALL_STATE(928)] = 34641,
  [SMALL_STATE(929)] = 34655,
  [SMALL_STATE(930)] = 34669,
  [SMALL_STATE(931)] = 34683,
  [SMALL_STATE(932)] = 34697,
  [SMALL_STATE(933)] = 34711,
  [SMALL_STATE(934)] = 34725,
  [SMALL_STATE(935)] = 34739,
  [SMALL_STATE(936)] = 34753,
  [SMALL_STATE(937)] = 34767,
  [SMALL_STATE(938)] = 34781,
  [SMALL_STATE(939)] = 34791,
  [SMALL_STATE(940)] = 34805,
  [SMALL_STATE(941)] = 34819,
  [SMALL_STATE(942)] = 34833,
  [SMALL_STATE(943)] = 34847,
  [SMALL_STATE(944)] = 34861,
  [SMALL_STATE(945)] = 34875,
  [SMALL_STATE(946)] = 34889,
  [SMALL_STATE(947)] = 34903,
  [SMALL_STATE(948)] = 34917,
  [SMALL_STATE(949)] = 34931,
  [SMALL_STATE(950)] = 34945,
  [SMALL_STATE(951)] = 34959,
  [SMALL_STATE(952)] = 34973,
  [SMALL_STATE(953)] = 34987,
  [SMALL_STATE(954)] = 34999,
  [SMALL_STATE(955)] = 35011,
  [SMALL_STATE(956)] = 35025,
  [SMALL_STATE(957)] = 35039,
  [SMALL_STATE(958)] = 35053,
  [SMALL_STATE(959)] = 35067,
  [SMALL_STATE(960)] = 35081,
  [SMALL_STATE(961)] = 35095,
  [SMALL_STATE(962)] = 35109,
  [SMALL_STATE(963)] = 35123,
  [SMALL_STATE(964)] = 35137,
  [SMALL_STATE(965)] = 35151,
  [SMALL_STATE(966)] = 35165,
  [SMALL_STATE(967)] = 35177,
  [SMALL_STATE(968)] = 35191,
  [SMALL_STATE(969)] = 35205,
  [SMALL_STATE(970)] = 35219,
  [SMALL_STATE(971)] = 35233,
  [SMALL_STATE(972)] = 35247,
  [SMALL_STATE(973)] = 35259,
  [SMALL_STATE(974)] = 35271,
  [SMALL_STATE(975)] = 35285,
  [SMALL_STATE(976)] = 35299,
  [SMALL_STATE(977)] = 35313,
  [SMALL_STATE(978)] = 35327,
  [SMALL_STATE(979)] = 35341,
  [SMALL_STATE(980)] = 35355,
  [SMALL_STATE(981)] = 35364,
  [SMALL_STATE(982)] = 35375,
  [SMALL_STATE(983)] = 35386,
  [SMALL_STATE(984)] = 35397,
  [SMALL_STATE(985)] = 35406,
  [SMALL_STATE(986)] = 35417,
  [SMALL_STATE(987)] = 35426,
  [SMALL_STATE(988)] = 35437,
  [SMALL_STATE(989)] = 35448,
  [SMALL_STATE(990)] = 35457,
  [SMALL_STATE(991)] = 35466,
  [SMALL_STATE(992)] = 35475,
  [SMALL_STATE(993)] = 35486,
  [SMALL_STATE(994)] = 35497,
  [SMALL_STATE(995)] = 35508,
  [SMALL_STATE(996)] = 35519,
  [SMALL_STATE(997)] = 35530,
  [SMALL_STATE(998)] = 35539,
  [SMALL_STATE(999)] = 35548,
  [SMALL_STATE(1000)] = 35559,
  [SMALL_STATE(1001)] = 35570,
  [SMALL_STATE(1002)] = 35581,
  [SMALL_STATE(1003)] = 35592,
  [SMALL_STATE(1004)] = 35603,
  [SMALL_STATE(1005)] = 35614,
  [SMALL_STATE(1006)] = 35623,
  [SMALL_STATE(1007)] = 35632,
  [SMALL_STATE(1008)] = 35641,
  [SMALL_STATE(1009)] = 35650,
  [SMALL_STATE(1010)] = 35661,
  [SMALL_STATE(1011)] = 35672,
  [SMALL_STATE(1012)] = 35683,
  [SMALL_STATE(1013)] = 35694,
  [SMALL_STATE(1014)] = 35705,
  [SMALL_STATE(1015)] = 35714,
  [SMALL_STATE(1016)] = 35723,
  [SMALL_STATE(1017)] = 35732,
  [SMALL_STATE(1018)] = 35741,
  [SMALL_STATE(1019)] = 35752,
  [SMALL_STATE(1020)] = 35761,
  [SMALL_STATE(1021)] = 35772,
  [SMALL_STATE(1022)] = 35781,
  [SMALL_STATE(1023)] = 35792,
  [SMALL_STATE(1024)] = 35801,
  [SMALL_STATE(1025)] = 35812,
  [SMALL_STATE(1026)] = 35823,
  [SMALL_STATE(1027)] = 35834,
  [SMALL_STATE(1028)] = 35843,
  [SMALL_STATE(1029)] = 35854,
  [SMALL_STATE(1030)] = 35865,
  [SMALL_STATE(1031)] = 35876,
  [SMALL_STATE(1032)] = 35885,
  [SMALL_STATE(1033)] = 35894,
  [SMALL_STATE(1034)] = 35905,
  [SMALL_STATE(1035)] = 35914,
  [SMALL_STATE(1036)] = 35923,
  [SMALL_STATE(1037)] = 35934,
  [SMALL_STATE(1038)] = 35943,
  [SMALL_STATE(1039)] = 35952,
  [SMALL_STATE(1040)] = 35961,
  [SMALL_STATE(1041)] = 35972,
  [SMALL_STATE(1042)] = 35981,
  [SMALL_STATE(1043)] = 35992,
  [SMALL_STATE(1044)] = 36001,
  [SMALL_STATE(1045)] = 36010,
  [SMALL_STATE(1046)] = 36021,
  [SMALL_STATE(1047)] = 36030,
  [SMALL_STATE(1048)] = 36039,
  [SMALL_STATE(1049)] = 36050,
  [SMALL_STATE(1050)] = 36061,
  [SMALL_STATE(1051)] = 36070,
  [SMALL_STATE(1052)] = 36079,
  [SMALL_STATE(1053)] = 36088,
  [SMALL_STATE(1054)] = 36096,
  [SMALL_STATE(1055)] = 36104,
  [SMALL_STATE(1056)] = 36112,
  [SMALL_STATE(1057)] = 36120,
  [SMALL_STATE(1058)] = 36128,
  [SMALL_STATE(1059)] = 36136,
  [SMALL_STATE(1060)] = 36144,
  [SMALL_STATE(1061)] = 36152,
  [SMALL_STATE(1062)] = 36160,
  [SMALL_STATE(1063)] = 36168,
  [SMALL_STATE(1064)] = 36176,
  [SMALL_STATE(1065)] = 36184,
  [SMALL_STATE(1066)] = 36192,
  [SMALL_STATE(1067)] = 36200,
  [SMALL_STATE(1068)] = 36208,
  [SMALL_STATE(1069)] = 36216,
  [SMALL_STATE(1070)] = 36224,
  [SMALL_STATE(1071)] = 36232,
  [SMALL_STATE(1072)] = 36240,
  [SMALL_STATE(1073)] = 36248,
  [SMALL_STATE(1074)] = 36256,
  [SMALL_STATE(1075)] = 36264,
  [SMALL_STATE(1076)] = 36272,
  [SMALL_STATE(1077)] = 36280,
  [SMALL_STATE(1078)] = 36288,
  [SMALL_STATE(1079)] = 36296,
  [SMALL_STATE(1080)] = 36304,
  [SMALL_STATE(1081)] = 36312,
  [SMALL_STATE(1082)] = 36320,
  [SMALL_STATE(1083)] = 36328,
  [SMALL_STATE(1084)] = 36336,
  [SMALL_STATE(1085)] = 36344,
  [SMALL_STATE(1086)] = 36352,
  [SMALL_STATE(1087)] = 36360,
  [SMALL_STATE(1088)] = 36368,
  [SMALL_STATE(1089)] = 36376,
  [SMALL_STATE(1090)] = 36384,
  [SMALL_STATE(1091)] = 36392,
  [SMALL_STATE(1092)] = 36400,
  [SMALL_STATE(1093)] = 36408,
  [SMALL_STATE(1094)] = 36416,
  [SMALL_STATE(1095)] = 36424,
  [SMALL_STATE(1096)] = 36432,
  [SMALL_STATE(1097)] = 36440,
  [SMALL_STATE(1098)] = 36448,
  [SMALL_STATE(1099)] = 36456,
  [SMALL_STATE(1100)] = 36464,
  [SMALL_STATE(1101)] = 36472,
  [SMALL_STATE(1102)] = 36480,
  [SMALL_STATE(1103)] = 36488,
  [SMALL_STATE(1104)] = 36496,
  [SMALL_STATE(1105)] = 36504,
  [SMALL_STATE(1106)] = 36512,
  [SMALL_STATE(1107)] = 36520,
  [SMALL_STATE(1108)] = 36528,
  [SMALL_STATE(1109)] = 36536,
  [SMALL_STATE(1110)] = 36544,
  [SMALL_STATE(1111)] = 36552,
  [SMALL_STATE(1112)] = 36560,
  [SMALL_STATE(1113)] = 36568,
  [SMALL_STATE(1114)] = 36576,
  [SMALL_STATE(1115)] = 36584,
  [SMALL_STATE(1116)] = 36592,
  [SMALL_STATE(1117)] = 36600,
  [SMALL_STATE(1118)] = 36608,
  [SMALL_STATE(1119)] = 36616,
  [SMALL_STATE(1120)] = 36624,
  [SMALL_STATE(1121)] = 36632,
  [SMALL_STATE(1122)] = 36640,
  [SMALL_STATE(1123)] = 36648,
  [SMALL_STATE(1124)] = 36656,
  [SMALL_STATE(1125)] = 36664,
  [SMALL_STATE(1126)] = 36672,
  [SMALL_STATE(1127)] = 36680,
  [SMALL_STATE(1128)] = 36688,
  [SMALL_STATE(1129)] = 36696,
  [SMALL_STATE(1130)] = 36704,
  [SMALL_STATE(1131)] = 36712,
  [SMALL_STATE(1132)] = 36720,
  [SMALL_STATE(1133)] = 36728,
  [SMALL_STATE(1134)] = 36736,
  [SMALL_STATE(1135)] = 36744,
  [SMALL_STATE(1136)] = 36752,
  [SMALL_STATE(1137)] = 36760,
  [SMALL_STATE(1138)] = 36768,
  [SMALL_STATE(1139)] = 36776,
  [SMALL_STATE(1140)] = 36784,
  [SMALL_STATE(1141)] = 36792,
  [SMALL_STATE(1142)] = 36800,
  [SMALL_STATE(1143)] = 36808,
  [SMALL_STATE(1144)] = 36816,
  [SMALL_STATE(1145)] = 36824,
  [SMALL_STATE(1146)] = 36832,
  [SMALL_STATE(1147)] = 36840,
  [SMALL_STATE(1148)] = 36848,
  [SMALL_STATE(1149)] = 36856,
  [SMALL_STATE(1150)] = 36864,
  [SMALL_STATE(1151)] = 36872,
  [SMALL_STATE(1152)] = 36880,
  [SMALL_STATE(1153)] = 36888,
  [SMALL_STATE(1154)] = 36896,
  [SMALL_STATE(1155)] = 36904,
  [SMALL_STATE(1156)] = 36912,
  [SMALL_STATE(1157)] = 36920,
  [SMALL_STATE(1158)] = 36928,
  [SMALL_STATE(1159)] = 36936,
  [SMALL_STATE(1160)] = 36944,
  [SMALL_STATE(1161)] = 36952,
  [SMALL_STATE(1162)] = 36960,
  [SMALL_STATE(1163)] = 36968,
  [SMALL_STATE(1164)] = 36976,
  [SMALL_STATE(1165)] = 36984,
  [SMALL_STATE(1166)] = 36992,
  [SMALL_STATE(1167)] = 37000,
  [SMALL_STATE(1168)] = 37008,
  [SMALL_STATE(1169)] = 37016,
  [SMALL_STATE(1170)] = 37024,
  [SMALL_STATE(1171)] = 37032,
  [SMALL_STATE(1172)] = 37040,
  [SMALL_STATE(1173)] = 37048,
  [SMALL_STATE(1174)] = 37056,
  [SMALL_STATE(1175)] = 37064,
  [SMALL_STATE(1176)] = 37072,
  [SMALL_STATE(1177)] = 37080,
  [SMALL_STATE(1178)] = 37088,
  [SMALL_STATE(1179)] = 37096,
  [SMALL_STATE(1180)] = 37104,
  [SMALL_STATE(1181)] = 37112,
  [SMALL_STATE(1182)] = 37120,
  [SMALL_STATE(1183)] = 37128,
  [SMALL_STATE(1184)] = 37136,
  [SMALL_STATE(1185)] = 37144,
  [SMALL_STATE(1186)] = 37152,
  [SMALL_STATE(1187)] = 37160,
  [SMALL_STATE(1188)] = 37168,
  [SMALL_STATE(1189)] = 37176,
  [SMALL_STATE(1190)] = 37184,
  [SMALL_STATE(1191)] = 37192,
  [SMALL_STATE(1192)] = 37200,
  [SMALL_STATE(1193)] = 37208,
  [SMALL_STATE(1194)] = 37216,
  [SMALL_STATE(1195)] = 37224,
  [SMALL_STATE(1196)] = 37232,
  [SMALL_STATE(1197)] = 37240,
  [SMALL_STATE(1198)] = 37248,
  [SMALL_STATE(1199)] = 37256,
  [SMALL_STATE(1200)] = 37264,
  [SMALL_STATE(1201)] = 37272,
  [SMALL_STATE(1202)] = 37280,
  [SMALL_STATE(1203)] = 37288,
  [SMALL_STATE(1204)] = 37296,
  [SMALL_STATE(1205)] = 37304,
  [SMALL_STATE(1206)] = 37312,
  [SMALL_STATE(1207)] = 37320,
  [SMALL_STATE(1208)] = 37328,
  [SMALL_STATE(1209)] = 37336,
  [SMALL_STATE(1210)] = 37344,
  [SMALL_STATE(1211)] = 37352,
  [SMALL_STATE(1212)] = 37360,
  [SMALL_STATE(1213)] = 37368,
  [SMALL_STATE(1214)] = 37376,
  [SMALL_STATE(1215)] = 37384,
  [SMALL_STATE(1216)] = 37392,
  [SMALL_STATE(1217)] = 37400,
  [SMALL_STATE(1218)] = 37408,
  [SMALL_STATE(1219)] = 37416,
  [SMALL_STATE(1220)] = 37424,
  [SMALL_STATE(1221)] = 37432,
  [SMALL_STATE(1222)] = 37440,
  [SMALL_STATE(1223)] = 37448,
  [SMALL_STATE(1224)] = 37456,
  [SMALL_STATE(1225)] = 37464,
  [SMALL_STATE(1226)] = 37472,
  [SMALL_STATE(1227)] = 37480,
  [SMALL_STATE(1228)] = 37488,
  [SMALL_STATE(1229)] = 37496,
  [SMALL_STATE(1230)] = 37504,
  [SMALL_STATE(1231)] = 37512,
  [SMALL_STATE(1232)] = 37520,
  [SMALL_STATE(1233)] = 37528,
  [SMALL_STATE(1234)] = 37536,
  [SMALL_STATE(1235)] = 37544,
  [SMALL_STATE(1236)] = 37552,
  [SMALL_STATE(1237)] = 37560,
  [SMALL_STATE(1238)] = 37568,
  [SMALL_STATE(1239)] = 37576,
  [SMALL_STATE(1240)] = 37584,
  [SMALL_STATE(1241)] = 37592,
  [SMALL_STATE(1242)] = 37600,
  [SMALL_STATE(1243)] = 37608,
  [SMALL_STATE(1244)] = 37616,
  [SMALL_STATE(1245)] = 37624,
  [SMALL_STATE(1246)] = 37632,
  [SMALL_STATE(1247)] = 37640,
  [SMALL_STATE(1248)] = 37648,
  [SMALL_STATE(1249)] = 37656,
  [SMALL_STATE(1250)] = 37664,
  [SMALL_STATE(1251)] = 37672,
  [SMALL_STATE(1252)] = 37680,
  [SMALL_STATE(1253)] = 37688,
  [SMALL_STATE(1254)] = 37696,
  [SMALL_STATE(1255)] = 37704,
  [SMALL_STATE(1256)] = 37712,
  [SMALL_STATE(1257)] = 37720,
  [SMALL_STATE(1258)] = 37728,
  [SMALL_STATE(1259)] = 37736,
  [SMALL_STATE(1260)] = 37744,
  [SMALL_STATE(1261)] = 37752,
  [SMALL_STATE(1262)] = 37760,
  [SMALL_STATE(1263)] = 37768,
  [SMALL_STATE(1264)] = 37776,
  [SMALL_STATE(1265)] = 37784,
  [SMALL_STATE(1266)] = 37792,
  [SMALL_STATE(1267)] = 37800,
  [SMALL_STATE(1268)] = 37808,
  [SMALL_STATE(1269)] = 37816,
  [SMALL_STATE(1270)] = 37824,
  [SMALL_STATE(1271)] = 37832,
  [SMALL_STATE(1272)] = 37840,
  [SMALL_STATE(1273)] = 37848,
  [SMALL_STATE(1274)] = 37856,
  [SMALL_STATE(1275)] = 37864,
  [SMALL_STATE(1276)] = 37872,
  [SMALL_STATE(1277)] = 37880,
  [SMALL_STATE(1278)] = 37888,
  [SMALL_STATE(1279)] = 37896,
  [SMALL_STATE(1280)] = 37904,
  [SMALL_STATE(1281)] = 37912,
  [SMALL_STATE(1282)] = 37920,
  [SMALL_STATE(1283)] = 37928,
  [SMALL_STATE(1284)] = 37936,
  [SMALL_STATE(1285)] = 37944,
  [SMALL_STATE(1286)] = 37952,
  [SMALL_STATE(1287)] = 37960,
  [SMALL_STATE(1288)] = 37968,
  [SMALL_STATE(1289)] = 37976,
  [SMALL_STATE(1290)] = 37984,
  [SMALL_STATE(1291)] = 37992,
  [SMALL_STATE(1292)] = 38000,
  [SMALL_STATE(1293)] = 38008,
  [SMALL_STATE(1294)] = 38016,
  [SMALL_STATE(1295)] = 38024,
  [SMALL_STATE(1296)] = 38032,
  [SMALL_STATE(1297)] = 38040,
  [SMALL_STATE(1298)] = 38048,
  [SMALL_STATE(1299)] = 38056,
  [SMALL_STATE(1300)] = 38064,
  [SMALL_STATE(1301)] = 38072,
  [SMALL_STATE(1302)] = 38080,
  [SMALL_STATE(1303)] = 38088,
  [SMALL_STATE(1304)] = 38096,
  [SMALL_STATE(1305)] = 38104,
  [SMALL_STATE(1306)] = 38112,
  [SMALL_STATE(1307)] = 38120,
  [SMALL_STATE(1308)] = 38128,
  [SMALL_STATE(1309)] = 38136,
  [SMALL_STATE(1310)] = 38144,
  [SMALL_STATE(1311)] = 38152,
  [SMALL_STATE(1312)] = 38160,
  [SMALL_STATE(1313)] = 38168,
  [SMALL_STATE(1314)] = 38176,
  [SMALL_STATE(1315)] = 38184,
  [SMALL_STATE(1316)] = 38192,
  [SMALL_STATE(1317)] = 38200,
  [SMALL_STATE(1318)] = 38208,
  [SMALL_STATE(1319)] = 38216,
  [SMALL_STATE(1320)] = 38224,
  [SMALL_STATE(1321)] = 38232,
  [SMALL_STATE(1322)] = 38240,
  [SMALL_STATE(1323)] = 38248,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(69),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_equations, 5, 0, 0),
  [275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equations, 5, 0, 0),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_equations, 4, 0, 0),
  [333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equations, 4, 0, 0),
  [335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_equations, 7, 0, 0),
  [337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equations, 7, 0, 0),
  [339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_equations, 8, 0, 0),
  [341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equations, 8, 0, 0),
  [343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_theory_repeat1, 2, 0, 0), SHIFT_REPEAT(1271),
  [346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_theory_repeat1, 2, 0, 0),
  [348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_theory_repeat1, 2, 0, 0), SHIFT_REPEAT(810),
  [351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_theory_repeat1, 2, 0, 0),
  [353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_theory_repeat1, 2, 0, 0), SHIFT_REPEAT(1305),
  [356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_theory_repeat1, 2, 0, 0), SHIFT_REPEAT(1304),
  [359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_theory_repeat1, 2, 0, 0), SHIFT_REPEAT(1301),
  [362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_theory_repeat1, 2, 0, 0), SHIFT_REPEAT(1298),
  [365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_theory_repeat1, 2, 0, 0), SHIFT_REPEAT(988),
  [368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_theory_repeat1, 2, 0, 0), SHIFT_REPEAT(1296),
  [371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_theory_repeat1, 2, 0, 0), SHIFT_REPEAT(1294),
  [374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_theory_repeat1, 2, 0, 0), SHIFT_REPEAT(1293),
  [377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_theory_repeat1, 2, 0, 0), SHIFT_REPEAT(1292),
  [380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_theory_repeat1, 2, 0, 0), SHIFT_REPEAT(1291),
  [383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_theory_repeat1, 2, 0, 0), SHIFT_REPEAT(442),
  [386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_theory_repeat1, 2, 0, 0), SHIFT_REPEAT(1289),
  [389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_theory_repeat1, 2, 0, 0), SHIFT_REPEAT(920),
  [392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_theory_repeat1, 2, 0, 0), SHIFT_REPEAT(1281),
  [395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_theory_repeat1, 2, 0, 0), SHIFT_REPEAT(1278),
  [398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_theory_repeat1, 2, 0, 0), SHIFT_REPEAT(1277),
  [401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_theory_repeat1, 2, 0, 0), SHIFT_REPEAT(913),
  [404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_theory_repeat1, 2, 0, 0), SHIFT_REPEAT(912),
  [407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_theory_repeat1, 2, 0, 0), SHIFT_REPEAT(1274),
  [410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_theory_repeat1, 2, 0, 0), SHIFT_REPEAT(1273),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pre_defined, 1, 0, 0),
  [423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_msg_var_or_nullary_fun, 1, 0, 3),
  [425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pre_defined, 1, 0, 0),
  [427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_msg_var_or_nullary_fun, 1, 0, 3),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_temporal_var_optional_prefix, 1, 0, 3),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predicate_ref, 3, 0, 19),
  [447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predicate_ref, 3, 0, 19),
  [449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nullary_fun, 3, 0, 2),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fact, 3, 0, 31),
  [455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nullary_fun, 3, 0, 2),
  [457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predicate_ref, 4, 0, 19),
  [459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predicate_ref, 4, 0, 19),
  [461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nary_app, 4, 0, 2),
  [463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nary_app, 4, 0, 2), REDUCE(sym_predicate_ref, 4, 0, 19),
  [466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fact, 4, 0, 31),
  [468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_nary_app, 4, 0, 2), REDUCE(sym_predicate_ref, 4, 0, 19),
  [471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nary_app, 4, 0, 2),
  [473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_msg_var_or_nullary_fun, 1, 0, 3), SHIFT(855),
  [476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pub_var, 2, 0, 6),
  [484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pub_var, 2, 0, 6),
  [486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nat_var, 2, 0, 6),
  [490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nat_var, 2, 0, 6), SHIFT(1225),
  [493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nat_var, 2, 0, 6),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fresh_var, 2, 0, 6),
  [499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fresh_var, 2, 0, 6),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_msg_var_or_nullary_fun, 1, 0, 3), SHIFT(862),
  [506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nat_var, 2, 0, 6), SHIFT(1221),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fresh_var, 4, 0, 6),
  [523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fresh_var, 4, 0, 6),
  [525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pub_name, 3, 0, 0),
  [527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pub_name, 3, 0, 0),
  [529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pub_var, 5, 0, 3),
  [531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pub_var, 5, 0, 3),
  [533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fresh_var, 5, 0, 3),
  [535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fresh_var, 5, 0, 3),
  [537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_msg_var_or_nullary_fun, 5, 0, 3),
  [539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_msg_var_or_nullary_fun, 5, 0, 3),
  [541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nat_var, 5, 0, 3),
  [543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nat_var, 5, 0, 3),
  [545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comp_var, 2, 0, 0),
  [547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comp_var, 2, 0, 0),
  [549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fresh_name, 3, 0, 0),
  [551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fresh_name, 3, 0, 0),
  [553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__term, 1, 0, 0),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__term, 1, 0, 0),
  [559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pub_var, 3, 0, 3),
  [561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pub_var, 3, 0, 3),
  [563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fresh_var, 3, 0, 3),
  [565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fresh_var, 3, 0, 3),
  [567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_msg_var_or_nullary_fun, 3, 0, 3),
  [569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_msg_var_or_nullary_fun, 3, 0, 3),
  [571] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_msg_var_or_nullary_fun, 3, 0, 3), SHIFT(858),
  [574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nat_var, 3, 0, 3),
  [576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nat_var, 3, 0, 3),
  [578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nat_var, 4, 0, 6),
  [580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nat_var, 4, 0, 6), SHIFT(1269),
  [583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nat_var, 4, 0, 6),
  [585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pub_var, 4, 0, 6),
  [587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pub_var, 4, 0, 6),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_msg_var_or_nullary_fun, 3, 0, 3), SHIFT(847),
  [594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nat_var, 4, 0, 6), SHIFT(1232),
  [597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nat_var, 6, 0, 6),
  [599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nat_var, 6, 0, 6),
  [601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_custom_var, 3, 0, 14),
  [603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_custom_var, 3, 0, 14),
  [605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_any_var, 3, 0, 0),
  [607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_any_var, 3, 0, 0),
  [609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_term, 3, 0, 0),
  [611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_term, 3, 0, 0),
  [613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_diff_lemma, 4, 0, 7),
  [615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_diff_lemma, 4, 0, 7),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lemma, 9, 0, 74),
  [633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lemma, 9, 0, 74),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lemma, 8, 0, 68),
  [639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lemma, 8, 0, 68),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lemma, 7, 0, 56),
  [645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lemma, 7, 0, 56),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lemma, 6, 0, 43),
  [651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lemma, 6, 0, 43),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_diff_lemma, 3, 0, 7),
  [657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_diff_lemma, 3, 0, 7),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_term, 4, 0, 23),
  [663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_term, 4, 0, 23),
  [665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_app, 6, 0, 51),
  [667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_app, 6, 0, 51),
  [669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_term, 3, 0, 9),
  [671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_term, 3, 0, 9),
  [673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lemma, 7, 0, 57),
  [675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lemma, 7, 0, 57),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_diff_lemma, 5, 0, 16),
  [681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_diff_lemma, 5, 0, 16),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_term_eq, 3, 0, 12),
  [687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_term_eq, 3, 0, 12),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subterm_rel, 3, 0, 12),
  [705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subterm_rel, 3, 0, 12),
  [707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lemma, 8, 0, 66),
  [709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lemma, 8, 0, 66),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_app, 5, 0, 38),
  [715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_app, 5, 0, 38),
  [717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_diff_lemma, 4, 0, 16),
  [719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_diff_lemma, 4, 0, 16),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exp_term, 3, 0, 13),
  [725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exp_term, 3, 0, 13),
  [727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mul_term, 3, 0, 12),
  [729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mul_term, 3, 0, 12),
  [731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_xor_term, 3, 0, 12),
  [733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_xor_term, 3, 0, 12),
  [735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nat_term, 3, 0, 12),
  [737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nat_term, 3, 0, 12),
  [739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mset_term, 3, 0, 12),
  [741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mset_term, 3, 0, 12),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_built_ins, 4, 0, 0),
  [755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_built_ins, 4, 0, 0),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_prio_repeat1, 2, 0, 0),
  [763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_prio_repeat1, 2, 0, 0),
  [765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_prio_repeat1, 2, 0, 0), SHIFT_REPEAT(670),
  [768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_prio_repeat1, 2, 0, 0), SHIFT_REPEAT(230),
  [771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__proof_methods, 1, 0, 0),
  [773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__proof_methods, 1, 0, 0),
  [775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__proof_methods_repeat1, 2, 0, 0),
  [777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__proof_methods_repeat1, 2, 0, 0),
  [779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__proof_methods_repeat1, 2, 0, 0), SHIFT_REPEAT(1073),
  [782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prio, 6, 0, 0),
  [784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prio, 6, 0, 0),
  [786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prio, 3, 0, 0),
  [792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prio, 3, 0, 0),
  [794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_temporal_var_optional_prefix, 1, 0, 3),
  [798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_built_ins, 5, 0, 0),
  [802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_built_ins, 5, 0, 0),
  [804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_temporal_var_optional_prefix, 3, 0, 3),
  [806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_temporal_var_optional_prefix, 3, 0, 3),
  [810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proof_method, 4, 0, 0),
  [812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proof_method, 4, 0, 0),
  [814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_deprio, 6, 0, 0),
  [816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_deprio, 6, 0, 0),
  [818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_temporal_var_optional_prefix, 2, 0, 6),
  [820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_temporal_var_optional_prefix, 2, 0, 6),
  [822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proof_method, 1, 0, 0),
  [826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proof_method, 1, 0, 0),
  [828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_deprio, 3, 0, 0),
  [830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_deprio, 3, 0, 0),
  [832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_formula, 3, 0, 0),
  [834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_formula, 3, 0, 0),
  [836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_temp_var_induction, 4, 0, 0),
  [838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_temp_var_induction, 4, 0, 0),
  [840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conjunction, 3, 0, 12),
  [842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conjunction, 3, 0, 12),
  [844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quantified_formula, 4, 0, 50),
  [846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quantified_formula, 4, 0, 50),
  [848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_negation, 2, 0, 22),
  [850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_negation, 2, 0, 22),
  [852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_temp_var_order, 3, 0, 12),
  [854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_temp_var_order, 3, 0, 12),
  [856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_temp_var_eq, 3, 0, 12),
  [858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_temp_var_eq, 3, 0, 12),
  [860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_temporal_var_optional_prefix, 5, 0, 3),
  [862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_temporal_var_optional_prefix, 5, 0, 3),
  [864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_step, 4, 0, 0),
  [866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_step, 4, 0, 0),
  [868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_atom, 1, 0, 0),
  [870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_atom, 1, 0, 0),
  [872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_action_constraint, 3, 0, 33),
  [874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_action_constraint, 3, 0, 33),
  [876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_temporal_var_optional_prefix, 4, 0, 6),
  [878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_temporal_var_optional_prefix, 4, 0, 6),
  [880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_std_function_repeat1, 2, 0, 0),
  [882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_std_function_repeat1, 2, 0, 0), SHIFT_REPEAT(1156),
  [885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_std_function_repeat1, 2, 0, 0),
  [887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_std_function, 2, 0, 0),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_std_function, 2, 0, 0),
  [893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_std_function, 1, 0, 0),
  [895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_std_function, 1, 0, 0),
  [897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_std_function_repeat1, 3, 0, 0),
  [899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_std_function_repeat1, 3, 0, 0),
  [901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_name, 1, 0, 0),
  [903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_name, 1, 0, 0),
  [905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_and_function, 3, 0, 0),
  [907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_and_function, 3, 0, 0),
  [909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_not_function, 2, 0, 0),
  [911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_not_function, 2, 0, 0),
  [913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_state, 2, 0, 0),
  [915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_state, 2, 0, 0),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fact, 3, 0, 31),
  [925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_lock, 2, 0, 0),
  [927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_lock, 2, 0, 0),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_remove_lock, 2, 0, 0),
  [933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_remove_lock, 2, 0, 0),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predefined_process, 1, 0, 0),
  [939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predefined_process, 1, 0, 0),
  [941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_prio_repeat1, 1, 0, 0),
  [943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_prio_repeat1, 1, 0, 0),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_or_function, 3, 0, 0),
  [951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_or_function, 3, 0, 0),
  [953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_state, 4, 0, 35),
  [955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_state, 4, 0, 35),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_imp, 3, 0, 12),
  [961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_imp, 3, 0, 12),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(68),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iff, 3, 0, 12),
  [971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iff, 3, 0, 12),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fact, 4, 0, 31),
  [977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_disjunction, 3, 0, 12),
  [979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunction, 3, 0, 12),
  [981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__fact, 2, 0, 21),
  [983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__fact, 2, 0, 21),
  [985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_msg_var_or_nullary_fun, 1, 0, 3), SHIFT(844),
  [988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_msg_var_or_nullary_fun, 1, 0, 3), SHIFT(253),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conclusion, 2, 0, 0),
  [997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conclusion, 2, 0, 0),
  [999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fact, 5, 0, 31),
  [1001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fact, 5, 0, 31),
  [1003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fact_annotes, 3, 0, 0),
  [1005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fact_annotes, 3, 0, 0),
  [1007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fact_annotes, 4, 0, 0),
  [1009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fact_annotes, 4, 0, 0),
  [1011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conclusion, 3, 0, 0),
  [1013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conclusion, 3, 0, 0),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [1031] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nat_var, 2, 0, 6), SHIFT(1131),
  [1034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [1036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [1038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predicate, 3, 0, 20),
  [1040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predicate, 3, 0, 20),
  [1042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [1044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [1046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [1048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [1050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [1052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [1054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [1056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [1058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro, 5, 0, 53),
  [1060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro, 5, 0, 53),
  [1062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [1064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_global_heuristic_repeat1, 2, 0, 0),
  [1066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_heuristic_repeat1, 2, 0, 0),
  [1068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_global_heuristic_repeat1, 2, 0, 0), SHIFT_REPEAT(281),
  [1071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_global_heuristic_repeat1, 2, 0, 0), SHIFT_REPEAT(363),
  [1074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_heuristic_repeat1, 2, 0, 0), SHIFT_REPEAT(1063),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [1079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_heuristic, 3, 0, 5),
  [1081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_heuristic, 3, 0, 5),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [1087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [1089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_process_let_repeat1, 2, 0, 0), SHIFT_REPEAT(120),
  [1092] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_process_let_repeat1, 2, 0, 0), SHIFT_REPEAT(610),
  [1095] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_process_let_repeat1, 2, 0, 0), SHIFT_REPEAT(415),
  [1098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_process_let_repeat1, 2, 0, 0),
  [1100] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_process_let_repeat1, 2, 0, 0), SHIFT_REPEAT(413),
  [1103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_process_let_repeat1, 2, 0, 0), SHIFT_REPEAT(1174),
  [1106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_process_let_repeat1, 2, 0, 0), SHIFT_REPEAT(1173),
  [1109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_process_let_repeat1, 2, 0, 0), SHIFT_REPEAT(1171),
  [1112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_process_let_repeat1, 2, 0, 0), SHIFT_REPEAT(1170),
  [1115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_process_let_repeat1, 2, 0, 0), SHIFT_REPEAT(1169),
  [1118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_msg_var_or_nullary_fun, 3, 0, 3), SHIFT(866),
  [1121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro, 7, 0, 70),
  [1123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro, 7, 0, 70),
  [1125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro, 6, 0, 64),
  [1127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro, 6, 0, 64),
  [1129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nat_var, 4, 0, 6), SHIFT(1160),
  [1132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(55),
  [1134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_equation, 3, 0, 12),
  [1136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equation, 3, 0, 12),
  [1138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__nested_process, 3, 0, 0),
  [1140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__nested_process, 3, 0, 0),
  [1142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [1144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [1146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [1148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [1150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [1152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [1154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [1156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [1158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [1160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [1162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [1164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [1166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [1168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_location_process, 5, 0, 49),
  [1170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_location_process, 5, 0, 49),
  [1172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binding, 2, 0, 0),
  [1174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding, 2, 0, 0),
  [1176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [1178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_state, 6, 0, 35),
  [1180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_state, 6, 0, 35),
  [1182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [1184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [1186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [1188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_input, 8, 0, 0),
  [1190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_input, 8, 0, 0),
  [1192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output, 8, 0, 0),
  [1194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output, 8, 0, 0),
  [1196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_state, 4, 0, 0),
  [1198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_state, 4, 0, 0),
  [1200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_lock, 4, 0, 0),
  [1202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_lock, 4, 0, 0),
  [1204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_remove_lock, 4, 0, 0),
  [1206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_remove_lock, 4, 0, 0),
  [1208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tactic, 4, 0, 0),
  [1210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tactic, 4, 0, 0),
  [1212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [1214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [1216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_msr_process, 5, 0, 0),
  [1218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_msr_process, 5, 0, 0),
  [1220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_msr_process, 3, 0, 0),
  [1222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_msr_process, 3, 0, 0),
  [1224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [1226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_non_deterministic_choice, 3, 0, 0),
  [1228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_non_deterministic_choice, 3, 0, 0),
  [1230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binding, 4, 0, 0),
  [1232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binding, 4, 0, 0),
  [1234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_deterministic_choice, 3, 0, 0),
  [1236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_deterministic_choice, 3, 0, 0),
  [1238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_options, 4, 0, 0),
  [1240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_options, 4, 0, 0),
  [1242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [1244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_read_state, 8, 0, 75),
  [1246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_read_state, 8, 0, 75),
  [1248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [1250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_replication, 4, 0, 0),
  [1252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_replication, 4, 0, 0),
  [1254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_read_state, 6, 0, 62),
  [1256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_read_state, 6, 0, 62),
  [1258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [1260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13),
  [1262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_read_state, 8, 0, 62),
  [1264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_read_state, 8, 0, 62),
  [1266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_process_let, 6, 0, 61),
  [1268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_process_let, 6, 0, 61),
  [1270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_read_state, 10, 0, 75),
  [1272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_read_state, 10, 0, 75),
  [1274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_options, 5, 0, 0),
  [1276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_options, 5, 0, 0),
  [1278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional, 6, 0, 60),
  [1280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional, 6, 0, 60),
  [1282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_input, 6, 0, 0),
  [1284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_input, 6, 0, 0),
  [1286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [1288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event, 4, 0, 0),
  [1290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event, 4, 0, 0),
  [1292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output, 6, 0, 0),
  [1294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output, 6, 0, 0),
  [1296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [1298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tactic, 5, 0, 0),
  [1300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tactic, 5, 0, 0),
  [1302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_process_let, 4, 0, 34),
  [1304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_process_let, 4, 0, 34),
  [1306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [1308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_replication, 2, 0, 0),
  [1310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_replication, 2, 0, 0),
  [1312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [1314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional, 4, 0, 32),
  [1316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional, 4, 0, 32),
  [1318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [1320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_output, 4, 0, 0),
  [1322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_output, 4, 0, 0),
  [1324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [1326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_event, 2, 0, 0),
  [1328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_event, 2, 0, 0),
  [1330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [1332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_input, 4, 0, 0),
  [1334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_input, 4, 0, 0),
  [1336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [1338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_oracle_goal_ranking, 1, 0, 0),
  [1340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [1342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_oracle_goal_ranking, 1, 0, 0),
  [1344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [1346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [1348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [1350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [1352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [1354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [1356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [1358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [1360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [1362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [1364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [1366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [1368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [1370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [1372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [1374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [1376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [1378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [1380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [1382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [1384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [1386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [1388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [1390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_oracle_goal_ranking, 4, 0, 0),
  [1392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_oracle_goal_ranking, 4, 0, 0),
  [1394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_rule, 7, 0, 40),
  [1396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_rule, 7, 0, 40),
  [1398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_rule, 8, 0, 40),
  [1400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_rule, 8, 0, 40),
  [1402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_rule, 6, 0, 40),
  [1404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_rule, 6, 0, 40),
  [1406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tactic_goal_ranking, 3, 0, 0),
  [1408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tactic_goal_ranking, 3, 0, 0),
  [1410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_tactic_repeat1, 2, 0, 0),
  [1412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tactic_repeat1, 2, 0, 0),
  [1414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tactic_repeat1, 2, 0, 0), SHIFT_REPEAT(1317),
  [1417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_rule, 9, 0, 52),
  [1419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_rule, 9, 0, 52),
  [1421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_rule, 8, 0, 52),
  [1423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_rule, 8, 0, 52),
  [1425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_rule, 7, 0, 52),
  [1427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_rule, 7, 0, 52),
  [1429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [1431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functions, 5, 0, 0),
  [1433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functions, 5, 0, 0),
  [1435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functions, 4, 0, 0),
  [1437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functions, 4, 0, 0),
  [1439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_equiv_lemma, 4, 0, 17),
  [1441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equiv_lemma, 4, 0, 17),
  [1443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let, 4, 0, 11),
  [1445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let, 4, 0, 11),
  [1447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rule, 1, 0, 0),
  [1449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rule, 1, 0, 0),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1025),
  [1453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_diff_equiv_lemma, 3, 0, 0),
  [1455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_diff_equiv_lemma, 3, 0, 0),
  [1457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tactic, 6, 0, 0),
  [1459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tactic, 6, 0, 0),
  [1461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variants, 2, 0, 0),
  [1463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variants, 2, 0, 0),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [1467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_tactic_repeat2, 2, 0, 0),
  [1469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tactic_repeat2, 2, 0, 0),
  [1471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tactic_repeat2, 2, 0, 0), SHIFT_REPEAT(1151),
  [1474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_process, 3, 0, 0),
  [1476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_process, 3, 0, 0),
  [1478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variants_repeat1, 2, 0, 0),
  [1480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variants_repeat1, 2, 0, 0),
  [1482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variants_repeat1, 2, 0, 0), SHIFT_REPEAT(1048),
  [1485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variants, 3, 0, 0),
  [1487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variants, 3, 0, 0),
  [1489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [1491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_functions_repeat1, 2, 0, 0),
  [1493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_functions_repeat1, 2, 0, 0),
  [1495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_functions_repeat1, 2, 0, 0), SHIFT_REPEAT(877),
  [1498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ifdef_and, 3, 0, 0),
  [1500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ifdef_and, 3, 0, 0),
  [1502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_by_method, 2, 0, 0),
  [1504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_by_method, 2, 0, 0),
  [1506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_built_ins, 3, 0, 0),
  [1508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_built_ins, 3, 0, 0),
  [1510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [1512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functions, 3, 0, 0),
  [1514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functions, 3, 0, 0),
  [1516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [1518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_equations, 3, 0, 0),
  [1520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equations, 3, 0, 0),
  [1522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [1524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cases, 2, 0, 0),
  [1526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cases, 2, 0, 0),
  [1528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [1530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_skeleton, 2, 0, 27),
  [1532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_skeleton, 2, 0, 27),
  [1534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predicates, 3, 0, 0),
  [1536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predicates, 3, 0, 0),
  [1538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [1540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_options, 3, 0, 0),
  [1542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_options, 3, 0, 0),
  [1544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [1546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [1548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [1550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macros, 4, 0, 0),
  [1552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macros, 4, 0, 0),
  [1554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [1556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ifdef_or, 3, 0, 0),
  [1558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ifdef_or, 3, 0, 0),
  [1560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [1562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predicates, 4, 0, 0),
  [1564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predicates, 4, 0, 0),
  [1566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cases, 3, 0, 0),
  [1568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cases, 3, 0, 0),
  [1570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [1572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_equations, 6, 0, 0),
  [1574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equations, 6, 0, 0),
  [1576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [1578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macros, 3, 0, 0),
  [1580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macros, 3, 0, 0),
  [1582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [1584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [1586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ifdef_not, 2, 0, 0),
  [1588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ifdef_not, 2, 0, 0),
  [1590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_built_ins_repeat1, 2, 0, 0),
  [1592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_built_ins_repeat1, 2, 0, 0),
  [1594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_built_ins_repeat1, 2, 0, 0), SHIFT_REPEAT(644),
  [1597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_untyped, 3, 0, 18),
  [1599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_untyped, 3, 0, 18),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [1603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_macros_repeat1, 2, 0, 0),
  [1605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_macros_repeat1, 2, 0, 0),
  [1607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macros_repeat1, 2, 0, 0), SHIFT_REPEAT(1024),
  [1610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_options_repeat1, 2, 0, 0),
  [1612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_options_repeat1, 2, 0, 0),
  [1614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_options_repeat1, 2, 0, 0), SHIFT_REPEAT(820),
  [1617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_predicates_repeat1, 2, 0, 0),
  [1619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_predicates_repeat1, 2, 0, 0),
  [1621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_predicates_repeat1, 2, 0, 0), SHIFT_REPEAT(967),
  [1624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_equations_repeat1, 2, 0, 0),
  [1626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_equations_repeat1, 2, 0, 0),
  [1628] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_equations_repeat1, 2, 0, 0), SHIFT_REPEAT(357),
  [1631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ifdef_nested, 3, 0, 0),
  [1633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ifdef_nested, 3, 0, 0),
  [1635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [1637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [1639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_typed, 6, 0, 59),
  [1641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_typed, 6, 0, 59),
  [1643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [1645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rule, 2, 0, 0),
  [1647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rule, 2, 0, 0),
  [1649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_built_in, 1, 0, 0),
  [1651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_built_in, 1, 0, 0),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [1655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_option, 1, 0, 0),
  [1657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_option, 1, 0, 0),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [1661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [1663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_typed, 5, 0, 48),
  [1665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_typed, 5, 0, 48),
  [1667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15),
  [1669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [1671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12),
  [1673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_untyped, 6, 0, 18),
  [1675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_untyped, 6, 0, 18),
  [1677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [1679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [1681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_untyped, 7, 0, 18),
  [1683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_untyped, 7, 0, 18),
  [1685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_untyped, 8, 0, 18),
  [1687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_untyped, 8, 0, 18),
  [1689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [1691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_restriction, 6, 0, 41),
  [1693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_restriction, 6, 0, 41),
  [1695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_diff_lemma, 6, 0, 47),
  [1697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_diff_lemma, 6, 0, 47),
  [1699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export, 6, 0, 39),
  [1701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export, 6, 0, 39),
  [1703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ifdef, 5, 0, 0),
  [1705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ifdef, 5, 0, 0),
  [1707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include, 4, 0, 8),
  [1709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include, 4, 0, 8),
  [1711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lemma, 7, 0, 55),
  [1713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lemma, 7, 0, 55),
  [1715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lemma, 8, 0, 65),
  [1717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lemma, 8, 0, 65),
  [1719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_diff_lemma, 5, 0, 28),
  [1721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_diff_lemma, 5, 0, 28),
  [1723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_define, 2, 0, 0),
  [1725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_define, 2, 0, 0),
  [1727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_accountability_lemma, 10, 0, 76),
  [1729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_accountability_lemma, 10, 0, 76),
  [1731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_accountability_lemma, 9, 0, 71),
  [1733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_accountability_lemma, 9, 0, 71),
  [1735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preprocessor, 1, 0, 0),
  [1737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preprocessor, 1, 0, 0),
  [1739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lemma, 9, 0, 72),
  [1741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lemma, 9, 0, 72),
  [1743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lemma, 9, 0, 73),
  [1745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lemma, 9, 0, 73),
  [1747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_diff_lemma, 4, 0, 15),
  [1749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_diff_lemma, 4, 0, 15),
  [1751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lemma, 10, 0, 77),
  [1753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lemma, 10, 0, 77),
  [1755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ifdef, 3, 0, 0),
  [1757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ifdef, 3, 0, 0),
  [1759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_diff_lemma, 5, 0, 29),
  [1761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_diff_lemma, 5, 0, 29),
  [1763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_formal_comment, 2, 0, 4),
  [1765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_comment, 2, 0, 4),
  [1767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_restriction, 7, 0, 54),
  [1769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_restriction, 7, 0, 54),
  [1771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_diff_rule, 5, 0, 30),
  [1773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_diff_rule, 5, 0, 30),
  [1775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ifdef, 4, 0, 0),
  [1777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ifdef, 4, 0, 0),
  [1779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_test, 6, 0, 42),
  [1781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_test, 6, 0, 42),
  [1783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lemma, 8, 0, 67),
  [1785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lemma, 8, 0, 67),
  [1787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ifdef, 6, 0, 0),
  [1789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ifdef, 6, 0, 0),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [1793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_msg_var_or_nullary_fun, 1, 0, 3), SHIFT(864),
  [1822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_msg_var_or_nullary_fun, 1, 0, 3), SHIFT(257),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [1833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nat_var, 2, 0, 6), SHIFT(1248),
  [1836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [1838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [1840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [1842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [1844] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_msg_var_or_nullary_fun, 3, 0, 3), SHIFT(873),
  [1847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nat_var, 4, 0, 6), SHIFT(1254),
  [1850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [1852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lesser_check, 3, 0, 0),
  [1854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [1856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [1858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [1860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [1862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [1864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [1866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [1868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_msg_var_or_nullary_fun, 1, 0, 3), SHIFT(872),
  [1871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [1897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nat_var, 2, 0, 6), SHIFT(1191),
  [1900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [1902] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_quantified_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(815),
  [1905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_quantified_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(1211),
  [1908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_quantified_formula_repeat1, 2, 0, 0),
  [1910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_quantified_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(1212),
  [1913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_quantified_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(1133),
  [1916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_quantified_formula_repeat1, 2, 0, 0), SHIFT_REPEAT(1213),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [1927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nat_var, 4, 0, 6), SHIFT(1209),
  [1930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_natural_subscript, 1, 0, 0),
  [1932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [1934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_msg_var_or_nullary_fun, 1, 0, 3), SHIFT(840),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [1939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_msg_var_or_nullary_fun, 3, 0, 3), SHIFT(854),
  [1942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_natural_subscript_repeat1, 2, 0, 0),
  [1944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_natural_subscript_repeat1, 2, 0, 0), SHIFT_REPEAT(687),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [1955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_temporal_var, 2, 0, 6),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [1965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [1975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [1977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [1989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [1993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [1997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [2001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [2009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [2013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [2017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [2021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_equality_check, 3, 0, 0),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [2029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_temporal_var, 4, 0, 6),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [2041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunction_split_goal_repeat1, 2, 0, 22),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [2049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [2057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [2059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [2061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__formula, 1, 0, 0),
  [2063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__condition, 1, 0, 0),
  [2065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__formula, 1, 0, 0),
  [2067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lemma_attr, 2, 0, 26),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [2075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [2077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [2081] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_heuristic_repeat1, 2, 0, 0), SHIFT_REPEAT(742),
  [2084] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_heuristic_repeat1, 2, 0, 0), SHIFT_REPEAT(819),
  [2087] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_heuristic_repeat1, 2, 0, 0), SHIFT_REPEAT(1267),
  [2090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [2092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [2094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [2098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rule_let_term, 3, 0, 12),
  [2100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [2102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_binary_app_repeat1, 2, 0, 36),
  [2104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_msg_var_or_nullary_fun, 3, 0, 3), SHIFT(839),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [2109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [2111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 1, 0, 10),
  [2113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [2123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_temporal_var, 3, 0, 3),
  [2125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_temporal_var, 3, 0, 3),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [2131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [2133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [2139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_term_repeat1, 2, 0, 9),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [2145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_temporal_var, 5, 0, 3),
  [2147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_temporal_var, 5, 0, 3),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [2155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_temporal_var, 4, 0, 6),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [2167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [2171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [2193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [2197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [2203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [2205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [2207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [2209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [2215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [2237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [2241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [2243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [2251] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_msg_var_or_nullary_fun, 1, 0, 3), SHIFT(1148),
  [2254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [2256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_rule_let_block_repeat1, 2, 0, 0), SHIFT_REPEAT(944),
  [2259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_rule_let_block_repeat1, 2, 0, 0),
  [2261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_rule_let_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1236),
  [2264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [2266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nat_var, 2, 0, 6), SHIFT(1226),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [2275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [2279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_temporal_var, 2, 0, 6), SHIFT(1268),
  [2282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [2284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [2286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_fresh_var, 2, 0, 6), SHIFT(1190),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [2291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pub_var, 2, 0, 6), SHIFT(1189),
  [2294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [2296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [2298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [2300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [2302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [2304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [2310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [2316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [2318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [2320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [2322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [2326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [2328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [2334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [2336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [2340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [2342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [2346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [2348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [2350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [2352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [2354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [2362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [2364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [2366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [2372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [2380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_disjunction_split_goal_repeat1, 2, 0, 69),
  [2382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_disjunction_split_goal_repeat1, 2, 0, 69), SHIFT_REPEAT(93),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [2403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [2431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_accountability_lemma_repeat1, 2, 0, 45), SHIFT_REPEAT(1283),
  [2434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_accountability_lemma_repeat1, 2, 0, 45),
  [2436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_accountability_lemma_repeat1, 2, 0, 45),
  [2438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_commandline, 1, 0, 0),
  [2440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [2450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_commandline_repeat1, 2, 0, 0),
  [2452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_commandline_repeat1, 2, 0, 0), SHIFT_REPEAT(875),
  [2455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_commandline_repeat1, 2, 0, 0), SHIFT_REPEAT(1103),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [2464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [2468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_disjunction_split_goal, 2, 0, 58),
  [2470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_binary_app_repeat1, 2, 0, 37),
  [2472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_binary_app_repeat1, 2, 0, 37), SHIFT_REPEAT(414),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [2497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_rule_attrs_repeat1, 2, 0, 0), SHIFT_REPEAT(753),
  [2500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_rule_attrs_repeat1, 2, 0, 0),
  [2502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [2514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_theory, 6, 0, 1),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_theory, 5, 0, 1),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [2528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [2530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [2532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__facts_restrictions, 2, 0, 0),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [2546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_accountability_lemma_repeat1, 2, 0, 44),
  [2548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_accountability_lemma_repeat1, 2, 0, 44),
  [2550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [2556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [2558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [2562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [2564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [2570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [2572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_diff_lemma_attrs_repeat1, 2, 0, 0), SHIFT_REPEAT(746),
  [2575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_diff_lemma_attrs_repeat1, 2, 0, 0),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [2579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fact_annotes_repeat1, 2, 0, 0), SHIFT_REPEAT(867),
  [2582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_fact_annotes_repeat1, 2, 0, 0),
  [2584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [2586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [2588] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(1010),
  [2591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cases_repeat1, 2, 0, 0),
  [2593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_theory, 10, 0, 1),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [2617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_theory_repeat2, 2, 0, 0),
  [2619] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_theory_repeat2, 2, 0, 0), SHIFT_REPEAT(937),
  [2622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_commandline_repeat1, 3, 0, 0),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [2632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_untyped_repeat1, 2, 0, 0), SHIFT_REPEAT(926),
  [2635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_untyped_repeat1, 2, 0, 0),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [2649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__facts_repeat1, 2, 0, 0), SHIFT_REPEAT(874),
  [2652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__facts_repeat1, 2, 0, 0),
  [2654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 25),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [2658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__facts, 1, 0, 0),
  [2660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_lemma_attr_repeat1, 2, 0, 0), SHIFT_REPEAT(823),
  [2663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_lemma_attr_repeat1, 2, 0, 0),
  [2665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_theory, 4, 0, 1),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [2675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_term_repeat1, 2, 0, 24), SHIFT_REPEAT(446),
  [2678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_term_repeat1, 2, 0, 24),
  [2680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__facts_restrictions, 1, 0, 0),
  [2682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__facts_restrictions_repeat1, 2, 0, 0), SHIFT_REPEAT(826),
  [2685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__facts_restrictions_repeat1, 2, 0, 0),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [2691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__facts, 2, 0, 0),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [2695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_theory, 11, 0, 1),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [2699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_theory, 9, 0, 1),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [2711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_macro_repeat1, 2, 0, 0),
  [2713] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_repeat1, 2, 0, 0), SHIFT_REPEAT(761),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [2718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lemma_attr, 4, 0, 0),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [2728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_presort, 3, 0, 0),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [2738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_premise, 2, 0, 0),
  [2740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lemma_attr, 2, 0, 0),
  [2742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [2744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [2748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hexcolor, 2, 0, 0),
  [2750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [2754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [2756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [2758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [2760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rule_attr_color, 2, 0, 0),
  [2762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hexcolor, 1, 0, 0),
  [2764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_language, 1, 0, 0),
  [2766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [2768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [2770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [2772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [2776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [2778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 3, 0, 46),
  [2780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_attribute, 1, 0, 0),
  [2782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [2784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rule_attr, 1, 0, 0),
  [2786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [2788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [2790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [2792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [2794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [2796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [2798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [2800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [2802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hexcolor, 3, 0, 0),
  [2804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_diff_lemma_attr, 1, 0, 0),
  [2806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lemma_attr, 1, 0, 0),
  [2808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lemma_attr, 5, 0, 0),
  [2810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [2812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_premise, 3, 0, 0),
  [2814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rule_role, 5, 0, 63),
  [2816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [2818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hexcolor, 4, 0, 0),
  [2820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rule_process, 5, 0, 0),
  [2822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_embedded_restriction, 4, 0, 20),
  [2824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fact_annote, 1, 0, 0),
  [2826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [2828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [2830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [2832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [2834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [2836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [2838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chain_goal, 11, 0, 0),
  [2840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [2842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [2850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [2852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [2854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [2856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [2858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [2860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [2862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [2864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [2866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [2868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_premise_goal, 4, 0, 0),
  [2870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [2872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_eq_split_goal, 4, 0, 0),
  [2874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [2876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [2880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [2884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_action_goal, 3, 0, 0),
  [2886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [2888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [2894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predicate_def, 3, 0, 19),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [2898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [2900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [2902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [2904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [2906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [2908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [2912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [2914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_diff_lemma_attrs, 5, 0, 0),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [2932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rule_attrs, 5, 0, 0),
  [2934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [2942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [2948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trace_quantifier, 1, 0, 0),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [2952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [2954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [2956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_action_fact, 2, 0, 0),
  [2958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [2964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [2966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [2970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [2972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [2974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [2976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [2980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [2982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [2984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [2986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [2988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [2990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [2992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [2994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [2996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [3000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [3002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [3004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modulo, 4, 0, 0),
  [3006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [3008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [3010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [3012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [3014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [3016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [3018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [3020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [3024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [3026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [3032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [3034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_post_ranking, 1, 0, 0),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [3038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [3044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [3046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [3048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [3056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [3060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [3064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [3068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goal, 1, 0, 0),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [3074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [3076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [3082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [3086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [3088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [3090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [3092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [3094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [3098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [3100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [3102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [3104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [3106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [3108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [3112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_diff_lemma_attrs, 4, 0, 0),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [3116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [3118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [3120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [3122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [3134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [3138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [3140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [3142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [3146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [3150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [3154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [3156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [3164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [3166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rule_attrs, 4, 0, 0),
  [3168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [3170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [3172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [3174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [3176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [3180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [3182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [3184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [3186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [3188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [3194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [3196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [3198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [3200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [3202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [3204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [3206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [3208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [3210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rule_let_block, 3, 0, 0),
  [3212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [3214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [3216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [3218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [3220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [3222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [3224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [3226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [3228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [3230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [3232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rule_attrs, 3, 0, 0),
  [3234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [3236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [3238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [3240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [3242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [3244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [3246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [3248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_action_fact, 3, 0, 0),
  [3250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [3252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [3254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [3256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [3258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [3260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [3262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [3264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [3266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [3268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [3270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [3272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_restriction_attr, 3, 0, 0),
  [3274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [3276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [3278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [3280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_diff_lemma_attrs, 3, 0, 0),
  [3282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [3284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [3286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [3288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [3290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [3292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [3294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [3296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [3298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [3300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [3302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [3304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [3306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [3308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [3310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [3312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [3314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [3316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [3318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [3320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [3322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [3324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [3326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [3330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [3332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [3334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [3336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [3338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [3340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [3342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [3344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predicate_def, 4, 0, 19),
  [3346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [3348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [3350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [3352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [3354] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_multi_comment = 0,
  ts_external_token_single_comment = 1,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_multi_comment] = sym_multi_comment,
  [ts_external_token_single_comment] = sym_single_comment,
};

static const bool ts_external_scanner_states[2][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_multi_comment] = true,
    [ts_external_token_single_comment] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_spthy_external_scanner_create(void);
void tree_sitter_spthy_external_scanner_destroy(void *);
bool tree_sitter_spthy_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_spthy_external_scanner_serialize(void *, char *);
void tree_sitter_spthy_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_spthy(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_ident,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_spthy_external_scanner_create,
      tree_sitter_spthy_external_scanner_destroy,
      tree_sitter_spthy_external_scanner_scan,
      tree_sitter_spthy_external_scanner_serialize,
      tree_sitter_spthy_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
